CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: changelog/db-changelog-master.xml
-- Ran at: 7/5/24, 2:07 PM
-- Against: asset@offline:postgresql?changeLogFile=target/databasechangelog.csv&outputLiquibaseSql=true
-- Liquibase version: 4.28.0
-- *********************************************************************

-- Changeset changelog/db-changelog-master.xml::asset-version-1.0::thofan
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('asset-version-1.0', 'thofan', 'changelog/db-changelog-master.xml', NOW(), 1, '9:91d3fe0ba5fc7c8c9441ab2c3977fb5a', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008', 'asset-version-1.0');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-1::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS next_unknown_ship_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-1', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 3, '9:0a92467d570a38a40dd6d3103c5309d2', 'createSequence sequenceName=next_unknown_ship_seq', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-2::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS hibernate_sequence;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-2', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 5, '9:a17731710305111df20dcfac7e5b1160', 'createSequence sequenceName=hibernate_sequence', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1530775362228-20::thofan (generated)
CREATE TABLE oceanregion (id UUID NOT NULL, code INTEGER, name VARCHAR(200), "desc" VARCHAR(80), updattim TIMESTAMP(6) WITH TIME ZONE, upuser VARCHAR(60));

COMMENT ON TABLE oceanregion IS 'OceanRegion codes valid for InmarsatC';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1530775362228-20', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 7, '9:3ce535d365094691dfacda1d61b78015', 'createTable tableName=oceanregion', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1530775362228-47::thofan (generated)
ALTER TABLE oceanregion ADD CONSTRAINT oceanregion_pk PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1530775362228-47', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 9, '9:0ae8684d6db81c91853b1891ef1cab31', 'addPrimaryKey constraintName=oceanregion_pk, tableName=oceanregion', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1530775362228-68::thofan (generated)
CREATE UNIQUE INDEX oceanreg_inx ON oceanregion(code);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1530775362228-68', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 11, '9:1031b8a619dcc4f8ba511164dcd45512', 'createIndex indexName=oceanreg_inx, tableName=oceanregion', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-3::thofan (generated)
CREATE TABLE asset (id UUID NOT NULL, active BOOLEAN, administrativedecisiondate TIMESTAMP(6) WITH TIME ZONE, agentisalsoowner BOOLEAN, aisindicator BOOLEAN, assetagentaddress VARCHAR(100), cfr VARCHAR(12), commissiondate TIMESTAMP(6) WITH TIME ZONE, constructionplace VARCHAR(100), constructionyear VARCHAR(4), countryofimportorexport VARCHAR(3), ersindicator BOOLEAN, eventcode VARCHAR(255), externalmarking VARCHAR(14), flagstatecode VARCHAR(3), gearfishingtype VARCHAR(255), gfcm VARCHAR(50), grosstonnage FLOAT8, grosstonnageunit VARCHAR(255), haslicense BOOLEAN, hasvms BOOLEAN, historyid UUID, hullmaterial VARCHAR(255), iccat VARCHAR(50), imo VARCHAR(7), ircs VARCHAR(8), ircsindicator BOOLEAN, lengthbetweenperpendiculars FLOAT8, lengthoverall FLOAT8, licensetype VARCHAR(25), mainfishinggearcode VARCHAR(255), mmsi VARCHAR(9), name VARCHAR(40), othertonnage FLOAT8, owneraddress VARCHAR(100), ownername VARCHAR(100), portofregistration VARCHAR(30), powerofauxengine FLOAT8, powerofmainengine FLOAT8, prodorgcode VARCHAR(255), prodorgname VARCHAR(255), publicaid VARCHAR(255), registrationnumber VARCHAR(14), safetygrosstonnage FLOAT8, segment VARCHAR(255), segmentofadministrativedecision VARCHAR(255), source VARCHAR(255), subfishinggearcode VARCHAR(255), typeofexport VARCHAR(255), updatetime TIMESTAMP(6) WITH TIME ZONE, updatedby VARCHAR(60), uvi VARCHAR(50), vesseldateofentry TIMESTAMP(6) WITH TIME ZONE, vesseltype VARCHAR(100), vmsindicator BOOLEAN);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-3', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 13, '9:2e032f98b2db1e4f75d86b545d7401ba', 'createTable tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-4::thofan (generated)
CREATE TABLE asset_aud (id UUID NOT NULL, rev INTEGER NOT NULL, revtype SMALLINT, active BOOLEAN, administrativedecisiondate TIMESTAMP(6) WITH TIME ZONE, agentisalsoowner BOOLEAN, aisindicator BOOLEAN, assetagentaddress VARCHAR(255), cfr VARCHAR(255), commissiondate TIMESTAMP(6) WITH TIME ZONE, constructionplace VARCHAR(255), constructionyear VARCHAR(255), countryofimportorexport VARCHAR(255), ersindicator BOOLEAN, eventcode VARCHAR(255), externalmarking VARCHAR(255), flagstatecode VARCHAR(255), gearfishingtype VARCHAR(255), gfcm VARCHAR(255), grosstonnage FLOAT8, grosstonnageunit VARCHAR(255), haslicense BOOLEAN, hasvms BOOLEAN, historyid UUID, hullmaterial VARCHAR(255), iccat VARCHAR(255), imo VARCHAR(255), ircs VARCHAR(255), ircsindicator BOOLEAN, lengthbetweenperpendiculars FLOAT8, lengthoverall FLOAT8, licensetype VARCHAR(255), mainfishinggearcode VARCHAR(255), mmsi VARCHAR(255), name VARCHAR(255), othertonnage FLOAT8, owneraddress VARCHAR(255), ownername VARCHAR(255), portofregistration VARCHAR(255), powerofauxengine FLOAT8, powerofmainengine FLOAT8, prodorgcode VARCHAR(255), prodorgname VARCHAR(255), publicaid VARCHAR(255), registrationnumber VARCHAR(255), safetygrosstonnage FLOAT8, segment VARCHAR(255), segmentofadministrativedecision VARCHAR(255), source VARCHAR(255), subfishinggearcode VARCHAR(255), typeofexport VARCHAR(255), updatetime TIMESTAMP(6) WITH TIME ZONE, updatedby VARCHAR(255), uvi VARCHAR(255), vesseldateofentry TIMESTAMP(6) WITH TIME ZONE, vesseltype VARCHAR(255), vmsindicator BOOLEAN);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-4', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 15, '9:46e49b5ed30087c6e40db8b9ec20a20a', 'createTable tableName=asset_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-5::thofan (generated)
CREATE TABLE assetgroup (id UUID NOT NULL, archived BOOLEAN, dynamic BOOLEAN, global BOOLEAN, name VARCHAR(80) NOT NULL, user_id VARCHAR(80) NOT NULL, updattim TIMESTAMP(6) WITH TIME ZONE, upuser VARCHAR(60));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-5', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 17, '9:eec5dca1ab092bac336db0223482f1ae', 'createTable tableName=assetgroup', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-6::thofan (generated)
CREATE TABLE assetgroupfield (id UUID NOT NULL, key VARCHAR(80) NOT NULL, updatetime TIMESTAMP(6) WITH TIME ZONE, updateuser VARCHAR(60), value VARCHAR(100) NOT NULL, assetgroup UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-6', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 19, '9:b5b2c8555d601a23c45643d8003e50a7', 'createTable tableName=assetgroupfield', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-7::thofan (generated)
CREATE TABLE channel (id UUID NOT NULL, dnid VARCHAR(255), active BOOLEAN, archived BOOLEAN, chan_conf BOOLEAN, chan_def BOOLEAN, chan_poll BOOLEAN, end_date TIMESTAMP(6) WITH TIME ZONE, expected_frequency BIGINT NOT NULL, expected_frequency_in_port BIGINT NOT NULL, frequency_grace_period BIGINT NOT NULL, historyid UUID, install_date TIMESTAMP(6) WITH TIME ZONE, installed_by VARCHAR(255), les_description VARCHAR(255), member_number VARCHAR(255), com_channel_name VARCHAR(255), start_date TIMESTAMP(6) WITH TIME ZONE, uninstall_date TIMESTAMP(6) WITH TIME ZONE, updattime TIMESTAMP(6) WITH TIME ZONE, updateuser VARCHAR(255), mobterm_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-7', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 21, '9:257fa572788bdc4ba1956ed5b3fd658f', 'createTable tableName=channel', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-8::thofan (generated)
CREATE TABLE channel_aud (id UUID NOT NULL, rev INTEGER NOT NULL, revtype SMALLINT, dnid VARCHAR(255), active BOOLEAN, archived BOOLEAN, chan_conf BOOLEAN, chan_def BOOLEAN, chan_poll BOOLEAN, end_date TIMESTAMP(6) WITH TIME ZONE, expected_frequency BIGINT, expected_frequency_in_port BIGINT, frequency_grace_period BIGINT, historyid UUID, install_date TIMESTAMP(6) WITH TIME ZONE, installed_by VARCHAR(255), les_description VARCHAR(255), member_number VARCHAR(255), com_channel_name VARCHAR(255), start_date TIMESTAMP(6) WITH TIME ZONE, uninstall_date TIMESTAMP(6) WITH TIME ZONE, updattime TIMESTAMP(6) WITH TIME ZONE, updateuser VARCHAR(255), mobterm_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-8', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 23, '9:918cfc0f7736b82194dbf43fbdf58815', 'createTable tableName=channel_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-9::thofan (generated)
CREATE TABLE contactinfo (id UUID NOT NULL, assetid UUID, asset_updatetime TIMESTAMP(6) WITH TIME ZONE, cityname VARCHAR(100), country VARCHAR(3), email VARCHAR(255), historyid UUID, name VARCHAR(255), nationality VARCHAR(100), owner BOOLEAN, phone VARCHAR(255), postofficebox VARCHAR(100), postalarea VARCHAR(100), zipcode VARCHAR(100), source VARCHAR(255), streetname VARCHAR(100), type VARCHAR(100), createtime TIMESTAMP(6) WITH TIME ZONE, updatedby VARCHAR(60));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-9', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 25, '9:fd01aeefaa2d4672983824e6c5e21cfa', 'createTable tableName=contactinfo', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-116::kasgul (generated)
CREATE TABLE contactinfo_aud (id UUID NOT NULL, rev INTEGER NOT NULL, revtype SMALLINT, assetid UUID, asset_updatetime TIMESTAMP(6) WITH TIME ZONE, cityname VARCHAR(255), country VARCHAR(255), email VARCHAR(255), historyid UUID, name VARCHAR(255), nationality VARCHAR(255), owner BOOLEAN, phone VARCHAR(255), postofficebox VARCHAR(255), postalarea VARCHAR(255), zipcode VARCHAR(100), source VARCHAR(255), streetname VARCHAR(255), type VARCHAR(255), createtime TIMESTAMP(6) WITHOUT TIME ZONE, updatedby VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-116', 'kasgul (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 27, '9:28848a05c549b27155d665ac704754cd', 'createTable tableName=contactinfo_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-10::thofan (generated)
CREATE TABLE customcode (code VARCHAR(255) NOT NULL, constant VARCHAR(255) NOT NULL, validfromdate TIMESTAMP(6) WITH TIME ZONE NOT NULL, validtodate TIMESTAMP(6) WITH TIME ZONE NOT NULL, description VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-10', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 29, '9:2e174646c1632a3f8052fa33e111988c', 'createTable tableName=customcode', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-11::thofan (generated)
CREATE TABLE customcode_namevalue (customcode_code VARCHAR(255) NOT NULL, customcode_constant VARCHAR(255) NOT NULL, customcode_validfromdate TIMESTAMP(6) WITH TIME ZONE NOT NULL, customcode_validtodate TIMESTAMP(6) WITH TIME ZONE NOT NULL, value VARCHAR(255), key VARCHAR(255) NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-11', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 31, '9:2aced9091d744a65014c366aa1fe4ddf', 'createTable tableName=customcode_namevalue', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-13::thofan (generated)
CREATE TABLE dnid_list (id UUID NOT NULL, dnid VARCHAR(100), plugin_service_name VARCHAR(500), updattim TIMESTAMP(6) WITH TIME ZONE, upuser VARCHAR(60));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-13', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 33, '9:f63918e2866121c76310e1ce6e74e780', 'createTable tableName=dnid_list', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-14::thofan (generated)
CREATE TABLE inmarsatc_oceanregion (id UUID NOT NULL, code INTEGER, name VARCHAR(200), updattim TIMESTAMP(6) WITH TIME ZONE, upuser VARCHAR(60), inmarsatc_history_id UUID NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-14', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 35, '9:f4ddc532f0dd7eb3b03eb2aaf13d1eb6', 'createTable tableName=inmarsatc_oceanregion', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-15::thofan (generated)
CREATE TABLE mobileterminal (id UUID NOT NULL, archived BOOLEAN, createtime TIMESTAMP(6) WITH TIME ZONE, historyid UUID, inactivated BOOLEAN, type VARCHAR(255) NOT NULL, serial_no VARCHAR(255) NOT NULL, source VARCHAR(255) NOT NULL, updatetime TIMESTAMP(6) WITH TIME ZONE, updateuser VARCHAR(60), plugin_id UUID NOT NULL, asset_id UUID, satellite_number VARCHAR(60), antenna VARCHAR(60), transceiver_type VARCHAR(60), software_version VARCHAR(60));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-15', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 37, '9:3c8e00a3c55d8ee28405402672580546', 'createTable tableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-16::thofan (generated)
CREATE TABLE mobileterminal_aud (id UUID NOT NULL, rev INTEGER NOT NULL, revtype SMALLINT, archived BOOLEAN, createtime TIMESTAMP(6) WITH TIME ZONE, historyid UUID, inactivated BOOLEAN, type VARCHAR(255), serial_no VARCHAR(255), source VARCHAR(255), updatetime TIMESTAMP(6) WITH TIME ZONE, updateuser VARCHAR(255), plugin_id UUID, asset_id UUID, satellite_number VARCHAR(60), antenna VARCHAR(60), transceiver_type VARCHAR(60), software_version VARCHAR(60));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-16', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 39, '9:04ac2886345f9376738ade599e5222ae', 'createTable tableName=mobileterminal_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-21::thofan (generated)
CREATE TABLE note (id UUID NOT NULL, activitycode VARCHAR(255), assetid UUID, contact VARCHAR(255), date TIMESTAMP(6) WITH TIME ZONE, document VARCHAR(255), licenseholder VARCHAR(255), notes VARCHAR(255), readydate TIMESTAMP(6) WITH TIME ZONE, sheetnumber VARCHAR(255), source VARCHAR(255), updatetime TIMESTAMP(6) WITH TIME ZONE, updatedby VARCHAR(60), noteuser VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-21', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 41, '9:ec55682ff57ff22bfcd5f8d720eb5dee', 'createTable tableName=note', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-22::thofan (generated)
CREATE TABLE parameter (param_id VARCHAR(500) NOT NULL, param_description VARCHAR(500) NOT NULL, param_value VARCHAR(4000));

COMMENT ON TABLE parameter IS 'Table as a placeholder of parameters and its values';

COMMENT ON COLUMN parameter.param_id IS 'Id and code for parameter.';

COMMENT ON COLUMN parameter.param_description IS 'Description of parameter or value.';

COMMENT ON COLUMN parameter.param_value IS 'Parameter value.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-22', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 43, '9:49dc47970d77b5b4f554b354ed93cbd8', 'createTable tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-23::thofan (generated)
CREATE TABLE plugin (id UUID NOT NULL, description VARCHAR(80), name VARCHAR(40), inactive BOOLEAN, satellite_type VARCHAR(50), service_name VARCHAR(500), updattim TIMESTAMP(6) WITH TIME ZONE, upuser VARCHAR(60));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-23', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 45, '9:528dcc71ef1426dec7e9310b75536d0b', 'createTable tableName=plugin', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-25::thofan (generated)
CREATE TABLE plugin_capability (id UUID NOT NULL, capability VARCHAR(25), updattim TIMESTAMP(6) WITH TIME ZONE, upuser VARCHAR(60), value VARCHAR(25), plugin_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-25', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 47, '9:6ab2aed5efee335dc589cebb53af7de0', 'createTable tableName=plugin_capability', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-27::thofan (generated)
CREATE TABLE poll (id UUID NOT NULL, polltype VARCHAR(255), updattim TIMESTAMP(6) WITH TIME ZONE, upuser VARCHAR(60), pollbase_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-27', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 49, '9:99e6e4d63b166bc99f82f21b0c92f13f', 'createTable tableName=poll', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-28::thofan (generated)
CREATE TABLE pollbase (id UUID NOT NULL, channel_guid UUID NOT NULL, comment VARCHAR(400), createuser VARCHAR(60), connect_id VARCHAR(255), updattim TIMESTAMP(6) WITH TIME ZONE, upuser VARCHAR(255), mobileterminal_id UUID NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-28', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 51, '9:9a2e87fdb0481da3bfe97eb6c9b7a6b7', 'createTable tableName=pollbase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-29::thofan (generated)
CREATE TABLE pollpayload (id UUID NOT NULL, grace_period INTEGER, in_port_grace INTEGER, newdnid VARCHAR(60), newmemberno VARCHAR(60), reporting_freq INTEGER, startdate TIMESTAMP(6) WITH TIME ZONE, stopdate TIMESTAMP(6) WITH TIME ZONE, poll_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-29', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 53, '9:434183aace70624c44bf39cd5be0a02c', 'createTable tableName=pollpayload', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-30::thofan (generated)
CREATE TABLE pollprogram (id UUID NOT NULL, frequency INTEGER, latestruntime TIMESTAMP(6) WITH TIME ZONE, pollstate VARCHAR(255), startdate TIMESTAMP(6) WITH TIME ZONE, stopdate TIMESTAMP(6) WITH TIME ZONE, updattim TIMESTAMP(6) WITH TIME ZONE, upuser VARCHAR(60), pollbase_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-30', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 55, '9:8ad7009ed715cd3552ce2938613212fb', 'createTable tableName=pollprogram', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-31::thofan (generated)
CREATE TABLE revinfo (rev INTEGER NOT NULL, revtstmp BIGINT);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-31', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 57, '9:be78c7920bde471042068a24eef195d0', 'createTable tableName=revinfo', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-32::thofan (generated)
ALTER TABLE asset_aud ADD CONSTRAINT asset_aud_pkey PRIMARY KEY (id, rev);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-32', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 59, '9:a9b9c3ddeae8a1b69f8ae74f32f65096', 'addPrimaryKey constraintName=asset_aud_pkey, tableName=asset_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-33::thofan (generated)
ALTER TABLE asset ADD CONSTRAINT asset_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-33', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 61, '9:687a7c27b5735aae21b53f297c4ab6aa', 'addPrimaryKey constraintName=asset_pkey, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-34::thofan (generated)
ALTER TABLE assetgroup ADD CONSTRAINT assetgroup_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-34', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 63, '9:aaf1a4d9bf34b64136457e92954748e4', 'addPrimaryKey constraintName=assetgroup_pkey, tableName=assetgroup', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-35::thofan (generated)
ALTER TABLE assetgroupfield ADD CONSTRAINT assetgroupfield_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-35', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 65, '9:a60bdbc4c9c603436faa2582b7d68f54', 'addPrimaryKey constraintName=assetgroupfield_pkey, tableName=assetgroupfield', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-36::thofan (generated)
ALTER TABLE channel_aud ADD CONSTRAINT channel_aud_pkey PRIMARY KEY (id, rev);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-36', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 67, '9:85c56beeecc47c7661dd900cf869c6c5', 'addPrimaryKey constraintName=channel_aud_pkey, tableName=channel_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-37::thofan (generated)
ALTER TABLE channel ADD CONSTRAINT channel_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-37', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 69, '9:e9d9bef41f3ed18aea6ecb3b43925427', 'addPrimaryKey constraintName=channel_pkey, tableName=channel', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-38::thofan (generated)
ALTER TABLE contactinfo ADD CONSTRAINT contactinfo_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-38', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 71, '9:f988e90a630fe868c0a0926d1f2e00b6', 'addPrimaryKey constraintName=contactinfo_pkey, tableName=contactinfo', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-117::kasgul (generated)
ALTER TABLE contactinfo_aud ADD CONSTRAINT contactinfo_aud_pkey PRIMARY KEY (id, rev);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-117', 'kasgul (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 73, '9:a177ec033357a4c027f94c97406ed72b', 'addPrimaryKey constraintName=contactinfo_aud_pkey, tableName=contactinfo_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-39::thofan (generated)
ALTER TABLE customcode_namevalue ADD CONSTRAINT customcode_namevalue_pkey PRIMARY KEY (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, key);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-39', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 75, '9:3d2b196e903c834b38f5c72bc546a749', 'addPrimaryKey constraintName=customcode_namevalue_pkey, tableName=customcode_namevalue', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-40::thofan (generated)
ALTER TABLE customcode ADD CONSTRAINT customcode_pkey PRIMARY KEY (code, constant, validfromdate, validtodate);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-40', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 77, '9:f6278894d6bbb6234b645b80e9893d35', 'addPrimaryKey constraintName=customcode_pkey, tableName=customcode', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-42::thofan (generated)
ALTER TABLE dnid_list ADD CONSTRAINT dnid_list_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-42', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 79, '9:96d7eb4935484b1a07b9c4cd20b51f3e', 'addPrimaryKey constraintName=dnid_list_pkey, tableName=dnid_list', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-43::thofan (generated)
ALTER TABLE inmarsatc_oceanregion ADD CONSTRAINT inmarsatc_oceanregion_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-43', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 81, '9:da44195f2b2e253ed7a0f38e61c447d0', 'addPrimaryKey constraintName=inmarsatc_oceanregion_pkey, tableName=inmarsatc_oceanregion', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-44::thofan (generated)
ALTER TABLE mobileterminal_aud ADD CONSTRAINT mobileterminal_aud_pkey PRIMARY KEY (id, rev);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-44', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 83, '9:401a7d6acbe3421c7345555804f81945', 'addPrimaryKey constraintName=mobileterminal_aud_pkey, tableName=mobileterminal_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-45::thofan (generated)
ALTER TABLE mobileterminal ADD CONSTRAINT mobileterminal_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-45', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 85, '9:94114108a73a25cb98f782df267d72c6', 'addPrimaryKey constraintName=mobileterminal_pkey, tableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-50::thofan (generated)
ALTER TABLE note ADD CONSTRAINT note_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-50', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 87, '9:3bba31e3d586fe043d06dee53ebae01a', 'addPrimaryKey constraintName=note_pkey, tableName=note', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-51::thofan (generated)
ALTER TABLE parameter ADD CONSTRAINT param_pk PRIMARY KEY (param_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-51', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 89, '9:6e898191abfbc0e0aea2d6ca254ff4d9', 'addPrimaryKey constraintName=param_pk, tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-54::thofan (generated)
ALTER TABLE plugin_capability ADD CONSTRAINT plugin_capability_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-54', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 91, '9:af1d08e8768a926cc8a66018db71b305', 'addPrimaryKey constraintName=plugin_capability_pkey, tableName=plugin_capability', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-55::thofan (generated)
ALTER TABLE plugin ADD CONSTRAINT plugin_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-55', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 93, '9:6a8b994bf56db96dc54062dccc3a33b4', 'addPrimaryKey constraintName=plugin_pkey, tableName=plugin', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-56::thofan (generated)
ALTER TABLE poll ADD CONSTRAINT poll_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-56', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 95, '9:6d6b91fe22b61e0e6c87c823fab3e7f8', 'addPrimaryKey constraintName=poll_pkey, tableName=poll', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-57::thofan (generated)
ALTER TABLE pollbase ADD CONSTRAINT pollbase_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-57', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 97, '9:697d0ac248f98aca4228e9e0652d7d9b', 'addPrimaryKey constraintName=pollbase_pkey, tableName=pollbase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-58::thofan (generated)
ALTER TABLE pollpayload ADD CONSTRAINT pollpayload_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-58', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 99, '9:1a1756c2d5c98855024e28e70ae84862', 'addPrimaryKey constraintName=pollpayload_pkey, tableName=pollpayload', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-59::thofan (generated)
ALTER TABLE pollprogram ADD CONSTRAINT pollprogram_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-59', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 101, '9:000ed681276067d574be1331946643f4', 'addPrimaryKey constraintName=pollprogram_pkey, tableName=pollprogram', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-60::thofan (generated)
ALTER TABLE revinfo ADD CONSTRAINT revinfo_pkey PRIMARY KEY (rev);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-60', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 103, '9:0c3e7ac31676d6a5ec8303762ad20131', 'addPrimaryKey constraintName=revinfo_pkey, tableName=revinfo', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-61::thofan (generated)
ALTER TABLE asset ADD CONSTRAINT asset_uc_gfcm UNIQUE (gfcm);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-61', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 105, '9:e108324a1016e86e2ec9e29c65f04e95', 'addUniqueConstraint constraintName=asset_uc_gfcm, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-62::thofan (generated)
ALTER TABLE asset ADD CONSTRAINT asset_uc_historyid UNIQUE (historyid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-62', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 107, '9:24ab78395dc8747750f66c8d86eeae5f', 'addUniqueConstraint constraintName=asset_uc_historyid, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-63::thofan (generated)
ALTER TABLE asset ADD CONSTRAINT asset_uc_iccat UNIQUE (iccat);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-63', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 109, '9:4b46d68196e6f42cb9f4a3b698a41d82', 'addUniqueConstraint constraintName=asset_uc_iccat, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-64::thofan (generated)
ALTER TABLE asset ADD CONSTRAINT asset_uc_imo UNIQUE (imo);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-64', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 111, '9:b3413ea0c0417c32b8b591f91e369853', 'addUniqueConstraint constraintName=asset_uc_imo, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-65::thofan (generated)
ALTER TABLE asset ADD CONSTRAINT asset_uc_ircs UNIQUE (ircs);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-65', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 113, '9:53b88619d5efafa842c7d78641f3d119', 'addUniqueConstraint constraintName=asset_uc_ircs, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-66::thofan (generated)
ALTER TABLE asset ADD CONSTRAINT asset_uc_mmsi UNIQUE (mmsi);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-66', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 115, '9:8d013bb0e2b582d23920c54f02412230', 'addUniqueConstraint constraintName=asset_uc_mmsi, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-67::thofan (generated)
ALTER TABLE asset ADD CONSTRAINT asset_uc_uvi UNIQUE (uvi);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-67', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 117, '9:8ba8fee3f5e4b869a1d2b3c4fdde45f0', 'addUniqueConstraint constraintName=asset_uc_uvi, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328880-67::joemat
ALTER TABLE asset ADD CONSTRAINT asset_uc_cfr UNIQUE (cfr);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328880-67', 'joemat', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 119, '9:4bf8a0b8d6081152413a3cb1a51a50bb', 'addUniqueConstraint constraintName=asset_uc_cfr, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-68::thofan (generated)
ALTER TABLE channel ADD CONSTRAINT channel_uc_historyid UNIQUE (historyid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-68', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 121, '9:b281efc9c5655e3b6fc00e60c681ab74', 'addUniqueConstraint constraintName=channel_uc_historyid, tableName=channel', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::4535445328880-100::joemat
ALTER TABLE channel ADD CONSTRAINT channel_uc_dnid_member_number UNIQUE (dnid, member_number);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4535445328880-100', 'joemat', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 123, '9:20b014b0526097fe70b7a6e291e76f43', 'addUniqueConstraint constraintName=channel_uc_dnid_member_number, tableName=channel', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-69::thofan (generated)
ALTER TABLE mobileterminal ADD CONSTRAINT mobileterminal_uc_historyid UNIQUE (historyid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-69', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 125, '9:1d9d5cb2229ea7b39866f4e28476fc88', 'addUniqueConstraint constraintName=mobileterminal_uc_historyid, tableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-70::thofan (generated)
ALTER TABLE plugin ADD CONSTRAINT plugin_uc_service_name UNIQUE (service_name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-70', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 127, '9:e9b200a5b96d95201d17ab646e336141', 'addUniqueConstraint constraintName=plugin_uc_service_name, tableName=plugin', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::4535445328880-99::thofan (generated)
ALTER TABLE mobileterminal ADD CONSTRAINT mobileterminal_uc_serialnumber UNIQUE (serial_no);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4535445328880-99', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 129, '9:a0d8d3c9989e7bc2c79465e03b68a3ac', 'addUniqueConstraint constraintName=mobileterminal_uc_serialnumber, tableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-71::thofan (generated)
CREATE INDEX assetgroupfield_assetgroup_fk_inx10 ON assetgroupfield(assetgroup);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-71', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 131, '9:34211d63f1c133ebfbfc8cec0560d6d2', 'createIndex indexName=assetgroupfield_assetgroup_fk_inx10, tableName=assetgroupfield', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-72::thofan (generated)
CREATE INDEX channel_inx01 ON channel(dnid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-72', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 133, '9:8cc2d1411d086ca5016be81bca0999d2', 'createIndex indexName=channel_inx01, tableName=channel', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-74::thofan (generated)
CREATE INDEX channel_mobterm_fk_inx01 ON channel(mobterm_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-74', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 135, '9:3410e8dbeca5b1cdfb9296d3c62f1cfb', 'createIndex indexName=channel_mobterm_fk_inx01, tableName=channel', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-75::thofan (generated)
CREATE INDEX dnid_list_inx_01 ON dnid_list(dnid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-75', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 137, '9:3dace2faed6711bb5bd398174ddb6deb', 'createIndex indexName=dnid_list_inx_01, tableName=dnid_list', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-76::thofan (generated)
CREATE INDEX inmarsatc_oceanregion_mobterm_event_fk_inx01 ON inmarsatc_oceanregion(inmarsatc_history_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-76', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 139, '9:c45d4a6de7ebcd091dcc8f3d989d2fbe', 'createIndex indexName=inmarsatc_oceanregion_mobterm_event_fk_inx01, tableName=inmarsatc_oceanregion', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-77::thofan (generated)
CREATE INDEX mobileterminal_inx01 ON mobileterminal(serial_no);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-77', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 141, '9:12790a5f3375216f1a0c919edaefc7c1', 'createIndex indexName=mobileterminal_inx01, tableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-78::thofan (generated)
CREATE INDEX mobileterminal_plugin_fk_inx01 ON mobileterminal(plugin_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-78', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 143, '9:40e18058155c0b104f360a7b8f6db93e', 'createIndex indexName=mobileterminal_plugin_fk_inx01, tableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-80::thofan (generated)
CREATE INDEX mobileterminal_asset_fk_inx10 ON mobileterminal(asset_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-80', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 145, '9:bba0066d5c8e55683474190c1a4ba7df', 'createIndex indexName=mobileterminal_asset_fk_inx10, tableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-85::thofan (generated)
CREATE INDEX note_asset_fk_inx10 ON note(assetid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-85', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 147, '9:c98c772175fb29054391dd5c23e856cc', 'createIndex indexName=note_asset_fk_inx10, tableName=note', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-116::thofan (generated)
CREATE INDEX contactinfo_asset_fk_inx10 ON contactinfo(assetid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-116', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 149, '9:b3b2be04c7ee83460ec6a712a1918250', 'createIndex indexName=contactinfo_asset_fk_inx10, tableName=contactinfo', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-86::thofan (generated)
CREATE INDEX plugin_capability_plugin_fk_inx10 ON plugin_capability(plugin_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-86', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 151, '9:cb07a3c0ad95c85e1ef1e9dcb7a86f6c', 'createIndex indexName=plugin_capability_plugin_fk_inx10, tableName=plugin_capability', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-87::thofan (generated)
CREATE INDEX poll1_pollbase_fk_inx10 ON poll(pollbase_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-87', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 153, '9:d5d1ef7c9eb7d0f5754e5363fbdfbf37', 'createIndex indexName=poll1_pollbase_fk_inx10, tableName=poll', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-88::thofan (generated)
CREATE INDEX pollbase_channel_fk_inx10 ON pollbase(channel_guid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-88', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 155, '9:86f54613f7401c866772143b936b384b', 'createIndex indexName=pollbase_channel_fk_inx10, tableName=pollbase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-89::thofan (generated)
CREATE INDEX pollbase_mobterm_fk_inx10 ON pollbase(mobileterminal_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-89', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 157, '9:cbe8078654351b49d27681c216ad6b48', 'createIndex indexName=pollbase_mobterm_fk_inx10, tableName=pollbase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-90::thofan (generated)
CREATE INDEX pollpayload_poll_fk_inx10 ON pollpayload(poll_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-90', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 159, '9:9710a99add18eafb67accd12494026dd', 'createIndex indexName=pollpayload_poll_fk_inx10, tableName=pollpayload', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-91::thofan (generated)
CREATE INDEX pollprogram_pollbase_fk_inx10 ON pollprogram(pollbase_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-91', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 161, '9:629abd3caf1be19289b6e7241a37ee1a', 'createIndex indexName=pollprogram_pollbase_fk_inx10, tableName=pollprogram', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-92::thofan (generated)
ALTER TABLE assetgroupfield ADD CONSTRAINT assetgroupfield_assetgroup_fk FOREIGN KEY (assetgroup) REFERENCES assetgroup (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-92', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 163, '9:05c1ec419a568a5f2a7a4b24e1dad418', 'addForeignKeyConstraint baseTableName=assetgroupfield, constraintName=assetgroupfield_assetgroup_fk, referencedTableName=assetgroup', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-93::thofan (generated)
ALTER TABLE channel ADD CONSTRAINT channel_mobileterminal_fk FOREIGN KEY (mobterm_id) REFERENCES mobileterminal (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-93', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 165, '9:ebc7aab7dc9f8c4bf77945f0be282e94', 'addForeignKeyConstraint baseTableName=channel, constraintName=channel_mobileterminal_fk, referencedTableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-95::thofan (generated)
ALTER TABLE mobileterminal_aud ADD CONSTRAINT fk3r4svjbsvkxgvfguo50khajk2 FOREIGN KEY (rev) REFERENCES revinfo (rev) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-95', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 167, '9:c72cf6f6399747dc9a89090210742a49', 'addForeignKeyConstraint baseTableName=mobileterminal_aud, constraintName=fk3r4svjbsvkxgvfguo50khajk2, referencedTableName=revinfo', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-118::kasgul (generated)
ALTER TABLE contactinfo_aud ADD CONSTRAINT fk7nb5ms3cc7s1ccd4248lrvq90 FOREIGN KEY (rev) REFERENCES revinfo (rev) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-118', 'kasgul (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 169, '9:723a9c709c6dfaf750bfde08a5f52cb1', 'addForeignKeyConstraint baseTableName=contactinfo_aud, constraintName=fk7nb5ms3cc7s1ccd4248lrvq90, referencedTableName=revinfo', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-99::thofan (generated)
ALTER TABLE channel_aud ADD CONSTRAINT fkjcnf5hokby2hgv1gaeed8d0o8 FOREIGN KEY (rev) REFERENCES revinfo (rev) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-99', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 171, '9:21ee534aa53e051868428e474019db46', 'addForeignKeyConstraint baseTableName=channel_aud, constraintName=fkjcnf5hokby2hgv1gaeed8d0o8, referencedTableName=revinfo', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-101::thofan (generated)
ALTER TABLE asset_aud ADD CONSTRAINT fklq7kauhigk0mdew67qs2l39ci FOREIGN KEY (rev) REFERENCES revinfo (rev) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-101', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 173, '9:3d8e805562d00d7f66b41eeea86ebfe6', 'addForeignKeyConstraint baseTableName=asset_aud, constraintName=fklq7kauhigk0mdew67qs2l39ci, referencedTableName=revinfo', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-102::thofan (generated)
ALTER TABLE customcode_namevalue ADD CONSTRAINT customcode_namevalue_customcode_fk FOREIGN KEY (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate) REFERENCES customcode (code, constant, validfromdate, validtodate) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-102', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 175, '9:70d9d3d7b9b63091b821c2e5ba2e0cb3', 'addForeignKeyConstraint baseTableName=customcode_namevalue, constraintName=customcode_namevalue_customcode_fk, referencedTableName=customcode', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-104::thofan (generated)
ALTER TABLE mobileterminal ADD CONSTRAINT mobileterminal_plugin_fk FOREIGN KEY (plugin_id) REFERENCES plugin (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-104', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 177, '9:85e33c39629bb7970973c9bc1cc335fa', 'addForeignKeyConstraint baseTableName=mobileterminal, constraintName=mobileterminal_plugin_fk, referencedTableName=plugin', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-106::thofan (generated)
ALTER TABLE mobileterminal ADD CONSTRAINT mobileterminal_asset_fk FOREIGN KEY (asset_id) REFERENCES asset (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-106', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 179, '9:1ed5246e286ca6e5dd2e55b5dc79d665', 'addForeignKeyConstraint baseTableName=mobileterminal, constraintName=mobileterminal_asset_fk, referencedTableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-111::thofan (generated)
ALTER TABLE plugin_capability ADD CONSTRAINT plugin_capability_plugin_fk FOREIGN KEY (plugin_id) REFERENCES plugin (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-111', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 181, '9:722d8bb12116c549f25f96c27d9be720', 'addForeignKeyConstraint baseTableName=plugin_capability, constraintName=plugin_capability_plugin_fk, referencedTableName=plugin', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-112::thofan (generated)
ALTER TABLE poll ADD CONSTRAINT poll_pollbase_fk FOREIGN KEY (pollbase_id) REFERENCES pollbase (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-112', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 183, '9:c53029602c045f9e4b04fd9efab503dc', 'addForeignKeyConstraint baseTableName=poll, constraintName=poll_pollbase_fk, referencedTableName=pollbase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-113::thofan (generated)
ALTER TABLE pollbase ADD CONSTRAINT pollbase_mobileterminal_fk FOREIGN KEY (mobileterminal_id) REFERENCES mobileterminal (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-113', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 185, '9:2e6e37c4c8ffb4b8a2d53aeeae37f558', 'addForeignKeyConstraint baseTableName=pollbase, constraintName=pollbase_mobileterminal_fk, referencedTableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-114::thofan (generated)
ALTER TABLE pollpayload ADD CONSTRAINT pollpayload_poll_fk FOREIGN KEY (poll_id) REFERENCES poll (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-114', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 187, '9:26f95c98a306a6943f1a168dacc77603', 'addForeignKeyConstraint baseTableName=pollpayload, constraintName=pollpayload_poll_fk, referencedTableName=poll', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/db-changelog-createTables.xml::1535445328879-115::thofan (generated)
ALTER TABLE pollprogram ADD CONSTRAINT pollprograme_pollbase_fk FOREIGN KEY (pollbase_id) REFERENCES pollbase (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-115', 'thofan (generated)', 'changelog/v1.0/db-changelog-createTables.xml', NOW(), 189, '9:ca3c42275cc8c1982dd399978af83a6f', 'addForeignKeyConstraint baseTableName=pollprogram, constraintName=pollprograme_pollbase_fk, referencedTableName=pollbase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/inserCustomCodes.xml::1534337702832-1::thofan (generated)
INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LONDON', 'UNIT_TONNAGE', '1970-01-01', '3070-01-01', 'London');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('OSLO', 'UNIT_TONNAGE', '1970-01-01', '3070-01-01', 'Oslo');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LOA', 'UNIT_LENGTH', '1970-01-01', '3070-01-01', 'Loa');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LBP', 'UNIT_LENGTH', '1970-01-01', '3070-01-01', 'Lbp');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('VESSEL', 'ASSET_TYPE', '1970-01-01', '3070-01-01', 'Vessel');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('MOCK-license-DB', 'LICENSE_TYPE', '1970-01-01', '3070-01-01', 'MOCK-license-DB');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('SWE', 'FLAG_STATE', '1970-01-01', '3070-01-01', 'Sverige');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('DNK', 'FLAG_STATE', '1970-01-01', '3070-01-01', 'Danmark');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('NOR', 'FLAG_STATE', '1970-01-01', '3070-01-01', 'Norge');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('0-11,99', 'SPAN_LENGTH_LOA', '1970-01-01', '3070-01-01', '0-11,99');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('12-14,99', 'SPAN_LENGTH_LOA', '1970-01-01', '3070-01-01', '12-14,99');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('15-17,99', 'SPAN_LENGTH_LOA', '1970-01-01', '3070-01-01', '15-17,99');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('18-23,99', 'SPAN_LENGTH_LOA', '1970-01-01', '3070-01-01', '18-23,99');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('24+', 'SPAN_LENGTH_LOA', '1970-01-01', '3070-01-01', '24+');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('0-99', 'SPAN_POWER_MAIN', '1970-01-01', '3070-01-01', '0-99');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('100-199', 'SPAN_POWER_MAIN', '1970-01-01', '3070-01-01', '100-199');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('200-299', 'SPAN_POWER_MAIN', '1970-01-01', '3070-01-01', '200-299');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('300+', 'SPAN_POWER_MAIN', '1970-01-01', '3070-01-01', '300+');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('0', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '0');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('1', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '1');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('10', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '10');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('12', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '12');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('14', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '14');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('2', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '2');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('3', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '3');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('39', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '39');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('4', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '4');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('5', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '5');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('6', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '6');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('7', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '7');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('71', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '71');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('8', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '8');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('80', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '80');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('81', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '81');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('82', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '82');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('9', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '9');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('90', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '90');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('98', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '98');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('99', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '99');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('999', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', '999');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('EL1', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'EL1');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('EL2', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'EL2');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('EL3', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'EL3');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('EL4', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'EL4');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('K01', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'K01');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('K02', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'K02');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('K03', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'K03');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('K04', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'K04');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('K06', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'K06');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('K07', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'K07');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('K08', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'K08');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('K09', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'K09');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('SAN', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'SAN');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('SAT', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'SAT');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('T1', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'T1');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('T2', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'T2');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('U1', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'U1');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('U2', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'U2');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('U3', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'U3');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V00', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V00');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V01', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V01');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V02', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V02');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V03', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V03');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V04', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V04');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V05', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V05');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V06', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V06');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V07', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V07');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V08', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V08');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V09', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V09');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V10', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V10');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V11', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V11');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V12', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V12');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V13', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V13');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V14', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V14');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V15', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V15');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V16', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V16');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V17', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V17');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V18', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V18');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V19', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V19');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V20', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V20');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V21', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V21');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V22', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V22');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V23', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V23');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V24', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V24');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V25', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V25');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V26', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V26');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V28', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V28');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V29', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V29');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V30', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V30');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V31', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V31');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V32', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V32');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V33', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V33');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V35', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V35');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V40', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V40');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V41', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V41');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V42', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V42');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V43', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V43');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V45', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V45');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V49', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V49');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V50', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V50');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V51', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V51');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V52', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V52');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V53', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V53');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V54', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V54');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V60', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V60');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V61', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V61');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V62', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V62');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V63', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V63');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V65', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V65');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V75', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V75');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V80', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V80');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V85', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V85');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V86', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V86');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V90', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V90');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V92', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V92');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V93', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V93');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V95', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V95');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V96', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V96');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V98', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V98');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('V99', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'V99');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('X1', 'ACTIVITY_CODE', '1970-01-01', '3070-01-01', 'X1');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('P', 'FISHING_TYPE', '1970-01-01', '3070-01-01', 'Pelagic');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('D', 'FISHING_TYPE', '1970-01-01', '3070-01-01', 'Demersal');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('DP', 'FISHING_TYPE', '1970-01-01', '3070-01-01', 'Demersal and pelagic');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('U', 'FISHING_TYPE', '1970-01-01', '3070-01-01', 'Unknown');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('Trawl', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'Trawl');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('Scrapingtool', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'Scrapingtool');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('Lift nets', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'Lift nets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('Gillnets and similar nets', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'Gillnets and similar nets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('Trap', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'Fishing trap');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('Hooks and lines', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'Hooks and lines');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('Unknown', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'Unknown fishing tool');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('None', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'No fishing tool');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('Surrounding nets', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'Surrounding nets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('Seines', 'FISHING_GEAR_TYPE', '1970-01-01', '3070-01-01', 'Seines');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('S', 'FISHING_GEAR_MOBILITY', '1970-01-01', '3070-01-01', 'Stationary');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('T', 'FISHING_GEAR_MOBILITY', '1970-01-01', '3070-01-01', 'Towed');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('M', 'FISHING_GEAR_MOBILITY', '1970-01-01', '3070-01-01', 'Mobil');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('U', 'FISHING_GEAR_MOBILITY', '1970-01-01', '3070-01-01', 'Unknown');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('PS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Purse seines');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LA', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Lampara nets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('SB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Beach seines');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('SDN', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Danish seines');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('SSC', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Scottish seines');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('SPR', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Pair seines');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('TBB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Beam trawls');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('OTB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Bottom otter trawls');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('PTB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Bottom pair trawls');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('OTM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Midwater otter trawls');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('PTM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Pelagic pair trawls');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('OTT', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Otter twin trawls');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('DRB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Boat dredges');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('DRH', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Hand dredges used on board a vessel');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('HMD', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Mechanised dredges including suction dredges');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LNB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Boat operated lift nets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LNS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Shore-operated stationary lift nets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('GNS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Set (anchored) gillnets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('GND', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Driftnets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('GNC', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Encircling gillnets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('GTR', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Trammel nets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('GTN', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Combined trammel and gillnets');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('FPO', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Pots (traps)');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LHP', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Hand lines and pole lines (hand operated)');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LHM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Hand lines and pole lines (mechanised)');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LLS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Set longlines');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LLD', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Longlines (drifting)');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('LTL', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Troll lines');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('NK', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Unknown');

INSERT INTO customcode (code, constant, validfromdate, validtodate, description) VALUES ('NO', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'No gear');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1534337702832-1', 'thofan (generated)', 'changelog/v1.0/inserCustomCodes.xml', NOW(), 191, '9:a6ac8c6b340524fa35da80da7ded2228', 'insert tableName=customcode; insert tableName=customcode; insert tableName=customcode; insert tableName=customcode; insert tableName=customcode; insert tableName=customcode; insert tableName=customcode; insert tableName=customcode; insert tableNam...', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/inserCustomCodes.xml::1534337702832-2::thofan (generated)
INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('PS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'P', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('PS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'M', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('PS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Surrounding nets', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LA', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'P', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LA', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'M', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LA', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Surrounding nets', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Seines', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SDN', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SDN', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SDN', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Seines', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SSC', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SSC', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SSC', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Seines', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SPR', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SPR', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('SPR', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Seines', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('TBB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'D', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('TBB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('TBB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Trawl', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('OTB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'D', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('OTB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('OTB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Trawl', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('PTB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('PTB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('PTB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Trawl', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('OTM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('OTM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('OTM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Trawl', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('PTM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('PTM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('PTM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Trawl', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('OTT', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('OTT', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('OTT', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Trawl', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('DRB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'D', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('DRB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('DRB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Scrapingtool', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('DRH', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'D', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('DRH', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('DRH', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Scrapingtool', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('HMD', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'D', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('HMD', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'T', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('HMD', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Scrapingtool', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LNB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'P', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LNB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'M', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LNB', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Lift nets', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LNS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'P', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LNS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'M', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LNS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Lift nets', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GNS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'D', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GNS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GNS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Gillnets and similar nets', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GND', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GND', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GND', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Gillnets and similar nets', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GNC', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GNC', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GNC', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Gillnets and similar nets', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GTR', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GTR', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GTR', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Gillnets and similar nets', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GTN', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GTN', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('GTN', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Gillnets and similar nets', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('FPO', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'D', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('FPO', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('FPO', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Trap', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LHP', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LHP', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LHP', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Hooks and lines', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LHM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'DP', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LHM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LHM', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Hooks and lines', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LLS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'D', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LLS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LLS', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Hooks and lines', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LLD', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'P', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LLD', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'S', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LLD', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Hooks and lines', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LTL', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'P', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LTL', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'M', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('LTL', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Hooks and lines', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('NK', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'U', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('NK', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'U', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('NK', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'Unknown', 'FISHING_GEAR_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('NO', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'U', 'FISHING_TYPE');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('NO', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'U', 'FISHING_GEAR_MOBILITY');

INSERT INTO customcode_namevalue (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate, value, key) VALUES ('NO', 'FISHING_GEAR', '1970-01-01', '3070-01-01', 'None', 'FISHING_GEAR_TYPE');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1534337702832-2', 'thofan (generated)', 'changelog/v1.0/inserCustomCodes.xml', NOW(), 193, '9:22828907ce3384a2aaf99691a23c676a', 'insert tableName=customcode_namevalue; insert tableName=customcode_namevalue; insert tableName=customcode_namevalue; insert tableName=customcode_namevalue; insert tableName=customcode_namevalue; insert tableName=customcode_namevalue; insert tableN...', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v1.0/insertParameter.xml::Insert static parameter values_v_04::jojoha
INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'ASSET.DEFAULT.FLAGSTATE', 'SWE');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'ASSET.EU.SERVICE.CLIENT.CERT.HEADER', 'Client-Cert');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'ASSET.EU.SERVICE.CLIENT.CERT.VALUE', 'jojoha');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'ASSET.EU.SERVICE.DATAFLOW', 'urn:xeu:ec:fisheries:flux-bl:fr-vesseldeclaration:1');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'ASSET.EU.SERVICE.ENDPOINT', 'http://livm58t:8080/BridgeWebApp/connector');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'ASSET.EU.SERVICE.FLUX.AD', 'XEU');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'ASSET.EU.USE', 'Use EU register of assets.');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'ASSET.NATIONAL.USE', 'Use national register of assets.');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'NATIONAL_EQUIPMENT_SERVICE_ENDPOINT', 'http://livm60t.havochvatten.se:8080/EquipmentService/EquipmentPortTypeImpl');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'NATIONAL_GENERAL_NOTIFICATION_SERVICE_ENDPOINT', 'http://osbtest.havochvatten.se:8011/esb/GeneralNotification/v1');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'NATIONAL_SERVICE_ENDPOINT', 'http://osbtest.havochvatten.se:8011/esb/Vessel/v2');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'NATIONAL_VESSEL_COMP_SERVICE_ENDPOINT', 'http://osbtest.havochvatten.se:8011/esb/VesselComp/v2');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'NATIONAL_VESSEL_NATIONS', 'SWE,DNK');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'VESSEL.EU.USE', 'Use EU register of vessels.');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'VESSEL.NATIONAL.USE', 'Use national register of vessels.');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Insert static parameter values_v_04', 'jojoha', 'changelog/v1.0/insertParameter.xml', NOW(), 195, '9:b0aad2598eab9c755baf8f9191b96b7f', 'insert tableName=parameter; insert tableName=parameter; insert tableName=parameter; insert tableName=parameter; insert tableName=parameter; insert tableName=parameter; insert tableName=parameter; insert tableName=parameter; insert tableName=parame...', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.0.44/db-changelog_1.xml::Insert_Comment_Column::kasim
ALTER TABLE asset ADD comment VARCHAR(255);

ALTER TABLE asset_aud ADD comment VARCHAR(255);

ALTER TABLE mobileterminal ADD comment VARCHAR(255);

ALTER TABLE mobileterminal_aud ADD comment VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Insert_Comment_Column', 'kasim', 'changelog/v6.0.44/db-changelog_1.xml', NOW(), 197, '9:346a268594f6c29b46c774bd34d9ac2c', 'addColumn tableName=asset; addColumn tableName=asset_aud; addColumn tableName=mobileterminal; addColumn tableName=mobileterminal_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.0.58/added_asset_remap_table.xml::add_asset_remap_table::joemat
CREATE TABLE assetremapmapping (id UUID NOT NULL, oldassetid UUID, newassetid UUID, createddate TIMESTAMP(6) WITH TIME ZONE);

ALTER TABLE assetremapmapping ADD CONSTRAINT asset_remap_mapping_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_asset_remap_table', 'joemat', 'changelog/v6.0.58/added_asset_remap_table.xml', NOW(), 199, '9:d6d3551831a29fcef97fd54ee7e2c9e4', 'createTable tableName=assetremapmapping; addPrimaryKey constraintName=asset_remap_mapping_pkey, tableName=assetremapmapping', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v0.4/insertParameter.xml::Insert static parameter values::jojoha
INSERT INTO parameter (param_id, param_value, param_description) VALUES ('mobileterminal.national.use', 'TRUE', 'Local terminal (true/false).');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Insert static parameter values', 'jojoha', 'changelog/v0.4/insertParameter.xml', NOW(), 201, '9:20c88cebac4b3a103690f4e14d4a456f', 'insert tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v0.4/insertOceanRegion.xml::insert oceanregion INMARSAT-C values::johlyn
INSERT INTO oceanregion (id, code, name, "desc", updattim, upuser) VALUES ('00000000-0000-0000-0000-000000000001', '581', 'EAST_ATLANTIC', 'East Atlantic', NOW(), 'johlyn');

INSERT INTO oceanregion (id, code, name, "desc", updattim, upuser) VALUES ('00000000-0000-0000-0000-000000000002', '582', 'PACIFIC', 'Pacific', NOW(), 'johlyn');

INSERT INTO oceanregion (id, code, name, "desc", updattim, upuser) VALUES ('00000000-0000-0000-0000-000000000003', '583', 'INDIAN', 'Indian', NOW(), 'johlyn');

INSERT INTO oceanregion (id, code, name, "desc", updattim, upuser) VALUES ('00000000-0000-0000-0000-000000000004', '584', 'WEST_ATLANTIC', 'West Atlantic', NOW(), 'johlyn');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('insert oceanregion INMARSAT-C values', 'johlyn', 'changelog/v0.4/insertOceanRegion.xml', NOW(), 203, '9:5af11d3ca066abee08f5a53b7fc3baa8', 'insert tableName=oceanregion; insert tableName=oceanregion; insert tableName=oceanregion; insert tableName=oceanregion', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.0.65/drop_ocean_region_table.xml::Drop OceanRegion Table::kasim
DROP TABLE oceanregion CASCADE;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Drop OceanRegion Table', 'kasim', 'changelog/v6.0.65/drop_ocean_region_table.xml', NOW(), 205, '9:da07fa650507d802799a5942a08bc9ea', 'dropTable tableName=oceanregion', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.0.65/mt_add_ocean_region_columns.xml::Add OceanRegion columns to MT::kasim
ALTER TABLE mobileterminal ADD aor_e BOOLEAN;

ALTER TABLE mobileterminal ADD aor_w BOOLEAN;

ALTER TABLE mobileterminal ADD por BOOLEAN;

ALTER TABLE mobileterminal ADD ior BOOLEAN;

ALTER TABLE mobileterminal_aud ADD aor_e BOOLEAN;

ALTER TABLE mobileterminal_aud ADD aor_w BOOLEAN;

ALTER TABLE mobileterminal_aud ADD por BOOLEAN;

ALTER TABLE mobileterminal_aud ADD ior BOOLEAN;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add OceanRegion columns to MT', 'kasim', 'changelog/v6.0.65/mt_add_ocean_region_columns.xml', NOW(), 207, '9:42dd74b7ae263f2c23724cb49f1f9946', 'addColumn tableName=mobileterminal; addColumn tableName=mobileterminal; addColumn tableName=mobileterminal; addColumn tableName=mobileterminal; addColumn tableName=mobileterminal_aud; addColumn tableName=mobileterminal_aud; addColumn tableName=mob...', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.0.65/drop_inmarsatc_oceanregion_table.xml::Drop inmarsatc_oceanregion Table::kasim
DROP TABLE inmarsatc_oceanregion CASCADE;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Drop inmarsatc_oceanregion Table', 'kasim', 'changelog/v6.0.65/drop_inmarsatc_oceanregion_table.xml', NOW(), 209, '9:0aaa88a872d4eb5d6617d3ffdf82fe66', 'dropTable tableName=inmarsatc_oceanregion', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.0.70/rename_inactivated_in_MT_to_active.xml::Rename inactivated in MT to active::joemat
ALTER TABLE mobileterminal RENAME COLUMN inactivated TO active;

ALTER TABLE mobileterminal_aud RENAME COLUMN inactivated TO active;

UPDATE mobileterminal SET active = (select not active from mobileterminal mt where mt.id = mobileterminal.id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Rename inactivated in MT to active', 'joemat', 'changelog/v6.0.70/rename_inactivated_in_MT_to_active.xml', NOW(), 211, '9:eb90c927376df7c725522c8c2dab19ad', 'renameColumn newColumnName=active, oldColumnName=inactivated, tableName=mobileterminal; renameColumn newColumnName=active, oldColumnName=inactivated, tableName=mobileterminal_aud; update tableName=mobileterminal', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.2.3/national_endpoint_parameter.xml::use_single_national_base_endpoint::peerik
DELETE FROM parameter WHERE param_id in
                ('NATIONAL_EQUIPMENT_SERVICE_ENDPOINT','NATIONAL_GENERAL_NOTIFICATION_SERVICE_ENDPOINT','NATIONAL_SERVICE_ENDPOINT','NATIONAL_VESSEL_COMP_SERVICE_ENDPOINT');

INSERT INTO parameter (param_description, param_id, param_value) VALUES ('PARAMETER', 'NATIONAL_SERVICE_ENDPOINT', 'http://osbtest.havochvatten.se:8011');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('use_single_national_base_endpoint', 'peerik', 'changelog/v6.2.3/national_endpoint_parameter.xml', NOW(), 213, '9:b855ad2db9cac9bfb8caa2d92c0be8c6', 'delete tableName=parameter; insert tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.2.6/poll_payload_remove_unused_columns.xml::Remove unused columns from PollPayload::kasim
ALTER TABLE pollpayload DROP COLUMN newdnid;

ALTER TABLE pollpayload DROP COLUMN newmemberno;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Remove unused columns from PollPayload', 'kasim', 'changelog/v6.2.6/poll_payload_remove_unused_columns.xml', NOW(), 215, '9:b78099ea907ddf0f10e8cd7da1d27a59', 'dropColumn columnName=newdnid, tableName=pollpayload; dropColumn columnName=newmemberno, tableName=pollpayload', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.2.6/drop_old_poll_tables_and_create_new.xml::Drop old poll tables and create new ones::kasim
DROP TABLE poll CASCADE;

DROP TABLE pollpayload CASCADE;

DROP TABLE pollprogram CASCADE;

CREATE TABLE poll_program (id UUID NOT NULL, frequency INTEGER, startdate TIMESTAMP WITHOUT TIME ZONE, stopdate TIMESTAMP WITHOUT TIME ZONE, latestruntime TIMESTAMP WITHOUT TIME ZONE, pollstate VARCHAR(10));

CREATE TABLE poll_configuration (id UUID NOT NULL, reporting_freq INTEGER, grace_period INTEGER, in_port_grace INTEGER);

CREATE TABLE poll_sampling (id UUID NOT NULL, startdate TIMESTAMP WITHOUT TIME ZONE, stopdate TIMESTAMP WITHOUT TIME ZONE);

ALTER TABLE pollbase ADD poll_type VARCHAR(20);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Drop old poll tables and create new ones', 'kasim', 'changelog/v6.2.6/drop_old_poll_tables_and_create_new.xml', NOW(), 217, '9:10c004aa892c8cd9bc5c072b28430cbf', 'dropTable tableName=poll; dropTable tableName=pollpayload; dropTable tableName=pollprogram; createTable tableName=poll_program; createTable tableName=poll_configuration; createTable tableName=poll_sampling; addColumn tableName=pollbase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.2.7/move_installed_date_from_channel_to_mobileterminal.xml::Move installed date from channel to mobileterminal::joemat
ALTER TABLE channel DROP COLUMN install_date;

ALTER TABLE channel DROP COLUMN uninstall_date;

ALTER TABLE channel DROP COLUMN installed_by;

ALTER TABLE channel_aud DROP COLUMN install_date;

ALTER TABLE channel_aud DROP COLUMN uninstall_date;

ALTER TABLE channel_aud DROP COLUMN installed_by;

ALTER TABLE mobileterminal ADD install_date TIMESTAMP(6) WITH TIME ZONE;

ALTER TABLE mobileterminal ADD uninstall_date TIMESTAMP(6) WITH TIME ZONE;

ALTER TABLE mobileterminal ADD installed_by VARCHAR(255);

ALTER TABLE mobileterminal_aud ADD install_date TIMESTAMP(6) WITH TIME ZONE;

ALTER TABLE mobileterminal_aud ADD uninstall_date TIMESTAMP(6) WITH TIME ZONE;

ALTER TABLE mobileterminal_aud ADD installed_by VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Move installed date from channel to mobileterminal', 'joemat', 'changelog/v6.2.7/move_installed_date_from_channel_to_mobileterminal.xml', NOW(), 219, '9:a2be0653374fb80f737ad188853bbdac', 'dropColumn columnName=install_date, tableName=channel; dropColumn columnName=uninstall_date, tableName=channel; dropColumn columnName=installed_by, tableName=channel; dropColumn columnName=install_date, tableName=channel_aud; dropColumn columnName...', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.3.2/create_index_on_flagstate.xml::Create index on flagstatecode::joemat
CREATE INDEX asset_flagstatecode_idx ON asset(flagstatecode);

CREATE INDEX asset_aud_flagstatecode_idx ON asset_aud(flagstatecode);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create index on flagstatecode', 'joemat', 'changelog/v6.3.2/create_index_on_flagstate.xml', NOW(), 221, '9:b166ef804c8b35ad197a297095db114f', 'createIndex indexName=asset_flagstatecode_idx, tableName=asset; createIndex indexName=asset_aud_flagstatecode_idx, tableName=asset_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.3.4/note_refactoring.xml::Note refactoring::joemat
DROP TABLE note;

CREATE TABLE note (id UUID, asset_id UUID, note TEXT, created_by TEXT, created_date TIMESTAMP(6) WITH TIME ZONE);

CREATE INDEX note_asset_id_idx ON note(asset_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Note refactoring', 'joemat', 'changelog/v6.3.4/note_refactoring.xml', NOW(), 223, '9:f48a0b690d0d6d6150db8bb86c69451f', 'dropTable tableName=note; createTable tableName=note; createIndex indexName=note_asset_id_idx, tableName=note', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.3.4/customcode_namevalue_customcode_fk.xml::Cascade CustomRule on Delete::kasim
ALTER TABLE customcode_namevalue DROP CONSTRAINT customcode_namevalue_customcode_fk;

ALTER TABLE customcode_namevalue ADD CONSTRAINT customcode_namevalue_customcode_fk FOREIGN KEY (customcode_code, customcode_constant, customcode_validfromdate, customcode_validtodate) REFERENCES customcode (code, constant, validfromdate, validtodate) ON UPDATE CASCADE ON DELETE CASCADE;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Cascade CustomRule on Delete', 'kasim', 'changelog/v6.3.4/customcode_namevalue_customcode_fk.xml', NOW(), 225, '9:541218abae67f458ed75b02b0a4330aa', 'dropForeignKeyConstraint baseTableName=customcode_namevalue, constraintName=customcode_namevalue_customcode_fk; addForeignKeyConstraint baseTableName=customcode_namevalue, constraintName=customcode_namevalue_customcode_fk, referencedTableName=cust...', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.6.3/dnid_and_member_number_to_integer.xml::Make dnid and member number into ints instead of strings::joemat
ALTER TABLE channel ALTER COLUMN dnid TYPE INTEGER USING (dnid::INTEGER);

ALTER TABLE channel_aud ALTER COLUMN dnid TYPE INTEGER USING (dnid::INTEGER);

ALTER TABLE channel ALTER COLUMN member_number TYPE INTEGER USING (member_number::INTEGER);

ALTER TABLE channel_aud ALTER COLUMN member_number TYPE INTEGER USING (member_number::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Make dnid and member number into ints instead of strings', 'joemat', 'changelog/v6.6.3/dnid_and_member_number_to_integer.xml', NOW(), 227, '9:ab1044f7bb71c8944dee3cb669b3346b', 'modifyDataType columnName=dnid, tableName=channel; modifyDataType columnName=dnid, tableName=channel_aud; modifyDataType columnName=member_number, tableName=channel; modifyDataType columnName=member_number, tableName=channel_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.6.3/dnid_and_member_number_to_integer.xml::Drop dnid_list::joemat
DROP TABLE dnid_list;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Drop dnid_list', 'joemat', 'changelog/v6.6.3/dnid_and_member_number_to_integer.xml', NOW(), 229, '9:a4bfea6f543b8ddecb102b8b85faf2b1', 'dropTable tableName=dnid_list', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml::assetfilter_createTable::johsod
CREATE TABLE assetfilter (id UUID NOT NULL, name VARCHAR(255) NOT NULL, updatetime TIMESTAMP(6) WITH TIME ZONE, updatedby VARCHAR(255), owner VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('assetfilter_createTable', 'johsod', 'changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml', NOW(), 231, '9:95ebf2965b821c51fb55752149016538', 'createTable tableName=assetfilter', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml::assetfilterquery_createTable::johsod
CREATE TABLE assetfilterquery (id UUID NOT NULL, type VARCHAR(255), inverse BOOLEAN, isnumber BOOLEAN, assetfilter UUID NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('assetfilterquery_createTable', 'johsod', 'changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml', NOW(), 233, '9:8a006869b5b826cdd8b851921b398bb4', 'createTable tableName=assetfilterquery', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml::assetfiltervalue_createTable::johsod
CREATE TABLE assetfiltervalue (id UUID NOT NULL, operator VARCHAR(1024), valuestring VARCHAR(1024), valuenumber DOUBLE PRECISION, assetfilterquery UUID NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('assetfiltervalue_createTable', 'johsod', 'changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml', NOW(), 235, '9:4a8396b9f3fa29da93750f4c827fab5a', 'createTable tableName=assetfiltervalue', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml::pk_assetfilter::johsod
ALTER TABLE assetfilter ADD CONSTRAINT assetfilter_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('pk_assetfilter', 'johsod', 'changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml', NOW(), 237, '9:4a288898f03a80a7fb3c8173335028f6', 'addPrimaryKey constraintName=assetfilter_pkey, tableName=assetfilter', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml::pk_assetfilterquery::johsod
ALTER TABLE assetfilterquery ADD CONSTRAINT assetfilterquery_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('pk_assetfilterquery', 'johsod', 'changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml', NOW(), 239, '9:8950becaba9d47e291e923a6a38e4c25', 'addPrimaryKey constraintName=assetfilterquery_pkey, tableName=assetfilterquery', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml::pk_assetfiltervalue::johsod
ALTER TABLE assetfiltervalue ADD CONSTRAINT assetfiltervalue_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('pk_assetfiltervalue', 'johsod', 'changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml', NOW(), 241, '9:b8ab5a031cf17b7672b718215c8f8a0e', 'addPrimaryKey constraintName=assetfiltervalue_pkey, tableName=assetfiltervalue', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml::assetfilterquery_addForeignKeyConstraint_assetfilter::johsod
ALTER TABLE assetfilterquery ADD CONSTRAINT assetfilterquery_assetfilter_fk FOREIGN KEY (assetfilter) REFERENCES assetfilter (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('assetfilterquery_addForeignKeyConstraint_assetfilter', 'johsod', 'changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml', NOW(), 243, '9:68d2c5a646bf9e29e1d55fd8632e8fb9', 'addForeignKeyConstraint baseTableName=assetfilterquery, constraintName=assetfilterquery_assetfilter_fk, referencedTableName=assetfilter', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml::assetfiltervalue_addForeignKeyConstraint_assetfilterquery::johsod
ALTER TABLE assetfiltervalue ADD CONSTRAINT assetfiltervalue_assetfilterquery_fk FOREIGN KEY (assetfilterquery) REFERENCES assetfilterquery (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('assetfiltervalue_addForeignKeyConstraint_assetfilterquery', 'johsod', 'changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml', NOW(), 245, '9:6d951fe49cd175c8488ba4977c73cf1f', 'addForeignKeyConstraint baseTableName=assetfiltervalue, constraintName=assetfiltervalue_assetfilterquery_fk, referencedTableName=assetfilterquery', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml::pk_note::johsod
ALTER TABLE note ADD CONSTRAINT note_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('pk_note', 'johsod', 'changelog/v6.7.1/create_assetfilter_and_assetfiltervalue_tables.xml', NOW(), 247, '9:3bba31e3d586fe043d06dee53ebae01a', 'addPrimaryKey constraintName=note_pkey, tableName=note', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.3/db-changelog-new-index-on-asset-active.xml::Create a new index on active field::kasgul
CREATE INDEX asset_active_idx ON asset(active);

CREATE INDEX asset_vesseltype_idx ON asset(vesseltype);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create a new index on active field', 'kasgul', 'changelog/v6.7.3/db-changelog-new-index-on-asset-active.xml', NOW(), 249, '9:c9a3167b28b880b2c81bfdfb429d72be', 'createIndex indexName=asset_active_idx, tableName=asset; createIndex indexName=asset_vesseltype_idx, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.8/db-changelog-remove-asset-group.xml::Removeing asset group and everything related to it::joemat
DROP TABLE assetgroupfield;

DROP TABLE assetgroup;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Removeing asset group and everything related to it', 'joemat', 'changelog/v6.7.8/db-changelog-remove-asset-group.xml', NOW(), 251, '9:8154c8e8cb24c5288b243661188ba81f', 'dropTable tableName=assetgroupfield; dropTable tableName=assetgroup', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.8/db-changelog-add-national-id.xml::Add national id to asset::joemat
ALTER TABLE asset ADD national_id INTEGER;

ALTER TABLE asset_aud ADD national_id INTEGER;

ALTER TABLE asset ADD CONSTRAINT asset_uc_national_id UNIQUE (national_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add national id to asset', 'joemat', 'changelog/v6.7.8/db-changelog-add-national-id.xml', NOW(), 253, '9:1ef38d97fdcfbc5e54ec3aee3f4ac677', 'addColumn tableName=asset; addColumn tableName=asset_aud; addUniqueConstraint constraintName=asset_uc_national_id, tableName=asset', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.9/db-changelog-port-of-registration-to-100.xml::Increase the size of portOfRegistration to 100::joemat
ALTER TABLE asset ALTER COLUMN portofregistration TYPE VARCHAR(100) USING (portofregistration::VARCHAR(100));

ALTER TABLE asset_aud ALTER COLUMN portofregistration TYPE VARCHAR(100) USING (portofregistration::VARCHAR(100));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Increase the size of portOfRegistration to 100', 'joemat', 'changelog/v6.7.9/db-changelog-port-of-registration-to-100.xml', NOW(), 255, '9:c5e169a131fb01cdc25a51decc303897', 'modifyDataType columnName=portofregistration, tableName=asset; modifyDataType columnName=portofregistration, tableName=asset_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.10/db-changelog-add-fishinglicence.xml::Add fishing licence table::peerik
CREATE TABLE fishinglicence (id UUID NOT NULL, asset_id UUID, licence_number BIGINT, civic_number VARCHAR(60), from_date TIMESTAMP WITH TIME ZONE, to_date TIMESTAMP WITH TIME ZONE, decision_date TIMESTAMP WITH TIME ZONE, constraints TEXT, created_date TIMESTAMP WITH TIME ZONE, CONSTRAINT fishinglicence_pk PRIMARY KEY (id), UNIQUE (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add fishing licence table', 'peerik', 'changelog/v6.7.10/db-changelog-add-fishinglicence.xml', NOW(), 257, '9:60c9d54714b86e0e2b0d9af726734d8b', 'createTable tableName=fishinglicence', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.14/db-changelog-add-long-term-parked.xml::Add flag long term parked to asset::joemat
ALTER TABLE asset ADD long_term_parked BOOLEAN;

ALTER TABLE asset_aud ADD long_term_parked BOOLEAN;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add flag long term parked to asset', 'joemat', 'changelog/v6.7.14/db-changelog-add-long-term-parked.xml', NOW(), 259, '9:4027c136f367981520d324dccb02ce98', 'addColumn tableName=asset; addColumn tableName=asset_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.14/db-changelog-licence-name.xml::Add name to licence::peerik
ALTER TABLE fishinglicence ADD name VARCHAR(100);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add name to licence', 'peerik', 'changelog/v6.7.14/db-changelog-licence-name.xml', NOW(), 261, '9:841d8c88fa12a9e871f9b72ba0bf17e1', 'addColumn tableName=fishinglicence', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.17/db-changelog-comment-to-text.xml::change comment from max 255 to text::joemat
ALTER TABLE asset ALTER COLUMN comment TYPE TEXT USING (comment::TEXT);

ALTER TABLE asset_aud ALTER COLUMN comment TYPE TEXT USING (comment::TEXT);

ALTER TABLE mobileterminal ALTER COLUMN comment TYPE TEXT USING (comment::TEXT);

ALTER TABLE mobileterminal_aud ALTER COLUMN comment TYPE TEXT USING (comment::TEXT);

ALTER TABLE pollbase ALTER COLUMN comment TYPE TEXT USING (comment::TEXT);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('change comment from max 255 to text', 'joemat', 'changelog/v6.7.17/db-changelog-comment-to-text.xml', NOW(), 263, '9:49eec5ebb8c16ae16591127a1daad72b', 'modifyDataType columnName=comment, tableName=asset; modifyDataType columnName=comment, tableName=asset_aud; modifyDataType columnName=comment, tableName=mobileterminal; modifyDataType columnName=comment, tableName=mobileterminal_aud; modifyDataTyp...', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.20/db-changelog-rename-long-term-parked.xml::rename long term parked to parked::joemat
ALTER TABLE asset RENAME COLUMN long_term_parked TO parked;

ALTER TABLE asset_aud RENAME COLUMN long_term_parked TO parked;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('rename long term parked to parked', 'joemat', 'changelog/v6.7.20/db-changelog-rename-long-term-parked.xml', NOW(), 265, '9:a3ca1814a2c3e8cefd724e207438ffdf', 'renameColumn newColumnName=parked, oldColumnName=long_term_parked, tableName=asset; renameColumn newColumnName=parked, oldColumnName=long_term_parked, tableName=asset_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.22/db-changelog-activate-channels.xml::activate channels::peerik
UPDATE channel SET active = TRUE;

UPDATE channel_aud SET active = TRUE;

UPDATE channel SET archived = FALSE WHERE archived is null;

UPDATE channel_aud SET archived = FALSE WHERE archived is null;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('activate channels', 'peerik', 'changelog/v6.7.22/db-changelog-activate-channels.xml', NOW(), 267, '9:b48b612a2b1ea6f9e0a8c2fc07063129', 'update tableName=channel; update tableName=channel_aud; update tableName=channel; update tableName=channel_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.24/db-changelog-asset_aud_index.xml::asset_aud timestamp index::johsod
CREATE INDEX asset_aud_updatetime_idx ON asset_aud(updatetime);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('asset_aud timestamp index', 'johsod', 'changelog/v6.7.24/db-changelog-asset_aud_index.xml', NOW(), 269, '9:d36ef4f3118213d1a0489ef7ccfdbccc', 'createIndex indexName=asset_aud_updatetime_idx, tableName=asset_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.24/db-changelog-asset_aud_index.xml::asset_aud id index::peerik
CREATE INDEX asset_aud_id_idx ON asset_aud(id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('asset_aud id index', 'peerik', 'changelog/v6.7.24/db-changelog-asset_aud_index.xml', NOW(), 271, '9:da3f4326afa5d9191e59996ac55b30b7', 'createIndex indexName=asset_aud_id_idx, tableName=asset_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.24/db-changelog-asset_aud_index.xml::asset_aud rev index::peerik
CREATE INDEX asset_aud_rev_idx ON asset_aud(rev);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('asset_aud rev index', 'peerik', 'changelog/v6.7.24/db-changelog-asset_aud_index.xml', NOW(), 273, '9:46aec4eef65b516246d9032f7869e073', 'createIndex indexName=asset_aud_rev_idx, tableName=asset_aud', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.26/db-changelog-refactor-pollbase-terminalConnect.xml::refactor pollbase terminalConnect to assetId of type uuid ::joemat
ALTER TABLE pollbase RENAME COLUMN connect_id TO asset_id;

ALTER TABLE pollbase ALTER COLUMN asset_id TYPE UUID USING (asset_id::UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('refactor pollbase terminalConnect to assetId of type uuid ', 'joemat', 'changelog/v6.7.26/db-changelog-refactor-pollbase-terminalConnect.xml', NOW(), 275, '9:5f0687233a97b7f0f0b3d87b435c1db5', 'renameColumn newColumnName=asset_id, oldColumnName=connect_id, tableName=pollbase; modifyDataType columnName=asset_id, tableName=pollbase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.7.28/db-changelog-rename-updatetime-pollbase.xml::renmae updatetime in pollbase to createtime::joemat
ALTER TABLE pollbase RENAME COLUMN updattim TO createtime;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('renmae updatetime in pollbase to createtime', 'joemat', 'changelog/v6.7.28/db-changelog-rename-updatetime-pollbase.xml', NOW(), 277, '9:a51337538959adfb974c193377c7c22d', 'renameColumn newColumnName=createtime, oldColumnName=updattim, tableName=pollbase', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

-- Changeset changelog/v6.8.3/db-changelog-introduce-value-type-in-asset-filter.xml::introduce value type in asset filter::joemat
ALTER TABLE assetfilterquery ADD value_type TEXT;

UPDATE assetfilterquery SET value_type = 'STRING' WHERE isnumber='false';

UPDATE assetfilterquery SET value_type = 'NUMBER' WHERE isnumber='true';

ALTER TABLE assetfilterquery DROP COLUMN isnumber;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('introduce value type in asset filter', 'joemat', 'changelog/v6.8.3/db-changelog-introduce-value-type-in-asset-filter.xml', NOW(), 279, '9:d453de868e8a3de3cdcb586505ca4320', 'addColumn tableName=assetfilterquery; update tableName=assetfilterquery; update tableName=assetfilterquery; dropColumn columnName=isnumber, tableName=assetfilterquery', '', 'EXECUTED', NULL, NULL, '4.28.0', '0181238008');

