-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: changelog/db-changelog-master.xml
-- Ran at: 2/27/22, 4:44 PM
-- Against: audit@offline:postgresql?changeLogFile=target/databasechangelog.csv&outputLiquibaseSql=true
-- Liquibase version: 4.7.1
-- *********************************************************************

CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- Changeset schema/tables/auditlog.xml::audit-01::andtho
CREATE TABLE auditlog (audit_id BIGINT NOT NULL, audit_user VARCHAR(60) NOT NULL, audit_operation VARCHAR(100) NOT NULL, audit_type VARCHAR(60) NOT NULL, audit_timestamp TIMESTAMP with time zone NOT NULL, audit_affectedobject VARCHAR(500), audit_updattim TIMESTAMP with time zone NOT NULL, audit_upuser VARCHAR(60) NOT NULL, audit_comment VARCHAR(500), CONSTRAINT audit_pk PRIMARY KEY (audit_id));

COMMENT ON TABLE auditlog IS 'Audit log table.';

COMMENT ON COLUMN auditlog.audit_id IS 'The synthetic key.';

COMMENT ON COLUMN auditlog.audit_user IS 'Reporting user.';

COMMENT ON COLUMN auditlog.audit_operation IS 'The operation performed.';

COMMENT ON COLUMN auditlog.audit_type IS '.';

COMMENT ON COLUMN auditlog.audit_timestamp IS 'Time of the log.';

COMMENT ON COLUMN auditlog.audit_affectedobject IS 'Reference id to the object the log is connected to.';

COMMENT ON COLUMN auditlog.audit_updattim IS 'Last updated date time.';

COMMENT ON COLUMN auditlog.audit_upuser IS 'Last update userid.';

COMMENT ON COLUMN auditlog.audit_comment IS 'Additional info.';

CREATE SEQUENCE  IF NOT EXISTS HIBERNATE_SEQUENCE;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('audit-01', 'andtho', 'schema/tables/auditlog.xml', NOW(), 1, '8:4f28b4d809f5835555a690d620247ff2', 'createTable tableName=auditlog; createSequence sequenceName=HIBERNATE_SEQUENCE', '', 'EXECUTED', NULL, NULL, '4.7.1', '5976690701');

-- Changeset schema/tables/parameter.xml::create paremeter table::jojoha
CREATE TABLE parameter (param_id VARCHAR(500) NOT NULL, param_description VARCHAR(500) NOT NULL, param_value VARCHAR(4000), CONSTRAINT param_pk PRIMARY KEY (param_id));

COMMENT ON TABLE parameter IS 'Table as a placeholder of parameters and its values';

COMMENT ON COLUMN parameter.param_id IS 'Id and code for parameter.';

COMMENT ON COLUMN parameter.param_description IS 'Description of parameter or value.';

COMMENT ON COLUMN parameter.param_value IS 'Parameter value.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('create paremeter table', 'jojoha', 'schema/tables/parameter.xml', NOW(), 3, '8:b092ef33e5d314da2e782e5383c142cf', 'createTable tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.7.1', '5976690701');

