CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: changelog/db-changelog-master.xml
-- Ran at: 7/5/24, 4:20 PM
-- Against: incident@offline:postgresql?changeLogFile=target/databasechangelog.csv&outputLiquibaseSql=true
-- Liquibase version: 4.28.0
-- *********************************************************************

-- Changeset v0.1/db-changelog-createTables_0.1.xml::Incident::kasim
CREATE TABLE incident (id BIGINT NOT NULL, asset_id UUID, mobterm_id UUID, ticket_id UUID, movement_id UUID, asset_name VARCHAR(60), ircs VARCHAR(60), status VARCHAR(60), create_date TIMESTAMP WITH TIME ZONE, update_date TIMESTAMP WITH TIME ZONE, CONSTRAINT incident_pk PRIMARY KEY (id), UNIQUE (id));

CREATE TABLE incident_log (id BIGINT NOT NULL, incident_id BIGINT, message TEXT, event_type VARCHAR(60), previous_value TEXT, current_value TEXT, create_date TIMESTAMP WITH TIME ZONE, CONSTRAINT incident_log_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Incident', 'kasim', 'v0.1/db-changelog-createTables_0.1.xml', NOW(), 1, '9:d514eb92031c388193fa573b01fc01d8', 'createTable tableName=incident; createTable tableName=incident_log', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset v0.1/db-changelog-createTables_0.1.xml::1535445328879-2::kasim
CREATE SEQUENCE  IF NOT EXISTS hibernate_sequence;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1535445328879-2', 'kasim', 'v0.1/db-changelog-createTables_0.1.xml', NOW(), 3, '9:a17731710305111df20dcfac7e5b1160', 'createSequence sequenceName=hibernate_sequence', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.2.2/db-changelog-add-related-object-to-log.xml::Add related object to log and remove old and new value::joemat
ALTER TABLE incident_log ADD related_object_id UUID;

ALTER TABLE incident_log DROP COLUMN previous_value;

ALTER TABLE incident_log DROP COLUMN current_value;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add related object to log and remove old and new value', 'joemat', 'changelog/v0.2.2/db-changelog-add-related-object-to-log.xml', NOW(), 5, '9:63d2e32e462726085e024778e65949d1', 'addColumn tableName=incident_log; dropColumn tableName=incident_log', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.2.5/db-changelog-add-type-and-status-to-log.xml::Add related object type and incident status::joemat
ALTER TABLE incident_log ADD related_object_type VARCHAR(60);

ALTER TABLE incident_log ADD incident_status VARCHAR(60);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add related object type and incident status', 'joemat', 'changelog/v0.2.5/db-changelog-add-type-and-status-to-log.xml', NOW(), 7, '9:a19c6c558b1092be73466bde4f3c1bc7', 'addColumn tableName=incident_log', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.2.7/db-changelog-map-db-values-for-enums-from-int-to-string.xml::Map db values for enums from int to string for related object type::joemat
UPDATE incident_log SET related_object_type = 'NONE' WHERE related_object_type='0';

UPDATE incident_log SET related_object_type = 'NOTE' WHERE related_object_type='1';

UPDATE incident_log SET related_object_type = 'MOVEMENT' WHERE related_object_type='2';

UPDATE incident_log SET related_object_type = 'POLL' WHERE related_object_type='3';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Map db values for enums from int to string for related object type', 'joemat', 'changelog/v0.2.7/db-changelog-map-db-values-for-enums-from-int-to-string.xml', NOW(), 9, '9:e15959405414fb8fbaa2ffef07609b2a', 'update tableName=incident_log; update tableName=incident_log; update tableName=incident_log; update tableName=incident_log', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.2.7/db-changelog-map-db-values-for-enums-from-int-to-string.xml::Map db values for enums from int to string for incident status::joemat
UPDATE incident_log SET incident_status = 'INCIDENT_CREATED' WHERE incident_status='0';

UPDATE incident_log SET incident_status = 'POLL_FAILED' WHERE incident_status='1';

UPDATE incident_log SET incident_status = 'POLL_INITIATED' WHERE incident_status='2';

UPDATE incident_log SET incident_status = 'NOTE_ADDED' WHERE incident_status='3';

UPDATE incident_log SET incident_status = 'ATTEMPTED_CONTACT' WHERE incident_status='4';

UPDATE incident_log SET incident_status = 'MANUAL_POSITION_MODE' WHERE incident_status='5';

UPDATE incident_log SET incident_status = 'LONG_TERM_PARKED' WHERE incident_status='6';

UPDATE incident_log SET incident_status = 'TECHNICAL_ISSUE' WHERE incident_status='7';

UPDATE incident_log SET incident_status = 'RESOLVED' WHERE incident_status='8';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Map db values for enums from int to string for incident status', 'joemat', 'changelog/v0.2.7/db-changelog-map-db-values-for-enums-from-int-to-string.xml', NOW(), 11, '9:23f63bf4eef61e143231339da2f4641e', 'update tableName=incident_log; update tableName=incident_log; update tableName=incident_log; update tableName=incident_log; update tableName=incident_log; update tableName=incident_log; update tableName=incident_log; update tableName=incident_log;...', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.2.8/db-changelog-incident-type.xml::Add incident type::peerik
ALTER TABLE incident ADD type VARCHAR(60) DEFAULT 'ASSET_NOT_SENDING';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add incident type', 'peerik', 'changelog/v0.2.8/db-changelog-incident-type.xml', NOW(), 13, '9:f8454e45f408d27c362985bc084b3c7c', 'addColumn tableName=incident', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.3.6/db-changelog-add-expiry-date.xml::Add expiry date to incident::joemat
ALTER TABLE incident ADD expiry_date TIMESTAMP WITH TIME ZONE;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add expiry date to incident', 'joemat', 'changelog/v0.3.6/db-changelog-add-expiry-date.xml', NOW(), 15, '9:3375d35c047571de15a3fa98a898d61d', 'addColumn tableName=incident', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.4.1/db-changelog-remap-removed-status-codes.xml::Change away from statuses that has been removed or changed::joemat
UPDATE incident SET status = 'PARKED' WHERE status='LONG_TERM_PARKED';

UPDATE incident SET status = 'RESOLVED' WHERE status='SYSTEM_AUTO_RESOLVED';

UPDATE incident_log SET incident_status = 'RESOLVED' WHERE incident_status='SYSTEM_AUTO_RESOLVED';

UPDATE incident_log SET incident_status = 'PARKED' WHERE incident_status='LONG_TERM_PARKED';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Change away from statuses that has been removed or changed', 'joemat', 'changelog/v0.4.1/db-changelog-remap-removed-status-codes.xml', NOW(), 17, '9:e3bfeff78ad621a96d87f259f87a8991', 'update tableName=incident; update tableName=incident; update tableName=incident_log; update tableName=incident_log', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.4.2/db-changelog-add-risk-level.xml::Add risk level to incident::joemat
ALTER TABLE incident ADD risk VARCHAR(60);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add risk level to incident', 'joemat', 'changelog/v0.4.2/db-changelog-add-risk-level.xml', NOW(), 19, '9:91ced63c8b3495b2607bfe8202fd5d56', 'addColumn tableName=incident', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.4.4/db-changelog-set-risk-for-those-without.xml::Set risk for those asset not sending that does not have such::joemat
UPDATE incident SET risk = 'MEDIUM' WHERE risk is null and type = 'ASSET_NOT_SENDING';

UPDATE incident SET risk = 'MEDIUM' WHERE risk = 'LOW' and type = 'ASSET_NOT_SENDING';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Set risk for those asset not sending that does not have such', 'joemat', 'changelog/v0.4.4/db-changelog-set-risk-for-those-without.xml', NOW(), 21, '9:fa1bf16c55254588d40b5a8c4f612af9', 'update tableName=incident; update tableName=incident', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.4.5/db-changelog-type-renaming.xml::Renmaed OWNER_TRANSFER to OWNERSHIP_TRANSFER and MANUAL_MODE to MANUAL_POSITION_MODE::joemat
UPDATE incident SET type = 'OWNERSHIP_TRANSFER' WHERE type = 'OWNER_TRANSFER';

UPDATE incident SET type = 'MANUAL_POSITION_MODE' WHERE type = 'MANUAL_MODE';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Renmaed OWNER_TRANSFER to OWNERSHIP_TRANSFER and MANUAL_MODE to MANUAL_POSITION_MODE', 'joemat', 'changelog/v0.4.5/db-changelog-type-renaming.xml', NOW(), 23, '9:3a4652094dffda5cb26e349fdeb9def3', 'update tableName=incident; update tableName=incident', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v0.4.6/db-changelog-owner-transfer-status-renaming.xml::Renamed OWNERSHIP_TRANSFER status 'PARKED' and 'OVERDUE' to 'NOT_RECEIVING_VMS_POSITIONS'::joemat
UPDATE incident SET status = 'NOT_RECEIVING_VMS_POSITIONS' WHERE type = 'OWNERSHIP_TRANSFER' and (status = 'PARKED' or status = 'OVERDUE');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Renamed OWNERSHIP_TRANSFER status ''PARKED'' and ''OVERDUE'' to ''NOT_RECEIVING_VMS_POSITIONS''', 'joemat', 'changelog/v0.4.6/db-changelog-owner-transfer-status-renaming.xml', NOW(), 25, '9:240d38e8c83b187a6cb855828c44104d', 'update tableName=incident', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

-- Changeset changelog/v1.0.4/db-changelog-add-data-to-log.xml::Add data to incident log::joemat
ALTER TABLE incident_log ADD data TEXT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add data to incident log', 'joemat', 'changelog/v1.0.4/db-changelog-add-data-to-log.xml', NOW(), 27, '9:b8295824a8fa1bf71e23dd01da9e8095', 'addColumn tableName=incident_log', '', 'EXECUTED', NULL, NULL, '4.28.0', '0189236928');

