CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: changelog/db-changelog-master.xml
-- Ran at: 9/4/24, 4:12 PM
-- Against: movementrules@offline:postgresql?changeLogFile=target/databasechangelog.csv&outputLiquibaseSql=true
-- Liquibase version: 4.29.1
-- *********************************************************************

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-1::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS hibernate_sequence;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-1', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 1, '9:a17731710305111df20dcfac7e5b1160', 'createSequence sequenceName=hibernate_sequence', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-2::thofan (generated)
CREATE TABLE action (action_id UUID NOT NULL, action_action VARCHAR(255), action_order INTEGER, action_value VARCHAR(255), action_rule_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-2', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 3, '9:1ee105ba70bf5b219cd4d75cf6489609', 'createTable tableName=action', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-3::thofan (generated)
CREATE TABLE customrule (rule_id UUID NOT NULL, rule_active BOOLEAN, rule_archived BOOLEAN, rule_availability VARCHAR(255), rule_description VARCHAR(255), rule_enddate TIMESTAMP(6) WITH TIME ZONE, rule_name VARCHAR(255), rule_organisation VARCHAR(255), rule_startdate TIMESTAMP(6) WITH TIME ZONE, rule_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, rule_upuser VARCHAR(255) NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-3', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 5, '9:96b35603194f6bf3d570a03d80383f57', 'createTable tableName=customrule', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-4::thofan (generated)
CREATE TABLE interval (interval_id UUID NOT NULL, interval_end TIMESTAMP(6) WITH TIME ZONE, interval_start TIMESTAMP(6) WITH TIME ZONE, interval_rule_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-4', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 7, '9:545645d9d57415f33c90e5ec0514f5a6', 'createTable tableName=interval', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-5::thofan (generated)
CREATE TABLE parameter (param_id VARCHAR(255) NOT NULL, param_description VARCHAR(255), param_value VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-5', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 9, '9:951b853c3c329a1d37615916f561f05c', 'createTable tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-6::thofan (generated)
CREATE TABLE previousreport (prevrep_id UUID NOT NULL, prevrep_assetguid VARCHAR(255), prevrep_positiontime TIMESTAMP(6) WITH TIME ZONE, prevrep_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, prevrep_upuser VARCHAR(255) NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-6', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 11, '9:c19bfad034bf70738438435b19aee538', 'createTable tableName=previousreport', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-7::thofan (generated)
CREATE TABLE rulesegment (ruleseg_id UUID NOT NULL, ruleseg_condition VARCHAR(255), ruleseg_criteria VARCHAR(255), ruleseg_end_operator VARCHAR(255), ruleseg_logic_operator VARCHAR(255), ruleseg_order INTEGER, ruleseg_start_operator VARCHAR(255), ruleseg_subcriteria VARCHAR(255), ruleseg_value VARCHAR(255), ruleseg_rule_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-7', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 13, '9:ad110aff0c5918aeef2a7b6208a1dfdd', 'createTable tableName=rulesegment', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-8::thofan (generated)
CREATE TABLE rulesubscription (rulesub_id UUID NOT NULL, rulesub_owner VARCHAR(255), rulesub_type VARCHAR(255), rulesub_rule_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-8', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 15, '9:a681db91bbd34892215aac118b4bd803', 'createTable tableName=rulesubscription', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-9::thofan (generated)
CREATE TABLE ticket (ticket_id UUID NOT NULL, ticket_assetguid VARCHAR(255), ticket_channelguid VARCHAR(255), ticket_createddate TIMESTAMP(6) WITH TIME ZONE, ticket_mobileterminalguid VARCHAR(255), ticket_movementguid VARCHAR(255), ticket_recipient VARCHAR(255), ticket_ruleguid VARCHAR(255), ticket_rulename VARCHAR(255), ticket_status VARCHAR(255), ticket_count BIGINT, ticket_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, ticket_upuser VARCHAR(255) NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-9', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 17, '9:13dffc999c82dd583bec0debe21515eb', 'createTable tableName=ticket', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-10::thofan (generated)
ALTER TABLE action ADD CONSTRAINT action_pkey PRIMARY KEY (action_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-10', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 19, '9:500c263a61f2ffd18c37310b6001f170', 'addPrimaryKey constraintName=action_pkey, tableName=action', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-11::thofan (generated)
ALTER TABLE customrule ADD CONSTRAINT customrule_pkey PRIMARY KEY (rule_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-11', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 21, '9:d26d56c50589bdd062b125600c9109ea', 'addPrimaryKey constraintName=customrule_pkey, tableName=customrule', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-12::thofan (generated)
ALTER TABLE interval ADD CONSTRAINT interval_pkey PRIMARY KEY (interval_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-12', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 23, '9:a44c743ad47c294bc350a1fb0c6685c7', 'addPrimaryKey constraintName=interval_pkey, tableName=interval', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-13::thofan (generated)
ALTER TABLE parameter ADD CONSTRAINT parameter_pkey PRIMARY KEY (param_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-13', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 25, '9:b37e5d3ce89e6c3ddd44452b32b02a69', 'addPrimaryKey constraintName=parameter_pkey, tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-14::thofan (generated)
ALTER TABLE previousreport ADD CONSTRAINT previousreport_pkey PRIMARY KEY (prevrep_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-14', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 27, '9:f910c3e510f9ece888c925206c32f788', 'addPrimaryKey constraintName=previousreport_pkey, tableName=previousreport', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-15::thofan (generated)
ALTER TABLE rulesegment ADD CONSTRAINT rulesegment_pkey PRIMARY KEY (ruleseg_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-15', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 29, '9:405aebedba18e768ab5e6ae8f90a05fe', 'addPrimaryKey constraintName=rulesegment_pkey, tableName=rulesegment', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-16::thofan (generated)
ALTER TABLE rulesubscription ADD CONSTRAINT rulesubscription_pkey PRIMARY KEY (rulesub_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-16', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 31, '9:045ecaa8e3bf3ec75e29971efd8d7afc', 'addPrimaryKey constraintName=rulesubscription_pkey, tableName=rulesubscription', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-17::thofan (generated)
ALTER TABLE ticket ADD CONSTRAINT ticket_pkey PRIMARY KEY (ticket_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-17', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 33, '9:f113e7de5eae25462549ffa56c005a5c', 'addPrimaryKey constraintName=ticket_pkey, tableName=ticket', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-18::thofan (generated)
ALTER TABLE previousreport ADD CONSTRAINT uk_g124t9kxlb65nfed1my02ghyl UNIQUE (prevrep_assetguid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-18', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 35, '9:500d041a15fba54e638d3a26fd1cb2b0', 'addUniqueConstraint constraintName=uk_g124t9kxlb65nfed1my02ghyl, tableName=previousreport', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-19::thofan (generated)
CREATE INDEX action_rule_fk_inx ON action(action_rule_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-19', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 37, '9:d7aac4824c3c2dafccab1254e7cce7f4', 'createIndex indexName=action_rule_fk_inx, tableName=action', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-20::thofan (generated)
CREATE INDEX interval_rule_fk_inx ON interval(interval_rule_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-20', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 39, '9:dfe2d3ef4bf28b465a8d53e6a46e236e', 'createIndex indexName=interval_rule_fk_inx, tableName=interval', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-21::thofan (generated)
CREATE INDEX ruleseg_rule_fk_inx ON rulesegment(ruleseg_rule_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-21', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 41, '9:ee410b3dd4d16bcb2d191b484ea99d30', 'createIndex indexName=ruleseg_rule_fk_inx, tableName=rulesegment', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-22::thofan (generated)
CREATE INDEX rulesub_rule_fk_inx ON rulesubscription(rulesub_rule_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-22', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 43, '9:8c31288828195107646051c78ea4d827', 'createIndex indexName=rulesub_rule_fk_inx, tableName=rulesubscription', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-23::thofan (generated)
ALTER TABLE action ADD CONSTRAINT fkb7oseuh5vinsq5ulecytup949 FOREIGN KEY (action_rule_id) REFERENCES customrule (rule_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-23', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 45, '9:9c6c03e4c57fcf1a0d36abc4d8e8f90d', 'addForeignKeyConstraint baseTableName=action, constraintName=fkb7oseuh5vinsq5ulecytup949, referencedTableName=customrule', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-24::thofan (generated)
ALTER TABLE interval ADD CONSTRAINT fkbcyqfxiwuk9bq0hd5pa13evwr FOREIGN KEY (interval_rule_id) REFERENCES customrule (rule_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-24', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 47, '9:7a9b83439420d2242c741bb5432d51ee', 'addForeignKeyConstraint baseTableName=interval, constraintName=fkbcyqfxiwuk9bq0hd5pa13evwr, referencedTableName=customrule', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-25::thofan (generated)
ALTER TABLE rulesubscription ADD CONSTRAINT fkf3hwdvcy8333lunb43tvngi52 FOREIGN KEY (rulesub_rule_id) REFERENCES customrule (rule_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-25', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 49, '9:c975722349aec1843bf2d682a42691ca', 'addForeignKeyConstraint baseTableName=rulesubscription, constraintName=fkf3hwdvcy8333lunb43tvngi52, referencedTableName=customrule', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.0.1/db-changelog-createTables.xml::1543482103240-26::thofan (generated)
ALTER TABLE rulesegment ADD CONSTRAINT fkfak4712bpag1rwgh25t3ymbb3 FOREIGN KEY (ruleseg_rule_id) REFERENCES customrule (rule_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1543482103240-26', 'thofan (generated)', 'changelog/v2.0.1/db-changelog-createTables.xml', NOW(), 51, '9:ac4f8393753fd4cce7802de5f8143710', 'addForeignKeyConstraint baseTableName=rulesegment, constraintName=fkfak4712bpag1rwgh25t3ymbb3, referencedTableName=customrule', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v0.1/insertParameter.xml::Insert static parameter values::peerik
INSERT INTO parameter (param_description, param_id, param_value) VALUES ('Asset not sending alarm threshold, in milliseconds', 'ASSET_NOT_SENDING_THRESHOLD', '8400000');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Insert static parameter values', 'peerik', 'changelog/v0.1/insertParameter.xml', NOW(), 53, '9:63cb09ff9932bfa4ca09143749627715', 'insert tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.1.20/db-changelog-2.1.20.xml::add_action_target_column::peerik
ALTER TABLE action ADD action_target VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_action_target_column', 'peerik', 'changelog/v2.1.20/db-changelog-2.1.20.xml', NOW(), 55, '9:9e76e62674e237882490e2962e296543', 'addColumn tableName=action', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.1.23/db-changelog-2.1.23.xml::add_aggregate_invocations_column::peerik
ALTER TABLE customrule ADD rule_aggregateinvocations BOOLEAN DEFAULT FALSE;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_aggregate_invocations_column', 'peerik', 'changelog/v2.1.23/db-changelog-2.1.23.xml', NOW(), 57, '9:2b79650e1fc7df9425ff78bc62f1a120', 'addColumn tableName=customrule', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.1.27/db-changelog-create-index-2.1.27.xml::db-changelog-index-on-ticket::joemat
CREATE INDEX ticket_ruleguid_idx ON ticket(ticket_ruleguid);

CREATE INDEX ticket_createddate_idx ON ticket(ticket_createddate DESC);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('db-changelog-index-on-ticket', 'joemat', 'changelog/v2.1.27/db-changelog-create-index-2.1.27.xml', NOW(), 59, '9:b8a3d22518b70de44ed382828a9998ed', 'createIndex indexName=ticket_ruleguid_idx, tableName=ticket; createIndex indexName=ticket_createddate_idx, tableName=ticket', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.1.27/db-changelog-create-index-2.1.27.xml::db-changelog-index-on-rule-subscription::joemat
CREATE INDEX rulesubscription_owner_idx ON rulesubscription(rulesub_owner);

CREATE INDEX rulesubscription_type_idx ON rulesubscription(rulesub_type DESC);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('db-changelog-index-on-rule-subscription', 'joemat', 'changelog/v2.1.27/db-changelog-create-index-2.1.27.xml', NOW(), 61, '9:149f1620af62b47296383713d4748a88', 'createIndex indexName=rulesubscription_owner_idx, tableName=rulesubscription; createIndex indexName=rulesubscription_type_idx, tableName=rulesubscription', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.1.27/db-changelog-add-column-last-triggered-on-customrule-2.1.27.xml::db-changelog-add-last-triggered-to-customrule::joemat
ALTER TABLE customrule ADD rule_lasttriggered TIMESTAMP(6) WITH TIME ZONE;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('db-changelog-add-last-triggered-to-customrule', 'joemat', 'changelog/v2.1.27/db-changelog-add-column-last-triggered-on-customrule-2.1.27.xml', NOW(), 63, '9:e7a74c31885b3a8e58e88350a73591ee', 'addColumn tableName=customrule', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.1.28/db-changelog-create-assetGuid_index_on_ticket-2.1.28.xml::db-changelog-assetguid_index-on-ticket::joemat
CREATE INDEX ticket_assetguid_idx ON ticket(ticket_assetguid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('db-changelog-assetguid_index-on-ticket', 'joemat', 'changelog/v2.1.28/db-changelog-create-assetGuid_index_on_ticket-2.1.28.xml', NOW(), 65, '9:baedcfc4e72affabfb2740dcdc886a23', 'createIndex indexName=ticket_assetguid_idx, tableName=ticket', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.1.30/db-changelog-update-previous-report-table-2.1.30.xml::Update previous_report table::kasim
ALTER TABLE previousreport ADD prevrep_mobtermguid UUID;

ALTER TABLE previousreport ADD prevrep_movementguid UUID;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Update previous_report table', 'kasim', 'changelog/v2.1.30/db-changelog-update-previous-report-table-2.1.30.xml', NOW(), 67, '9:e5053d7a43c5d9fdef345fd452037d67', 'addColumn tableName=previousreport', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

-- Changeset changelog/v2.3.5/db-changelog-new-index-on-ticket-ticket_movementguid.xml::Create a new index on movement guid field::kasgul
CREATE INDEX ticket_movementguid_idx ON ticket(ticket_movementguid);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create a new index on movement guid field', 'kasgul', 'changelog/v2.3.5/db-changelog-new-index-on-ticket-ticket_movementguid.xml', NOW(), 69, '9:90be4f2da490fc38aac924be820daf6e', 'createIndex indexName=ticket_movementguid_idx, tableName=ticket', '', 'EXECUTED', NULL, NULL, '4.29.1', '5459172528');

