CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: changelog/db-changelog-master-postgres.xml
-- Ran at: 3/12/24, 2:28 PM
-- Against: movement@offline:postgresql?changeLogFile=target/databasechangelog.csv&outputLiquibaseSql=true
-- Liquibase version: 4.26.0
-- *********************************************************************

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-1::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS activity_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-1', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 1, '9:be53fbfbf1c0f5c9332a2ade18f131fa', 'createSequence sequenceName=activity_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-2::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS activity_type_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-2', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 3, '9:6615f1e533225e885d3df6e28eb5eb21', 'createSequence sequenceName=activity_type_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-3::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS area_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-3', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 5, '9:7bcaa76ead7d1394e0a71c95273e3777', 'createSequence sequenceName=area_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-4::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS area_trans_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-4', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 7, '9:3724cb24432700fda5f7fccaaae013a6', 'createSequence sequenceName=area_trans_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-5::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS areatype_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-5', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 9, '9:fe492958c4f5c5a64ca899ccfcb3bf02', 'createSequence sequenceName=areatype_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-6::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS hibernate_sequence;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-6', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 11, '9:a17731710305111df20dcfac7e5b1160', 'createSequence sequenceName=hibernate_sequence', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-7::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS latest_movement_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-7', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 13, '9:71d600434e3af406d7993302ab7c7cb7', 'createSequence sequenceName=latest_movement_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-8::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS minimal_mov_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-8', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 15, '9:1c8d60e0b054b4606038f30fb087dde0', 'createSequence sequenceName=minimal_mov_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-9::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS movarea_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-9', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 17, '9:2de7d11e377bd6403b8f26f21673d403', 'createSequence sequenceName=movarea_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-10::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS movement_connect_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-10', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 19, '9:db38e344a448a3d3bd4c637fd10b0ff8', 'createSequence sequenceName=movement_connect_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-11::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS movement_filter_group_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-11', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 21, '9:0e851afc4d62e16effb469f0fe8e005f', 'createSequence sequenceName=movement_filter_group_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-12::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS movement_filter_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-12', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 23, '9:39ed2bfab74f608e24ed2b796e245f73', 'createSequence sequenceName=movement_filter_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-13::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS movement_meta_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-13', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 25, '9:e2c395c409b4fb81960cf6747c9e9c25', 'createSequence sequenceName=movement_meta_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-14::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS segment_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-14', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 27, '9:9a1bd36e0573819931aaf8dd41657b7b', 'createSequence sequenceName=segment_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-15::thofan (generated)
CREATE SEQUENCE  IF NOT EXISTS track_seq;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-15', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 29, '9:0049ee9772629b748b14ef3c01ec6681', 'createSequence sequenceName=track_seq', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-16::thofan (generated)
CREATE TABLE activity (act_id UUID NOT NULL, act_acttyp_id INTEGER, act_callback VARCHAR(400) NOT NULL, act_messid VARCHAR(100) NOT NULL, act_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, act_upuser VARCHAR(60) NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-16', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 31, '9:19b502a883cd218464a34ca38cd23837', 'createTable tableName=activity', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-17::thofan (generated)
CREATE TABLE activitytype (acttyp_id UUID NOT NULL, acttyp_desc VARCHAR(200) NOT NULL, acttyp_name VARCHAR(60) NOT NULL, acttyp_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, acttyp_upuser VARCHAR(60) NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-17', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 33, '9:0e1e557dd76f47324562fccf7af1f1c0', 'createTable tableName=activitytype', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-18::thofan (generated)
CREATE TABLE alarmitem (id UUID NOT NULL, ruleguid VARCHAR(100), rulename VARCHAR(100), updated TIMESTAMP(6) WITH TIME ZONE NOT NULL, updatedby VARCHAR(60) NOT NULL, alarmreport_id UUID);

COMMENT ON TABLE alarmitem IS 'Alarm Item table.';

COMMENT ON COLUMN alarmitem.id IS 'Guid of the alarm item.';

COMMENT ON COLUMN alarmitem.ruleguid IS 'Guid of rule.';

COMMENT ON COLUMN alarmitem.rulename IS 'Name of rule.';

COMMENT ON COLUMN alarmitem.updated IS 'Last updated date time.';

COMMENT ON COLUMN alarmitem.updatedby IS 'Last update userid.';

COMMENT ON COLUMN alarmitem.alarmreport_id IS 'FK to Alarm Report.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-18', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 35, '9:5dfa1a453be9011aa343e0ac5cd6973b', 'createTable tableName=alarmitem', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-19::thofan (generated)
CREATE TABLE alarmreport (id UUID NOT NULL, assetguid VARCHAR(36), createddate TIMESTAMP(6) WITH TIME ZONE, plugintype VARCHAR(100), recipient VARCHAR(20), status VARCHAR(20), updated TIMESTAMP(6) WITH TIME ZONE NOT NULL, updatedby VARCHAR(60) NOT NULL, incomingmovement_id UUID);

COMMENT ON TABLE alarmreport IS 'Alarm Report table.';

COMMENT ON COLUMN alarmreport.id IS 'Guid of alarm.';

COMMENT ON COLUMN alarmreport.assetguid IS 'Guid of asset.';

COMMENT ON COLUMN alarmreport.createddate IS 'When the report is created.';

COMMENT ON COLUMN alarmreport.plugintype IS 'Type of the plugin the report came from.';

COMMENT ON COLUMN alarmreport.recipient IS 'Recipient country code.';

COMMENT ON COLUMN alarmreport.status IS 'OPEN or CLOSED.';

COMMENT ON COLUMN alarmreport.updated IS 'Last updated date time.';

COMMENT ON COLUMN alarmreport.updatedby IS 'Last update userid.';

COMMENT ON COLUMN alarmreport.incomingmovement_id IS 'FK to incomingmovement Report.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-19', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 37, '9:6d8173e3b5123fecfa6ae73e347f60ed', 'createTable tableName=alarmreport', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-20::thofan (generated)
CREATE TABLE draftmovement (draftmove_id UUID NOT NULL, draftmove_cfr VARCHAR(12), draftmove_course FLOAT8, draftmove_extmark VARCHAR(14), draftmove_flag VARCHAR(3), draftmove_ircs VARCHAR(70), draftmove_lat FLOAT8, draftmove_lon FLOAT8, draftmove_name VARCHAR(30), draftmove_speed FLOAT8, draftmove_state VARCHAR(100) NOT NULL, draftmove_status VARCHAR(60), draftmove_timestamp TIMESTAMP(6) WITH TIME ZONE, draftmove_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, draftmove_upuser VARCHAR(60) NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-20', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 39, '9:138cbcc619f6b1e0e91513b18ac1373e', 'createTable tableName=draftmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-21::thofan (generated)
CREATE TABLE incomingmovement (id UUID NOT NULL, ackresponsemessageid VARCHAR(100), active BOOLEAN, activitycallback VARCHAR(100), activitymessageid VARCHAR(100), activitymessagetype VARCHAR(100), latitude FLOAT8, longitude FLOAT8, altitude FLOAT8, positiontime TIMESTAMP(6) WITH TIME ZONE, reportedcourse FLOAT8, reportedspeed FLOAT8, assetcfr VARCHAR(100), assetguid VARCHAR(100), assethistoryid VARCHAR(100), assetid VARCHAR(100), assetimo VARCHAR(100), assetircs VARCHAR(100), assetmmsi VARCHAR(100), assetname VARCHAR(100), assettype VARCHAR(50), flagstate VARCHAR(100), externalmarking VARCHAR(100), internalreferencenumber VARCHAR(100), datereceived TIMESTAMP(6) WITH TIME ZONE, comchanneltype VARCHAR(100), mobileterminalconnectid VARCHAR(100), mobileterminaldnid VARCHAR(100), mobileterminalguid VARCHAR(100), mobileterminalles VARCHAR(100), mobileterminalmembernumber VARCHAR(100), mobileterminalserialnumber VARCHAR(100), movementsourcetype VARCHAR(100), movementtype VARCHAR(100), plugintype VARCHAR(100), status VARCHAR(100), tripnumber FLOAT8, updated TIMESTAMP(6) WITH TIME ZONE NOT NULL, updatedby VARCHAR(60) NOT NULL, alarmreport_id UUID, duplicate BOOLEAN);

COMMENT ON TABLE incomingmovement IS 'The movement connected to the alarm report.';

COMMENT ON COLUMN incomingmovement.id IS 'Guid of movement.';

COMMENT ON COLUMN incomingmovement.ackresponsemessageid IS '???.';

COMMENT ON COLUMN incomingmovement.active IS '???.';

COMMENT ON COLUMN incomingmovement.activitycallback IS '???.';

COMMENT ON COLUMN incomingmovement.activitymessageid IS '???.';

COMMENT ON COLUMN incomingmovement.activitymessagetype IS '???.';

COMMENT ON COLUMN incomingmovement.latitude IS 'Latitude.';

COMMENT ON COLUMN incomingmovement.longitude IS 'Longitude.';

COMMENT ON COLUMN incomingmovement.altitude IS 'Altitude.';

COMMENT ON COLUMN incomingmovement.positiontime IS 'Reported time of movement.';

COMMENT ON COLUMN incomingmovement.reportedcourse IS '???.';

COMMENT ON COLUMN incomingmovement.reportedspeed IS '???.';

COMMENT ON COLUMN incomingmovement.assetcfr IS 'Asset type value.';

COMMENT ON COLUMN incomingmovement.assetguid IS 'Asset type value.';

COMMENT ON COLUMN incomingmovement.assetid IS 'Asset type value.';

COMMENT ON COLUMN incomingmovement.assetimo IS 'Asset type value.';

COMMENT ON COLUMN incomingmovement.assetircs IS 'Asset type value.';

COMMENT ON COLUMN incomingmovement.assetmmsi IS 'Asset type value.';

COMMENT ON COLUMN incomingmovement.assetname IS 'Asset name as it comes from FLUX/MAN.';

COMMENT ON COLUMN incomingmovement.assettype IS 'Type of asset, e.g. VESSEL.';

COMMENT ON COLUMN incomingmovement.flagstate IS 'Flagstate as it comes from FLUX/MAN.';

COMMENT ON COLUMN incomingmovement.externalmarking IS 'External markings as it comes from FLUX/MAN.';

COMMENT ON COLUMN incomingmovement.internalreferencenumber IS '???.';

COMMENT ON COLUMN incomingmovement.datereceived IS 'Received time of movement.';

COMMENT ON COLUMN incomingmovement.comchanneltype IS '???.';

COMMENT ON COLUMN incomingmovement.mobileterminalconnectid IS '???';

COMMENT ON COLUMN incomingmovement.mobileterminaldnid IS 'Mobile terminal id value.';

COMMENT ON COLUMN incomingmovement.mobileterminalguid IS 'Mobile terminal guid.';

COMMENT ON COLUMN incomingmovement.mobileterminalles IS 'Mobile terminal id value.';

COMMENT ON COLUMN incomingmovement.mobileterminalmembernumber IS 'Mobile terminal id value.';

COMMENT ON COLUMN incomingmovement.mobileterminalserialnumber IS 'Mobile terminal id value.';

COMMENT ON COLUMN incomingmovement.movementsourcetype IS '???.';

COMMENT ON COLUMN incomingmovement.movementtype IS '???.';

COMMENT ON COLUMN incomingmovement.plugintype IS 'Type of the plugin the report came from.';

COMMENT ON COLUMN incomingmovement.status IS '???.';

COMMENT ON COLUMN incomingmovement.tripnumber IS '???.';

COMMENT ON COLUMN incomingmovement.updated IS 'Last updated date time.';

COMMENT ON COLUMN incomingmovement.updatedby IS 'Last update userid.';

COMMENT ON COLUMN incomingmovement.duplicate IS 'If this is a duplicate of something already in the DB';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-21', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 41, '9:b2c87cab82482bee65ab9ce0627515d5', 'createTable tableName=incomingmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-23::thofan (generated)
CREATE TABLE latestmovement (movelate_id UUID NOT NULL, movelate_timestamp TIMESTAMP(6) WITH TIME ZONE, movelate_move_id UUID NOT NULL, movelate_moveconn_id UUID NOT NULL, movelate_geom GEOGRAPHY);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-23', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 43, '9:bd60536642deb1a83be5af6800084279', 'createTable tableName=latestmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-24::thofan (generated)
CREATE TABLE movement (move_id UUID NOT NULL, move_duplicate BOOLEAN, move_duplicate_id UUID, move_heading FLOAT4, move_internal_reference_number VARCHAR(12), move_location GEOMETRY NOT NULL, move_movesour_id SMALLINT, move_movetyp_id SMALLINT, move_processed BOOLEAN, move_speed FLOAT4, move_status VARCHAR(60), move_timestamp TIMESTAMP(6) WITH TIME ZONE, move_trip_number FLOAT8, move_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, move_upuser VARCHAR(20) NOT NULL, move_act_id UUID, move_moveconn_id UUID NOT NULL, move_trac_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-24', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 45, '9:4bd978e9dc967107ebb392d9b0c89577', 'createTable tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-25::thofan (generated)
CREATE TABLE movementconnect (moveconn_id UUID NOT NULL, moveconn_asset_id UUID, moveconn_flagstate VARCHAR(100), moveconn_name VARCHAR(100), moveconn_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, moveconn_upuser VARCHAR(60) NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-25', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 47, '9:9674b76330c6c7fd42f534c83a0ea055', 'createTable tableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-26::thofan (generated)
CREATE TABLE movementfilter (movefilt_id UUID NOT NULL, movefilt_field VARCHAR(100), movefilt_movefilttyp_id INTEGER, movefilt_updattim TIMESTAMP(6) WITH TIME ZONE, movefilt_upuser VARCHAR(100), movefilt_value VARCHAR(100), movefilt_movefiltgrp_id UUID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-26', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 49, '9:8fb43a8e532c0cc60627480890de3a95', 'createTable tableName=movementfilter', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-27::thofan (generated)
CREATE TABLE movementfiltergroup (movefiltgrp_id UUID NOT NULL, movefiltgrp_active VARCHAR(100), movefiltgrp_dynamic VARCHAR(100), movefiltgrp_global VARCHAR(100), movefiltgrp_name VARCHAR(100), movefiltgrp_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, movefiltgrp_upuser VARCHAR(100) NOT NULL, movefiltgrp_user_id VARCHAR(100));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-27', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 51, '9:1d0b22cd255e6e8db0c662d867791fbc', 'createTable tableName=movementfiltergroup', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-29::thofan (generated)
CREATE TABLE parameter (param_id VARCHAR(255) NOT NULL, param_description VARCHAR(255), param_value VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-29', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 53, '9:951b853c3c329a1d37615916f561f05c', 'createTable tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-30::thofan (generated)
CREATE TABLE segment (seg_id UUID NOT NULL, seg_cog FLOAT4, seg_distance FLOAT8, seg_duration INTEGER, seg_geom GEOMETRY, seg_segcat_id SMALLINT, seg_sog FLOAT4, seg_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, seg_upuser VARCHAR(20) NOT NULL, seg_frommove_id UUID NOT NULL, seg_tomove_id UUID NOT NULL, seg_trac_id UUID NOT NULL);

COMMENT ON COLUMN segment.seg_sog IS 'This is in knots per second';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-30', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 55, '9:9f99029d462b73a94900670d81b9b85c', 'createTable tableName=segment', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-31::thofan (generated)
CREATE TABLE track (trac_id UUID NOT NULL, trac_avgspeed FLOAT8 NOT NULL, trac_distance FLOAT8 NOT NULL, trac_duration FLOAT8 NOT NULL, track_totalsea FLOAT8 NOT NULL, trac_updattim TIMESTAMP(6) WITH TIME ZONE NOT NULL, trac_upuser VARCHAR(60) NOT NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-31', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 57, '9:5bd8dafcb559dfc31045d65d4fb1bec2', 'createTable tableName=track', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-32::thofan (generated)
ALTER TABLE activity ADD CONSTRAINT activity_pkey PRIMARY KEY (act_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-32', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 59, '9:7610f05ad958374ef11486d603cdefab', 'addPrimaryKey constraintName=activity_pkey, tableName=activity', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-33::thofan (generated)
ALTER TABLE activitytype ADD CONSTRAINT activitytype_pkey PRIMARY KEY (acttyp_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-33', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 61, '9:ae0943ccfb2515ef97978fe86eebdf7d', 'addPrimaryKey constraintName=activitytype_pkey, tableName=activitytype', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-34::thofan (generated)
ALTER TABLE alarmitem ADD CONSTRAINT alarmitem_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-34', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 63, '9:3a16f23a2746815d346c7f69eebceba2', 'addPrimaryKey constraintName=alarmitem_pkey, tableName=alarmitem', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-35::thofan (generated)
ALTER TABLE alarmreport ADD CONSTRAINT alarmreport_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-35', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 65, '9:16743ff5831afb5410882589a10868b5', 'addPrimaryKey constraintName=alarmreport_pkey, tableName=alarmreport', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-36::thofan (generated)
ALTER TABLE draftmovement ADD CONSTRAINT draftmovement_pkey PRIMARY KEY (draftmove_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-36', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 67, '9:5a139dab73f8a7367c7e6d65602b43ee', 'addPrimaryKey constraintName=draftmovement_pkey, tableName=draftmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-37::thofan (generated)
ALTER TABLE incomingmovement ADD CONSTRAINT incomingmovement_pkey PRIMARY KEY (id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-37', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 69, '9:df987d6640fbbe21ce8a09930c11c491', 'addPrimaryKey constraintName=incomingmovement_pkey, tableName=incomingmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-39::thofan (generated)
ALTER TABLE latestmovement ADD CONSTRAINT latestmovement_pkey PRIMARY KEY (movelate_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-39', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 71, '9:059c8a925e2ce18e2a294f7b27c83ef0', 'addPrimaryKey constraintName=latestmovement_pkey, tableName=latestmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-40::thofan (generated)
ALTER TABLE movement ADD CONSTRAINT movement_pkey PRIMARY KEY (move_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-40', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 73, '9:6cde3aaeb499b053fe8b4c0910261629', 'addPrimaryKey constraintName=movement_pkey, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-41::thofan (generated)
ALTER TABLE movementconnect ADD CONSTRAINT movementconnect_pkey PRIMARY KEY (moveconn_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-41', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 75, '9:40275b2f36623cab71d116881713f981', 'addPrimaryKey constraintName=movementconnect_pkey, tableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-42::thofan (generated)
ALTER TABLE movementfilter ADD CONSTRAINT movementfilter_pkey PRIMARY KEY (movefilt_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-42', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 77, '9:4d85b4345642ada31a073b8faafd620a', 'addPrimaryKey constraintName=movementfilter_pkey, tableName=movementfilter', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-43::thofan (generated)
ALTER TABLE movementfiltergroup ADD CONSTRAINT movementfiltergroup_pkey PRIMARY KEY (movefiltgrp_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-43', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 79, '9:0d3a4a6d4deab317a196e0f4ddfd2bd0', 'addPrimaryKey constraintName=movementfiltergroup_pkey, tableName=movementfiltergroup', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-45::thofan (generated)
ALTER TABLE parameter ADD CONSTRAINT parameter_pkey PRIMARY KEY (param_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-45', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 81, '9:b37e5d3ce89e6c3ddd44452b32b02a69', 'addPrimaryKey constraintName=parameter_pkey, tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-46::thofan (generated)
ALTER TABLE segment ADD CONSTRAINT segment_pkey PRIMARY KEY (seg_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-46', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 83, '9:5a2e56dab417613fda62e87882b44440', 'addPrimaryKey constraintName=segment_pkey, tableName=segment', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-47::thofan (generated)
ALTER TABLE track ADD CONSTRAINT track_pkey PRIMARY KEY (trac_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-47', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 85, '9:50c59a442f1440d4c358e9000e845c7a', 'addPrimaryKey constraintName=track_pkey, tableName=track', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-48::thofan (generated)
ALTER TABLE segment ADD CONSTRAINT segment_seg_frommove_id_key UNIQUE (seg_frommove_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-48', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 87, '9:d9fd11e03b54df8925f5cdde2e155171', 'addUniqueConstraint constraintName=segment_seg_frommove_id_key, tableName=segment', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-49::thofan (generated)
ALTER TABLE segment ADD CONSTRAINT segment_seg_tomove_id_key UNIQUE (seg_tomove_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-49', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 89, '9:a2ace602c1df7d9a8b81f3b3d53bb9a3', 'addUniqueConstraint constraintName=segment_seg_tomove_id_key, tableName=segment', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-50::thofan (generated)
ALTER TABLE incomingmovement ADD CONSTRAINT incomingmovement_uc_alarmreport UNIQUE (alarmreport_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-50', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 91, '9:5a267efd894dfc27286576c01eef4bf8', 'addUniqueConstraint constraintName=incomingmovement_uc_alarmreport, tableName=incomingmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-51::thofan (generated)
CREATE INDEX activity_activitytype_fk_inx ON activity(act_acttyp_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-51', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 93, '9:27fd89b32387c7c4fc634bd528f6029c', 'createIndex indexName=activity_activitytype_fk_inx, tableName=activity', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-52::thofan (generated)
CREATE INDEX alarmitem_alarmreport_fk_inx ON alarmitem(alarmreport_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-52', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 95, '9:cb4352fdf4d529bb5599982cf00d9bac', 'createIndex indexName=alarmitem_alarmreport_fk_inx, tableName=alarmitem', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-53::thofan (generated)
CREATE INDEX alarmreport_incomingmovement_fk_inx ON alarmreport(incomingmovement_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-53', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 97, '9:7d761d2c8d3128916e83c323ca0bf05e', 'createIndex indexName=alarmreport_incomingmovement_fk_inx, tableName=alarmreport', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-54::thofan (generated)
CREATE INDEX movelate_move_fk_idx ON latestmovement(movelate_move_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-54', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 99, '9:e7b762ca38fcfcc959001b9756bc9b76', 'createIndex indexName=movelate_move_fk_idx, tableName=latestmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-55::thofan (generated)
CREATE INDEX movelate_moveconnect_fk_idx ON latestmovement(movelate_moveconn_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-55', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 101, '9:3f3379c0b120df219d6e0bc1c1301b25', 'createIndex indexName=movelate_moveconnect_fk_idx, tableName=latestmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-56::thofan (generated)
CREATE INDEX movement_act_fk_idx ON movement(move_act_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-56', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 103, '9:f17cd8521c93c45cba51cbbb70091ca5', 'createIndex indexName=movement_act_fk_idx, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-57::thofan (generated)
CREATE INDEX movement_duplicate_idx ON movement(move_duplicate);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-57', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 105, '9:f051a0552e8f841b1a67ec362ec9814d', 'createIndex indexName=movement_duplicate_idx, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-58::thofan (generated)
CREATE INDEX movement_moveconn_fk_idx ON movement(move_moveconn_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-58', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 107, '9:82a47aedfaa03f4e10034be84989f517', 'createIndex indexName=movement_moveconn_fk_idx, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-61::thofan (generated)
CREATE INDEX movement_processed_idx ON movement(move_processed);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-61', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 109, '9:44264ca1866483567529db42d63d4559', 'createIndex indexName=movement_processed_idx, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-63::thofan (generated)
CREATE INDEX movement_trac_fk_idx ON movement(move_trac_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-63', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 111, '9:b693e23a52a41206359ede118ab88863', 'createIndex indexName=movement_trac_fk_idx, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-64::thofan (generated)
CREATE INDEX movementfilter_filtergroup_fk_inx ON movementfilter(movefilt_movefiltgrp_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-64', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 113, '9:e4108d50c4c8c3f0efba345a832b7355', 'createIndex indexName=movementfilter_filtergroup_fk_inx, tableName=movementfilter', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-65::thofan (generated)
CREATE INDEX movementfilter_movefilttyp_fk_inx ON movementfilter(movefilt_movefilttyp_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-65', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 115, '9:0fb2f49a53a409a1dac9f6282553b4f6', 'createIndex indexName=movementfilter_movefilttyp_fk_inx, tableName=movementfilter', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-66::thofan (generated)
CREATE INDEX seg_segcat_fk_idx ON segment(seg_segcat_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-66', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 117, '9:24e572c40d82904d1a4fa1e4d39a0680', 'createIndex indexName=seg_segcat_fk_idx, tableName=segment', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-67::thofan (generated)
CREATE INDEX seg_trac_fk_idx ON segment(seg_trac_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-67', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 119, '9:04054ffc93202666e2d187ecb576e454', 'createIndex indexName=seg_trac_fk_idx, tableName=segment', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-68::thofan (generated)
ALTER TABLE segment ADD CONSTRAINT segment_tomovement_fk FOREIGN KEY (seg_tomove_id) REFERENCES movement (move_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-68', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 121, '9:a51489e80684ffcaa9e642b458b6ffa1', 'addForeignKeyConstraint baseTableName=segment, constraintName=segment_tomovement_fk, referencedTableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-70::thofan (generated)
ALTER TABLE segment ADD CONSTRAINT segment_track_fk FOREIGN KEY (seg_trac_id) REFERENCES track (trac_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-70', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 123, '9:4ad4e967504e3f49c60e38acee72c37e', 'addForeignKeyConstraint baseTableName=segment, constraintName=segment_track_fk, referencedTableName=track', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-71::thofan (generated)
ALTER TABLE latestmovement ADD CONSTRAINT latestmovement_moveconn_fk FOREIGN KEY (movelate_moveconn_id) REFERENCES movementconnect (moveconn_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-71', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 125, '9:bf1d584f6e97664da0eb282cbd984c2a', 'addForeignKeyConstraint baseTableName=latestmovement, constraintName=latestmovement_moveconn_fk, referencedTableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-72::thofan (generated)
ALTER TABLE movement ADD CONSTRAINT movement_moveconn_fk FOREIGN KEY (move_moveconn_id) REFERENCES movementconnect (moveconn_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-72', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 127, '9:9f6c036811cef3f035bdd52d1db2c756', 'addForeignKeyConstraint baseTableName=movement, constraintName=movement_moveconn_fk, referencedTableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-73::thofan (generated)
ALTER TABLE movement ADD CONSTRAINT movement_activety_fk FOREIGN KEY (move_act_id) REFERENCES activity (act_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-73', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 129, '9:88865b95e92fc44a01c531fbed458397', 'addForeignKeyConstraint baseTableName=movement, constraintName=movement_activety_fk, referencedTableName=activity', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-74::thofan (generated)
ALTER TABLE alarmitem ADD CONSTRAINT alarmitem_alarmreport_fk FOREIGN KEY (alarmreport_id) REFERENCES alarmreport (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-74', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 131, '9:e3552d5c72b38a4738d9dee892228c29', 'addForeignKeyConstraint baseTableName=alarmitem, constraintName=alarmitem_alarmreport_fk, referencedTableName=alarmreport', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-75::thofan (generated)
ALTER TABLE incomingmovement ADD CONSTRAINT incomingmovement_alarmreport_fk FOREIGN KEY (alarmreport_id) REFERENCES alarmreport (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-75', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 133, '9:a5b9ae7228e5251c6b7c8e22aa36057d', 'addForeignKeyConstraint baseTableName=incomingmovement, constraintName=incomingmovement_alarmreport_fk, referencedTableName=alarmreport', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-76::thofan (generated)
ALTER TABLE movement ADD CONSTRAINT movement_track_fk FOREIGN KEY (move_trac_id) REFERENCES track (trac_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-76', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 135, '9:5727ce4bacfff8bb9b68f1202249b98b', 'addForeignKeyConstraint baseTableName=movement, constraintName=movement_track_fk, referencedTableName=track', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-77::thofan (generated)
ALTER TABLE movementfilter ADD CONSTRAINT movementfilter_movementfiltergroup_fk FOREIGN KEY (movefilt_movefiltgrp_id) REFERENCES movementfiltergroup (movefiltgrp_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-77', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 137, '9:669d5c577b703f957ab90129f0318a2b', 'addForeignKeyConstraint baseTableName=movementfilter, constraintName=movementfilter_movementfiltergroup_fk, referencedTableName=movementfiltergroup', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-78::thofan (generated)
ALTER TABLE segment ADD CONSTRAINT segment_frommovement_fk FOREIGN KEY (seg_frommove_id) REFERENCES movement (move_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-78', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 139, '9:2f67e06c24f34776f12507197b2c7e6c', 'addForeignKeyConstraint baseTableName=segment, constraintName=segment_frommovement_fk, referencedTableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-79::thofan (generated)
ALTER TABLE alarmreport ADD CONSTRAINT alarmreport_incomingmovement_fk FOREIGN KEY (incomingmovement_id) REFERENCES incomingmovement (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-79', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 141, '9:5e66aa723bfdad52482b99136ed1b7b9', 'addForeignKeyConstraint baseTableName=alarmreport, constraintName=alarmreport_incomingmovement_fk, referencedTableName=incomingmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/db-changelog-createTables-5.1.6.xml::1544002649622-80::thofan (generated)
ALTER TABLE latestmovement ADD CONSTRAINT latestmovement_movement_fk FOREIGN KEY (movelate_move_id) REFERENCES movement (move_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1544002649622-80', 'thofan (generated)', 'changelog/v5.1.6/db-changelog-createTables-5.1.6.xml', NOW(), 143, '9:38d3934bdc7c7bb0b822cd547f570cef', 'addForeignKeyConstraint baseTableName=latestmovement, constraintName=latestmovement_movement_fk, referencedTableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.1/db-changelog-create-view-5.1.1-postgres.xml::Add a view for getting the latest movements for all assets in micro format::joemat
CREATE VIEW LATEST_POS_VIEW AS SELECT
            b.move_id, b.move_heading, b.move_location, b.move_moveconn_id, b.move_timestamp, b.move_speed,
            mc.moveconn_flagstate, mc.moveconn_name
            FROM movement.movement b
            INNER JOIN (SELECT
            move_moveconn_id,
            MAX(move_timestamp) as MaxValue
            FROM movement.movement
            WHERE movement.move_timestamp > (CURRENT_TIMESTAMP - INTERVAL '1 DAY')
            GROUP BY move_moveconn_id) a ON a.move_moveconn_id = b.move_moveconn_id AND a.MaxValue = b.move_timestamp
            INNER JOIN movement.movementconnect mc ON b.move_moveconn_id = mc.moveconn_asset_id
            WHERE
            b.move_timestamp > (CURRENT_TIMESTAMP - INTERVAL '1 DAY');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add a view for getting the latest movements for all assets in micro format', 'joemat', 'changelog/v5.1.1/db-changelog-create-view-5.1.1-postgres.xml', NOW(), 145, '9:3b003b5efbcb91e5976c7f69a0ec6193', 'createView viewName=LATEST_POS_VIEW', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.6/insertParameter.xml::Insert static parameter values_v_516::joemat
INSERT INTO parameter (param_description, param_id, param_value) VALUES ('The maximum distance for vicinity checks', 'maxDistance', '500');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Insert static parameter values_v_516', 'joemat', 'changelog/v5.1.6/insertParameter.xml', NOW(), 147, '9:baa5f4f31ebbe7de77a78d1035d57bcb', 'insert tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.20/db-changelog-createIndex-5.1.20.xml::Add an index on the movement table to improve the query time for counting the amounts of movement for a ship in a single day::joemat
CREATE INDEX movement_count_idx ON movement(move_moveconn_id, move_timestamp DESC);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add an index on the movement table to improve the query time for counting the amounts of movement for a ship in a single day', 'joemat', 'changelog/v5.1.20/db-changelog-createIndex-5.1.20.xml', NOW(), 149, '9:165ced5b39b331d04fd11a560862052e', 'createIndex indexName=movement_count_idx, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.24/db-changelog-dropIndex-5.1.24.xml::Removed indexes that have not been used during the two-month test run of the prod system::joemat
DROP INDEX movement_processed_idx;

DROP INDEX movement_act_fk_idx;

DROP INDEX seg_segcat_fk_idx;

DROP INDEX seg_trac_fk_idx;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Removed indexes that have not been used during the two-month test run of the prod system', 'joemat', 'changelog/v5.1.24/db-changelog-dropIndex-5.1.24.xml', NOW(), 151, '9:8e44d590f0a51faecc9b2fb5f88fc908', 'dropIndex indexName=movement_processed_idx, tableName=movement; dropIndex indexName=movement_act_fk_idx, tableName=movement; dropIndex indexName=seg_segcat_fk_idx, tableName=segment; dropIndex indexName=seg_trac_fk_idx, tableName=segment', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.1.24/db-changelog-dropIndex-5.1.24.xml::Removal of unused columns::joemat
ALTER TABLE movement DROP COLUMN move_processed;

ALTER TABLE movement DROP COLUMN move_duplicate;

ALTER TABLE movement DROP COLUMN move_duplicate_id;

ALTER TABLE segment DROP COLUMN seg_geom;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Removal of unused columns', 'joemat', 'changelog/v5.1.24/db-changelog-dropIndex-5.1.24.xml', NOW(), 153, '9:90209ff3d7c152e0db85463ab3e96bd4', 'dropColumn columnName=move_processed, tableName=movement; dropColumn columnName=move_duplicate, tableName=movement; dropColumn columnName=move_duplicate_id, tableName=movement; dropColumn columnName=seg_geom, tableName=segment', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.3/db-changelog-5.2.3.xml::drop_view::peerik
DROP VIEW LATEST_POS_VIEW;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_view', 'peerik', 'changelog/v5.2.3/db-changelog-5.2.3.xml', NOW(), 155, '9:5b2bafb9e4478e0459f9459140267089', 'dropView viewName=LATEST_POS_VIEW', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.3/db-changelog-5.2.3.xml::drop_asset_id_column::peerik
ALTER TABLE movementconnect DROP COLUMN moveconn_asset_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_asset_id_column', 'peerik', 'changelog/v5.2.3/db-changelog-5.2.3.xml', NOW(), 157, '9:d2dbdcc7ec433bf70ca036b0c914a865', 'dropColumn tableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.4/db-changelog-5.2.4.xml::update_location_to_geography::peerik
ALTER TABLE movement ALTER COLUMN move_location TYPE GEOGRAPHY USING (move_location::GEOGRAPHY);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_location_to_geography', 'peerik', 'changelog/v5.2.4/db-changelog-5.2.4.xml', NOW(), 159, '9:18d5f2be5422b7b92eb2c6a9b04fc1be', 'modifyDataType columnName=move_location, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.4/db-changelog-5.2.4.xml::drop_latest_movement::peerik
DROP TABLE latestmovement;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_latest_movement', 'peerik', 'changelog/v5.2.4/db-changelog-5.2.4.xml', NOW(), 161, '9:1130d00cfe61557a706fa587601aefd7', 'dropTable tableName=latestmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.4/db-changelog-5.2.4.xml::latest_movement_on_movementconnect::peerik
ALTER TABLE movementconnect ADD moveconn_latest_move UUID;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('latest_movement_on_movementconnect', 'peerik', 'changelog/v5.2.4/db-changelog-5.2.4.xml', NOW(), 163, '9:e13c4af44afc0784228b72651203e554', 'addColumn tableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.12/db-changelog-5.2.12.xml::add_latest_location_to_movement_connect::joemat
ALTER TABLE movementconnect ADD moveconn_latest_location GEOGRAPHY;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_latest_location_to_movement_connect', 'joemat', 'changelog/v5.2.12/db-changelog-5.2.12.xml', NOW(), 165, '9:8af800e774545728523883ecddcb7cee', 'addColumn tableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.17/db-changelog-spatial-index-on-latest-location-5.2.17.xml::spatial_index_on_latest_location::joemat
CREATE INDEX latest_location_idx
            ON movement.movementconnect USING gist
            (moveconn_latest_location)
            TABLESPACE pg_default;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('spatial_index_on_latest_location', 'joemat', 'changelog/v5.2.17/db-changelog-spatial-index-on-latest-location-5.2.17.xml', NOW(), 167, '9:243f6ec49dff948a859bc60c37df42dc', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.17/db-changelog-index-on-moveconn-updatetime-5.2.17.xml::db-changelog-index-on-moveconn-updatetime::joemat
CREATE INDEX moveconn_updatetime_idx ON movementconnect(moveconn_updattim DESC);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('db-changelog-index-on-moveconn-updatetime', 'joemat', 'changelog/v5.2.17/db-changelog-index-on-moveconn-updatetime-5.2.17.xml', NOW(), 169, '9:8821f0aae683f7c98e51781b5441d0ed', 'createIndex indexName=moveconn_updatetime_idx, tableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.26/db-changelog-5.2.26.xml::update_incomingmovement_with_lesReportTime::johsod
ALTER TABLE incomingmovement ADD lesreporttime TIMESTAMP(6) WITH TIME ZONE;

COMMENT ON COLUMN incomingmovement.lesreporttime IS 'Time when inmarsat sends position.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_incomingmovement_with_lesReportTime', 'johsod', 'changelog/v5.2.26/db-changelog-5.2.26.xml', NOW(), 171, '9:79a22b4380f0cd29224db8bcc3fba331', 'addColumn tableName=incomingmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.26/db-changelog-5.2.26.xml::update_movement_with_move_lesReportTime::johsod
ALTER TABLE movement ADD move_lesreporttime TIMESTAMP(6) WITH TIME ZONE;

COMMENT ON COLUMN movement.move_lesreporttime IS 'Time when inmarsat sends position.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_movement_with_move_lesReportTime', 'johsod', 'changelog/v5.2.26/db-changelog-5.2.26.xml', NOW(), 173, '9:ec2c338980401c04a060d4f58ecdfaf6', 'addColumn tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.26/db-changelog-5.2.26.xml::update_incomingmovement_with_source_satellite_id::joemat
ALTER TABLE incomingmovement ADD sourcesatelliteid SMALLINT;

COMMENT ON COLUMN incomingmovement.sourcesatelliteid IS 'The satellite used for communication.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_incomingmovement_with_source_satellite_id', 'joemat', 'changelog/v5.2.26/db-changelog-5.2.26.xml', NOW(), 175, '9:fe2c3b9ff0b00f3d9763419ab5828e0c', 'addColumn tableName=incomingmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.2.26/db-changelog-5.2.26.xml::update_movement_with_move_source_satellite_id::joemat
ALTER TABLE movement ADD move_satellite_id SMALLINT;

COMMENT ON COLUMN movement.move_satellite_id IS 'The satellite used for communication.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_movement_with_move_source_satellite_id', 'joemat', 'changelog/v5.2.26/db-changelog-5.2.26.xml', NOW(), 177, '9:9aa8586e08540371ddc58123b3f4342f', 'addColumn tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.3.0/db-changelog-drop-draft-movement-5.3.0.xml::drop_draft_movement::joemat
DROP TABLE draftmovement;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_draft_movement', 'joemat', 'changelog/v5.3.0/db-changelog-drop-draft-movement-5.3.0.xml', NOW(), 179, '9:5b43950920dd9b06883eb77abaa377a7', 'dropTable tableName=draftmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.3.4/db-changelog-drop-segment.xml::add_previous_movement::peerik
ALTER TABLE movement ADD move_prevmove_id UUID;

ALTER TABLE movement ADD UNIQUE (move_prevmove_id);

COMMENT ON COLUMN movement.move_prevmove_id IS 'Previous movement';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_previous_movement', 'peerik', 'changelog/v5.3.4/db-changelog-drop-segment.xml', NOW(), 181, '9:1be9aac272f6ab4b2083a1ce5bde7e22', 'addColumn tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.3.4/db-changelog-drop-segment.xml::previous_movement_fk::peerik
ALTER TABLE movement ADD CONSTRAINT move_prevmove_fk FOREIGN KEY (move_prevmove_id) REFERENCES movement (move_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('previous_movement_fk', 'peerik', 'changelog/v5.3.4/db-changelog-drop-segment.xml', NOW(), 183, '9:bb1fd1903d972c686f97d58e5157ecd2', 'addForeignKeyConstraint baseTableName=movement, constraintName=move_prevmove_fk, referencedTableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.3.4/db-changelog-drop-segment.xml::set_existing_previous_movement::peerik
UPDATE movement.movement
            SET move_prevmove_id = (SELECT s.seg_frommove_id
            FROM movement.segment s
            WHERE s.seg_tomove_id = move_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('set_existing_previous_movement', 'peerik', 'changelog/v5.3.4/db-changelog-drop-segment.xml', NOW(), 185, '9:d7d6009955d6cef69a7565e91a32499a', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.3.4/db-changelog-drop-segment.xml::drop_segment::peerik
DROP TABLE segment;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_segment', 'peerik', 'changelog/v5.3.4/db-changelog-drop-segment.xml', NOW(), 187, '9:bdbd079bb8cc8f90c20c4b739fea5e64', 'dropTable tableName=segment', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.4.1/db-changelog-latest-vms.xml::latest_vms_movement_on_movementconnect::peerik
ALTER TABLE movementconnect ADD moveconn_latest_vms UUID;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('latest_vms_movement_on_movementconnect', 'peerik', 'changelog/v5.4.1/db-changelog-latest-vms.xml', NOW(), 189, '9:13ba45d1745365e3b0d58fce179e27ce', 'addColumn tableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.2/db-changelog-drop-activity.xml::drop-everything-related-to-activity::joemat
ALTER TABLE movement DROP COLUMN move_act_id;

DROP TABLE activitytype;

DROP TABLE activity;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop-everything-related-to-activity', 'joemat', 'changelog/v5.5.2/db-changelog-drop-activity.xml', NOW(), 191, '9:0615bce3c0e6c1c560c25e8f2b7a2f80', 'dropColumn columnName=move_act_id, tableName=movement; dropTable tableName=activitytype; dropTable tableName=activity', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.3/db-changelog-new-index-on-movement.xml::Drop unnecessary indexes::kasgul
DROP INDEX movement_moveconn_fk_idx;

DROP INDEX movement_trac_fk_idx;

DROP INDEX movement_count_idx;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Drop unnecessary indexes', 'kasgul', 'changelog/v5.5.3/db-changelog-new-index-on-movement.xml', NOW(), 193, '9:42eb273d6f52830d943cb029e853c3cb', 'dropIndex indexName=movement_moveconn_fk_idx, tableName=movement; dropIndex indexName=movement_trac_fk_idx, tableName=movement; dropIndex indexName=movement_count_idx, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.3/db-changelog-new-index-on-movement.xml::Create a new index on track id and timestamp::kasgul
CREATE INDEX move_track_timestamp_idx ON movement(move_trac_id, move_timestamp DESC);

CREATE INDEX move_by_assetid_idx ON movement(move_moveconn_id, move_movesour_id, move_timestamp DESC);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create a new index on track id and timestamp', 'kasgul', 'changelog/v5.5.3/db-changelog-new-index-on-movement.xml', NOW(), 195, '9:e2604445775a4ed19ea8771e74e006c2', 'createIndex indexName=move_track_timestamp_idx, tableName=movement; createIndex indexName=move_by_assetid_idx, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.6/db-changelog-new-index-on-movement.xml::Create a new index on connectId and timestamp::kasgul
CREATE INDEX move_connectid_timestamp_idx ON movement(move_moveconn_id, move_timestamp DESC);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create a new index on connectId and timestamp', 'kasgul', 'changelog/v5.5.6/db-changelog-new-index-on-movement.xml', NOW(), 197, '9:4d2d3a273c345bfa382289fd970a47a6', 'createIndex indexName=move_connectid_timestamp_idx, tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.13/db-changelog-add-ais-position-accuracy-5.2.26.xml::update_incomingmovement_with_ais_position_accuracy::joemat
ALTER TABLE incomingmovement ADD ais_position_accuracy SMALLINT;

COMMENT ON COLUMN incomingmovement.ais_position_accuracy IS 'Value can be 0 (greater then 10m) and 1 (lesser then 10m). See https://gpsd.gitlab.io/gpsd/AIVDM.html for more info';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_incomingmovement_with_ais_position_accuracy', 'joemat', 'changelog/v5.5.13/db-changelog-add-ais-position-accuracy-5.2.26.xml', NOW(), 199, '9:fda1b047c2fb5d7b0f400f4c7ea95d20', 'addColumn tableName=incomingmovement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.13/db-changelog-add-ais-position-accuracy-5.2.26.xml::update_movement_with_ais_position_accuracy::joemat
ALTER TABLE movement ADD ais_position_accuracy SMALLINT;

COMMENT ON COLUMN movement.ais_position_accuracy IS 'Value can be 0 (greater then 10m) and 1 (lesser then 10m). See https://gpsd.gitlab.io/gpsd/AIVDM.html for more info';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_movement_with_ais_position_accuracy', 'joemat', 'changelog/v5.5.13/db-changelog-add-ais-position-accuracy-5.2.26.xml', NOW(), 201, '9:ba93270ced0c861b112d9c47b2645229', 'addColumn tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.20/db-changelog-vms-partial-index.xml::Create partial vms index::peerik
DROP INDEX IF EXISTS move_timestamp_id_vms_partial_idx;

CREATE INDEX move_timestamp_id_vms_partial_idx
                ON movement USING btree
                (move_timestamp ASC NULLS LAST, move_id ASC NULLS LAST)
                TABLESPACE pg_default
                WHERE move_movesour_id = ANY (ARRAY[0, 2, 3, 4, 5, 6]);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create partial vms index', 'peerik', 'changelog/v5.5.20/db-changelog-vms-partial-index.xml', NOW(), 203, '9:036a4833a92dc9acefabf5d16372a84b', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.24/db-changelog-remove-tripNumber-and-internalRefNumber-5.5.24.xml::remove tripNumber and internalReferenceNumber::joemat
ALTER TABLE movement DROP COLUMN move_trip_number;

ALTER TABLE movement DROP COLUMN move_internal_reference_number;

ALTER TABLE incomingmovement DROP COLUMN tripnumber;

ALTER TABLE incomingmovement DROP COLUMN internalreferencenumber;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('remove tripNumber and internalReferenceNumber', 'joemat', 'changelog/v5.5.24/db-changelog-remove-tripNumber-and-internalRefNumber-5.5.24.xml', NOW(), 205, '9:db1ae8ee8b794e7f7b58f407c42bb718', 'dropColumn columnName=move_trip_number, tableName=movement; dropColumn columnName=move_internal_reference_number, tableName=movement; dropColumn columnName=tripnumber, tableName=incomingmovement; dropColumn columnName=internalreferencenumber, tabl...', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.25/db-changelog-add-calculatedspeed-to-movement.xml::update_movement_with_calculatedspeed::johsod
ALTER TABLE movement ADD calculatedspeed DOUBLE PRECISION;

COMMENT ON COLUMN movement.calculatedspeed IS 'avg speed between two vms positions';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_movement_with_calculatedspeed', 'johsod', 'changelog/v5.5.25/db-changelog-add-calculatedspeed-to-movement.xml', NOW(), 207, '9:92400913736dd1e9b21be509513db304', 'addColumn tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.5.25/db-changelog-rename-columns-in-movement.xml::rename_movement_columns::johsod
ALTER TABLE movement RENAME COLUMN move_id TO id;

ALTER TABLE movement RENAME COLUMN move_heading TO heading;

ALTER TABLE movement RENAME COLUMN move_location TO location;

ALTER TABLE movement RENAME COLUMN move_movesour_id TO source_id;

ALTER TABLE movement RENAME COLUMN move_movetyp_id TO movetype_id;

ALTER TABLE movement RENAME COLUMN move_speed TO speed;

ALTER TABLE movement RENAME COLUMN move_status TO status;

ALTER TABLE movement RENAME COLUMN move_timestamp TO timestamp;

ALTER TABLE movement RENAME COLUMN move_updattim TO update_time;

ALTER TABLE movement RENAME COLUMN move_upuser TO update_user;

ALTER TABLE movement RENAME COLUMN move_moveconn_id TO movementconnect_id;

ALTER TABLE movement RENAME COLUMN move_trac_id TO track_id;

ALTER TABLE movement RENAME COLUMN move_lesreporttime TO lesreporttime;

ALTER TABLE movement RENAME COLUMN move_satellite_id TO satellite_id;

ALTER TABLE movement RENAME COLUMN move_prevmove_id TO prev_movement_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('rename_movement_columns', 'johsod', 'changelog/v5.5.25/db-changelog-rename-columns-in-movement.xml', NOW(), 209, '9:824f424a9a1d54ff72db53efe90c9580', 'renameColumn newColumnName=id, oldColumnName=move_id, tableName=movement; renameColumn newColumnName=heading, oldColumnName=move_heading, tableName=movement; renameColumn newColumnName=location, oldColumnName=move_location, tableName=movement; ren...', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.6/db-changelog-drop-previous-movement.xml::Drop previous movement column::peerik
ALTER TABLE movement DROP COLUMN prev_movement_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Drop previous movement column', 'peerik', 'changelog/v5.6.6/db-changelog-drop-previous-movement.xml', NOW(), 211, '9:71934f235a55aafed11d2579f0407283', 'dropColumn tableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.8/db-changelog-movement-partition.xml::Rename movement table::peerik
ALTER TABLE movement RENAME TO movement_2021;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Rename movement table', 'peerik', 'changelog/v5.6.8/db-changelog-movement-partition.xml', NOW(), 213, '9:e3d98bab1d76abf3bb366ba35b32178f', 'renameTable newTableName=movement_2021, oldTableName=movement', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.8/db-changelog-movement-partition.xml::Create combined primary key::peerik
ALTER TABLE movementconnect ADD moveconn_latest_move_timestamp TIMESTAMP(6) WITH TIME ZONE;

UPDATE movementconnect
            SET moveconn_latest_move_timestamp = m.timestamp
            FROM movement_2021 m
            WHERE m.id = moveconn_latest_move;

ALTER TABLE movementconnect ADD moveconn_latest_vms_timestamp TIMESTAMP(6) WITH TIME ZONE;

UPDATE movementconnect
            SET moveconn_latest_vms_timestamp = m.timestamp
            FROM movement_2021 m
            WHERE m.id = moveconn_latest_vms;

DO $$ DECLARE constraint_name varchar;
BEGIN
  SELECT tc.CONSTRAINT_NAME into strict constraint_name
    FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS tc
    WHERE CONSTRAINT_TYPE = 'PRIMARY KEY'
      AND TABLE_NAME = 'movement_2021' AND TABLE_SCHEMA = 'movement';
    EXECUTE 'alter table movement.movement_2021 drop constraint "' || constraint_name || '"';
END $$;

ALTER TABLE movement_2021 ADD PRIMARY KEY (id, timestamp);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create combined primary key', 'peerik', 'changelog/v5.6.8/db-changelog-movement-partition.xml', NOW(), 215, '9:d68cd9f14af5eb07572e649fd84f7ebe', 'addColumn tableName=movementconnect; sql; addColumn tableName=movementconnect; sql; dropPrimaryKey tableName=movement_2021; addPrimaryKey tableName=movement_2021', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.8/db-changelog-movement-partition.xml::Create base partition::peerik
CREATE TABLE movement (LIKE movement_2021 INCLUDING ALL)
            PARTITION BY RANGE (timestamp);

ALTER TABLE movement ADD CONSTRAINT movement_track_fk FOREIGN KEY (track_id) REFERENCES track (trac_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

ALTER TABLE movement ADD CONSTRAINT movement_moveconn_fk FOREIGN KEY (movementconnect_id) REFERENCES movementconnect (moveconn_id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create base partition', 'peerik', 'changelog/v5.6.8/db-changelog-movement-partition.xml', NOW(), 217, '9:bfa78656a053d435d523234c5005817d', 'sql; addForeignKeyConstraint baseTableName=movement, constraintName=movement_track_fk, referencedTableName=track; addForeignKeyConstraint baseTableName=movement, constraintName=movement_moveconn_fk, referencedTableName=movementconnect', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.8/db-changelog-movement-partition.xml::Create partitions::peerik
CREATE TABLE movement_2022 
            PARTITION OF movement
            FOR VALUES FROM ('2022-01-01') TO ('2022-12-31');

CREATE TABLE movement_2023 
            PARTITION OF movement
            FOR VALUES FROM ('2023-01-01') TO ('2023-12-31');

CREATE TABLE movement_default
            PARTITION OF movement
            DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Create partitions', 'peerik', 'changelog/v5.6.8/db-changelog-movement-partition.xml', NOW(), 219, '9:f5a02cd3a5bdc8503b1ae4907075fbb0', 'sql; sql; sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.8/db-changelog-movement-partition.xml::Attach partition::peerik
ALTER TABLE movement
            ATTACH PARTITION movement_2021
            FOR VALUES FROM ('2019-01-01') TO ('2021-12-31');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Attach partition', 'peerik', 'changelog/v5.6.8/db-changelog-movement-partition.xml', NOW(), 221, '9:5c791af8738b4318c195347432c278f6', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.9/db-changelog-rename-movementconnect-columns.xml::Rename movementconnect columns::peerik
ALTER TABLE movementconnect RENAME COLUMN moveconn_id TO id;

ALTER TABLE movementconnect RENAME COLUMN moveconn_latest_move TO latest_movement;

ALTER TABLE movementconnect RENAME COLUMN moveconn_latest_move_timestamp TO latest_movement_timestamp;

ALTER TABLE movementconnect RENAME COLUMN moveconn_latest_vms TO latest_vms;

ALTER TABLE movementconnect RENAME COLUMN moveconn_latest_vms_timestamp TO latest_vms_timestamp;

ALTER TABLE movementconnect RENAME COLUMN moveconn_updattim TO update_time;

ALTER TABLE movementconnect RENAME COLUMN moveconn_upuser TO update_user;

ALTER TABLE movementconnect RENAME COLUMN moveconn_latest_location TO latest_location;

ALTER TABLE movementconnect DROP COLUMN moveconn_flagstate;

ALTER TABLE movementconnect DROP COLUMN moveconn_name;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Rename movementconnect columns', 'peerik', 'changelog/v5.6.9/db-changelog-rename-movementconnect-columns.xml', NOW(), 223, '9:989249cada6242aff2f1b50a5a9476f9', 'renameColumn newColumnName=id, oldColumnName=moveconn_id, tableName=movementconnect; renameColumn newColumnName=latest_movement, oldColumnName=moveconn_latest_move, tableName=movementconnect; renameColumn newColumnName=latest_movement_timestamp, o...', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_update-partitions.xml::detach_2021::peerik
ALTER TABLE movement.movement
            DETACH PARTITION movement.movement_2021;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('detach_2021', 'peerik', 'changelog/v5.6.12/db-changelog_update-partitions.xml', NOW(), 225, '9:cef1b28d883a9c786a31e616dc198dac', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_update-partitions.xml::migrate_2021::peerik
WITH movements AS (
                  DELETE FROM movement.movement_default
                  WHERE timestamp >= '2019-01-01' and timestamp < '2022-01-01'
                  RETURNING *
                )
                INSERT INTO movement.movement_2021
                  SELECT * FROM movements;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('migrate_2021', 'peerik', 'changelog/v5.6.12/db-changelog_update-partitions.xml', NOW(), 227, '9:bf4856e5c028143aa171ba3c28eead25', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_update-partitions.xml::attach_2021::peerik
ALTER TABLE movement.movement
            ATTACH PARTITION movement.movement_2021
            FOR VALUES FROM ('2019-01-01') TO ('2022-01-01');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('attach_2021', 'peerik', 'changelog/v5.6.12/db-changelog_update-partitions.xml', NOW(), 229, '9:b4ee15d9d9901da0c45e64f6f71d9190', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_update-partitions.xml::detach_2022::peerik
ALTER TABLE movement.movement
            DETACH PARTITION movement.movement_2022;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('detach_2022', 'peerik', 'changelog/v5.6.12/db-changelog_update-partitions.xml', NOW(), 231, '9:333c4f5dfdc766232bd3905fa30cb522', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_update-partitions.xml::migrate_2022::peerik
WITH movements AS (
                  DELETE FROM movement.movement_default
                  WHERE timestamp >= '2022-01-01' and timestamp < '2023-01-01'
                  RETURNING *
                )
                INSERT INTO movement.movement_2022
                  SELECT * FROM movements;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('migrate_2022', 'peerik', 'changelog/v5.6.12/db-changelog_update-partitions.xml', NOW(), 233, '9:f5938f6f785bafb9ed652435d0986555', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_update-partitions.xml::attach_2022::peerik
ALTER TABLE movement.movement
            ATTACH PARTITION movement.movement_2022
            FOR VALUES FROM ('2022-01-01') TO ('2023-01-01');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('attach_2022', 'peerik', 'changelog/v5.6.12/db-changelog_update-partitions.xml', NOW(), 235, '9:89d630389c4e704e0836b9fae30fd11a', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_update-partitions.xml::detach_2023::peerik
ALTER TABLE movement.movement
            DETACH PARTITION movement.movement_2023;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('detach_2023', 'peerik', 'changelog/v5.6.12/db-changelog_update-partitions.xml', NOW(), 237, '9:ef3663d2378be9f08a9f526daab9bf70', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_update-partitions.xml::attach_2023::peerik
ALTER TABLE movement.movement
            ATTACH PARTITION movement.movement_2023
            FOR VALUES FROM ('2023-01-01') TO ('2024-01-01');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('attach_2023', 'peerik', 'changelog/v5.6.12/db-changelog_update-partitions.xml', NOW(), 239, '9:ba1160299830fca6871a8ad4298740f4', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_add-partitions.xml::create_partition_2024::peerik
CREATE TABLE movement_2024
            PARTITION OF movement
            FOR VALUES FROM ('2024-01-01') TO ('2025-01-01');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('create_partition_2024', 'peerik', 'changelog/v5.6.12/db-changelog_add-partitions.xml', NOW(), 241, '9:dce8246f256146a62ab793c556aeeeda', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_add-partitions.xml::create_partition_2025::peerik
CREATE TABLE movement_2025
            PARTITION OF movement
            FOR VALUES FROM ('2025-01-01') TO ('2026-01-01');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('create_partition_2025', 'peerik', 'changelog/v5.6.12/db-changelog_add-partitions.xml', NOW(), 243, '9:5dd566ea08f9b3744da2c6e814044bfd', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_add-partitions.xml::create_partition_2026::peerik
CREATE TABLE movement_2026
            PARTITION OF movement
            FOR VALUES FROM ('2026-01-01') TO ('2027-01-01');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('create_partition_2026', 'peerik', 'changelog/v5.6.12/db-changelog_add-partitions.xml', NOW(), 245, '9:31986949a8245f391e6812ec08f2d178', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

-- Changeset changelog/v5.6.12/db-changelog_add-partitions.xml::create_partition_2027::peerik
CREATE TABLE movement_2027
            PARTITION OF movement
            FOR VALUES FROM ('2027-01-01') TO ('2028-01-01');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('create_partition_2027', 'peerik', 'changelog/v5.6.12/db-changelog_add-partitions.xml', NOW(), 247, '9:c1379b5a75210d21857a130f5bb34aac', 'sql', '', 'EXECUTED', NULL, NULL, '4.26.0', '0250134682');

