-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: changelog/db-changelog-master.xml
-- Ran at: 3/17/22, 2:43 PM
-- Against: null@offline:postgresql?changeLogFile=target/databasechangelog.csv&outputLiquibaseSql=true
-- Liquibase version: 3.5.3
-- *********************************************************************

CREATE TABLE reporting.databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INT NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- Changeset changelog/0.1/generatedChangelog.xml::1439890745706-51::emrinalgr
CREATE SEQUENCE reporting.execution_log_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-51', 'emrinalgr', 'changelog/0.1/generatedChangelog.xml', NOW(), 1, '7:6e1c8ebad3b03ac9ed7ffdf9abcd8d07', 'createSequence sequenceName=execution_log_seq', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1439890745706-52::emrinalgr
CREATE SEQUENCE reporting.report_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-52', 'emrinalgr', 'changelog/0.1/generatedChangelog.xml', NOW(), 3, '7:c99035a3b293874f2ed263aca93c6fc9', 'createSequence sequenceName=report_seq', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1439890745706-53::emrinalgr
CREATE SEQUENCE reporting.filter_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1439890745706-53', 'emrinalgr', 'changelog/0.1/generatedChangelog.xml', NOW(), 5, '7:72bf51bc283e3014ba52e1daa6512a0e', 'createSequence sequenceName=filter_seq', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1443778291188-4::rinaldgr (generated)
CREATE TABLE reporting.execution_log (id BIGINT NOT NULL, executed_by VARCHAR(255) NOT NULL, executed_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, report_id BIGINT NOT NULL, CONSTRAINT execution_log_pkey PRIMARY KEY (id));

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443778291188-4', 'rinaldgr (generated)', 'changelog/0.1/generatedChangelog.xml', NOW(), 7, '7:0df1963b152f94431bdca4bcc43e0244', 'createTable tableName=execution_log', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1443778291188-5::rinaldgr (generated)
CREATE TABLE reporting.filter (filter_type VARCHAR(31) NOT NULL, filter_id BIGINT NOT NULL, guid VARCHAR(255), name VARCHAR(255), username VARCHAR(255), end_date TIMESTAMP WITHOUT TIME ZONE, position VARCHAR(255), selector VARCHAR(255), value FLOAT, start_date TIMESTAMP WITHOUT TIME ZONE, max_speed FLOAT, min_speed FLOAT, mov_type VARCHAR(30), mov_activity VARCHAR(30), mov_sources VARCHAR(255), max_time FLOAT, min_time FLOAT, min_duration FLOAT, max_duration FLOAT, min_avg_speed FLOAT, max_avg_speed FLOAT, min_distance FLOAT, max_distance FLOAT, seg_category VARCHAR(255), report_id BIGINT NOT NULL, area_type VARCHAR(255), area_id BIGINT, report_types TEXT, activity_types TEXT, masters TEXT, species TEXT, ports TEXT, gears TEXT, weight_min FLOAT, weight_max FLOAT, weight_unit VARCHAR(255), CONSTRAINT filter_pkey PRIMARY KEY (filter_id));

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443778291188-5', 'rinaldgr (generated)', 'changelog/0.1/generatedChangelog.xml', NOW(), 9, '7:ff3069af8bd2b2fa693ef9650a7e64ff', 'createTable tableName=filter', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1443778291184-6::rinaldgr (generated)
CREATE TABLE reporting.report (id BIGINT NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, created_by VARCHAR(255) NOT NULL, deleted_by VARCHAR(255), deleted_on TIMESTAMP WITHOUT TIME ZONE, description VARCHAR(255), is_deleted VARCHAR(1), name VARCHAR(255) NOT NULL, with_map VARCHAR(1) NOT NULL, scope_name VARCHAR(255) NOT NULL, visibility VARCHAR(255) NOT NULL, report_type VARCHAR(255) NOT NULL, CONSTRAINT report_pkey PRIMARY KEY (id));

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443778291184-6', 'rinaldgr (generated)', 'changelog/0.1/generatedChangelog.xml', NOW(), 11, '7:e24b1a1bc65bfb97bbeeb7b256e84dda', 'createTable tableName=report', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1443778291188-7::rinaldgr (generated)
ALTER TABLE reporting.execution_log ADD CONSTRAINT uk_6cydkqytehkrquueneylekysg UNIQUE (report_id, executed_by);

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443778291188-7', 'rinaldgr (generated)', 'changelog/0.1/generatedChangelog.xml', NOW(), 13, '7:ed180c2d36ded19b3b186ce7138463e8', 'addUniqueConstraint constraintName=uk_6cydkqytehkrquueneylekysg, tableName=execution_log', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1443778291188-8::rinaldgr (generated)
ALTER TABLE reporting.filter ADD CONSTRAINT fk_d1tg8005cg8eogehynb9v1w18 FOREIGN KEY (report_id) REFERENCES reporting.report (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443778291188-8', 'rinaldgr (generated)', 'changelog/0.1/generatedChangelog.xml', NOW(), 15, '7:a8740799311233761395ed56f8552cb5', 'addForeignKeyConstraint baseTableName=filter, constraintName=fk_d1tg8005cg8eogehynb9v1w18, referencedTableName=report', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1443778291188-9::rinaldgr (generated)
ALTER TABLE reporting.execution_log ADD CONSTRAINT fk_k4epdh9wpjr4fao3qh6ap0hpt FOREIGN KEY (report_id) REFERENCES reporting.report (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443778291188-9', 'rinaldgr (generated)', 'changelog/0.1/generatedChangelog.xml', NOW(), 17, '7:ae5bc44a63c90398db67c546bc45788f', 'addForeignKeyConstraint baseTableName=execution_log, constraintName=fk_k4epdh9wpjr4fao3qh6ap0hpt, referencedTableName=report', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::16834688168717::dubduan
ALTER TABLE reporting.execution_log ALTER COLUMN  id SET DEFAULT nextval('reporting.execution_log_seq');

ALTER SEQUENCE reporting.execution_log_seq OWNED BY reporting.execution_log.id;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('16834688168717', 'dubduan', 'changelog/0.1/generatedChangelog.xml', NOW(), 19, '7:3b196fddc610d4c6e1d128640d79dbeb', 'addDefaultValue columnName=id, tableName=execution_log', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::12884688168711::dubduan
ALTER TABLE reporting.filter ALTER COLUMN  filter_id SET DEFAULT nextval('reporting.filter_seq');

ALTER SEQUENCE reporting.filter_seq OWNED BY reporting.filter.filter_id;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12884688168711', 'dubduan', 'changelog/0.1/generatedChangelog.xml', NOW(), 21, '7:6d29f676a4b54ebb9560f3d88927343f', 'addDefaultValue columnName=filter_id, tableName=filter', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::12882228169711::dubduan
ALTER TABLE reporting.report ALTER COLUMN  id SET DEFAULT nextval('reporting.report_seq');

ALTER SEQUENCE reporting.report_seq OWNED BY reporting.report.id;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12882228169711', 'dubduan', 'changelog/0.1/generatedChangelog.xml', NOW(), 23, '7:c9359dfc224d43d7ea12d2ebb46933a6', 'addDefaultValue columnName=id, tableName=report', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1429112312d-31::dubduan
CREATE OR REPLACE FUNCTION inc_filter_sq()
            RETURNS "trigger" AS
            $BODY$
            BEGIN
            New.id:=nextval('reporting.filter_seq');
            Return NEW;
            END;
            $BODY$
            LANGUAGE 'plpgsql' VOLATILE;


            CREATE TRIGGER trg_filter
            before insert on reporting.filter
            for each row EXECUTE procedure inc_filter_sq();

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1429112312d-31', 'dubduan', 'changelog/0.1/generatedChangelog.xml', NOW(), 25, '7:feab3ce2c721cc0815118a73286993e7', 'createProcedure', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::1rfe310791706-31::dubduan
CREATE OR REPLACE FUNCTION inc_report_sq()
            RETURNS "trigger" AS
            $BODY$
            BEGIN
            New.id:=nextval('reporting.report_seq');
            Return NEW;
            END;
            $BODY$
            LANGUAGE 'plpgsql' VOLATILE;


            CREATE TRIGGER trg_report
            before insert on reporting.report
            for each row EXECUTE procedure inc_report_sq();

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1rfe310791706-31', 'dubduan', 'changelog/0.1/generatedChangelog.xml', NOW(), 27, '7:f1cb932afddf4f4547be06fe7f59879f', 'createProcedure', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/generatedChangelog.xml::142318dfd1906-31::dubduan
CREATE OR REPLACE FUNCTION inc_execution_log_sq()
            RETURNS "trigger" AS
            $BODY$
            BEGIN
            New.id:=nextval('reporting.execution_log_seq');
            Return NEW;
            END;
            $BODY$
            LANGUAGE 'plpgsql' VOLATILE;


            CREATE TRIGGER trg_execution_log
            before insert on reporting.execution_log
            for each row EXECUTE procedure inc_execution_log_sq();

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('142318dfd1906-31', 'dubduan', 'changelog/0.1/generatedChangelog.xml', NOW(), 29, '7:49f0c191d0f1d805c6486b64497fe3ef', 'createProcedure', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/0.1/disableTriggers.xml::143522323-1::dubduan
ALTER TABLE report DISABLE TRIGGER trg_report;

ALTER TABLE filter DISABLE TRIGGER trg_filter;

ALTER TABLE execution_log DISABLE TRIGGER trg_execution_log;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('143522323-1', 'dubduan', 'changelog/0.1/disableTriggers.xml', NOW(), 31, '7:992c8354b5a3567241f5515137be5fb5', 'sql', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

-- Changeset changelog/1.0.2/db-changelog-102-001.xml::bd0d4195-95e2-49b5-8a97-09d361760c2f::emrinalgr
ALTER TABLE reporting.filter ADD order_seq INT;

ALTER TABLE reporting.filter ADD cri_type TEXT;

ALTER TABLE reporting.filter ADD cri_value TEXT;

INSERT INTO reporting.databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('bd0d4195-95e2-49b5-8a97-09d361760c2f', 'emrinalgr', 'changelog/1.0.2/db-changelog-102-001.xml', NOW(), 33, '7:4c00743401e20107780f63e1b00d3750', 'addColumn tableName=filter', '', 'EXECUTED', NULL, NULL, '3.5.3', '7524602183');

