#!/bin/sh

if [ $# -ne 2 ]; 
    then echo "Requires two arguments [db_name] [postgresql-db-hostname]"
    exit 1
fi

echo "Running module.sql to create tables and init data"
echo "Running asset.sql to create tables and init data"
psql -U asset -d $1 --host=$2 --single-transaction -q -f fish.focus.uvms.asset.liquibase-6.8.35.sql >/dev/null
echo "Running  audit.sql to create tables and init data"
psql -U audit -d $1 --host=$2 --single-transaction -q -f fish.focus.uvms.audit.liquibase-4.3.12.sql >/dev/null
echo "Running config.sql to create tables and init data"
psql -U config -d $1 --host=$2 --single-transaction -q -f fish.focus.uvms.config.liquibase-4.3.12.sql >/dev/null
echo "Running exchange.sql to create tables and init data"
psql -U exchange -d $1 --host=$2 --single-transaction -q -f fish.focus.uvms.exchange.liquibase-5.3.32.sql >/dev/null
echo "Running movement.sql to create tables and init data"
psql -U movement -d $1 --host=$2 --single-transaction -q -f fish.focus.uvms.movement.liquibase-5.6.21.sql >/dev/null
echo "Running movementrules.sql to create tables and init data"
psql -U movementrules -d $1 --host=$2 -a --single-transaction -q -f fish.focus.uvms.movement-rules.liquibase-2.4.22.sql >/dev/null
echo "Running incident.sql to create tables and init data"
psql -U incident -d $1 --host=$2 -a --single-transaction -q -f fish.focus.uvms.incident.liquibase-1.0.15.sql >/dev/null
echo "Running usm.sql to create tables and init data"
psql -U usm -d $1 --host=$2 --single-transaction -q -f fish.focus.uvms.user.liquibase-2.2.6.sql >/dev/null
echo "Running spatial.sql to create tables and init data"
psql -U spatial -d $1 --host=$2 --single-transaction -q -f fish.focus.uvms.spatial.liquibase-2.2.12.sql >/dev/null
echo "Running reporting.sql to create tables and init data"
psql -U reporting -d $1 --host=$2 --single-transaction -q -f fish.focus.uvms.reporting.reporting-liquibase-1.1.31.sql >/dev/null
echo "Running activity.sql to create tables and init data"
psql -U activity -d $1 --host=$2 --single-transaction -q -f fish.focus.uvms.activity.liquibase-1.2.18.sql >/dev/null
echo "Completed module.sql"