-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: postgres/changelog/db-changelog-master.xml
-- Ran at: 3/17/22, 2:46 PM
-- Against: activity@offline:postgresql?changeLogFile=target/databasechangelog.csv&outputLiquibaseSql=true
-- Liquibase version: 4.8.0
-- *********************************************************************

CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- Changeset schema/tables/activity_size_distribution.xml::123456-62::padhyad
CREATE SEQUENCE  IF NOT EXISTS size_dist_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-62', 'padhyad', 'schema/tables/activity_size_distribution.xml', NOW(), 1, '8:bf7beddd3b7da7dfa9ccb42209a7682f', 'createSequence sequenceName=size_dist_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_size_distribution.xml::1462787324468-24::padhyad (generated)
CREATE TABLE activity_size_distribution (id BIGINT NOT NULL, category_code VARCHAR(255), category_code_list_id VARCHAR(255), CONSTRAINT size_distribution_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-24', 'padhyad (generated)', 'schema/tables/activity_size_distribution.xml', NOW(), 3, '8:183933e8cb750046ce76835f83ab4219', 'createTable tableName=activity_size_distribution', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_size_distribution.xml::123456-63::padhyad
ALTER TABLE activity_size_distribution ALTER COLUMN  id SET DEFAULT nextval('size_dist_seq');

ALTER SEQUENCE size_dist_seq OWNED BY activity_size_distribution.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-63', 'padhyad', 'schema/tables/activity_size_distribution.xml', NOW(), 5, '8:5dce9837521ec9172602f0a5447382d9', 'addDefaultValue columnName=id, tableName=activity_size_distribution', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_size_distribution_classcode.xml::123456-64::padhyad
CREATE SEQUENCE  IF NOT EXISTS dist_code_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-64', 'padhyad', 'schema/tables/activity_size_distribution_classcode.xml', NOW(), 7, '8:38d9a271428fe2863f56aa36ab74c7da', 'createSequence sequenceName=dist_code_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_size_distribution_classcode.xml::1462796429274-1::padhyad (generated)
CREATE TABLE activity_size_distribution_classcode (id BIGINT NOT NULL, size_distribution_id BIGINT NOT NULL, class_code VARCHAR(255), class_code_list_id VARCHAR(255), CONSTRAINT size_distribution_classcode_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462796429274-1', 'padhyad (generated)', 'schema/tables/activity_size_distribution_classcode.xml', NOW(), 9, '8:aff096036b233a9a2fd4d9bb9b34547c', 'createTable tableName=activity_size_distribution_classcode', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_size_distribution_classcode.xml::123456-65::padhyad
ALTER TABLE activity_size_distribution_classcode ALTER COLUMN  id SET DEFAULT nextval('dist_code_seq');

ALTER SEQUENCE dist_code_seq OWNED BY activity_size_distribution_classcode.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-65', 'padhyad', 'schema/tables/activity_size_distribution_classcode.xml', NOW(), 11, '8:a8d30233e382bd46361d759dd7ef3d87', 'addDefaultValue columnName=id, tableName=activity_size_distribution_classcode', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_size_distribution_classcode.xml::1462797324468-55::padhyad (generated)
ALTER TABLE activity_size_distribution_classcode ADD CONSTRAINT activity_size_distribution_classcode_fk FOREIGN KEY (size_distribution_id) REFERENCES activity_size_distribution (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462797324468-55', 'padhyad (generated)', 'schema/tables/activity_size_distribution_classcode.xml', NOW(), 13, '8:694376064fa1f5570f5f580c340fbe53', 'addForeignKeyConstraint baseTableName=activity_size_distribution_classcode, constraintName=activity_size_distribution_classcode_fk, referencedTableName=activity_size_distribution', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_person.xml::123456-15::padhyad
CREATE SEQUENCE  IF NOT EXISTS ct_person_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-15', 'padhyad', 'schema/tables/activity_contact_person.xml', NOW(), 15, '8:1d88a18ca29537e7d2718eedceda4e1f', 'createSequence sequenceName=ct_person_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_person.xml::1462787324468-5::padhyad (generated)
CREATE TABLE activity_contact_person (id BIGINT NOT NULL, title TEXT, given_name VARCHAR(255), middle_name VARCHAR(255), family_name VARCHAR(255), family_name_prefix VARCHAR(255), name_suffix VARCHAR(255), gender VARCHAR(255), alias VARCHAR(255), CONSTRAINT contact_person_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-5', 'padhyad (generated)', 'schema/tables/activity_contact_person.xml', NOW(), 17, '8:b0d5c0e68684f7357738f660c9f62a04', 'createTable tableName=activity_contact_person', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_person.xml::123456-16::padhyad
ALTER TABLE activity_contact_person ALTER COLUMN  id SET DEFAULT nextval('ct_person_seq');

ALTER SEQUENCE ct_person_seq OWNED BY activity_contact_person.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-16', 'padhyad', 'schema/tables/activity_contact_person.xml', NOW(), 19, '8:d45988eea80ea874bf53792f0cad21e9', 'addDefaultValue columnName=id, tableName=activity_contact_person', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_storage_characteristics.xml::123456-72::padhyad
CREATE SEQUENCE  IF NOT EXISTS str_char_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-72', 'padhyad', 'schema/tables/activity_vessel_storage_characteristics.xml', NOW(), 21, '8:5b06d381a1bd915b25610b63431ccf40', 'createSequence sequenceName=str_char_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_storage_characteristics.xml::1462787324468-28::padhyad (generated)
CREATE TABLE activity_vessel_storage_characteristics (id BIGINT NOT NULL, vessel_id VARCHAR(255), vessel_scheme_id VARCHAR(255), CONSTRAINT vessel_storage_charcterstics_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-28', 'padhyad (generated)', 'schema/tables/activity_vessel_storage_characteristics.xml', NOW(), 23, '8:c34a82d1f761b8d9a6cdd4ec2cadb345', 'createTable tableName=activity_vessel_storage_characteristics', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_storage_characteristics.xml::123456-73::padhyad
ALTER TABLE activity_vessel_storage_characteristics ALTER COLUMN  id SET DEFAULT nextval('str_char_seq');

ALTER SEQUENCE str_char_seq OWNED BY activity_vessel_storage_characteristics.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-73', 'padhyad', 'schema/tables/activity_vessel_storage_characteristics.xml', NOW(), 25, '8:2b864d6eab873a0d952eec38e404c379', 'addDefaultValue columnName=id, tableName=activity_vessel_storage_characteristics', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_storage_char_code.xml::123456-70::padhyad
CREATE SEQUENCE  IF NOT EXISTS str_char_code_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-70', 'padhyad', 'schema/tables/activity_vessel_storage_char_code.xml', NOW(), 27, '8:f1f8f94fb0054e6580132d22228b119d', 'createSequence sequenceName=str_char_code_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_storage_char_code.xml::1462787429274-1::padhyad (generated)
CREATE TABLE activity_vessel_storage_char_code (id BIGINT NOT NULL, vessel_storage_char_id BIGINT NOT NULL, vessel_type_code VARCHAR(255), vessel_type_code_list_id VARCHAR(255), CONSTRAINT vessel_storage_char_code_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787429274-1', 'padhyad (generated)', 'schema/tables/activity_vessel_storage_char_code.xml', NOW(), 29, '8:5e5370dce40967458f704045ed9fe5f5', 'createTable tableName=activity_vessel_storage_char_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_storage_char_code.xml::123456-71::padhyad
ALTER TABLE activity_vessel_storage_char_code ALTER COLUMN  id SET DEFAULT nextval('str_char_code_seq');

ALTER SEQUENCE str_char_code_seq OWNED BY activity_vessel_storage_char_code.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-71', 'padhyad', 'schema/tables/activity_vessel_storage_char_code.xml', NOW(), 31, '8:ce21a6cd71c078ff195b6715ebcce6fe', 'addDefaultValue columnName=id, tableName=activity_vessel_storage_char_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_storage_char_code.xml::1462787424468-55::padhyad (generated)
ALTER TABLE activity_vessel_storage_char_code ADD CONSTRAINT activity_vessel_storage_char_code_fk FOREIGN KEY (vessel_storage_char_id) REFERENCES activity_vessel_storage_characteristics (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787424468-55', 'padhyad (generated)', 'schema/tables/activity_vessel_storage_char_code.xml', NOW(), 33, '8:dbe3b5a948a5bc2a3ec6620fe6020251', 'addForeignKeyConstraint baseTableName=activity_vessel_storage_char_code, constraintName=activity_vessel_storage_char_code_fk, referencedTableName=activity_vessel_storage_characteristics', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_registration_location.xml::123456-60::padhyad
CREATE SEQUENCE  IF NOT EXISTS reg_loc_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-60', 'padhyad', 'schema/tables/activity_registration_location.xml', NOW(), 35, '8:5a1e3f9158784085761d58eca2798cff', 'createSequence sequenceName=reg_loc_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_registration_location.xml::1462787324468-22::padhyad (generated)
CREATE TABLE activity_registration_location (id BIGINT NOT NULL, description TEXT, desc_language_id VARCHAR(255), region_code VARCHAR(255), region_code_list_id VARCHAR(255), name TEXT, name_language_id VARCHAR(255), type_code VARCHAR(255), type_code_list_id VARCHAR(255), location_country_id VARCHAR(255), location_country_scheme_id VARCHAR(255), CONSTRAINT activity_registration_location_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-22', 'padhyad (generated)', 'schema/tables/activity_registration_location.xml', NOW(), 37, '8:57ee37eeab0d8b92330d7020498a3c6a', 'createTable tableName=activity_registration_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_registration_location.xml::123456-61::padhyad
ALTER TABLE activity_registration_location ALTER COLUMN  id SET DEFAULT nextval('reg_loc_seq');

ALTER SEQUENCE reg_loc_seq OWNED BY activity_registration_location.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-61', 'padhyad', 'schema/tables/activity_registration_location.xml', NOW(), 39, '8:8e288d1f17e1fd830f5b8992b8c1d5cd', 'addDefaultValue columnName=id, tableName=activity_registration_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_registration_event.xml::123456-76::padhyad
CREATE SEQUENCE  IF NOT EXISTS reg_event_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-76', 'padhyad', 'schema/tables/activity_registration_event.xml', NOW(), 41, '8:da246372ece6d37c948a8ec4040f13af', 'createSequence sequenceName=reg_event_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_registration_event.xml::1462787324468-21::padhyad (generated)
CREATE TABLE activity_registration_event (id BIGINT NOT NULL, description TEXT, desc_language_id VARCHAR(255), occurrence_datetime TIMESTAMP WITHOUT TIME ZONE, registration_location_id BIGINT NOT NULL, CONSTRAINT activity_registration_event_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-21', 'padhyad (generated)', 'schema/tables/activity_registration_event.xml', NOW(), 43, '8:9751d0d812ec73c2fb52290619b7f1a0', 'createTable tableName=activity_registration_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_registration_event.xml::123456-77::padhyad
ALTER TABLE activity_registration_event ALTER COLUMN  id SET DEFAULT nextval('reg_event_seq');

ALTER SEQUENCE reg_event_seq OWNED BY activity_registration_event.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-77', 'padhyad', 'schema/tables/activity_registration_event.xml', NOW(), 45, '8:b8906477fc2b783229a72778b4f0bff6', 'addDefaultValue columnName=id, tableName=activity_registration_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_registration_event.xml::1462787324468-47::padhyad (generated)
ALTER TABLE activity_registration_event ADD CONSTRAINT activity_registration_location_event_fk FOREIGN KEY (registration_location_id) REFERENCES activity_registration_location (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-47', 'padhyad (generated)', 'schema/tables/activity_registration_event.xml', NOW(), 47, '8:199e2e7c495f830effc4c70bcba0b78f', 'addForeignKeyConstraint baseTableName=activity_registration_event, constraintName=activity_registration_location_event_fk, referencedTableName=activity_registration_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_fa_report_message.xml::123456-42::padhyad
CREATE SEQUENCE  IF NOT EXISTS rep_msg_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-42', 'padhyad', 'schema/tables/activity_flux_fa_report_message.xml', NOW(), 49, '8:c95fb324dc29346204e5ac8d8523adce', 'createSequence sequenceName=rep_msg_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_fa_report_message.xml::1484752085953-74::kovian (generated)
CREATE TABLE "activity_flux_fa_report_message" ("id" BIGINT NOT NULL, CONSTRAINT "flux_fa_report_message_pkey" PRIMARY KEY ("id"));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1484752085953-74', 'kovian (generated)', 'schema/tables/activity_flux_fa_report_message.xml', NOW(), 51, '8:db6cd858af464dec0d040ae86e3083d1', 'createTable tableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_fa_report_message.xml::123456-43::padhyad
ALTER TABLE activity_flux_fa_report_message ALTER COLUMN  id SET DEFAULT nextval('rep_msg_seq');

ALTER SEQUENCE rep_msg_seq OWNED BY activity_flux_fa_report_message.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-43', 'padhyad', 'schema/tables/activity_flux_fa_report_message.xml', NOW(), 53, '8:b15f07473ba9f83a08038c34039ab7e7', 'addDefaultValue columnName=id, tableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_party.xml::123456-46::padhyad
CREATE SEQUENCE  IF NOT EXISTS flux_pty_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-46', 'padhyad', 'schema/tables/activity_flux_party.xml', NOW(), 55, '8:e9097b5087c251d1408984e28719e458', 'createSequence sequenceName=flux_pty_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_party.xml::1467786429274-1::padhyad (generated)
CREATE TABLE activity_flux_party (id BIGINT NOT NULL, flux_party_name VARCHAR(255), name_language_id VARCHAR(255), CONSTRAINT flux_party_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1467786429274-1', 'padhyad (generated)', 'schema/tables/activity_flux_party.xml', NOW(), 57, '8:1743f8d44fd01c3cb248ceff4ec97d76', 'createTable tableName=activity_flux_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_party.xml::123456-47::padhyad
ALTER TABLE activity_flux_party ALTER COLUMN  id SET DEFAULT nextval('flux_pty_seq');

ALTER SEQUENCE flux_pty_seq OWNED BY activity_flux_party.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-47', 'padhyad', 'schema/tables/activity_flux_party.xml', NOW(), 59, '8:d22a074eaa382537482f5d93bd9afbe6', 'addDefaultValue columnName=id, tableName=activity_flux_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_party_identifier.xml::123456-48::padhyad
CREATE SEQUENCE  IF NOT EXISTS pty_id_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-48', 'padhyad', 'schema/tables/activity_flux_party_identifier.xml', NOW(), 61, '8:6b0be4c39c3e75ea589968060703c7c4', 'createSequence sequenceName=pty_id_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_party_identifier.xml::1468786429274-1::padhyad (generated)
CREATE TABLE activity_flux_party_identifier (id BIGINT NOT NULL, flux_party_id BIGINT NOT NULL, flux_party_identifier_id VARCHAR(255), flux_party_identifier_scheme_id VARCHAR(255), CONSTRAINT flux_party_identifier_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1468786429274-1', 'padhyad (generated)', 'schema/tables/activity_flux_party_identifier.xml', NOW(), 63, '8:0b63f1dee3e8129dcee100b6186b0b6c', 'createTable tableName=activity_flux_party_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_party_identifier.xml::123456-49::padhyad
ALTER TABLE activity_flux_party_identifier ALTER COLUMN  id SET DEFAULT nextval('pty_id_seq');

ALTER SEQUENCE pty_id_seq OWNED BY activity_flux_party_identifier.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-49', 'padhyad', 'schema/tables/activity_flux_party_identifier.xml', NOW(), 65, '8:15f6c9a26e61a00015e6bae308ab2fb3', 'addDefaultValue columnName=id, tableName=activity_flux_party_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_party_identifier.xml::1462887324468-55::padhyad (generated)
ALTER TABLE activity_flux_party_identifier ADD CONSTRAINT activity_flux_party_identifier_fk FOREIGN KEY (flux_party_id) REFERENCES activity_flux_party (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462887324468-55', 'padhyad (generated)', 'schema/tables/activity_flux_party_identifier.xml', NOW(), 67, '8:983ae8e86344456ab843d973be3f4e28', 'addForeignKeyConstraint baseTableName=activity_flux_party_identifier, constraintName=activity_flux_party_identifier_fk, referencedTableName=activity_flux_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_report_document.xml::123456-50::padhyad
CREATE SEQUENCE  IF NOT EXISTS flux_rep_doc_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-50', 'padhyad', 'schema/tables/activity_flux_report_document.xml', NOW(), 69, '8:33d19165eb6c89e5a15ddaf83dba0480', 'createSequence sequenceName=flux_rep_doc_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_report_document.xml::1462787355468-18::padhyad (generated)
CREATE TABLE activity_flux_report_document (id BIGINT NOT NULL, reference_id VARCHAR(255), reference_scheme_id VARCHAR(255), creation_datetime TIMESTAMP WITHOUT TIME ZONE NOT NULL, purpose_code VARCHAR(255) NOT NULL, purpose_code_list_id VARCHAR(255) NOT NULL, purpose TEXT, flux_party_id BIGINT NOT NULL, flux_fa_report_message_id INTEGER, CONSTRAINT flux_report_document_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787355468-18', 'padhyad (generated)', 'schema/tables/activity_flux_report_document.xml', NOW(), 71, '8:42ab28d3a3363f213a6396ae47567592', 'createTable tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_report_document.xml::123456-51::padhyad
ALTER TABLE activity_flux_report_document ALTER COLUMN  id SET DEFAULT nextval('flux_rep_doc_seq');

ALTER SEQUENCE flux_rep_doc_seq OWNED BY activity_flux_report_document.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-51', 'padhyad', 'schema/tables/activity_flux_report_document.xml', NOW(), 73, '8:592cb70319fea6f64be6a2dfface5802', 'addDefaultValue columnName=id, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_report_document.xml::1462887324568-55::padhyad (generated)
ALTER TABLE activity_flux_report_document ADD CONSTRAINT activity_flux_report_document_fk FOREIGN KEY (flux_party_id) REFERENCES activity_flux_party (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462887324568-55', 'padhyad (generated)', 'schema/tables/activity_flux_report_document.xml', NOW(), 75, '8:c65cd28d367e64027e70f283b6976ad1', 'addForeignKeyConstraint baseTableName=activity_flux_report_document, constraintName=activity_flux_report_document_fk, referencedTableName=activity_flux_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_report_document.xml::1484752085953-120::kovian (generated)
ALTER TABLE "activity_flux_report_document" ADD CONSTRAINT "activity_flux_report_message_flfk" FOREIGN KEY ("flux_fa_report_message_id") REFERENCES "activity_flux_fa_report_message" ("id") ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1484752085953-120', 'kovian (generated)', 'schema/tables/activity_flux_report_document.xml', NOW(), 77, '8:fd9402ae4760db2a719dd0095a4892e9', 'addForeignKeyConstraint baseTableName=activity_flux_report_document, constraintName=activity_flux_report_message_flfk, referencedTableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_report_identifier.xml::123456-52::padhyad
CREATE SEQUENCE  IF NOT EXISTS flux_rep_id_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-52', 'padhyad', 'schema/tables/activity_flux_report_identifier.xml', NOW(), 79, '8:832621d7b70e4624d0d66164d24695c6', 'createSequence sequenceName=flux_rep_id_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_report_identifier.xml::1469787324468-9::padhyad (generated)
CREATE TABLE activity_flux_report_identifier (id BIGINT NOT NULL, flux_report_document_id BIGINT, flux_report_identifier_id VARCHAR(255), flux_report_identifier_scheme_id VARCHAR(255), CONSTRAINT activity_flux_report_identifier_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1469787324468-9', 'padhyad (generated)', 'schema/tables/activity_flux_report_identifier.xml', NOW(), 81, '8:64954eb39e6ca680f19ddc98c95f0f23', 'createTable tableName=activity_flux_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_report_identifier.xml::123456-53::padhyad
ALTER TABLE activity_flux_report_identifier ALTER COLUMN  id SET DEFAULT nextval('flux_rep_id_seq');

ALTER SEQUENCE flux_rep_id_seq OWNED BY activity_flux_report_identifier.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-53', 'padhyad', 'schema/tables/activity_flux_report_identifier.xml', NOW(), 83, '8:83b85874a4e61030b49c0a9b9b84894c', 'addDefaultValue columnName=id, tableName=activity_flux_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_report_identifier.xml::1469787324468-39::padhyad (generated)
ALTER TABLE activity_flux_report_identifier ADD CONSTRAINT activity_activity_flux_report_identifier_fk FOREIGN KEY (flux_report_document_id) REFERENCES activity_flux_report_document (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1469787324468-39', 'padhyad (generated)', 'schema/tables/activity_flux_report_identifier.xml', NOW(), 85, '8:a7fa1a00d26589ceb5613e95ca77b79a', 'addForeignKeyConstraint baseTableName=activity_flux_report_identifier, constraintName=activity_activity_flux_report_identifier_fk, referencedTableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_document.xml::123456-21::padhyad
CREATE SEQUENCE  IF NOT EXISTS fa_rep_doc_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-21', 'padhyad', 'schema/tables/activity_fa_report_document.xml', NOW(), 87, '8:36ec0eb5b45a2b728df087d9e3f19006', 'createSequence sequenceName=fa_rep_doc_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_document.xml::1462755324468-8::padhyad (generated)
CREATE TABLE activity_fa_report_document (id BIGINT NOT NULL, geom GEOMETRY(Multipoint, 4326), type_code VARCHAR(255), type_code_list_id VARCHAR(255), accepted_datetime TIMESTAMP WITHOUT TIME ZONE, flux_report_document_id BIGINT NOT NULL, fmc_marker VARCHAR(255), fmc_marker_list_id VARCHAR(255), status VARCHAR(10), source VARCHAR(10), flux_fa_report_message_id INTEGER NOT NULL, CONSTRAINT fa_report_document_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462755324468-8', 'padhyad (generated)', 'schema/tables/activity_fa_report_document.xml', NOW(), 89, '8:41b70f6b68f9d9a63659780e83c7a3db', 'createTable tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_document.xml::123456-22::padhyad
ALTER TABLE activity_fa_report_document ALTER COLUMN  id SET DEFAULT nextval('fa_rep_doc_seq');

ALTER SEQUENCE fa_rep_doc_seq OWNED BY activity_fa_report_document.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-22', 'padhyad', 'schema/tables/activity_fa_report_document.xml', NOW(), 91, '8:7086166d79d2497a351d917b42cdab81', 'addDefaultValue columnName=id, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_document.xml::2662787324468-54::padhyad
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2662787324468-54', 'padhyad', 'schema/tables/activity_fa_report_document.xml', NOW(), 93, '8:d41d8cd98f00b204e9800998ecf8427e', 'empty', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_document.xml::1462787324468-65::padhyad (generated)
ALTER TABLE activity_fa_report_document ADD CONSTRAINT flux_report_document_frd_fk FOREIGN KEY (flux_report_document_id) REFERENCES activity_flux_report_document (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-65', 'padhyad (generated)', 'schema/tables/activity_fa_report_document.xml', NOW(), 95, '8:59721a24f9456781389007550be2fc3e', 'addForeignKeyConstraint baseTableName=activity_fa_report_document, constraintName=flux_report_document_frd_fk, referencedTableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_document.xml::1484752085953-120::kovian (generated)
ALTER TABLE "activity_flux_report_document" ADD CONSTRAINT "activity_flux_report_message_fk" FOREIGN KEY ("flux_fa_report_message_id") REFERENCES "activity_flux_fa_report_message" ("id") ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1484752085953-120', 'kovian (generated)', 'schema/tables/activity_fa_report_document.xml', NOW(), 97, '8:767de6173826619e0143eaa888ee5308', 'addForeignKeyConstraint baseTableName=activity_flux_report_document, constraintName=activity_flux_report_message_fk, referencedTableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_identifier.xml::123456-24::padhyad
CREATE SEQUENCE  IF NOT EXISTS rep_id_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-24', 'padhyad', 'schema/tables/activity_fa_report_identifier.xml', NOW(), 99, '8:c7ea196caf90d1e25ebf94593fb058d8', 'createSequence sequenceName=rep_id_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_identifier.xml::1462787324468-9::padhyad (generated)
CREATE TABLE activity_fa_report_identifier (id BIGINT NOT NULL, fa_report_document_id BIGINT, fa_report_identifier_id VARCHAR(255), fa_report_identifier_scheme_id VARCHAR(255), CONSTRAINT activity_fa_report_identifier_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-9', 'padhyad (generated)', 'schema/tables/activity_fa_report_identifier.xml', NOW(), 101, '8:e78e37dab7b77e82fb6ccfe778fb2d49', 'createTable tableName=activity_fa_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_identifier.xml::123456-25::padhyad
ALTER TABLE activity_fa_report_identifier ALTER COLUMN  id SET DEFAULT nextval('rep_id_seq');

ALTER SEQUENCE rep_id_seq OWNED BY activity_fa_report_identifier.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-25', 'padhyad', 'schema/tables/activity_fa_report_identifier.xml', NOW(), 103, '8:0fd8f829068d34ccc12ee0c18b626b5c', 'addDefaultValue columnName=id, tableName=activity_fa_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_report_identifier.xml::1462787324468-39::padhyad (generated)
ALTER TABLE activity_fa_report_identifier ADD CONSTRAINT activity_activity_fa_report_identifier_fk FOREIGN KEY (fa_report_document_id) REFERENCES activity_fa_report_document (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-39', 'padhyad (generated)', 'schema/tables/activity_fa_report_identifier.xml', NOW(), 105, '8:95c8896147d6e33656fd85b636d1ca75', 'addForeignKeyConstraint baseTableName=activity_fa_report_identifier, constraintName=activity_activity_fa_report_identifier_fk, referencedTableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity.xml::123456-26::padhyad
CREATE SEQUENCE  IF NOT EXISTS fa_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-26', 'padhyad', 'schema/tables/activity_fishing_activity.xml', NOW(), 107, '8:bdbe66a60dacaf1c40b8deff9c29e1d9', 'createSequence sequenceName=fa_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity.xml::1462787335568-11::padhyad (generated)
CREATE TABLE activity_fishing_activity (id BIGINT NOT NULL, geom GEOMETRY(Multipoint, 4326), type_code VARCHAR(255) NOT NULL, type_code_listid VARCHAR(255) NOT NULL, occurence TIMESTAMP WITHOUT TIME ZONE, reason_code VARCHAR(255), reason_code_list_id VARCHAR(255), vessel_activity_code VARCHAR(255), vessel_activity_code_list_id VARCHAR(255), fishery_type_code VARCHAR(255), fishery_type_code_list_id VARCHAR(255), species_target_code VARCHAR(255), species_target_code_list_id VARCHAR(255), operation_quantity FLOAT8, operation_quantity_code VARCHAR(255), calculated_operation_quantity FLOAT8, fishing_duration_measure FLOAT8, fishing_duration_measure_code VARCHAR(255), calculated_fishing_duration FLOAT8, source_vessel_char_id BIGINT, dest_vessel_char_id BIGINT, fa_report_document_id BIGINT, related_fishing_activity_id BIGINT, vessel_transport_guid VARCHAR(255), flag_state VARCHAR(255), calculated_start_time TIMESTAMP WITHOUT TIME ZONE, CONSTRAINT fishing_activity_pk PRIMARY KEY (id));

COMMENT ON COLUMN activity_fishing_activity.flag_state IS 'same as activity_vessel_transport_means.country';

COMMENT ON COLUMN activity_fishing_activity.calculated_start_time IS 'Take the value from activity_fishing_activity.occurence IF not present then activity_delimited_period.start_date will be taken';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787335568-11', 'padhyad (generated)', 'schema/tables/activity_fishing_activity.xml', NOW(), 109, '8:64d3e531ce0fdda8eebead2dcfedb8b9', 'createTable tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity.xml::123456-27::padhyad
ALTER TABLE activity_fishing_activity ALTER COLUMN  id SET DEFAULT nextval('fa_seq');

ALTER SEQUENCE fa_seq OWNED BY activity_fishing_activity.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-27', 'padhyad', 'schema/tables/activity_fishing_activity.xml', NOW(), 111, '8:fe29c45fadfa26e6a00942b2aaac4129', 'addDefaultValue columnName=id, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity.xml::2662787354468-54::padhyad
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2662787354468-54', 'padhyad', 'schema/tables/activity_fishing_activity.xml', NOW(), 113, '8:d41d8cd98f00b204e9800998ecf8427e', 'empty', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity.xml::1462787324468-56::padhyad (generated)
ALTER TABLE activity_fishing_activity ADD CONSTRAINT fa_report_document_fa_fk FOREIGN KEY (fa_report_document_id) REFERENCES activity_fa_report_document (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-56', 'padhyad (generated)', 'schema/tables/activity_fishing_activity.xml', NOW(), 115, '8:19de8c236de9d55fec3c5bb185aa8138', 'addForeignKeyConstraint baseTableName=activity_fishing_activity, constraintName=fa_report_document_fa_fk, referencedTableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity.xml::1462787324468-69::padhyad (generated)
ALTER TABLE activity_fishing_activity ADD CONSTRAINT vessel_storage_charcterstics_dest_fk FOREIGN KEY (dest_vessel_char_id) REFERENCES activity_vessel_storage_characteristics (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-69', 'padhyad (generated)', 'schema/tables/activity_fishing_activity.xml', NOW(), 117, '8:efaff2dc06df10cfddafee4a691b099d', 'addForeignKeyConstraint baseTableName=activity_fishing_activity, constraintName=vessel_storage_charcterstics_dest_fk, referencedTableName=activity_vessel_storage_characteristics', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity.xml::1462787324468-70::padhyad (generated)
ALTER TABLE activity_fishing_activity ADD CONSTRAINT vessel_storage_charcterstics_source_fk FOREIGN KEY (source_vessel_char_id) REFERENCES activity_vessel_storage_characteristics (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-70', 'padhyad (generated)', 'schema/tables/activity_fishing_activity.xml', NOW(), 119, '8:f4b786061c92fb0b0eda6ef66461b25e', 'addForeignKeyConstraint baseTableName=activity_fishing_activity, constraintName=vessel_storage_charcterstics_source_fk, referencedTableName=activity_vessel_storage_characteristics', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity.xml::1462797324468-70::padhyad (generated)
ALTER TABLE activity_fishing_activity ADD CONSTRAINT related_fishing_activity_fk FOREIGN KEY (related_fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462797324468-70', 'padhyad (generated)', 'schema/tables/activity_fishing_activity.xml', NOW(), 121, '8:70db115d0e2e22d011ee52e085883938', 'addForeignKeyConstraint baseTableName=activity_fishing_activity, constraintName=related_fishing_activity_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity_identifier.xml::123456-28::padhyad
CREATE SEQUENCE  IF NOT EXISTS fa_id_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-28', 'padhyad', 'schema/tables/activity_fishing_activity_identifier.xml', NOW(), 123, '8:989aaa8c30cc8e57c03570588169a6af', 'createSequence sequenceName=fa_id_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity_identifier.xml::1462787324468-11::padhyad (generated)
CREATE TABLE activity_fishing_activity_identifier (id BIGINT NOT NULL, fishing_activity_id BIGINT, fa_identifier_id VARCHAR(255), fa_identifier_scheme_id VARCHAR(255), CONSTRAINT fishing_activity_identifier_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-11', 'padhyad (generated)', 'schema/tables/activity_fishing_activity_identifier.xml', NOW(), 125, '8:7f55233431efb42bbcc8dbccf66ed2fb', 'createTable tableName=activity_fishing_activity_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity_identifier.xml::123456-29::padhyad
ALTER TABLE activity_fishing_activity_identifier ALTER COLUMN  id SET DEFAULT nextval('fa_id_seq');

ALTER SEQUENCE fa_id_seq OWNED BY activity_fishing_activity_identifier.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-29', 'padhyad', 'schema/tables/activity_fishing_activity_identifier.xml', NOW(), 127, '8:20093b5f724f8aa4ea814aac6b543f60', 'addDefaultValue columnName=id, tableName=activity_fishing_activity_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_activity_identifier.xml::1462787324468-60::padhyad (generated)
ALTER TABLE activity_fishing_activity_identifier ADD CONSTRAINT fishing_activity_identifier_fish_activity_fk FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-60', 'padhyad (generated)', 'schema/tables/activity_fishing_activity_identifier.xml', NOW(), 129, '8:c392760cfb5331313ed7fc49fa9d5840', 'addForeignKeyConstraint baseTableName=activity_fishing_activity_identifier, constraintName=fishing_activity_identifier_fish_activity_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_transport_means.xml::123456-74::padhyad
CREATE SEQUENCE  IF NOT EXISTS vsl_trp_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-74', 'padhyad', 'schema/tables/activity_vessel_transport_means.xml', NOW(), 131, '8:4daf29b6771074f451e851d62e5a30f0', 'createSequence sequenceName=vsl_trp_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_transport_means.xml::1462787325568-29::padhyad (generated)
CREATE TABLE activity_vessel_transport_means (id BIGINT NOT NULL, role_code VARCHAR(255), role_code_list_id VARCHAR(255), name TEXT, registration_event_id BIGINT, country_scheme_id VARCHAR(255), country VARCHAR(255), guid VARCHAR(255), fishing_activity_id BIGINT, fa_report_document_id BIGINT, CONSTRAINT vessel_transport_means_pk PRIMARY KEY (id));

COMMENT ON COLUMN activity_vessel_transport_means.fa_report_document_id IS 'Artificially created oneToMany relation to avoid cyclic dependency.In reality this is one to one relation';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787325568-29', 'padhyad (generated)', 'schema/tables/activity_vessel_transport_means.xml', NOW(), 133, '8:5b0a88ee59ea44f7b47edc7dea56c7c5', 'createTable tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_transport_means.xml::123456-75::padhyad
ALTER TABLE activity_vessel_transport_means ALTER COLUMN  id SET DEFAULT nextval('vsl_trp_seq');

ALTER SEQUENCE vsl_trp_seq OWNED BY activity_vessel_transport_means.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-75', 'padhyad', 'schema/tables/activity_vessel_transport_means.xml', NOW(), 135, '8:4f5f8c5e6a7fd84c0f0c17abda112b6c', 'addDefaultValue columnName=id, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_transport_means.xml::1462787324468-51::padhyad (generated)
ALTER TABLE activity_vessel_transport_means ADD CONSTRAINT activity_vessel_transport_means_registration_event_fk FOREIGN KEY (registration_event_id) REFERENCES activity_registration_event (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-51', 'padhyad (generated)', 'schema/tables/activity_vessel_transport_means.xml', NOW(), 137, '8:4cf8eb74aa7bb02938d433b97d2775d0', 'addForeignKeyConstraint baseTableName=activity_vessel_transport_means, constraintName=activity_vessel_transport_means_registration_event_fk, referencedTableName=activity_registration_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_transport_means.xml::1462787324555-57::sanera (generated)
ALTER TABLE activity_vessel_transport_means ADD CONSTRAINT fishing_activity_fc_fk FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324555-57', 'sanera (generated)', 'schema/tables/activity_vessel_transport_means.xml', NOW(), 139, '8:67a78bc624e53b9ed0a0b0e63d3571da', 'addForeignKeyConstraint baseTableName=activity_vessel_transport_means, constraintName=fishing_activity_fc_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_transport_means.xml::1462787324468-56::sanera (generated)
ALTER TABLE activity_vessel_transport_means ADD CONSTRAINT fa_report_document_fa_fk FOREIGN KEY (fa_report_document_id) REFERENCES activity_fa_report_document (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-56', 'sanera (generated)', 'schema/tables/activity_vessel_transport_means.xml', NOW(), 141, '8:c086390038645b9414f8872db77a0647', 'addForeignKeyConstraint baseTableName=activity_vessel_transport_means, constraintName=fa_report_document_fa_fk, referencedTableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_identifier.xml::123456-68::padhyad
CREATE SEQUENCE  IF NOT EXISTS vsl_id_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-68', 'padhyad', 'schema/tables/activity_vessel_identifier.xml', NOW(), 143, '8:b7bb7e381449a687cbbda3f0cd3abfa7', 'createSequence sequenceName=vsl_id_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_identifier.xml::1462787324468-27::padhyad (generated)
CREATE TABLE activity_vessel_identifier (id BIGINT NOT NULL, vessel_transport_mean_id BIGINT, vessel_identifier_id VARCHAR(255), vessel_identifier_scheme_id VARCHAR(255), CONSTRAINT activity_vessel_identifier_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-27', 'padhyad (generated)', 'schema/tables/activity_vessel_identifier.xml', NOW(), 145, '8:8b06f981fe490e583bcfd53ba8beeda6', 'createTable tableName=activity_vessel_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_vessel_identifier.xml::123456-69::padhyad
ALTER TABLE activity_vessel_identifier ALTER COLUMN  id SET DEFAULT nextval('vsl_id_seq');

ALTER SEQUENCE vsl_id_seq OWNED BY activity_vessel_identifier.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-69', 'padhyad', 'schema/tables/activity_vessel_identifier.xml', NOW(), 147, '8:aee5e5410a139340448b0c282ef30eb8', 'addDefaultValue columnName=id, tableName=activity_vessel_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flap_document.xml::123456-38::padhyad
CREATE SEQUENCE  IF NOT EXISTS flap_doc_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-38', 'padhyad', 'schema/tables/activity_flap_document.xml', NOW(), 149, '8:95e77e8e4cbe24866a32866a152d7c26', 'createSequence sequenceName=flap_doc_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flap_document.xml::1466786429264-1::padhyad (generated)
CREATE TABLE activity_flap_document (id BIGINT NOT NULL, vessel_transport_means_id BIGINT NOT NULL, flap_document_id VARCHAR(255), flap_document_scheme_id VARCHAR(255), fishing_activity_id BIGINT, flap_type_code VARCHAR(255), flap_type_code_list_id VARCHAR(255), CONSTRAINT flap_document_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1466786429264-1', 'padhyad (generated)', 'schema/tables/activity_flap_document.xml', NOW(), 151, '8:321bed51c19d1d2ef4f570dcbec0a1a9', 'createTable tableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flap_document.xml::123456-39::padhyad
ALTER TABLE activity_flap_document ALTER COLUMN  id SET DEFAULT nextval('flap_doc_seq');

ALTER SEQUENCE flap_doc_seq OWNED BY activity_flap_document.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-39', 'padhyad', 'schema/tables/activity_flap_document.xml', NOW(), 153, '8:fa71c7352840c90e10595a505e6c5b97', 'addDefaultValue columnName=id, tableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flap_document.xml::1466787324468-55::padhyad (generated)
ALTER TABLE activity_flap_document ADD CONSTRAINT activity_flap_document_fk FOREIGN KEY (vessel_transport_means_id) REFERENCES activity_vessel_transport_means (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1466787324468-55', 'padhyad (generated)', 'schema/tables/activity_flap_document.xml', NOW(), 155, '8:6af409fbeee973b7a05859d179495b8b', 'addForeignKeyConstraint baseTableName=activity_flap_document, constraintName=activity_flap_document_fk, referencedTableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flap_document.xml::1466723424468-55::sanera
ALTER TABLE activity_flap_document ADD CONSTRAINT "related_Fishing_activity_fk" FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1466723424468-55', 'sanera', 'schema/tables/activity_flap_document.xml', NOW(), 157, '8:d0b22a922ec335ecb714915c6b0a2e17', 'addForeignKeyConstraint baseTableName=activity_flap_document, constraintName=related_Fishing_activity_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_catch.xml::123456-19::padhyad
CREATE SEQUENCE  IF NOT EXISTS fa_catch_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-19', 'padhyad', 'schema/tables/activity_fa_catch.xml', NOW(), 159, '8:7d79b12b3d69ae7a2a1b57a8c8aaca41', 'createSequence sequenceName=fa_catch_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_catch.xml::1462787324558-9::padhyad (generated)
CREATE TABLE activity_fa_catch (id BIGINT NOT NULL, fishing_activity_id BIGINT, type_code VARCHAR(255) NOT NULL, type_code_list_id VARCHAR(255) NOT NULL, species_code VARCHAR(255) NOT NULL, species_code_listid VARCHAR(255) NOT NULL, unit_quantity FLOAT8, unit_quantity_code VARCHAR(255), calculated_unit_quantity FLOAT8, weight_measure FLOAT8, weight_measure_unit_code VARCHAR(255), calculated_weight_measure FLOAT8, usage_code VARCHAR(255), usage_code_list_id VARCHAR(255), weighing_means_code VARCHAR(255), weighing_means_code_list_id VARCHAR(255), territory VARCHAR(255), fao_area VARCHAR(255), ices_stat_rectangle VARCHAR(255), effort_zone VARCHAR(255), rfmo VARCHAR(255), gfcm_gsa VARCHAR(255), gfcm_stat_rectangle VARCHAR(255), fish_class_code VARCHAR(255), size_distribution_id BIGINT, gear_type_code VARCHAR(255), presentation VARCHAR(255), CONSTRAINT fa_catch_pk PRIMARY KEY (id));

COMMENT ON COLUMN activity_fa_catch.territory IS 'same as activity_flux_location.flux_location_identifier where flux_location_identifier_scheme_id is TERRITORY';

COMMENT ON COLUMN activity_fa_catch.fao_area IS 'same as activity_flux_location.flux_location_identifier where flux_location_identifier_scheme_id is FAO_AREA';

COMMENT ON COLUMN activity_fa_catch.ices_stat_rectangle IS 'same as activity_flux_location.flux_location_identifier where flux_location_identifier_scheme_id is ICES_STAT_RECTANGLE';

COMMENT ON COLUMN activity_fa_catch.effort_zone IS 'same as activity_flux_location.flux_location_identifier where flux_location_identifier_scheme_id is EFFORT_ZONE';

COMMENT ON COLUMN activity_fa_catch.rfmo IS 'same as activity_flux_location.rfmo_code';

COMMENT ON COLUMN activity_fa_catch.gfcm_gsa IS 'same as activity_flux_location.flux_location_identifier where flux_location_identifier_scheme_id is GFCM_GSA';

COMMENT ON COLUMN activity_fa_catch.gfcm_stat_rectangle IS 'same as activity_flux_location.flux_location_identifier where flux_location_identifier_scheme_id is GFCM_STAT_RECTANGLE';

COMMENT ON COLUMN activity_fa_catch.fish_class_code IS 'same as activity_size_distribution.activity_size_distribution_classcode.class_code . First occurence will be copied here.';

COMMENT ON COLUMN activity_fa_catch.gear_type_code IS 'same as activity_fishing_gear.type_code';

COMMENT ON COLUMN activity_fa_catch.presentation IS 'same as activity_aap_process-> activity_aap_process_code.type_code where activity_aap_process_code.type_code_list_id is FISH_PRESENTATION';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324558-9', 'padhyad (generated)', 'schema/tables/activity_fa_catch.xml', NOW(), 161, '8:c0bf7cab5e23268ba24ca200e182217a', 'createTable tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_catch.xml::123456-20::padhyad
ALTER TABLE activity_fa_catch ALTER COLUMN  id SET DEFAULT nextval('fa_catch_seq');

ALTER SEQUENCE fa_catch_seq OWNED BY activity_fa_catch.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-20', 'padhyad', 'schema/tables/activity_fa_catch.xml', NOW(), 163, '8:20190925818c85503d62fac727927b6d', 'addDefaultValue columnName=id, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_catch.xml::1462787324468-57::padhyad (generated)
ALTER TABLE activity_fa_catch ADD CONSTRAINT fishing_activity_fc_fk FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-57', 'padhyad (generated)', 'schema/tables/activity_fa_catch.xml', NOW(), 165, '8:718bb70d5c3110c28f82acdb47bcc695', 'addForeignKeyConstraint baseTableName=activity_fa_catch, constraintName=fishing_activity_fc_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fa_catch.xml::1462787324468-68::padhyad (generated)
ALTER TABLE activity_fa_catch ADD CONSTRAINT size_distribution_fc_fk FOREIGN KEY (size_distribution_id) REFERENCES activity_size_distribution (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-68', 'padhyad (generated)', 'schema/tables/activity_fa_catch.xml', NOW(), 167, '8:679b6bba25ff1fc8e4c425e1a7d1f946', 'addForeignKeyConstraint baseTableName=activity_fa_catch, constraintName=size_distribution_fc_fk, referencedTableName=activity_size_distribution', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_process.xml::123456-3::padhyad
CREATE SEQUENCE  IF NOT EXISTS aap_process_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-3', 'padhyad', 'schema/tables/activity_aap_process.xml', NOW(), 169, '8:4fc977c0f05bf5ebb5e8febc623e229b', 'createSequence sequenceName=aap_process_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_process.xml::1462786429274-1::padhyad (generated)
CREATE TABLE activity_aap_process (id BIGINT NOT NULL, conversion_factor FLOAT8, fa_catch_id BIGINT, CONSTRAINT aap_process_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462786429274-1', 'padhyad (generated)', 'schema/tables/activity_aap_process.xml', NOW(), 171, '8:1af3b9740b4e2bbe2842e35ac018e239', 'createTable tableName=activity_aap_process', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_process.xml::123456-4::padhyad
ALTER TABLE activity_aap_process ALTER COLUMN  id SET DEFAULT nextval('aap_process_seq');

ALTER SEQUENCE aap_process_seq OWNED BY activity_aap_process.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-4', 'padhyad', 'schema/tables/activity_aap_process.xml', NOW(), 173, '8:b2c22dbb39443601914f03535af9b424', 'addDefaultValue columnName=id, tableName=activity_aap_process', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_process.xml::1462787324468-55::padhyad (generated)
ALTER TABLE activity_aap_process ADD CONSTRAINT fa_catch_process_fk FOREIGN KEY (fa_catch_id) REFERENCES activity_fa_catch (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-55', 'padhyad (generated)', 'schema/tables/activity_aap_process.xml', NOW(), 175, '8:e6145128d3d11c25bc7f456dc1fb5740', 'addForeignKeyConstraint baseTableName=activity_aap_process, constraintName=fa_catch_process_fk, referencedTableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_process_code.xml::123456-1::padhyad
CREATE SEQUENCE  IF NOT EXISTS aap_procode_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-1', 'padhyad', 'schema/tables/activity_aap_process_code.xml', NOW(), 177, '8:11380ebefe75004db957b6268912c16b', 'createSequence sequenceName=aap_procode_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_process_code.xml::1463786429274-1::padhyad (generated)
CREATE TABLE activity_aap_process_code (id BIGINT NOT NULL, aap_process_id BIGINT NOT NULL, type_code VARCHAR(255), type_code_list_id VARCHAR(255), CONSTRAINT aap_process_code_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1463786429274-1', 'padhyad (generated)', 'schema/tables/activity_aap_process_code.xml', NOW(), 179, '8:94721c3ec0c547da55eee25b7ff6a3a7', 'createTable tableName=activity_aap_process_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_process_code.xml::123456-2::padhyad
ALTER TABLE activity_aap_process_code ALTER COLUMN  id SET DEFAULT nextval('aap_procode_seq');

ALTER SEQUENCE aap_procode_seq OWNED BY activity_aap_process_code.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-2', 'padhyad', 'schema/tables/activity_aap_process_code.xml', NOW(), 181, '8:43821f2a7e90bce5893fddd564337d37', 'addDefaultValue columnName=id, tableName=activity_aap_process_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_process_code.xml::1463787324468-55::padhyad (generated)
ALTER TABLE activity_aap_process_code ADD CONSTRAINT activity_aap_process_code_fk FOREIGN KEY (aap_process_id) REFERENCES activity_aap_process (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1463787324468-55', 'padhyad (generated)', 'schema/tables/activity_aap_process_code.xml', NOW(), 183, '8:7aac478474d2339c146f260270d9b1be', 'addForeignKeyConstraint baseTableName=activity_aap_process_code, constraintName=activity_aap_process_code_fk, referencedTableName=activity_aap_process', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_product.xml::123456-5::padhyad
CREATE SEQUENCE  IF NOT EXISTS aap_product_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-5', 'padhyad', 'schema/tables/activity_aap_product.xml', NOW(), 185, '8:620756b0b8289f892f6580fb24aa990e', 'createSequence sequenceName=aap_product_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_product.xml::1462786429274-2::padhyad (generated)
CREATE TABLE activity_aap_product (id BIGINT NOT NULL, packaging_type_code VARCHAR(255), packaging_type_code_list_id VARCHAR(255), packaging_unit_avarage_weight FLOAT8, packaging_weight_unit_code VARCHAR(255), calculated_packaging_weight FLOAT8, packaging_unit_count FLOAT8, packaging_unit_count_code VARCHAR(255), calculated_packaging_unit_count FLOAT8, aap_process_id BIGINT, unit_quantity FLOAT8, unit_quantity_code VARCHAR(255), calculated_unit_quantity FLOAT8, weight_measure FLOAT8, weight_measure_unit_code VARCHAR(255), calculated_weight_measure FLOAT8, species_code VARCHAR(255), spacies_code_list_id VARCHAR(255), weighing_means_code VARCHAR(255), weighting_means_code_list_id VARCHAR(255), usage_code VARCHAR(255), usage_code_list_id VARCHAR(255), CONSTRAINT aap_product_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462786429274-2', 'padhyad (generated)', 'schema/tables/activity_aap_product.xml', NOW(), 187, '8:f7245894fc2b41b966d5e8440936cac3', 'createTable tableName=activity_aap_product', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_product.xml::123456-6::padhyad
ALTER TABLE activity_aap_product ALTER COLUMN  id SET DEFAULT nextval('aap_product_seq');

ALTER SEQUENCE aap_product_seq OWNED BY activity_aap_product.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-6', 'padhyad', 'schema/tables/activity_aap_product.xml', NOW(), 189, '8:bf4b7f13dc1f9fe2a73fc5920d886822', 'addDefaultValue columnName=id, tableName=activity_aap_product', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_product.xml::1462787324468-37::padhyad (generated)
ALTER TABLE activity_aap_product ADD CONSTRAINT aap_process_fk FOREIGN KEY (aap_process_id) REFERENCES activity_aap_process (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-37', 'padhyad (generated)', 'schema/tables/activity_aap_product.xml', NOW(), 191, '8:ffec27b16fc5a5126952fbaccab31501', 'addForeignKeyConstraint baseTableName=activity_aap_product, constraintName=aap_process_fk, referencedTableName=activity_aap_process', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_stock.xml::123456-7::padhyad
CREATE SEQUENCE  IF NOT EXISTS aap_stock_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-7', 'padhyad', 'schema/tables/activity_aap_stock.xml', NOW(), 193, '8:d723cc0cfb99c1222134a8cf9932a351', 'createSequence sequenceName=aap_stock_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_stock.xml::1462787324468-3::padhyad (generated)
CREATE TABLE activity_aap_stock (id BIGINT NOT NULL, stock_id VARCHAR(255), stock_scheme_id VARCHAR(255), fa_catch_id BIGINT, CONSTRAINT activity_aap_stock_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-3', 'padhyad (generated)', 'schema/tables/activity_aap_stock.xml', NOW(), 195, '8:78fc7f5970790daa5eaff7c8bac8dde9', 'createTable tableName=activity_aap_stock', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_stock.xml::123456-8::padhyad
ALTER TABLE activity_aap_stock ALTER COLUMN  id SET DEFAULT nextval('aap_stock_seq');

ALTER SEQUENCE aap_stock_seq OWNED BY activity_aap_stock.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-8', 'padhyad', 'schema/tables/activity_aap_stock.xml', NOW(), 197, '8:84c351876ffdcfa5c797b82bab84aa1d', 'addDefaultValue columnName=id, tableName=activity_aap_stock', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_aap_stock.xml::1462787324468-38::padhyad (generated)
ALTER TABLE activity_aap_stock ADD CONSTRAINT activity_aap_stock_fa_catch_fk FOREIGN KEY (fa_catch_id) REFERENCES activity_fa_catch (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-38', 'padhyad (generated)', 'schema/tables/activity_aap_stock.xml', NOW(), 199, '8:d3eadb38327e25992ac27adcd9597b47', 'addForeignKeyConstraint baseTableName=activity_aap_stock, constraintName=activity_aap_stock_fa_catch_fk, referencedTableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_party.xml::123456-11::padhyad
CREATE SEQUENCE  IF NOT EXISTS ct_party_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-11', 'padhyad', 'schema/tables/activity_contact_party.xml', NOW(), 201, '8:6ce5be8772ef634ee19311bcb3bfda00', 'createSequence sequenceName=ct_party_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_party.xml::1462787324468-4::padhyad (generated)
CREATE TABLE activity_contact_party (id BIGINT NOT NULL, vessel_transport_means_id BIGINT, contact_person_id BIGINT NOT NULL, CONSTRAINT contact_party_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-4', 'padhyad (generated)', 'schema/tables/activity_contact_party.xml', NOW(), 203, '8:713ccdd462b095d30966575c6b2bbb92', 'createTable tableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_party.xml::123456-12::padhyad
ALTER TABLE activity_contact_party ALTER COLUMN  id SET DEFAULT nextval('ct_party_seq');

ALTER SEQUENCE ct_party_seq OWNED BY activity_contact_party.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-12', 'padhyad', 'schema/tables/activity_contact_party.xml', NOW(), 205, '8:e9751e56d863326ace95e1187546f72e', 'addDefaultValue columnName=id, tableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_party.xml::1462787324468-52::padhyad (generated)
ALTER TABLE activity_contact_party ADD CONSTRAINT contact_party_contact_person_fk FOREIGN KEY (contact_person_id) REFERENCES activity_contact_person (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-52', 'padhyad (generated)', 'schema/tables/activity_contact_party.xml', NOW(), 207, '8:4b455e8eba102f20df3062d845563097', 'addForeignKeyConstraint baseTableName=activity_contact_party, constraintName=contact_party_contact_person_fk, referencedTableName=activity_contact_person', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_party.xml::1462787324468-71::padhyad (generated)
ALTER TABLE activity_contact_party ADD CONSTRAINT vessel_transport_means_fk FOREIGN KEY (vessel_transport_means_id) REFERENCES activity_vessel_transport_means (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-71', 'padhyad (generated)', 'schema/tables/activity_contact_party.xml', NOW(), 209, '8:11739ddf165f12214d14fa17b90b7ddd', 'addForeignKeyConstraint baseTableName=activity_contact_party, constraintName=vessel_transport_means_fk, referencedTableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_party_role.xml::123456-13::padhyad
CREATE SEQUENCE  IF NOT EXISTS ctp_role_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-13', 'padhyad', 'schema/tables/activity_contact_party_role.xml', NOW(), 211, '8:4ef2dfd978f36a0411d5ec55d8a15d6a', 'createSequence sequenceName=ctp_role_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_party_role.xml::1464786429274-1::padhyad (generated)
CREATE TABLE activity_contact_party_role (id BIGINT NOT NULL, contact_party_id BIGINT NOT NULL, role_code VARCHAR(255), role_code_list_id VARCHAR(255), CONSTRAINT contact_party_role_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1464786429274-1', 'padhyad (generated)', 'schema/tables/activity_contact_party_role.xml', NOW(), 213, '8:b4dc3df10a7153a3585e48597214ae40', 'createTable tableName=activity_contact_party_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_party_role.xml::123456-14::padhyad
ALTER TABLE activity_contact_party_role ALTER COLUMN  id SET DEFAULT nextval('ctp_role_seq');

ALTER SEQUENCE ctp_role_seq OWNED BY activity_contact_party_role.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-14', 'padhyad', 'schema/tables/activity_contact_party_role.xml', NOW(), 215, '8:4ab7acdbd64468ca26078f0334a30ea5', 'addDefaultValue columnName=id, tableName=activity_contact_party_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_contact_party_role.xml::1464787324468-55::padhyad (generated)
ALTER TABLE activity_contact_party_role ADD CONSTRAINT activity_contact_party_fk FOREIGN KEY (contact_party_id) REFERENCES activity_contact_party (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1464787324468-55', 'padhyad (generated)', 'schema/tables/activity_contact_party_role.xml', NOW(), 217, '8:60f79df753199873ab7a287fa9a5062c', 'addForeignKeyConstraint baseTableName=activity_contact_party_role, constraintName=activity_contact_party_fk, referencedTableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_trip.xml::123456-34::padhyad
CREATE SEQUENCE  IF NOT EXISTS fa_trip_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-34', 'padhyad', 'schema/tables/activity_fishing_trip.xml', NOW(), 219, '8:3297f18859e3702f8b609cc39cccf917', 'createSequence sequenceName=fa_trip_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_trip.xml::1462787324468-13::padhyad (generated)
CREATE TABLE activity_fishing_trip (id BIGINT NOT NULL, type_code VARCHAR(255), type_code_list_id VARCHAR(255), fa_catch_id BIGINT, fishing_activity_id BIGINT, CONSTRAINT fishing_trip_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-13', 'padhyad (generated)', 'schema/tables/activity_fishing_trip.xml', NOW(), 221, '8:b4661ed97bee55014721df7e246206fc', 'createTable tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_trip.xml::123456-35::padhyad
ALTER TABLE activity_fishing_trip ALTER COLUMN  id SET DEFAULT nextval('fa_trip_seq');

ALTER SEQUENCE fa_trip_seq OWNED BY activity_fishing_trip.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-35', 'padhyad', 'schema/tables/activity_fishing_trip.xml', NOW(), 223, '8:43553573bf4a81a66fecfbcbf8ff6499', 'addDefaultValue columnName=id, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_trip.xml::1462787324468-42::padhyad (generated)
ALTER TABLE activity_fishing_trip ADD CONSTRAINT activity_fishing_trip_fa_catch_fk FOREIGN KEY (fa_catch_id) REFERENCES activity_fa_catch (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-42', 'padhyad (generated)', 'schema/tables/activity_fishing_trip.xml', NOW(), 225, '8:477d97bcb19b3062047727fade32f51e', 'addForeignKeyConstraint baseTableName=activity_fishing_trip, constraintName=activity_fishing_trip_fa_catch_fk, referencedTableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_trip.xml::1462787324468-43::padhyad (generated)
ALTER TABLE activity_fishing_trip ADD CONSTRAINT activity_fishing_trip_fishing_activity_fk FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-43', 'padhyad (generated)', 'schema/tables/activity_fishing_trip.xml', NOW(), 227, '8:8ae4d6ac7800982aff84dcab6c694737', 'addForeignKeyConstraint baseTableName=activity_fishing_trip, constraintName=activity_fishing_trip_fishing_activity_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_trip_identifier.xml::123456-36::padhyad
CREATE SEQUENCE  IF NOT EXISTS trip_id_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-36', 'padhyad', 'schema/tables/activity_fishing_trip_identifier.xml', NOW(), 229, '8:a2abb36a56a52be5959ac8d727937f0e', 'createSequence sequenceName=trip_id_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_trip_identifier.xml::1462787224468-14::padhyad (generated)
CREATE TABLE activity_fishing_trip_identifier (id BIGINT NOT NULL, fishing_trip_id BIGINT, trip_id VARCHAR(255) NOT NULL, trip_scheme_id VARCHAR(255) NOT NULL, calculated_trip_start_date TIMESTAMP WITHOUT TIME ZONE, calculated_trip_end_date TIMESTAMP WITHOUT TIME ZONE, CONSTRAINT activity_fishing_trip_identifier_pk PRIMARY KEY (id));

COMMENT ON COLUMN activity_fishing_trip_identifier.calculated_trip_start_date IS 'Start date of First Fishing Activity for the Trip ID';

COMMENT ON COLUMN activity_fishing_trip_identifier.calculated_trip_end_date IS 'End date of Last Fishing Activity for the Trip ID';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787224468-14', 'padhyad (generated)', 'schema/tables/activity_fishing_trip_identifier.xml', NOW(), 231, '8:adf7220fb7c6d6efc814ec5b329c17f9', 'createTable tableName=activity_fishing_trip_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_trip_identifier.xml::123456-37::padhyad
ALTER TABLE activity_fishing_trip_identifier ALTER COLUMN  id SET DEFAULT nextval('trip_id_seq');

ALTER SEQUENCE trip_id_seq OWNED BY activity_fishing_trip_identifier.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-37', 'padhyad', 'schema/tables/activity_fishing_trip_identifier.xml', NOW(), 233, '8:b4cb1801410bb746a12eefa3befc0961', 'addDefaultValue columnName=id, tableName=activity_fishing_trip_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_trip_identifier.xml::1462787324468-44::padhyad (generated)
ALTER TABLE activity_fishing_trip_identifier ADD CONSTRAINT activity_fishing_trip_identifier_fk FOREIGN KEY (fishing_trip_id) REFERENCES activity_fishing_trip (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-44', 'padhyad (generated)', 'schema/tables/activity_fishing_trip_identifier.xml', NOW(), 235, '8:adbeec7777e3cde9dbfa11fb74de8ac1', 'addForeignKeyConstraint baseTableName=activity_fishing_trip_identifier, constraintName=activity_fishing_trip_identifier_fk, referencedTableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_delimited_period.xml::123456-17::padhyad
CREATE SEQUENCE  IF NOT EXISTS del_period_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-17', 'padhyad', 'schema/tables/activity_delimited_period.xml', NOW(), 237, '8:6d74f8695963577fe6cd6d947d4e5098', 'createSequence sequenceName=del_period_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_delimited_period.xml::1462787324468-6::padhyad (generated)
CREATE TABLE activity_delimited_period (id BIGINT NOT NULL, start_date TIMESTAMP WITHOUT TIME ZONE, end_date TIMESTAMP WITHOUT TIME ZONE, duration FLOAT8, duration_unit_code VARCHAR(255), calculated_duration FLOAT8, fishing_activity_id BIGINT, fishing_trip_id BIGINT, CONSTRAINT delimited_period_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-6', 'padhyad (generated)', 'schema/tables/activity_delimited_period.xml', NOW(), 239, '8:f6f8b504e5c144c414957098446e4c17', 'createTable tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_delimited_period.xml::123456-18::padhyad
ALTER TABLE activity_delimited_period ALTER COLUMN  id SET DEFAULT nextval('del_period_seq');

ALTER SEQUENCE del_period_seq OWNED BY activity_delimited_period.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-18', 'padhyad', 'schema/tables/activity_delimited_period.xml', NOW(), 241, '8:69d1d06fb97cde297d2eea35083ce273', 'addDefaultValue columnName=id, tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_delimited_period.xml::1462787324468-40::padhyad (generated)
ALTER TABLE activity_delimited_period ADD CONSTRAINT activity_delimited_period_fishing_activity_fk FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-40', 'padhyad (generated)', 'schema/tables/activity_delimited_period.xml', NOW(), 243, '8:d8f072d3c8025c8b4b88ed5d25804a35', 'addForeignKeyConstraint baseTableName=activity_delimited_period, constraintName=activity_delimited_period_fishing_activity_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_configuration::123456-56::padhyad
CREATE SEQUENCE  IF NOT EXISTS gear_prob_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-56', 'padhyad', 'schema/tables/activity_configuration', NOW(), 245, '8:e724d0b84fdf8f31f8af62660959fde4', 'createSequence sequenceName=gear_prob_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_configuration::1462787324468-20::padhyad (generated)
CREATE TABLE activity_gear_problem (id BIGINT NOT NULL, type_code VARCHAR(255) NOT NULL, type_code_list_id VARCHAR(255) NOT NULL, affected_quantity INTEGER NOT NULL, fishing_activity_id BIGINT, CONSTRAINT gear_problem_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-20', 'padhyad (generated)', 'schema/tables/activity_configuration', NOW(), 247, '8:49257de32420dc224ae45b0ec1fbb581', 'createTable tableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_configuration::123456-57::padhyad
ALTER TABLE activity_gear_problem ALTER COLUMN  id SET DEFAULT nextval('gear_prob_seq');

ALTER SEQUENCE gear_prob_seq OWNED BY activity_gear_problem.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-57', 'padhyad', 'schema/tables/activity_configuration', NOW(), 249, '8:9ec410f1f188fc47e1542fc149246908', 'addDefaultValue columnName=id, tableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_configuration::1462787324468-46::padhyad (generated)
ALTER TABLE activity_gear_problem ADD CONSTRAINT activity_gear_problem_fishing_activity_fk FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-46', 'padhyad (generated)', 'schema/tables/activity_configuration', NOW(), 251, '8:586c7b261eaf0835bd90a1799397d36d', 'addForeignKeyConstraint baseTableName=activity_gear_problem, constraintName=activity_gear_problem_fishing_activity_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_location.xml::123456-44::padhyad
CREATE SEQUENCE  IF NOT EXISTS flux_loc_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-44', 'padhyad', 'schema/tables/activity_flux_location.xml', NOW(), 253, '8:60f25779f144ff632d50aa19f95818b1', 'createSequence sequenceName=flux_loc_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_location.xml::1462787324468-17::padhyad (generated)
CREATE TABLE activity_flux_location (id BIGINT NOT NULL, geom GEOMETRY(Point, 4326), fa_catch_id BIGINT, fishing_activity_id BIGINT, gear_problem_id BIGINT, type_code VARCHAR(255) NOT NULL, type_code_list_id VARCHAR(255) NOT NULL, country_id VARCHAR(255), country_id_scheme_id VARCHAR(255), rfmo_code TEXT, longitude FLOAT8, latitude FLOAT8, flux_location_type VARCHAR(255) NOT NULL, flux_location_identifier VARCHAR(255), flux_location_identifier_scheme_id VARCHAR(255), geopolitical_region_code VARCHAR(255), geopolitical_region_code_list_id VARCHAR(255), name TEXT, name_laguage_id VARCHAR(255), sovereign_rights_country_code VARCHAR(255), jurisdiction_country_code VARCHAR(255), altitude FLOAT8, system_id VARCHAR(255), CONSTRAINT flux_location_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-17', 'padhyad (generated)', 'schema/tables/activity_flux_location.xml', NOW(), 255, '8:b70b6fc9173427b3e103e27b9daceacf', 'createTable tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_location.xml::123456-45::padhyad
ALTER TABLE activity_flux_location ALTER COLUMN  id SET DEFAULT nextval('flux_loc_seq');

ALTER SEQUENCE flux_loc_seq OWNED BY activity_flux_location.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-45', 'padhyad', 'schema/tables/activity_flux_location.xml', NOW(), 257, '8:593775f8163428de9bb35d56ec884101', 'addDefaultValue columnName=id, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_location.xml::2562787324468-54::padhyad
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('2562787324468-54', 'padhyad', 'schema/tables/activity_flux_location.xml', NOW(), 259, '8:d41d8cd98f00b204e9800998ecf8427e', 'empty', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_location.xml::1462787324468-54::padhyad (generated)
ALTER TABLE activity_flux_location ADD CONSTRAINT fa_catch_fl_fk FOREIGN KEY (fa_catch_id) REFERENCES activity_fa_catch (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-54', 'padhyad (generated)', 'schema/tables/activity_flux_location.xml', NOW(), 261, '8:c454ff48448345489c2644f7b58ebb56', 'addForeignKeyConstraint baseTableName=activity_flux_location, constraintName=fa_catch_fl_fk, referencedTableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_location.xml::1462787326468-54::padhyad (generated)
ALTER TABLE activity_flux_location ADD CONSTRAINT fa_catch_fishing_activity_fk FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787326468-54', 'padhyad (generated)', 'schema/tables/activity_flux_location.xml', NOW(), 263, '8:b31e5ffbb6d85281f2727aab8f441afd', 'addForeignKeyConstraint baseTableName=activity_flux_location, constraintName=fa_catch_fishing_activity_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_location.xml::1489159516971-116::kovian (generated)
ALTER TABLE "activity_flux_location" ADD CONSTRAINT "gear_problem_fk" FOREIGN KEY ("gear_problem_id") REFERENCES "activity_gear_problem" ("id") ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1489159516971-116', 'kovian (generated)', 'schema/tables/activity_flux_location.xml', NOW(), 265, '8:81730ce1d52362569deb021653b9ad41', 'addForeignKeyConstraint baseTableName=activity_flux_location, constraintName=gear_problem_fk, referencedTableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_gear_problem_recovery.xml::123456-58::padhyad
CREATE SEQUENCE  IF NOT EXISTS prob_rec_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-58', 'padhyad', 'schema/tables/activity_gear_problem_recovery.xml', NOW(), 267, '8:8ff89f408b257e1ccaa1b489b27ffe32', 'createSequence sequenceName=prob_rec_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_gear_problem_recovery.xml::1462886429274-1::padhyad (generated)
CREATE TABLE activity_gear_problem_recovery (id BIGINT NOT NULL, gear_problem_id BIGINT NOT NULL, recovery_measure_code VARCHAR(255), recovery_measure_code_list_id VARCHAR(255), CONSTRAINT gear_problem_recovery_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462886429274-1', 'padhyad (generated)', 'schema/tables/activity_gear_problem_recovery.xml', NOW(), 269, '8:32efa43036dd07024287ff38167c4c06', 'createTable tableName=activity_gear_problem_recovery', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_gear_problem_recovery.xml::123456-59::padhyad
ALTER TABLE activity_gear_problem_recovery ALTER COLUMN  id SET DEFAULT nextval('prob_rec_seq');

ALTER SEQUENCE prob_rec_seq OWNED BY activity_gear_problem_recovery.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-59', 'padhyad', 'schema/tables/activity_gear_problem_recovery.xml', NOW(), 271, '8:9a337d8c9111fd75c0dea9d882728f5b', 'addDefaultValue columnName=id, tableName=activity_gear_problem_recovery', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_gear_problem_recovery.xml::1462887324468-55::padhyad (generated)
ALTER TABLE activity_gear_problem_recovery ADD CONSTRAINT activity_gear_problem_recovery_fk FOREIGN KEY (gear_problem_id) REFERENCES activity_gear_problem (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462887324468-55', 'padhyad (generated)', 'schema/tables/activity_gear_problem_recovery.xml', NOW(), 273, '8:454e776b253bb770ddccb265f470907d', 'addForeignKeyConstraint baseTableName=activity_gear_problem_recovery, constraintName=activity_gear_problem_recovery_fk, referencedTableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear.xml::123456-30::padhyad
CREATE SEQUENCE  IF NOT EXISTS fa_gear_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-30', 'padhyad', 'schema/tables/activity_fishing_gear.xml', NOW(), 275, '8:7780d840a725299cae81c728ab813e4e', 'createSequence sequenceName=fa_gear_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear.xml::1462787324468-12::padhyad (generated)
CREATE TABLE activity_fishing_gear (id BIGINT NOT NULL, fa_catch_id BIGINT, fishing_activity_id BIGINT, gear_problem_id BIGINT, type_code VARCHAR(255) NOT NULL, type_code_list_id VARCHAR(255) NOT NULL, CONSTRAINT fishing_gear_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-12', 'padhyad (generated)', 'schema/tables/activity_fishing_gear.xml', NOW(), 277, '8:c4e353143c99cee114d6b1ea5ff3fc9b', 'createTable tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear.xml::123456-31::padhyad
ALTER TABLE activity_fishing_gear ALTER COLUMN  id SET DEFAULT nextval('fa_gear_seq');

ALTER SEQUENCE fa_gear_seq OWNED BY activity_fishing_gear.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-31', 'padhyad', 'schema/tables/activity_fishing_gear.xml', NOW(), 279, '8:075f1ec9a66151f41a42b2aecc9ea983', 'addDefaultValue columnName=id, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear.xml::1462787324468-53::padhyad (generated)
ALTER TABLE activity_fishing_gear ADD CONSTRAINT fa_catch_fishing_fk FOREIGN KEY (fa_catch_id) REFERENCES activity_fa_catch (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-53', 'padhyad (generated)', 'schema/tables/activity_fishing_gear.xml', NOW(), 281, '8:22ea482467465695268df4155b3ea6c2', 'addForeignKeyConstraint baseTableName=activity_fishing_gear, constraintName=fa_catch_fishing_fk, referencedTableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear.xml::1462787324468-58::padhyad (generated)
ALTER TABLE activity_fishing_gear ADD CONSTRAINT fishing_activity_fg_fk FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-58', 'padhyad (generated)', 'schema/tables/activity_fishing_gear.xml', NOW(), 283, '8:df3d4bacbb690f2a885154eae26cf2a8', 'addForeignKeyConstraint baseTableName=activity_fishing_gear, constraintName=fishing_activity_fg_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear.xml::1462787325468-58::padhyad (generated)
ALTER TABLE activity_fishing_gear ADD CONSTRAINT fishing_activity_gear_problem_fk FOREIGN KEY (gear_problem_id) REFERENCES activity_gear_problem (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787325468-58', 'padhyad (generated)', 'schema/tables/activity_fishing_gear.xml', NOW(), 285, '8:bdcb6f052adaab62872f5b1e91ba7ad1', 'addForeignKeyConstraint baseTableName=activity_fishing_gear, constraintName=fishing_activity_gear_problem_fk, referencedTableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear_role.xml::123456-32::padhyad
CREATE SEQUENCE  IF NOT EXISTS gear_role_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-32', 'padhyad', 'schema/tables/activity_fishing_gear_role.xml', NOW(), 287, '8:c906372fba96efa8cbc7d4625167cbf6', 'createSequence sequenceName=gear_role_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear_role.xml::1465786429274-1::padhyad (generated)
CREATE TABLE activity_fishing_gear_role (id BIGINT NOT NULL, fishing_gear_id BIGINT NOT NULL, role_code VARCHAR(255), role_code_list_id VARCHAR(255), CONSTRAINT fishing_gear_role_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1465786429274-1', 'padhyad (generated)', 'schema/tables/activity_fishing_gear_role.xml', NOW(), 289, '8:f6d5ac8c97ee7911c8288478ab29ef6f', 'createTable tableName=activity_fishing_gear_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear_role.xml::123456-33::padhyad
ALTER TABLE activity_fishing_gear_role ALTER COLUMN  id SET DEFAULT nextval('gear_role_seq');

ALTER SEQUENCE gear_role_seq OWNED BY activity_fishing_gear_role.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-33', 'padhyad', 'schema/tables/activity_fishing_gear_role.xml', NOW(), 291, '8:2aa29c4af43b3b145f3f2d6d72b4e367', 'addDefaultValue columnName=id, tableName=activity_fishing_gear_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_fishing_gear_role.xml::1465787324468-55::padhyad (generated)
ALTER TABLE activity_fishing_gear_role ADD CONSTRAINT activity_fishing_gear_role_fk FOREIGN KEY (fishing_gear_id) REFERENCES activity_fishing_gear (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1465787324468-55', 'padhyad (generated)', 'schema/tables/activity_fishing_gear_role.xml', NOW(), 293, '8:ee7e8eef88c10af3b4391caf4b5e5fef', 'addForeignKeyConstraint baseTableName=activity_fishing_gear_role, constraintName=activity_fishing_gear_role_fk, referencedTableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_gear_characteristic.xml::123456-54::padhyad
CREATE SEQUENCE  IF NOT EXISTS gear_char_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-54', 'padhyad', 'schema/tables/activity_gear_characteristic.xml', NOW(), 295, '8:4a467bac2c1c16561a03c0834477d96d', 'createSequence sequenceName=gear_char_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_gear_characteristic.xml::1462787324468-19::padhyad (generated)
CREATE TABLE activity_gear_characteristic (id BIGINT NOT NULL, fishing_gear_id BIGINT, type_code VARCHAR(255) NOT NULL, type_code_list_id VARCHAR(255) NOT NULL, description TEXT, desc_language_id VARCHAR(255), value_measure FLOAT8, value_measure_unit_code VARCHAR(255), calculated_value_measure FLOAT8, value_date_time TIMESTAMP WITHOUT TIME ZONE, value_indicator VARCHAR(255), value_code VARCHAR(255), value_text TEXT, value_quantity FLOAT8, value_quantity_code VARCHAR(255), calculated_value_quantity FLOAT8, CONSTRAINT gear_characteristic_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-19', 'padhyad (generated)', 'schema/tables/activity_gear_characteristic.xml', NOW(), 297, '8:5806d2ab22b6846a62a20b2d3af04986', 'createTable tableName=activity_gear_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_gear_characteristic.xml::123456-55::padhyad
ALTER TABLE activity_gear_characteristic ALTER COLUMN  id SET DEFAULT nextval('gear_char_seq');

ALTER SEQUENCE gear_char_seq OWNED BY activity_gear_characteristic.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-55', 'padhyad', 'schema/tables/activity_gear_characteristic.xml', NOW(), 299, '8:3ef27087001611db246306943337d9b8', 'addDefaultValue columnName=id, tableName=activity_gear_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_gear_characteristic.xml::1462787324468-61::padhyad (generated)
ALTER TABLE activity_gear_characteristic ADD CONSTRAINT fishing_gear_characteristic_fk FOREIGN KEY (fishing_gear_id) REFERENCES activity_fishing_gear (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-61', 'padhyad (generated)', 'schema/tables/activity_gear_characteristic.xml', NOW(), 301, '8:71455309668d5f124207efcf90c3c534', 'addForeignKeyConstraint baseTableName=activity_gear_characteristic, constraintName=fishing_gear_characteristic_fk, referencedTableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_characteristic.xml::123456-40::padhyad
CREATE SEQUENCE  IF NOT EXISTS flux_char_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-40', 'padhyad', 'schema/tables/activity_flux_characteristic.xml', NOW(), 303, '8:8f807f02c7c52146117953d74c98155e', 'createSequence sequenceName=flux_char_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_characteristic.xml::1462787324468-15::padhyad (generated)
CREATE TABLE activity_flux_characteristic (id BIGINT NOT NULL, fishing_activity_id BIGINT, specified_flap_document_id BIGINT, specified_flux_location_id BIGINT, type_code VARCHAR(255) NOT NULL, type_code_list_id VARCHAR(255) NOT NULL, value_measure FLOAT8, value_measure_unit_code VARCHAR(255), calculated_value_measure FLOAT8, value_date_time TIMESTAMP WITHOUT TIME ZONE, value_indicator VARCHAR(255), value_code VARCHAR(255), value_text TEXT, value_language_id VARCHAR(255), value_quantity FLOAT8, value_quantity_code VARCHAR(255), calculated_value_quantity FLOAT8, description TEXT, description_language_id VARCHAR(255), fa_catch_id BIGINT, CONSTRAINT flux_chacteristic_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-15', 'padhyad (generated)', 'schema/tables/activity_flux_characteristic.xml', NOW(), 305, '8:e34e3f56afb8dc7bc26c9dfad31be836', 'createTable tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_characteristic.xml::123456-41::padhyad
ALTER TABLE activity_flux_characteristic ALTER COLUMN  id SET DEFAULT nextval('flux_char_seq');

ALTER SEQUENCE flux_char_seq OWNED BY activity_flux_characteristic.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-41', 'padhyad', 'schema/tables/activity_flux_characteristic.xml', NOW(), 307, '8:3dc8e417dfb3476e64bf5b70a97457ae', 'addDefaultValue columnName=id, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_characteristic.xml::1462787324468-45::padhyad (generated)
ALTER TABLE activity_flux_characteristic ADD CONSTRAINT activity_flux_characteristic_fa_catch_fk FOREIGN KEY (fa_catch_id) REFERENCES activity_fa_catch (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-45', 'padhyad (generated)', 'schema/tables/activity_flux_characteristic.xml', NOW(), 309, '8:24577bf4604595981fb14340b5fb49c5', 'addForeignKeyConstraint baseTableName=activity_flux_characteristic, constraintName=activity_flux_characteristic_fa_catch_fk, referencedTableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_characteristic.xml::1462787324468-59::padhyad (generated)
ALTER TABLE activity_flux_characteristic ADD CONSTRAINT fishing_activity_fk FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-59', 'padhyad (generated)', 'schema/tables/activity_flux_characteristic.xml', NOW(), 311, '8:56081f1c8a46acb534661a43df3c098a', 'addForeignKeyConstraint baseTableName=activity_flux_characteristic, constraintName=fishing_activity_fk, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_characteristic.xml::1462787327894468-59::sanera
ALTER TABLE activity_flux_characteristic ADD CONSTRAINT specified_flap_document_fk FOREIGN KEY (specified_flap_document_id) REFERENCES activity_flap_document (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787327894468-59', 'sanera', 'schema/tables/activity_flux_characteristic.xml', NOW(), 313, '8:1c430d7a4fe4d8227dd0544a34c4b0fb', 'addForeignKeyConstraint baseTableName=activity_flux_characteristic, constraintName=specified_flap_document_fk, referencedTableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_flux_characteristic.xml::1111187327894468-59::sanera
ALTER TABLE activity_flux_characteristic ADD CONSTRAINT specified_flux_location_fk FOREIGN KEY (specified_flux_location_id) REFERENCES activity_flux_location (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1111187327894468-59', 'sanera', 'schema/tables/activity_flux_characteristic.xml', NOW(), 315, '8:01c5d62e92ec441d66dd0bd1362908ec', 'addForeignKeyConstraint baseTableName=activity_flux_characteristic, constraintName=specified_flux_location_fk, referencedTableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_structured_address.xml::123456-66::padhyad
CREATE SEQUENCE  IF NOT EXISTS str_add_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-66', 'padhyad', 'schema/tables/activity_structured_address.xml', NOW(), 317, '8:66d3a92e65151978c5a3dd20c2692913', 'createSequence sequenceName=str_add_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_structured_address.xml::1462787324468-25::padhyad (generated)
CREATE TABLE activity_structured_address (id BIGINT NOT NULL, block_name VARCHAR(1000), building_name VARCHAR(1000), city_name VARCHAR(255), city_subdivision_name VARCHAR(255), country VARCHAR(255), country_name VARCHAR(255), country_subdivision_name VARCHAR(255), country_id_scheme_id VARCHAR(255), address_id VARCHAR(255), plot_id VARCHAR(1000), post_office_box VARCHAR(255), postcode VARCHAR(255), streetname VARCHAR(1000), flux_location_id BIGINT, contact_party_id BIGINT, structured_address_type VARCHAR(255), CONSTRAINT structured_address_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-25', 'padhyad (generated)', 'schema/tables/activity_structured_address.xml', NOW(), 319, '8:1482b8c506e5e45b32de83107a7a2d9d', 'createTable tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_structured_address.xml::123456-67::padhyad
ALTER TABLE activity_structured_address ALTER COLUMN  id SET DEFAULT nextval('str_add_seq');

ALTER SEQUENCE str_add_seq OWNED BY activity_structured_address.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-67', 'padhyad', 'schema/tables/activity_structured_address.xml', NOW(), 321, '8:ff20200b34131b4fd20b3585010d5ecb', 'addDefaultValue columnName=id, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_structured_address.xml::1462787324468-49::padhyad (generated)
ALTER TABLE activity_structured_address ADD CONSTRAINT activity_structured_address_contact_party_fk FOREIGN KEY (contact_party_id) REFERENCES activity_contact_party (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-49', 'padhyad (generated)', 'schema/tables/activity_structured_address.xml', NOW(), 323, '8:3139d5d884fbd38393f55015d87ed114', 'addForeignKeyConstraint baseTableName=activity_structured_address, constraintName=activity_structured_address_contact_party_fk, referencedTableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_structured_address.xml::1462787324468-50::padhyad (generated)
ALTER TABLE activity_structured_address ADD CONSTRAINT activity_structured_address_flux_location_fk FOREIGN KEY (flux_location_id) REFERENCES activity_flux_location (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1462787324468-50', 'padhyad (generated)', 'schema/tables/activity_structured_address.xml', NOW(), 325, '8:c5e4a4e90bb53572f58424a46ec975ee', 'addForeignKeyConstraint baseTableName=activity_structured_address, constraintName=activity_structured_address_flux_location_fk, referencedTableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_configuration.xml::123456-9::padhyad
CREATE SEQUENCE  IF NOT EXISTS act_config_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-9', 'padhyad', 'schema/tables/activity_configuration.xml', NOW(), 327, '8:bcf1c75a27c6b3dd1e290b587d5b14d2', 'createSequence sequenceName=act_config_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_configuration.xml::1479997779944-1::kovian (generated)
CREATE TABLE activity_configuration (id BIGINT NOT NULL, config_name VARCHAR(255), config_value VARCHAR(255), CONSTRAINT activity_configuration_pkey PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1479997779944-1', 'kovian (generated)', 'schema/tables/activity_configuration.xml', NOW(), 329, '8:3dd55a4574ef62b667d8a5873982f6ab', 'createTable tableName=activity_configuration', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_configuration.xml::123456-10::padhyad
ALTER TABLE activity_configuration ALTER COLUMN  id SET DEFAULT nextval('act_config_seq');

ALTER SEQUENCE act_config_seq OWNED BY activity_configuration.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-10', 'padhyad', 'schema/tables/activity_configuration.xml', NOW(), 331, '8:b82445816af4dcb0a7b9f3839d1b4c26', 'addDefaultValue columnName=id, tableName=activity_configuration', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/activity_configuration.xml::testDataID::sanera (generated)
INSERT INTO activity_configuration (config_name, config_value) VALUES ('LIMIT_FISHING_TRIPS', '1000');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('testDataID', 'sanera (generated)', 'schema/tables/activity_configuration.xml', NOW(), 333, '8:29b222efaa512e9bd3ca507013906d70', 'insert tableName=activity_configuration', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/v0.2/activity_vessel_position_event.xml::123422-19::padhyad
CREATE SEQUENCE  IF NOT EXISTS pos_event_seq START WITH 1 INCREMENT BY 1 MINVALUE 1 MAXVALUE 9223372036854775807;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123422-19', 'padhyad', 'schema/tables/v0.2/activity_vessel_position_event.xml', NOW(), 335, '8:9e439bcba89931576a690447bf40c01d', 'createSequence sequenceName=pos_event_seq', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/v0.2/activity_vessel_position_event.xml::1466786429964-1::sanera (generated)
CREATE TABLE activity_vessel_position_event (id BIGINT NOT NULL, vessel_transport_means_id BIGINT NOT NULL, obtained_occurrence_date_time TIMESTAMP WITHOUT TIME ZONE, type_code VARCHAR(255), speed_value_measure FLOAT8, course_value_measure FLOAT8, activity_type_code VARCHAR(255), altitude FLOAT8, longitude FLOAT8, latitude FLOAT8, geom GEOMETRY(Point, 4326), CONSTRAINT vessel_position_event_pk PRIMARY KEY (id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1466786429964-1', 'sanera (generated)', 'schema/tables/v0.2/activity_vessel_position_event.xml', NOW(), 337, '8:72ea95861e55d9ecb70e72713b577b3f', 'createTable tableName=activity_vessel_position_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/v0.2/activity_vessel_position_event.xml::123456-20::padhyad
ALTER TABLE activity_vessel_position_event ALTER COLUMN  id SET DEFAULT nextval('pos_event_seq');

ALTER SEQUENCE pos_event_seq OWNED BY activity_vessel_position_event.id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('123456-20', 'padhyad', 'schema/tables/v0.2/activity_vessel_position_event.xml', NOW(), 339, '8:43a5ed91c526e310168d816ba462eb49', 'addDefaultValue columnName=id, tableName=activity_vessel_position_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/v0.2/activity_vessel_position_event.xml::1466787222468-55::sanera (generated)
ALTER TABLE activity_vessel_position_event ADD CONSTRAINT activity_vessel_position_event_fk FOREIGN KEY (vessel_transport_means_id) REFERENCES activity_vessel_transport_means (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1466787222468-55', 'sanera (generated)', 'schema/tables/v0.2/activity_vessel_position_event.xml', NOW(), 341, '8:4fa92d256aa838312aa8a9d2c53a594f', 'addForeignKeyConstraint baseTableName=activity_vessel_position_event, constraintName=activity_vessel_position_event_fk, referencedTableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset schema/tables/v0.3/add_correctedby_deletedby_to_activity_table.xml::Add canceledBy and deletedBy to activity table::kovian
ALTER TABLE activity_fishing_activity ADD canceled_by BIGINT;

ALTER TABLE activity_fishing_activity ADD deleted_by BIGINT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('Add canceledBy and deletedBy to activity table', 'kovian', 'schema/tables/v0.3/add_correctedby_deletedby_to_activity_table.xml', NOW(), 343, '8:e2fa1eb39f99591ff555d8f4bc57a960', 'addColumn tableName=activity_fishing_activity; addColumn tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.5/db-changelog-UNIONVMS-3381.xml::1324325431::emrinalgr
ALTER TABLE activity_delimited_period RENAME COLUMN duration TO durationmeasure_value;

ALTER TABLE activity_delimited_period RENAME COLUMN duration_unit_code TO durationmeasure_unitcode;

ALTER TABLE activity_fishing_activity RENAME COLUMN operation_quantity TO operationsquantity_value;

ALTER TABLE activity_fishing_activity RENAME COLUMN operation_quantity_code TO operationsquantity_unitcode;

ALTER TABLE activity_delimited_period ADD durationmeasure_unitcodelistversionid VARCHAR(255);

ALTER TABLE activity_fishing_activity ADD operationsquantity_unitcodelistid VARCHAR(255);

ALTER TABLE activity_fishing_activity ADD unit_code_list_version_id VARCHAR(255);

ALTER TABLE activity_fishing_activity ADD fishing_duration_measure_unit_code_list_version_id VARCHAR(255);

ALTER TABLE activity_structured_address ADD building_number VARCHAR(255);

ALTER TABLE activity_structured_address ADD country_id_value VARCHAR(255);

ALTER TABLE activity_structured_address ADD postal_area_language_id VARCHAR(255);

ALTER TABLE activity_structured_address ADD post_code_list_id VARCHAR(255);

ALTER TABLE activity_structured_address ADD postal_area_value VARCHAR(255);

ALTER TABLE activity_structured_address ADD postal_area_language_local_id VARCHAR(255);

ALTER TABLE activity_structured_address ADD staircase_number_value VARCHAR(255);

ALTER TABLE activity_structured_address ADD floor_identification_value VARCHAR(255);

ALTER TABLE activity_structured_address ADD room_identification_value VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1324325431', 'emrinalgr', 'changelog/1.1.5/db-changelog-UNIONVMS-3381.xml', NOW(), 345, '8:67f1c64b00c10ff76404f63744af40ab', 'renameColumn newColumnName=durationmeasure_value, oldColumnName=duration, tableName=activity_delimited_period; renameColumn newColumnName=durationmeasure_unitcode, oldColumnName=duration_unit_code, tableName=activity_delimited_period; renameColumn...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.6/db-changelog-UNIONVMS.xml::6387387638763::emrinalgr
ALTER TABLE activity_flux_location RENAME COLUMN name TO namevalue;

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_name VARCHAR(255);

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_value VARCHAR(255);

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_listid VARCHAR(255);

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_listagencyid VARCHAR(255);

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_listagencyname VARCHAR(255);

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_listname VARCHAR(255);

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_listversionid VARCHAR(255);

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_languageid VARCHAR(255);

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_listschemeuri VARCHAR(255);

ALTER TABLE activity_flux_location ADD regionalfisheriesmanagementorganizationcode_listuri VARCHAR(255);

ALTER TABLE activity_fishing_activity ADD latest BOOLEAN DEFAULT TRUE;

ALTER TABLE activity_flux_report_document ADD typecode_name VARCHAR(255);

ALTER TABLE activity_flux_report_document ADD typecode_value VARCHAR(255);

ALTER TABLE activity_flux_report_document ADD typecode_listid VARCHAR(255);

ALTER TABLE activity_flux_report_document ADD typecode_listagencyid VARCHAR(255);

ALTER TABLE activity_flux_report_document ADD typecode_listagencyname VARCHAR(255);

ALTER TABLE activity_flux_report_document ADD typecode_listname VARCHAR(255);

ALTER TABLE activity_flux_report_document ADD typecode_listversionid VARCHAR(255);

ALTER TABLE activity_flux_report_document ADD typecode_languageid VARCHAR(255);

ALTER TABLE activity_flux_report_document ADD typecode_listschemeuri VARCHAR(255);

ALTER TABLE activity_flux_report_document ADD typecode_listuri VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('6387387638763', 'emrinalgr', 'changelog/1.1.6/db-changelog-UNIONVMS.xml', NOW(), 347, '8:ec125cdb0542393ce3448ecbdb0e1b3e', 'renameColumn newColumnName=namevalue, oldColumnName=name, tableName=activity_flux_location; addColumn tableName=activity_flux_location; addColumn tableName=activity_fishing_activity; addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_size_distribution_classcodeAndColumnSize_distribution_id::stihft
CREATE INDEX activity_size_distribution_classcode_i_1 ON activity_size_distribution_classcode(size_distribution_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_size_distribution_classcodeAndColumnSize_distribution_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 349, '8:68c0e8550f518e71514aaca0c4036d9e', 'createIndex indexName=activity_size_distribution_classcode_i_1, tableName=activity_size_distribution_classcode', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_vessel_storage_char_codeAndColumnVessel_storage_char_id::stihft
CREATE INDEX activity_vessel_storage_char_code_i_1 ON activity_vessel_storage_char_code(vessel_storage_char_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_vessel_storage_char_codeAndColumnVessel_storage_char_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 351, '8:5a1263847dbff8832d904fb78eca3bf8', 'createIndex indexName=activity_vessel_storage_char_code_i_1, tableName=activity_vessel_storage_char_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_registration_eventAndColumnRegistration_location_id::stihft
CREATE INDEX activity_registration_event_i_1 ON activity_registration_event(registration_location_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_registration_eventAndColumnRegistration_location_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 353, '8:a568c4f28af9596970aca2673c8a20ae', 'createIndex indexName=activity_registration_event_i_1, tableName=activity_registration_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_party_identifierAndColumnFlux_party_id::stihft
CREATE INDEX activity_flux_party_identifier_i_1 ON activity_flux_party_identifier(flux_party_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_party_identifierAndColumnFlux_party_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 355, '8:85247fdfd15c0a4cde98c7ba0a4c0696', 'createIndex indexName=activity_flux_party_identifier_i_1, tableName=activity_flux_party_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_report_documentAndColumnFlux_party_id::stihft
CREATE INDEX activity_flux_report_document_i_1 ON activity_flux_report_document(flux_party_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_report_documentAndColumnFlux_party_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 357, '8:50f3d0e528d75cf1a2f789eca6ad9b7c', 'createIndex indexName=activity_flux_report_document_i_1, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_report_documentAndColumnFlux_fa_report_message_id::stihft
CREATE INDEX activity_flux_report_document_i_2 ON activity_flux_report_document(flux_fa_report_message_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_report_documentAndColumnFlux_fa_report_message_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 359, '8:2c119eec4e3821e091e8cd2ba7d127da', 'createIndex indexName=activity_flux_report_document_i_2, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_report_identifierAndColumnFlux_report_document_id::stihft
CREATE INDEX activity_flux_report_identifier_i_1 ON activity_flux_report_identifier(flux_report_document_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_report_identifierAndColumnFlux_report_document_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 361, '8:b9240f8e3596e47e663b2fb3402720b4', 'createIndex indexName=activity_flux_report_identifier_i_1, tableName=activity_flux_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fa_report_documentAndColumnFlux_report_document_id::stihft
CREATE INDEX activity_fa_report_document_i_1 ON activity_fa_report_document(flux_report_document_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fa_report_documentAndColumnFlux_report_document_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 363, '8:1ad2a83eff3a7c023d546fea6ecdc3b2', 'createIndex indexName=activity_fa_report_document_i_1, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_activityAndColumnFa_report_document_id::stihft
CREATE INDEX activity_fishing_activity_i_1 ON activity_fishing_activity(fa_report_document_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_activityAndColumnFa_report_document_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 365, '8:8c9289f8d699fefc67bf08a2799faa6b', 'createIndex indexName=activity_fishing_activity_i_1, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_activityAndColumnRelated_fishing_activity_id::stihft
CREATE INDEX activity_fishing_activity_i_2 ON activity_fishing_activity(related_fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_activityAndColumnRelated_fishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 367, '8:d79769fe3dcde20ea3c348b53634add8', 'createIndex indexName=activity_fishing_activity_i_2, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_activityAndColumnDest_vessel_char_id::stihft
CREATE INDEX activity_fishing_activity_i_3 ON activity_fishing_activity(dest_vessel_char_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_activityAndColumnDest_vessel_char_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 369, '8:f7af3a77cb413c42b48b9ee659e50277', 'createIndex indexName=activity_fishing_activity_i_3, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_activityAndColumnSource_vessel_char_id::stihft
CREATE INDEX activity_fishing_activity_i_4 ON activity_fishing_activity(source_vessel_char_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_activityAndColumnSource_vessel_char_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 371, '8:4ad8a84f42e77f27d06b717d984c016d', 'createIndex indexName=activity_fishing_activity_i_4, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_activity_identifierAndColumnFishing_activity_id::stihft
CREATE INDEX activity_fishing_activity_identifier_i_1 ON activity_fishing_activity_identifier(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_activity_identifierAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 373, '8:b43d7a218b510d3bbbf471fc04358753', 'createIndex indexName=activity_fishing_activity_identifier_i_1, tableName=activity_fishing_activity_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_vessel_transport_meansAndColumnRegistration_event_id::stihft
CREATE INDEX activity_vessel_transport_means_i_1 ON activity_vessel_transport_means(registration_event_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_vessel_transport_meansAndColumnRegistration_event_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 375, '8:68bc48ceb99fd554edc03a162bd061f9', 'createIndex indexName=activity_vessel_transport_means_i_1, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_vessel_transport_meansAndColumnFa_report_document_id::stihft
CREATE INDEX activity_vessel_transport_means_i_2 ON activity_vessel_transport_means(fa_report_document_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_vessel_transport_meansAndColumnFa_report_document_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 377, '8:3e19de19a5c2fd4420f35b9653f5509c', 'createIndex indexName=activity_vessel_transport_means_i_2, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_vessel_transport_meansAndColumnFishing_activity_id::stihft
CREATE INDEX activity_vessel_transport_means_i_3 ON activity_vessel_transport_means(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_vessel_transport_meansAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 379, '8:cca806047f36771dc47817cfe4111ba5', 'createIndex indexName=activity_vessel_transport_means_i_3, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flap_documentAndColumnVessel_transport_means_id::stihft
CREATE INDEX activity_flap_document_i_1 ON activity_flap_document(vessel_transport_means_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flap_documentAndColumnVessel_transport_means_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 381, '8:3ac95523852df130a600957e3cb94ff7', 'createIndex indexName=activity_flap_document_i_1, tableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flap_documentAndColumnFishing_activity_id::stihft
CREATE INDEX activity_flap_document_i_2 ON activity_flap_document(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flap_documentAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 383, '8:ec51d397be92802aad8544b67e215d46', 'createIndex indexName=activity_flap_document_i_2, tableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fa_catchAndColumnFishing_activity_id::stihft
CREATE INDEX activity_fa_catch_i_1 ON activity_fa_catch(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fa_catchAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 385, '8:38da8434d1cb32e461b598f3c9644e2c', 'createIndex indexName=activity_fa_catch_i_1, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fa_catchAndColumnSize_distribution_id::stihft
CREATE INDEX activity_fa_catch_i_2 ON activity_fa_catch(size_distribution_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fa_catchAndColumnSize_distribution_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 387, '8:f82f912697f0c0ffb0f088c1c536a277', 'createIndex indexName=activity_fa_catch_i_2, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_aap_processAndColumnFa_catch_id::stihft
CREATE INDEX activity_aap_process_i_1 ON activity_aap_process(fa_catch_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_aap_processAndColumnFa_catch_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 389, '8:2d44d9edf954c6ae1cb7cfb2052d2971', 'createIndex indexName=activity_aap_process_i_1, tableName=activity_aap_process', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_aap_process_codeAndColumnAap_process_id::stihft
CREATE INDEX activity_aap_process_code_i_1 ON activity_aap_process_code(aap_process_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_aap_process_codeAndColumnAap_process_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 391, '8:5409634239968759677a19d6cedf6c0a', 'createIndex indexName=activity_aap_process_code_i_1, tableName=activity_aap_process_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_aap_productAndColumnAap_process_id::stihft
CREATE INDEX activity_aap_product_i_1 ON activity_aap_product(aap_process_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_aap_productAndColumnAap_process_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 393, '8:aa23bce76d3823c727a748f85cf04b9b', 'createIndex indexName=activity_aap_product_i_1, tableName=activity_aap_product', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_aap_stockAndColumnFa_catch_id::stihft
CREATE INDEX activity_aap_stock_i_1 ON activity_aap_stock(fa_catch_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_aap_stockAndColumnFa_catch_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 395, '8:3f8d7b491b03d2237c32234658e24d27', 'createIndex indexName=activity_aap_stock_i_1, tableName=activity_aap_stock', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_contact_partyAndColumnContact_person_id::stihft
CREATE INDEX activity_contact_party_i_1 ON activity_contact_party(contact_person_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_contact_partyAndColumnContact_person_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 397, '8:8720761ec63c82758609e98a073a6011', 'createIndex indexName=activity_contact_party_i_1, tableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_contact_partyAndColumnVessel_transport_means_id::stihft
CREATE INDEX activity_contact_party_i_2 ON activity_contact_party(vessel_transport_means_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_contact_partyAndColumnVessel_transport_means_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 399, '8:91c1eed5d4ff22cd2253aff8b4ae8893', 'createIndex indexName=activity_contact_party_i_2, tableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_contact_party_roleAndColumnContact_party_id::stihft
CREATE INDEX activity_contact_party_role_i_1 ON activity_contact_party_role(contact_party_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_contact_party_roleAndColumnContact_party_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 401, '8:bf37e6ba0e68f769e1f7df3693fb8000', 'createIndex indexName=activity_contact_party_role_i_1, tableName=activity_contact_party_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_tripAndColumnFa_catch_id::stihft
CREATE INDEX activity_fishing_trip_i_1 ON activity_fishing_trip(fa_catch_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_tripAndColumnFa_catch_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 403, '8:c22e1516093737d8d2fcf018cb779af8', 'createIndex indexName=activity_fishing_trip_i_1, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_tripAndColumnFishing_activity_id::stihft
CREATE INDEX activity_fishing_trip_i_2 ON activity_fishing_trip(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_tripAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 405, '8:a260f3a76fd82d79896cfa3a233d4c99', 'createIndex indexName=activity_fishing_trip_i_2, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_trip_identifierAndColumnFishing_trip_id::stihft
CREATE INDEX activity_fishing_trip_identifier_i_1 ON activity_fishing_trip_identifier(fishing_trip_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_trip_identifierAndColumnFishing_trip_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 407, '8:2b227857f8fb6625fbd458586af1a43e', 'createIndex indexName=activity_fishing_trip_identifier_i_1, tableName=activity_fishing_trip_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_delimited_periodAndColumnFishing_activity_id::stihft
CREATE INDEX activity_delimited_period_i_1 ON activity_delimited_period(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_delimited_periodAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 409, '8:4774a5fe926d79e7e1b120c7de69cbb1', 'createIndex indexName=activity_delimited_period_i_1, tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_gear_problemAndColumnFishing_activity_id::stihft
CREATE INDEX activity_gear_problem_i_1 ON activity_gear_problem(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_gear_problemAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 411, '8:d5169de84f70d0bf3186a25968ed95f1', 'createIndex indexName=activity_gear_problem_i_1, tableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_locationAndColumnFishing_activity_id::stihft
CREATE INDEX activity_flux_location_i_1 ON activity_flux_location(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_locationAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 413, '8:5d737555015c2e08cd5211cc7b6b2731', 'createIndex indexName=activity_flux_location_i_1, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_locationAndColumnFa_catch_id::stihft
CREATE INDEX activity_flux_location_i_2 ON activity_flux_location(fa_catch_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_locationAndColumnFa_catch_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 415, '8:e8df1945233cdfc9a909bb2cc54741b7', 'createIndex indexName=activity_flux_location_i_2, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_locationAndColumnGear_problem_id::stihft
CREATE INDEX activity_flux_location_i_3 ON activity_flux_location(gear_problem_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_locationAndColumnGear_problem_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 417, '8:8b919c15f15eac87cc73df165b3a5dea', 'createIndex indexName=activity_flux_location_i_3, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_gear_problem_recoveryAndColumnGear_problem_id::stihft
CREATE INDEX activity_gear_problem_recovery_i_1 ON activity_gear_problem_recovery(gear_problem_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_gear_problem_recoveryAndColumnGear_problem_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 419, '8:47a417bdd84a5ddb312da42b70ddb496', 'createIndex indexName=activity_gear_problem_recovery_i_1, tableName=activity_gear_problem_recovery', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_gearAndColumnFa_catch_id::stihft
CREATE INDEX activity_fishing_gear_i_1 ON activity_fishing_gear(fa_catch_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_gearAndColumnFa_catch_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 421, '8:2210cf2f6ea263b2564500b6bec06529', 'createIndex indexName=activity_fishing_gear_i_1, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_gearAndColumnFishing_activity_id::stihft
CREATE INDEX activity_fishing_gear_i_2 ON activity_fishing_gear(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_gearAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 423, '8:7167bb2b193377285a03966b7ee2a93f', 'createIndex indexName=activity_fishing_gear_i_2, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_gearAndColumnGear_problem_id::stihft
CREATE INDEX activity_fishing_gear_i_3 ON activity_fishing_gear(gear_problem_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_gearAndColumnGear_problem_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 425, '8:c655b85469550c5cfb19557fd99ba310', 'createIndex indexName=activity_fishing_gear_i_3, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_fishing_gear_roleAndColumnFishing_gear_id::stihft
CREATE INDEX activity_fishing_gear_role_i_1 ON activity_fishing_gear_role(fishing_gear_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_fishing_gear_roleAndColumnFishing_gear_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 427, '8:e6e2f1d1c96f19ebc435d3c2bb2a7172', 'createIndex indexName=activity_fishing_gear_role_i_1, tableName=activity_fishing_gear_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_gear_characteristicAndColumnFishing_gear_id::stihft
CREATE INDEX activity_gear_characteristic_i_1 ON activity_gear_characteristic(fishing_gear_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_gear_characteristicAndColumnFishing_gear_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 429, '8:478c15908f923afd2a71c21cdbaaf2a7', 'createIndex indexName=activity_gear_characteristic_i_1, tableName=activity_gear_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_characteristicAndColumnFa_catch_id::stihft
CREATE INDEX activity_flux_characteristic_i_1 ON activity_flux_characteristic(fa_catch_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_characteristicAndColumnFa_catch_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 431, '8:1aee0d965277012c15704967b35bf6dc', 'createIndex indexName=activity_flux_characteristic_i_1, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_characteristicAndColumnFishing_activity_id::stihft
CREATE INDEX activity_flux_characteristic_i_2 ON activity_flux_characteristic(fishing_activity_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_characteristicAndColumnFishing_activity_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 433, '8:ccad8bed5f4f87225a8e0a67b4491bca', 'createIndex indexName=activity_flux_characteristic_i_2, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_characteristicAndColumnSpecified_flap_document_id::stihft
CREATE INDEX activity_flux_characteristic_i_3 ON activity_flux_characteristic(specified_flap_document_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_characteristicAndColumnSpecified_flap_document_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 435, '8:4a30b13d9fbd91be4346994fc7fc847d', 'createIndex indexName=activity_flux_characteristic_i_3, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_flux_characteristicAndColumnSpecified_flux_location_id::stihft
CREATE INDEX activity_flux_characteristic_i_4 ON activity_flux_characteristic(specified_flux_location_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_flux_characteristicAndColumnSpecified_flux_location_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 437, '8:10fc8a98bc58499eaaae45b54bde4698', 'createIndex indexName=activity_flux_characteristic_i_4, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_structured_addressAndColumnContact_party_id::stihft
CREATE INDEX activity_structured_address_i_1 ON activity_structured_address(contact_party_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_structured_addressAndColumnContact_party_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 439, '8:e1b9fad76430d1904fcec692d5ed764a', 'createIndex indexName=activity_structured_address_i_1, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_structured_addressAndColumnFlux_location_id::stihft
CREATE INDEX activity_structured_address_i_2 ON activity_structured_address(flux_location_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_structured_addressAndColumnFlux_location_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 441, '8:4dfb7d68bdf32352d03206874b7953c9', 'createIndex indexName=activity_structured_address_i_2, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.7/db-changelog-UNIONVMS.xml::addIndexOnTableActivity_vessel_position_eventAndColumnVessel_transport_means_id::stihft
CREATE INDEX activity_vessel_position_event_i_1 ON activity_vessel_position_event(vessel_transport_means_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableActivity_vessel_position_eventAndColumnVessel_transport_means_id', 'stihft', 'changelog/1.1.7/db-changelog-UNIONVMS.xml', NOW(), 443, '8:9544d158742211783fcad73ad9713b35', 'createIndex indexName=activity_vessel_position_event_i_1, tableName=activity_vessel_position_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-38::anwall (generated)
ALTER TABLE activity_delimited_period ADD durationmeasure_unitcodelistid VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-38', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 445, '8:a58490bdbe8328aea83a4b54b3652394', 'addColumn tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-39::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_languageid VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-39', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 447, '8:8c1ef3263476559999329be237cf6adb', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-40::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_listagencyid VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-40', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 449, '8:08bbe24052da7f514934daf908fefc35', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-41::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_listagencyname VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-41', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 451, '8:155418f27140b18a1183a64e195c94fd', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-42::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_listid VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-42', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 453, '8:2814cbebddfde7271b9857d95c58fc75', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-43::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_listname VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-43', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 455, '8:f3f0fbb512e9c4096f22ad682a6da796', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-44::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_listschemeuri VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-44', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 457, '8:6a7c503980ff43c27fccf4c00bf1e20e', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-45::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_listuri VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-45', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 459, '8:4d02321a6bd090ba2789d0a71073528b', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-46::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_listversionid VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-46', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 461, '8:404fdb0729383167290188c9376a0b0b', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-47::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_languageid VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-47', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 463, '8:920f278aa5f6119afadff5058d0b23a4', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-48::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_name VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-48', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 465, '8:749531a0da1f53de1d5ddababaaca31d', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-49::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_listagencyid VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-49', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 467, '8:f6dd2dfa1f9d908d5c517abc9bd185b9', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-50::anwall (generated)
ALTER TABLE activity_flux_report_document ADD codetype_value VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-50', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 469, '8:6ce1abd0eafd4e3132754763bef3bedf', 'addColumn tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-51::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_listagencyname VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-51', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 471, '8:c6c2f42520876e4c69c5fa2ad81b16a1', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-52::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_listid VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-52', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 473, '8:63ded77f23b58fc65a1ee7f6b2335072', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-53::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_listname VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-53', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 475, '8:5f51a6a0f1b07f026645fe5788505ba5', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-54::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_listschemeuri VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-54', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 477, '8:af05caaef730ff22804fe283173c6a3a', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-55::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_listuri VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-55', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 479, '8:12704f94fd99fae92557a31ba66b6d57', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-56::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_listversionid VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-56', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 481, '8:8ae3895f505c2138fc8005ce5ef68db5', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-57::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_name VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-57', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 483, '8:eff03046a83fe8d8dcb7ee8c6285dc18', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-58::anwall (generated)
ALTER TABLE activity_flux_location ADD codetype_value VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-58', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 485, '8:4fb3c0cfbccbd1971769e6b0dd337194', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-59::anwall (generated)
ALTER TABLE activity_fa_report_document ADD CONSTRAINT fk5p354fg9eckrxhh1vpca5fhn0 FOREIGN KEY (flux_fa_report_message_id) REFERENCES activity_flux_fa_report_message (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-59', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 487, '8:ea22568487bd99adb88c829d762dcb35', 'addForeignKeyConstraint baseTableName=activity_fa_report_document, constraintName=fk5p354fg9eckrxhh1vpca5fhn0, referencedTableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-60::anwall (generated)
ALTER TABLE activity_vessel_transport_means ADD CONSTRAINT fkb5ikgg3fstg46n96o6ftdum4i FOREIGN KEY (fa_report_document_id) REFERENCES activity_fa_report_document (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-60', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 489, '8:1f97c760d91e2da56f1b5891967c34ad', 'addForeignKeyConstraint baseTableName=activity_vessel_transport_means, constraintName=fkb5ikgg3fstg46n96o6ftdum4i, referencedTableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-61::anwall (generated)
ALTER TABLE activity_vessel_transport_means ADD CONSTRAINT fki0cl6nxvnqg19bm6cp18p1p85 FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-61', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 491, '8:9ecedf4a8087e43fa986f8fa77f96500', 'addForeignKeyConstraint baseTableName=activity_vessel_transport_means, constraintName=fki0cl6nxvnqg19bm6cp18p1p85, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-62::anwall (generated)
ALTER TABLE activity_delimited_period ADD CONSTRAINT fki7m8n1umcyq0m5xcmwl5n79r2 FOREIGN KEY (fishing_trip_id) REFERENCES activity_fishing_trip (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-62', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 493, '8:c8aa198bf50eb6434801eb5648d3a109', 'addForeignKeyConstraint baseTableName=activity_delimited_period, constraintName=fki7m8n1umcyq0m5xcmwl5n79r2, referencedTableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-63::anwall (generated)
ALTER TABLE activity_vessel_identifier ADD CONSTRAINT fklfpxxw4g8cdp1wf5n7pmee054 FOREIGN KEY (vessel_transport_mean_id) REFERENCES activity_vessel_transport_means (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-63', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 495, '8:eb63732aa1fce574bd2196938d84c3ea', 'addForeignKeyConstraint baseTableName=activity_vessel_identifier, constraintName=fklfpxxw4g8cdp1wf5n7pmee054, referencedTableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-64::anwall (generated)
ALTER TABLE activity_flap_document ADD CONSTRAINT fktbn3ol742rkhmcnb7cmu0evh2 FOREIGN KEY (fishing_activity_id) REFERENCES activity_fishing_activity (id) ON UPDATE NO ACTION ON DELETE NO ACTION;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-64', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 497, '8:6fc2594513e9f584d997a8cf6caf15c1', 'addForeignKeyConstraint baseTableName=activity_flap_document, constraintName=fktbn3ol742rkhmcnb7cmu0evh2, referencedTableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-66::anwall (generated)
ALTER TABLE activity_structured_address DROP COLUMN country;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-66', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 499, '8:125be734ae5b5b1a4b442d3b634f7c6b', 'dropColumn columnName=country, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-67::anwall (generated)
ALTER TABLE activity_delimited_period DROP COLUMN durationmeasure_unitcodelistversionid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-67', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 501, '8:ef9bb2b4416dc4af35f4f643b39811e1', 'dropColumn columnName=durationmeasure_unitcodelistversionid, tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-68::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_languageid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-68', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 503, '8:8efe270d7ed8d90a8ca405721372fc0c', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_languageid, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-69::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_listagencyid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-69', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 505, '8:79bdcda6b1f9f8c39060425023ca4037', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_listagencyid, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-70::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_listagencyname;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-70', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 507, '8:bd5c2297b8a0e057f70a7b10522501e5', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_listagencyname, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-71::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_listid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-71', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 509, '8:9589b9218b071cc66448041d8a4a224e', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_listid, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-72::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_listname;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-72', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 511, '8:7e5371704bb7a5826d725f567a94b7d4', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_listname, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-73::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_listschemeuri;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-73', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 513, '8:8f298e4b0a5dbad7c98025214e23071a', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_listschemeuri, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-74::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_listuri;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-74', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 515, '8:a7550d331125290c266745d4e58c651a', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_listuri, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-75::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_listversionid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-75', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 517, '8:9de3b2cca769201335a256580ab74afa', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_listversionid, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-76::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_name;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-76', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 519, '8:1898db4de835b0c18ad2b6096a7c394c', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_name, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-77::anwall (generated)
ALTER TABLE activity_flux_location DROP COLUMN regionalfisheriesmanagementorganizationcode_value;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-77', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 521, '8:d38ea2a91162bd8070b3399aba249983', 'dropColumn columnName=regionalfisheriesmanagementorganizationcode_value, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-78::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_languageid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-78', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 523, '8:0863766b152500ba18924ef60f5bdf75', 'dropColumn columnName=typecode_languageid, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-79::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_listagencyid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-79', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 525, '8:d7320fb5c742d532dd7f0e1d751e873a', 'dropColumn columnName=typecode_listagencyid, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-80::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_listagencyname;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-80', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 527, '8:41e2ac9afc27bd011cca15dff6695e11', 'dropColumn columnName=typecode_listagencyname, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-81::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_listid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-81', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 529, '8:15279e52e7b131eadbabd0b03a33a862', 'dropColumn columnName=typecode_listid, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-82::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_listname;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-82', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 531, '8:d4c616cf0bad53e0f62d219e619ee482', 'dropColumn columnName=typecode_listname, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-83::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_listschemeuri;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-83', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 533, '8:741891e85a672944711dcfcef52512b0', 'dropColumn columnName=typecode_listschemeuri, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-84::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_listuri;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-84', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 535, '8:456a214750527f044ccccadfe0b8a0ee', 'dropColumn columnName=typecode_listuri, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-85::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_listversionid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-85', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 537, '8:626618aa8277d3a91d53b3ebe1d253bb', 'dropColumn columnName=typecode_listversionid, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-86::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_name;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-86', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 539, '8:bd78089874bcbcb4b1f484335d3b7e0f', 'dropColumn columnName=typecode_name, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-87::anwall (generated)
ALTER TABLE activity_flux_report_document DROP COLUMN typecode_value;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-87', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 541, '8:fae34c7b7c41cb4bb98d3b8ebc392e94', 'dropColumn columnName=typecode_value, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-88::anwall (generated)
ALTER TABLE activity_fishing_activity DROP COLUMN unit_code_list_version_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-88', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 543, '8:6b7a5ac0ce1edf593a5a7075835aaf62', 'dropColumn columnName=unit_code_list_version_id, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-89::anwall (generated)
DROP INDEX activity_aap_process_code_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-89', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 545, '8:e58eff88394f92855351d17e951b66a8', 'dropIndex indexName=activity_aap_process_code_i_1, tableName=activity_aap_process_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-90::anwall (generated)
DROP INDEX activity_aap_process_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-90', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 547, '8:387a5802c7a6329b31bc22d230a251d7', 'dropIndex indexName=activity_aap_process_i_1, tableName=activity_aap_process', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-91::anwall (generated)
DROP INDEX activity_aap_product_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-91', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 549, '8:f928c6775f376cf56922fbc850495ed5', 'dropIndex indexName=activity_aap_product_i_1, tableName=activity_aap_product', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-92::anwall (generated)
DROP INDEX activity_aap_stock_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-92', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 551, '8:0f58e5b96d4cc8366a23089b295121b2', 'dropIndex indexName=activity_aap_stock_i_1, tableName=activity_aap_stock', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-93::anwall (generated)
DROP INDEX activity_contact_party_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-93', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 553, '8:8b43d318f8228e0cb5b9c1b48a92049e', 'dropIndex indexName=activity_contact_party_i_1, tableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-94::anwall (generated)
DROP INDEX activity_contact_party_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-94', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 555, '8:5dbc0d17f17045c47bd0f53c56474fd0', 'dropIndex indexName=activity_contact_party_i_2, tableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-95::anwall (generated)
DROP INDEX activity_contact_party_role_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-95', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 557, '8:8b3e04247a62b206fb04f05c1e0ecad6', 'dropIndex indexName=activity_contact_party_role_i_1, tableName=activity_contact_party_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-96::anwall (generated)
DROP INDEX activity_delimited_period_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-96', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 559, '8:12a7c10eb42b5d38564c13577da7d903', 'dropIndex indexName=activity_delimited_period_i_1, tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-97::anwall (generated)
DROP INDEX activity_fa_catch_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-97', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 561, '8:7214c6036ba7daa5cbfa7caef55abfa1', 'dropIndex indexName=activity_fa_catch_i_1, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-98::anwall (generated)
DROP INDEX activity_fa_catch_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-98', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 563, '8:24687072818c97c2c33aadc8d131edeb', 'dropIndex indexName=activity_fa_catch_i_2, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-99::anwall (generated)
DROP INDEX activity_fa_report_document_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-99', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 565, '8:6b2fe42e58fbd181e6cb659dc0794d3c', 'dropIndex indexName=activity_fa_report_document_i_1, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-100::anwall (generated)
DROP INDEX activity_fishing_activity_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-100', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 567, '8:8f5230e631729c31f94b4dde8b4f18d9', 'dropIndex indexName=activity_fishing_activity_i_1, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-101::anwall (generated)
DROP INDEX activity_fishing_activity_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-101', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 569, '8:3c7cc10ee05b6800ebb6cbba187546d7', 'dropIndex indexName=activity_fishing_activity_i_2, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-102::anwall (generated)
DROP INDEX activity_fishing_activity_i_3;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-102', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 571, '8:ce78c044149799a02064bc2d2ce8120e', 'dropIndex indexName=activity_fishing_activity_i_3, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-103::anwall (generated)
DROP INDEX activity_fishing_activity_i_4;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-103', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 573, '8:94494f83d4b26c3e740ad4ffc318da38', 'dropIndex indexName=activity_fishing_activity_i_4, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-104::anwall (generated)
DROP INDEX activity_fishing_activity_identifier_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-104', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 575, '8:af714a94601de71b138bd3fd590e167b', 'dropIndex indexName=activity_fishing_activity_identifier_i_1, tableName=activity_fishing_activity_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-105::anwall (generated)
DROP INDEX activity_fishing_gear_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-105', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 577, '8:ae1ada66ec173667068d014419bd1f98', 'dropIndex indexName=activity_fishing_gear_i_1, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-106::anwall (generated)
DROP INDEX activity_fishing_gear_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-106', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 579, '8:544a4eaffc65f5d87ee7d62cb0f1b5c8', 'dropIndex indexName=activity_fishing_gear_i_2, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-107::anwall (generated)
DROP INDEX activity_fishing_gear_i_3;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-107', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 581, '8:642880d38ac4e1ad847eaeaaef5383bf', 'dropIndex indexName=activity_fishing_gear_i_3, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-108::anwall (generated)
DROP INDEX activity_fishing_gear_role_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-108', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 583, '8:86fd71a0ea89fe1af3d23680e6ea6ac5', 'dropIndex indexName=activity_fishing_gear_role_i_1, tableName=activity_fishing_gear_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-109::anwall (generated)
DROP INDEX activity_fishing_trip_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-109', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 585, '8:90597a3e9114849453f9bca39674c407', 'dropIndex indexName=activity_fishing_trip_i_1, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-110::anwall (generated)
DROP INDEX activity_fishing_trip_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-110', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 587, '8:0bda57d406c7d049da87eda3c3648301', 'dropIndex indexName=activity_fishing_trip_i_2, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-111::anwall (generated)
DROP INDEX activity_fishing_trip_identifier_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-111', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 589, '8:ba9c5c9fea9deb24db2652312eba8e03', 'dropIndex indexName=activity_fishing_trip_identifier_i_1, tableName=activity_fishing_trip_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-112::anwall (generated)
DROP INDEX activity_flap_document_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-112', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 591, '8:a0428e98ae29c2de47315c1b967e33df', 'dropIndex indexName=activity_flap_document_i_1, tableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-113::anwall (generated)
DROP INDEX activity_flap_document_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-113', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 593, '8:5d9d0b97275b3f6ee8a5e0f43a429fb5', 'dropIndex indexName=activity_flap_document_i_2, tableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-114::anwall (generated)
DROP INDEX activity_flux_characteristic_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-114', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 595, '8:1d73bf1294d10fe4656a7ce7055e4b27', 'dropIndex indexName=activity_flux_characteristic_i_1, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-115::anwall (generated)
DROP INDEX activity_flux_characteristic_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-115', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 597, '8:0c7990da5e81ac34effe831e98747a0a', 'dropIndex indexName=activity_flux_characteristic_i_2, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-116::anwall (generated)
DROP INDEX activity_flux_characteristic_i_3;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-116', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 599, '8:713a2da69dbbf62757df58f1cf26658a', 'dropIndex indexName=activity_flux_characteristic_i_3, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-117::anwall (generated)
DROP INDEX activity_flux_characteristic_i_4;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-117', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 601, '8:4d30bae972ae19d2601671a84614081d', 'dropIndex indexName=activity_flux_characteristic_i_4, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-118::anwall (generated)
DROP INDEX activity_flux_location_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-118', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 603, '8:2d279f7a87faa88be6792bf1dc2ad86c', 'dropIndex indexName=activity_flux_location_i_1, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-119::anwall (generated)
DROP INDEX activity_flux_location_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-119', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 605, '8:c8133b08bfdbea2de4328eea75e9f3ca', 'dropIndex indexName=activity_flux_location_i_2, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-120::anwall (generated)
DROP INDEX activity_flux_location_i_3;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-120', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 607, '8:92eb542d42703e31af5c0388e8fb1ba3', 'dropIndex indexName=activity_flux_location_i_3, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-121::anwall (generated)
DROP INDEX activity_flux_party_identifier_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-121', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 609, '8:159a02328464b94e2f59f185556ad2e6', 'dropIndex indexName=activity_flux_party_identifier_i_1, tableName=activity_flux_party_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-122::anwall (generated)
DROP INDEX activity_flux_report_document_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-122', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 611, '8:f93c6736de5d8b526f68423ff16b0891', 'dropIndex indexName=activity_flux_report_document_i_2, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-123::anwall (generated)
DROP INDEX activity_flux_report_identifier_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-123', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 613, '8:f9d2fa17ee369a8e3e624e78809b0a55', 'dropIndex indexName=activity_flux_report_identifier_i_1, tableName=activity_flux_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-124::anwall (generated)
DROP INDEX activity_gear_characteristic_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-124', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 615, '8:2ee98ec5ebeaef6333e592dc5b7c7cf2', 'dropIndex indexName=activity_gear_characteristic_i_1, tableName=activity_gear_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-125::anwall (generated)
DROP INDEX activity_gear_problem_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-125', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 617, '8:9d33681dbaca0ffc315735bc048d31d2', 'dropIndex indexName=activity_gear_problem_i_1, tableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-126::anwall (generated)
DROP INDEX activity_gear_problem_recovery_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-126', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 619, '8:88ee62e9790f8a212182b57114cb51a9', 'dropIndex indexName=activity_gear_problem_recovery_i_1, tableName=activity_gear_problem_recovery', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-127::anwall (generated)
DROP INDEX activity_registration_event_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-127', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 621, '8:927b5b405b86b4ffb0772e17acb61dc8', 'dropIndex indexName=activity_registration_event_i_1, tableName=activity_registration_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-128::anwall (generated)
DROP INDEX activity_size_distribution_classcode_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-128', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 623, '8:66331ae9efa80722972c775c03ea001b', 'dropIndex indexName=activity_size_distribution_classcode_i_1, tableName=activity_size_distribution_classcode', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-129::anwall (generated)
DROP INDEX activity_structured_address_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-129', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 625, '8:cd0a599a0d8a18b5b761b22938528613', 'dropIndex indexName=activity_structured_address_i_1, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-130::anwall (generated)
DROP INDEX activity_structured_address_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-130', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 627, '8:3ed6ab176464ec822f757c172e20d2bb', 'dropIndex indexName=activity_structured_address_i_2, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-131::anwall (generated)
DROP INDEX activity_vessel_position_event_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-131', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 629, '8:d8184c8d677ced063a57f6abea618a42', 'dropIndex indexName=activity_vessel_position_event_i_1, tableName=activity_vessel_position_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-132::anwall (generated)
DROP INDEX activity_vessel_storage_char_code_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-132', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 631, '8:e6f594f4ddd5ac3ebbde5a8f0a2e066e', 'dropIndex indexName=activity_vessel_storage_char_code_i_1, tableName=activity_vessel_storage_char_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-133::anwall (generated)
DROP INDEX activity_vessel_transport_means_i_1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-133', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 633, '8:d91e60d53d847e4ba325e4c36ff6725d', 'dropIndex indexName=activity_vessel_transport_means_i_1, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-134::anwall (generated)
DROP INDEX activity_vessel_transport_means_i_2;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-134', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 635, '8:392a45949651cab6dcef25cd0e0d021f', 'dropIndex indexName=activity_vessel_transport_means_i_2, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-135::anwall (generated)
DROP INDEX activity_vessel_transport_means_i_3;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-135', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 637, '8:0651432f39dccbb58805ddd898e2c94a', 'dropIndex indexName=activity_vessel_transport_means_i_3, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-136::anwall (generated)
ALTER TABLE activity_aap_process_code ALTER COLUMN aap_process_id TYPE INTEGER USING (aap_process_id::INTEGER);

ALTER TABLE activity_aap_process_code ALTER COLUMN  aap_process_id DROP NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-136', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 639, '8:af570b30ae077fe89df696d2cbde5355', 'modifyDataType columnName=aap_process_id, tableName=activity_aap_process_code; dropNotNullConstraint columnName=aap_process_id, tableName=activity_aap_process_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-137::anwall (generated)
ALTER TABLE activity_aap_product ALTER COLUMN aap_process_id TYPE INTEGER USING (aap_process_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-137', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 641, '8:f37d1fb64c81349bb92c16bb6beffc58', 'modifyDataType columnName=aap_process_id, tableName=activity_aap_product', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-138::anwall (generated)
COMMENT ON COLUMN activity_fishing_activity.calculated_start_time IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-138', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 643, '8:321be3fa0eb97f6c02d71f680fdf93d7', 'setColumnRemarks columnName=calculated_start_time, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-139::anwall (generated)
COMMENT ON COLUMN activity_fishing_trip_identifier.calculated_trip_end_date IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-139', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 645, '8:c132078b0a6800045ee80493bc6ab925', 'setColumnRemarks columnName=calculated_trip_end_date, tableName=activity_fishing_trip_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-140::anwall (generated)
COMMENT ON COLUMN activity_fishing_trip_identifier.calculated_trip_start_date IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-140', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 647, '8:2f5a9e8a76d3801b159cdb3cca29cf87', 'setColumnRemarks columnName=calculated_trip_start_date, tableName=activity_fishing_trip_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-141::anwall (generated)
ALTER TABLE activity_fishing_activity ALTER COLUMN canceled_by TYPE INTEGER USING (canceled_by::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-141', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 649, '8:2731eb8adf6bece7c4c6af58e6dff555', 'modifyDataType columnName=canceled_by, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-142::anwall (generated)
ALTER TABLE activity_size_distribution_classcode ALTER COLUMN  class_code SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-142', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 651, '8:2998a90777426aa62f016fe129dbffd9', 'addNotNullConstraint columnName=class_code, tableName=activity_size_distribution_classcode', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-143::anwall (generated)
ALTER TABLE activity_size_distribution_classcode ALTER COLUMN  class_code_list_id SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-143', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 653, '8:64078c8654e1ea91e9b2d937b56d1acb', 'addNotNullConstraint columnName=class_code_list_id, tableName=activity_size_distribution_classcode', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-144::anwall (generated)
ALTER TABLE activity_contact_party_role ALTER COLUMN contact_party_id TYPE INTEGER USING (contact_party_id::INTEGER);

ALTER TABLE activity_contact_party_role ALTER COLUMN  contact_party_id DROP NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-144', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 655, '8:0432f441dd8f70a0a72fc4e24479579e', 'modifyDataType columnName=contact_party_id, tableName=activity_contact_party_role; dropNotNullConstraint columnName=contact_party_id, tableName=activity_contact_party_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-145::anwall (generated)
ALTER TABLE activity_structured_address ALTER COLUMN contact_party_id TYPE INTEGER USING (contact_party_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-145', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 657, '8:4034a17d2191f9e868dad5aef9257ecd', 'modifyDataType columnName=contact_party_id, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-146::anwall (generated)
ALTER TABLE activity_contact_party ALTER COLUMN contact_person_id TYPE INTEGER USING (contact_person_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-146', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 659, '8:d215511325846419fb543fcd68c6cd30', 'modifyDataType columnName=contact_person_id, tableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-147::anwall (generated)
ALTER TABLE activity_fishing_activity ALTER COLUMN deleted_by TYPE INTEGER USING (deleted_by::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-147', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 661, '8:3c3e9c7ca857d2af9edd1558a085f323', 'modifyDataType columnName=deleted_by, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-148::anwall (generated)
ALTER TABLE activity_gear_characteristic ALTER COLUMN description TYPE VARCHAR(255) USING (description::VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-148', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 663, '8:2eb4ca934e605bb957a4ca4e12f6bb1e', 'modifyDataType columnName=description, tableName=activity_gear_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-149::anwall (generated)
ALTER TABLE activity_fishing_activity ALTER COLUMN dest_vessel_char_id TYPE INTEGER USING (dest_vessel_char_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-149', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 665, '8:c1c9b4c1532f016694931ce726f3ba9a', 'modifyDataType columnName=dest_vessel_char_id, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-150::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.effort_zone IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-150', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 667, '8:3ad0f6b41f045e3e4e03e78e2210ab04', 'setColumnRemarks columnName=effort_zone, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-151::anwall (generated)
ALTER TABLE activity_aap_process ALTER COLUMN fa_catch_id TYPE INTEGER USING (fa_catch_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-151', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 669, '8:2588a29f8b719e54bba024fe566bfd68', 'modifyDataType columnName=fa_catch_id, tableName=activity_aap_process', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-152::anwall (generated)
ALTER TABLE activity_aap_stock ALTER COLUMN fa_catch_id TYPE INTEGER USING (fa_catch_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-152', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 671, '8:a93f2837a388e932214f3452b564129c', 'modifyDataType columnName=fa_catch_id, tableName=activity_aap_stock', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-153::anwall (generated)
ALTER TABLE activity_fishing_gear ALTER COLUMN fa_catch_id TYPE INTEGER USING (fa_catch_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-153', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 673, '8:7637cab19ac619cddb931a193759661c', 'modifyDataType columnName=fa_catch_id, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-154::anwall (generated)
ALTER TABLE activity_fishing_trip ALTER COLUMN fa_catch_id TYPE INTEGER USING (fa_catch_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-154', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 675, '8:799698c397d6f532e51f147c9bc3ee11', 'modifyDataType columnName=fa_catch_id, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-155::anwall (generated)
ALTER TABLE activity_flux_characteristic ALTER COLUMN fa_catch_id TYPE INTEGER USING (fa_catch_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-155', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 677, '8:d74a09603833ff3fc5ae96acb5092e2b', 'modifyDataType columnName=fa_catch_id, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-156::anwall (generated)
ALTER TABLE activity_flux_location ALTER COLUMN fa_catch_id TYPE INTEGER USING (fa_catch_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-156', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 679, '8:90882294c42ef8612c1a4ef0d0d0e2d0', 'modifyDataType columnName=fa_catch_id, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-157::anwall (generated)
ALTER TABLE activity_fa_report_identifier ALTER COLUMN fa_report_document_id TYPE INTEGER USING (fa_report_document_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-157', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 681, '8:a36a92fda7df146e6e912aabe89f8f60', 'modifyDataType columnName=fa_report_document_id, tableName=activity_fa_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-158::anwall (generated)
ALTER TABLE activity_fishing_activity ALTER COLUMN fa_report_document_id TYPE INTEGER USING (fa_report_document_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-158', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 683, '8:6b1d8925ccf5fb993fbc5223ff1a1348', 'modifyDataType columnName=fa_report_document_id, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-159::anwall (generated)
ALTER TABLE activity_vessel_transport_means ALTER COLUMN fa_report_document_id TYPE INTEGER USING (fa_report_document_id::INTEGER);

COMMENT ON COLUMN activity_vessel_transport_means.fa_report_document_id IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-159', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 685, '8:2c69d7f9b5f8b7ebbe85711cdee1abb3', 'modifyDataType columnName=fa_report_document_id, tableName=activity_vessel_transport_means; setColumnRemarks columnName=fa_report_document_id, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-160::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.fao_area IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-160', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 687, '8:c60ebe64a7333231ffb15331a2304d67', 'setColumnRemarks columnName=fao_area, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-161::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.fish_class_code IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-161', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 689, '8:83b1c105c5630e7b4f24cd315bfa202d', 'setColumnRemarks columnName=fish_class_code, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-162::anwall (generated)
ALTER TABLE activity_delimited_period ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-162', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 691, '8:b4de56bf22feda68497624001ba6dfd1', 'modifyDataType columnName=fishing_activity_id, tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-163::anwall (generated)
ALTER TABLE activity_fa_catch ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-163', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 693, '8:a141dc0be2af53bb3deb789dac9d8455', 'modifyDataType columnName=fishing_activity_id, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-164::anwall (generated)
ALTER TABLE activity_fishing_activity_identifier ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

ALTER TABLE activity_fishing_activity_identifier ALTER COLUMN  fishing_activity_id SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-164', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 695, '8:506d7ebd43d85ffe352f7ca03530d3b0', 'modifyDataType columnName=fishing_activity_id, tableName=activity_fishing_activity_identifier; addNotNullConstraint columnName=fishing_activity_id, tableName=activity_fishing_activity_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-165::anwall (generated)
ALTER TABLE activity_fishing_gear ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-165', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 697, '8:3ef192f078208d59057655d0a6524d0f', 'modifyDataType columnName=fishing_activity_id, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-166::anwall (generated)
ALTER TABLE activity_fishing_trip ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-166', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 699, '8:fbcbe441518c38140bd299f26cd6baa9', 'modifyDataType columnName=fishing_activity_id, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-167::anwall (generated)
ALTER TABLE activity_flap_document ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-167', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 701, '8:71c0cffe9915041de64a2545f96243c3', 'modifyDataType columnName=fishing_activity_id, tableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-168::anwall (generated)
ALTER TABLE activity_flux_characteristic ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-168', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 703, '8:1fb090efdb6167943ed5e1caf164a782', 'modifyDataType columnName=fishing_activity_id, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-169::anwall (generated)
ALTER TABLE activity_flux_location ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-169', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 705, '8:d5fc56b7a30c17ed22a467039b140805', 'modifyDataType columnName=fishing_activity_id, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-170::anwall (generated)
ALTER TABLE activity_gear_problem ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-170', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 707, '8:ca0ba0ed8955753e29ba4010772e027a', 'modifyDataType columnName=fishing_activity_id, tableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-171::anwall (generated)
ALTER TABLE activity_vessel_transport_means ALTER COLUMN fishing_activity_id TYPE INTEGER USING (fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-171', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 709, '8:32c28758b353be9342821ce4aea8769a', 'modifyDataType columnName=fishing_activity_id, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-172::anwall (generated)
ALTER TABLE activity_fishing_gear_role ALTER COLUMN fishing_gear_id TYPE INTEGER USING (fishing_gear_id::INTEGER);

ALTER TABLE activity_fishing_gear_role ALTER COLUMN  fishing_gear_id DROP NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-172', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 711, '8:bb622a2e93b10691ca5843134c96a128', 'modifyDataType columnName=fishing_gear_id, tableName=activity_fishing_gear_role; dropNotNullConstraint columnName=fishing_gear_id, tableName=activity_fishing_gear_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-173::anwall (generated)
ALTER TABLE activity_gear_characteristic ALTER COLUMN fishing_gear_id TYPE INTEGER USING (fishing_gear_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-173', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 713, '8:202282056efa05e4fbcc4bd3d0f42bde', 'modifyDataType columnName=fishing_gear_id, tableName=activity_gear_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-174::anwall (generated)
ALTER TABLE activity_delimited_period ALTER COLUMN fishing_trip_id TYPE INTEGER USING (fishing_trip_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-174', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 715, '8:c762393884660b17478c7a36564c1203', 'modifyDataType columnName=fishing_trip_id, tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-175::anwall (generated)
ALTER TABLE activity_fishing_trip_identifier ALTER COLUMN fishing_trip_id TYPE INTEGER USING (fishing_trip_id::INTEGER);

ALTER TABLE activity_fishing_trip_identifier ALTER COLUMN  fishing_trip_id SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-175', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 717, '8:b070bec3e7fb220412dca6cf5b158929', 'modifyDataType columnName=fishing_trip_id, tableName=activity_fishing_trip_identifier; addNotNullConstraint columnName=fishing_trip_id, tableName=activity_fishing_trip_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-176::anwall (generated)
COMMENT ON COLUMN activity_fishing_activity.flag_state IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-176', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 719, '8:3fef8aebadbc6f41abb931bcb8b69991', 'setColumnRemarks columnName=flag_state, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-177::anwall (generated)
ALTER TABLE activity_structured_address ALTER COLUMN flux_location_id TYPE INTEGER USING (flux_location_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-177', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 721, '8:a58496131a39f0f52cff89de99eadc31', 'modifyDataType columnName=flux_location_id, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-178::anwall (generated)
ALTER TABLE activity_flux_party_identifier ALTER COLUMN flux_party_id TYPE INTEGER USING (flux_party_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-178', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 723, '8:415455553cd2d31fbc912149485d0f10', 'modifyDataType columnName=flux_party_id, tableName=activity_flux_party_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-179::anwall (generated)
ALTER TABLE activity_flux_report_document ALTER COLUMN flux_party_id TYPE INTEGER USING (flux_party_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-179', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 725, '8:a8118fdecce693f0f99ae0c825f3d1ed', 'modifyDataType columnName=flux_party_id, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-180::anwall (generated)
ALTER TABLE activity_fa_report_document ALTER COLUMN flux_report_document_id TYPE INTEGER USING (flux_report_document_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-180', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 727, '8:206247d305be5ad57d0e47e861ba45be', 'modifyDataType columnName=flux_report_document_id, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-181::anwall (generated)
ALTER TABLE activity_flux_report_identifier ALTER COLUMN flux_report_document_id TYPE INTEGER USING (flux_report_document_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-181', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 729, '8:5336807a152c960e2398ef4666b88eb2', 'modifyDataType columnName=flux_report_document_id, tableName=activity_flux_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-182::anwall (generated)
ALTER TABLE activity_fishing_gear ALTER COLUMN gear_problem_id TYPE INTEGER USING (gear_problem_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-182', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 731, '8:d022677a2a6a3160e6dc64a9bb1626cc', 'modifyDataType columnName=gear_problem_id, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-183::anwall (generated)
ALTER TABLE activity_flux_location ALTER COLUMN gear_problem_id TYPE INTEGER USING (gear_problem_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-183', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 733, '8:614e873b3e5de960a3cbf64a66d3a72b', 'modifyDataType columnName=gear_problem_id, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-184::anwall (generated)
ALTER TABLE activity_gear_problem_recovery ALTER COLUMN gear_problem_id TYPE INTEGER USING (gear_problem_id::INTEGER);

ALTER TABLE activity_gear_problem_recovery ALTER COLUMN  gear_problem_id DROP NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-184', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 735, '8:78d9db2a6e7ac3965492011f6ac70cc2', 'modifyDataType columnName=gear_problem_id, tableName=activity_gear_problem_recovery; dropNotNullConstraint columnName=gear_problem_id, tableName=activity_gear_problem_recovery', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-185::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.gear_type_code IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-185', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 737, '8:1f7f76c8cd38179c46b2c5f8b58a6b75', 'setColumnRemarks columnName=gear_type_code, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-186::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.gfcm_gsa IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-186', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 739, '8:c137f70f088d3a478c45f42930e20d6a', 'setColumnRemarks columnName=gfcm_gsa, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-187::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.gfcm_stat_rectangle IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-187', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 741, '8:a5db41e206a14fe022c3c5ff364602e1', 'setColumnRemarks columnName=gfcm_stat_rectangle, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-188::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.ices_stat_rectangle IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-188', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 743, '8:ef9367c8c29469b53d064ca6be0f36c5', 'setColumnRemarks columnName=ices_stat_rectangle, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-189::anwall (generated)
ALTER TABLE activity_aap_process ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_aap_process ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-189', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 745, '8:112ede553eacb2f5f742ada1475729bd', 'modifyDataType columnName=id, tableName=activity_aap_process; dropDefaultValue columnName=id, tableName=activity_aap_process', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-190::anwall (generated)
ALTER TABLE activity_aap_process_code ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_aap_process_code ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-190', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 747, '8:f99b0178ac7b6890a2ee18080aa85966', 'modifyDataType columnName=id, tableName=activity_aap_process_code; dropDefaultValue columnName=id, tableName=activity_aap_process_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-191::anwall (generated)
ALTER TABLE activity_aap_product ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_aap_product ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-191', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 749, '8:832671a83243de881e5ecc2aed9a3e6e', 'modifyDataType columnName=id, tableName=activity_aap_product; dropDefaultValue columnName=id, tableName=activity_aap_product', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-192::anwall (generated)
ALTER TABLE activity_aap_stock ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_aap_stock ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-192', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 751, '8:85c4c8fc28e50bd635bc6d7038925a72', 'modifyDataType columnName=id, tableName=activity_aap_stock; dropDefaultValue columnName=id, tableName=activity_aap_stock', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-193::anwall (generated)
ALTER TABLE activity_contact_party ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_contact_party ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-193', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 753, '8:908ba0b3c007515b32be6142a05e1dc8', 'modifyDataType columnName=id, tableName=activity_contact_party; dropDefaultValue columnName=id, tableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-194::anwall (generated)
ALTER TABLE activity_contact_party_role ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_contact_party_role ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-194', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 755, '8:aa506ed721dad7902faee31ee56bf493', 'modifyDataType columnName=id, tableName=activity_contact_party_role; dropDefaultValue columnName=id, tableName=activity_contact_party_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-195::anwall (generated)
ALTER TABLE activity_contact_person ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_contact_person ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-195', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 757, '8:32cbb47dfa2891c68a6fb146a283f25c', 'modifyDataType columnName=id, tableName=activity_contact_person; dropDefaultValue columnName=id, tableName=activity_contact_person', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-196::anwall (generated)
ALTER TABLE activity_delimited_period ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_delimited_period ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-196', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 759, '8:30d934d16bec62f2ffe02b1d3f6016a4', 'modifyDataType columnName=id, tableName=activity_delimited_period; dropDefaultValue columnName=id, tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-197::anwall (generated)
ALTER TABLE activity_fa_catch ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_fa_catch ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-197', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 761, '8:a057ff4a5e824158da62020e53a2e9e0', 'modifyDataType columnName=id, tableName=activity_fa_catch; dropDefaultValue columnName=id, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-198::anwall (generated)
ALTER TABLE activity_fa_report_document ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_fa_report_document ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-198', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 763, '8:c3c748144f32ab38aa05504dd9f14f00', 'modifyDataType columnName=id, tableName=activity_fa_report_document; dropDefaultValue columnName=id, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-199::anwall (generated)
ALTER TABLE activity_fa_report_identifier ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_fa_report_identifier ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-199', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 765, '8:bdb568cc4b4822db8d5b6914c2706dfa', 'modifyDataType columnName=id, tableName=activity_fa_report_identifier; dropDefaultValue columnName=id, tableName=activity_fa_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-200::anwall (generated)
ALTER TABLE activity_fishing_activity ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_fishing_activity ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-200', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 767, '8:0566fb98aca15f7324141d13d4b85be3', 'modifyDataType columnName=id, tableName=activity_fishing_activity; dropDefaultValue columnName=id, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-201::anwall (generated)
ALTER TABLE activity_fishing_activity_identifier ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_fishing_activity_identifier ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-201', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 769, '8:ae8ac456f9fb5fafb9a50c49af237619', 'modifyDataType columnName=id, tableName=activity_fishing_activity_identifier; dropDefaultValue columnName=id, tableName=activity_fishing_activity_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-202::anwall (generated)
ALTER TABLE activity_fishing_gear ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_fishing_gear ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-202', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 771, '8:4fd6ae990d945f791565527e57542260', 'modifyDataType columnName=id, tableName=activity_fishing_gear; dropDefaultValue columnName=id, tableName=activity_fishing_gear', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-203::anwall (generated)
ALTER TABLE activity_fishing_gear_role ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_fishing_gear_role ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-203', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 773, '8:c73007f178d10a12087b01c024f7c8d0', 'modifyDataType columnName=id, tableName=activity_fishing_gear_role; dropDefaultValue columnName=id, tableName=activity_fishing_gear_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-204::anwall (generated)
ALTER TABLE activity_fishing_trip ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_fishing_trip ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-204', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 775, '8:643e148770dbee3ad872d2f763e2b98f', 'modifyDataType columnName=id, tableName=activity_fishing_trip; dropDefaultValue columnName=id, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-205::anwall (generated)
ALTER TABLE activity_fishing_trip_identifier ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_fishing_trip_identifier ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-205', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 777, '8:7c6059325eaea5ebadf3a07b692de228', 'modifyDataType columnName=id, tableName=activity_fishing_trip_identifier; dropDefaultValue columnName=id, tableName=activity_fishing_trip_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-206::anwall (generated)
ALTER TABLE activity_flap_document ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_flap_document ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-206', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 779, '8:c2086d378abc345771f5425997fe2974', 'modifyDataType columnName=id, tableName=activity_flap_document; dropDefaultValue columnName=id, tableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-207::anwall (generated)
ALTER TABLE activity_flux_characteristic ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_flux_characteristic ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-207', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 781, '8:df54b2ecb933c6f1a717d2201b91def2', 'modifyDataType columnName=id, tableName=activity_flux_characteristic; dropDefaultValue columnName=id, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-208::anwall (generated)
ALTER TABLE activity_flux_fa_report_message ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_flux_fa_report_message ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-208', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 783, '8:06004e1fea2b73f1478c24f98e323d6a', 'modifyDataType columnName=id, tableName=activity_flux_fa_report_message; dropDefaultValue columnName=id, tableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-209::anwall (generated)
ALTER TABLE activity_flux_location ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_flux_location ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-209', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 785, '8:2db88bfb3ca138886d9add460e9339f7', 'modifyDataType columnName=id, tableName=activity_flux_location; dropDefaultValue columnName=id, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-210::anwall (generated)
ALTER TABLE activity_flux_party ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_flux_party ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-210', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 787, '8:85222101999f6a438180234f75f3eaa2', 'modifyDataType columnName=id, tableName=activity_flux_party; dropDefaultValue columnName=id, tableName=activity_flux_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-211::anwall (generated)
ALTER TABLE activity_flux_party_identifier ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_flux_party_identifier ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-211', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 789, '8:83e20c3ec776b2904ddaec3af960d62d', 'modifyDataType columnName=id, tableName=activity_flux_party_identifier; dropDefaultValue columnName=id, tableName=activity_flux_party_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-212::anwall (generated)
ALTER TABLE activity_flux_report_document ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_flux_report_document ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-212', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 791, '8:54e62628034a55050c27b757de5244b9', 'modifyDataType columnName=id, tableName=activity_flux_report_document; dropDefaultValue columnName=id, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-213::anwall (generated)
ALTER TABLE activity_flux_report_identifier ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_flux_report_identifier ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-213', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 793, '8:54080b1b6d7f5b00840b02df747ade54', 'modifyDataType columnName=id, tableName=activity_flux_report_identifier; dropDefaultValue columnName=id, tableName=activity_flux_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-214::anwall (generated)
ALTER TABLE activity_gear_characteristic ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_gear_characteristic ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-214', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 795, '8:d9ef634997504a956c48dd11aa074d79', 'modifyDataType columnName=id, tableName=activity_gear_characteristic; dropDefaultValue columnName=id, tableName=activity_gear_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-215::anwall (generated)
ALTER TABLE activity_gear_problem ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_gear_problem ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-215', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 797, '8:47c2f1407b2e48edeb2ed9ec69f3a0a7', 'modifyDataType columnName=id, tableName=activity_gear_problem; dropDefaultValue columnName=id, tableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-216::anwall (generated)
ALTER TABLE activity_gear_problem_recovery ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_gear_problem_recovery ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-216', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 799, '8:5af19a27b1eb08c095a4a7bd1a76a4b3', 'modifyDataType columnName=id, tableName=activity_gear_problem_recovery; dropDefaultValue columnName=id, tableName=activity_gear_problem_recovery', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-217::anwall (generated)
ALTER TABLE activity_registration_event ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_registration_event ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-217', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 801, '8:bc92cbad768d098e35957a6d7d5d7b03', 'modifyDataType columnName=id, tableName=activity_registration_event; dropDefaultValue columnName=id, tableName=activity_registration_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-218::anwall (generated)
ALTER TABLE activity_registration_location ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_registration_location ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-218', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 803, '8:cf1351c39ce47bce2e7f15af16e2fac3', 'modifyDataType columnName=id, tableName=activity_registration_location; dropDefaultValue columnName=id, tableName=activity_registration_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-219::anwall (generated)
ALTER TABLE activity_size_distribution ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_size_distribution ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-219', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 805, '8:b37b17ab55e2572d1ced1db4f2f234c9', 'modifyDataType columnName=id, tableName=activity_size_distribution; dropDefaultValue columnName=id, tableName=activity_size_distribution', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-220::anwall (generated)
ALTER TABLE activity_size_distribution_classcode ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_size_distribution_classcode ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-220', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 807, '8:3285551fee05552d6fcb2ba2440b98bb', 'modifyDataType columnName=id, tableName=activity_size_distribution_classcode; dropDefaultValue columnName=id, tableName=activity_size_distribution_classcode', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-221::anwall (generated)
ALTER TABLE activity_structured_address ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_structured_address ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-221', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 809, '8:09d8215bb70183ec6f5aa4666cf5c63f', 'modifyDataType columnName=id, tableName=activity_structured_address; dropDefaultValue columnName=id, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-222::anwall (generated)
ALTER TABLE activity_vessel_identifier ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_vessel_identifier ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-222', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 811, '8:8c3430746bb3821653706b36cd9c377a', 'modifyDataType columnName=id, tableName=activity_vessel_identifier; dropDefaultValue columnName=id, tableName=activity_vessel_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-223::anwall (generated)
ALTER TABLE activity_vessel_position_event ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_vessel_position_event ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-223', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 813, '8:f1349598e9f557dd45ddf105dbaa7d3d', 'modifyDataType columnName=id, tableName=activity_vessel_position_event; dropDefaultValue columnName=id, tableName=activity_vessel_position_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-224::anwall (generated)
ALTER TABLE activity_vessel_storage_char_code ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_vessel_storage_char_code ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-224', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 815, '8:254fe8ce9cc8df2e28a64a6d66079f95', 'modifyDataType columnName=id, tableName=activity_vessel_storage_char_code; dropDefaultValue columnName=id, tableName=activity_vessel_storage_char_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-225::anwall (generated)
ALTER TABLE activity_vessel_storage_characteristics ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_vessel_storage_characteristics ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-225', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 817, '8:97796d07b22824ecde12c99a827f41b7', 'modifyDataType columnName=id, tableName=activity_vessel_storage_characteristics; dropDefaultValue columnName=id, tableName=activity_vessel_storage_characteristics', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-226::anwall (generated)
ALTER TABLE activity_vessel_transport_means ALTER COLUMN id TYPE INTEGER USING (id::INTEGER);

ALTER TABLE activity_vessel_transport_means ALTER COLUMN id DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-226', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 819, '8:60637ade2da5562e05116a68de204308', 'modifyDataType columnName=id, tableName=activity_vessel_transport_means; dropDefaultValue columnName=id, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-227::anwall (generated)
ALTER TABLE activity_fishing_activity ALTER COLUMN latest DROP DEFAULT;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-227', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 821, '8:6e3f1ba57f2dba062492b22c6ac2374d', 'dropDefaultValue columnName=latest, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-228::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.presentation IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-228', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 823, '8:86e96e0dcb91207ba2f2f226e4197f70', 'setColumnRemarks columnName=presentation, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-229::anwall (generated)
ALTER TABLE activity_gear_problem_recovery ALTER COLUMN  recovery_measure_code SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-229', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 825, '8:8ca1b8f768f683129f4c09c3e02cae66', 'addNotNullConstraint columnName=recovery_measure_code, tableName=activity_gear_problem_recovery', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-230::anwall (generated)
ALTER TABLE activity_gear_problem_recovery ALTER COLUMN  recovery_measure_code_list_id SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-230', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 827, '8:064d31def7ba2ef987afc4e64be1d9c4', 'addNotNullConstraint columnName=recovery_measure_code_list_id, tableName=activity_gear_problem_recovery', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-231::anwall (generated)
ALTER TABLE activity_vessel_transport_means ALTER COLUMN registration_event_id TYPE INTEGER USING (registration_event_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-231', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 829, '8:63f4efb287f3e2f102715f1bbe08a970', 'modifyDataType columnName=registration_event_id, tableName=activity_vessel_transport_means', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-232::anwall (generated)
ALTER TABLE activity_registration_event ALTER COLUMN registration_location_id TYPE INTEGER USING (registration_location_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-232', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 831, '8:aa917f9a09a8dcdbdf6e726c5965c720', 'modifyDataType columnName=registration_location_id, tableName=activity_registration_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-233::anwall (generated)
ALTER TABLE activity_fishing_activity ALTER COLUMN related_fishing_activity_id TYPE INTEGER USING (related_fishing_activity_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-233', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 833, '8:5bbf1fa7de16ef4250322499fd24a591', 'modifyDataType columnName=related_fishing_activity_id, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-234::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.rfmo IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-234', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 835, '8:6732cf0577f7a8ea01d766d7ec8ec2d2', 'setColumnRemarks columnName=rfmo, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-235::anwall (generated)
ALTER TABLE activity_flux_location ALTER COLUMN rfmo_code TYPE VARCHAR(255) USING (rfmo_code::VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-235', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 837, '8:6aac702655df999c70f0195b4fc67629', 'modifyDataType columnName=rfmo_code, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-236::anwall (generated)
ALTER TABLE activity_contact_party_role ALTER COLUMN  role_code SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-236', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 839, '8:24b3ba5b608bb0cc01f36c3fd515cc8f', 'addNotNullConstraint columnName=role_code, tableName=activity_contact_party_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-237::anwall (generated)
ALTER TABLE activity_fishing_gear_role ALTER COLUMN  role_code SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-237', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 841, '8:43fe4a5d6c2cab888730e382723150c4', 'addNotNullConstraint columnName=role_code, tableName=activity_fishing_gear_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-238::anwall (generated)
ALTER TABLE activity_contact_party_role ALTER COLUMN  role_code_list_id SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-238', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 843, '8:33eeedf6da1e6187a95ddd43273c43f8', 'addNotNullConstraint columnName=role_code_list_id, tableName=activity_contact_party_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-239::anwall (generated)
ALTER TABLE activity_fishing_gear_role ALTER COLUMN  role_code_list_id SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-239', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 845, '8:02b0307a34a42fe241e27e54f17d7e1a', 'addNotNullConstraint columnName=role_code_list_id, tableName=activity_fishing_gear_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-240::anwall (generated)
ALTER TABLE activity_fa_catch ALTER COLUMN size_distribution_id TYPE INTEGER USING (size_distribution_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-240', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 847, '8:b14e23c6b5af99e7e3d9a210c05f335b', 'modifyDataType columnName=size_distribution_id, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-241::anwall (generated)
ALTER TABLE activity_size_distribution_classcode ALTER COLUMN size_distribution_id TYPE INTEGER USING (size_distribution_id::INTEGER);

ALTER TABLE activity_size_distribution_classcode ALTER COLUMN  size_distribution_id DROP NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-241', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 849, '8:5490330f1d84801edfb4012588525b0f', 'modifyDataType columnName=size_distribution_id, tableName=activity_size_distribution_classcode; dropNotNullConstraint columnName=size_distribution_id, tableName=activity_size_distribution_classcode', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-242::anwall (generated)
ALTER TABLE activity_fa_report_document ALTER COLUMN source TYPE VARCHAR(255) USING (source::VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-242', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 851, '8:1e243bf0426cab86b949b0e35e07cfa5', 'modifyDataType columnName=source, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-243::anwall (generated)
ALTER TABLE activity_fishing_activity ALTER COLUMN source_vessel_char_id TYPE INTEGER USING (source_vessel_char_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-243', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 853, '8:9dd3cad879332318dfdcd0e31dc456d1', 'modifyDataType columnName=source_vessel_char_id, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-244::anwall (generated)
ALTER TABLE activity_flux_characteristic ALTER COLUMN specified_flap_document_id TYPE INTEGER USING (specified_flap_document_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-244', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 855, '8:6330e56f44af01e2903c5edb229e1a62', 'modifyDataType columnName=specified_flap_document_id, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-245::anwall (generated)
ALTER TABLE activity_flux_characteristic ALTER COLUMN specified_flux_location_id TYPE INTEGER USING (specified_flux_location_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-245', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 857, '8:6fd98c2e519991075fa2a31d45f0e823', 'modifyDataType columnName=specified_flux_location_id, tableName=activity_flux_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-246::anwall (generated)
ALTER TABLE activity_fa_report_document ALTER COLUMN status TYPE VARCHAR(255) USING (status::VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-246', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 859, '8:12f15d82c34f0fa08216c6314259a0c2', 'modifyDataType columnName=status, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-247::anwall (generated)
COMMENT ON COLUMN activity_fa_catch.territory IS '';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-247', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 861, '8:05208b8382c5f211d7ae496958ad1fb6', 'setColumnRemarks columnName=territory, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-248::anwall (generated)
ALTER TABLE activity_contact_person ALTER COLUMN title TYPE VARCHAR(255) USING (title::VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-248', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 863, '8:2857c227130505fa779ba1a723b04901', 'modifyDataType columnName=title, tableName=activity_contact_person', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-249::anwall (generated)
ALTER TABLE activity_aap_process_code ALTER COLUMN  type_code SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-249', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 865, '8:62116e2346d41c5a32536383d2b290fd', 'addNotNullConstraint columnName=type_code, tableName=activity_aap_process_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-250::anwall (generated)
ALTER TABLE activity_aap_process_code ALTER COLUMN  type_code_list_id SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-250', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 867, '8:2e6193fa36b4c241245db3ee8852f8c8', 'addNotNullConstraint columnName=type_code_list_id, tableName=activity_aap_process_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-251::anwall (generated)
ALTER TABLE activity_gear_characteristic ALTER COLUMN value_text TYPE VARCHAR(255) USING (value_text::VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-251', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 869, '8:ef9c5345d14c76c487089897f2646670', 'modifyDataType columnName=value_text, tableName=activity_gear_characteristic', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-252::anwall (generated)
ALTER TABLE activity_vessel_storage_char_code ALTER COLUMN vessel_storage_char_id TYPE INTEGER USING (vessel_storage_char_id::INTEGER);

ALTER TABLE activity_vessel_storage_char_code ALTER COLUMN  vessel_storage_char_id DROP NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-252', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 871, '8:8c9f27b5ce53eee5ac101a85c5f0a8c2', 'modifyDataType columnName=vessel_storage_char_id, tableName=activity_vessel_storage_char_code; dropNotNullConstraint columnName=vessel_storage_char_id, tableName=activity_vessel_storage_char_code', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-253::anwall (generated)
ALTER TABLE activity_vessel_identifier ALTER COLUMN vessel_transport_mean_id TYPE INTEGER USING (vessel_transport_mean_id::INTEGER);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-253', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 873, '8:3036389a5d6da8e1e2088f409e4a69cc', 'modifyDataType columnName=vessel_transport_mean_id, tableName=activity_vessel_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-254::anwall (generated)
ALTER TABLE activity_contact_party ALTER COLUMN vessel_transport_means_id TYPE INTEGER USING (vessel_transport_means_id::INTEGER);

ALTER TABLE activity_contact_party ALTER COLUMN  vessel_transport_means_id SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-254', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 875, '8:7662b95c0d51127b3bfac2b5bbf5b962', 'modifyDataType columnName=vessel_transport_means_id, tableName=activity_contact_party; addNotNullConstraint columnName=vessel_transport_means_id, tableName=activity_contact_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-255::anwall (generated)
ALTER TABLE activity_flap_document ALTER COLUMN vessel_transport_means_id TYPE INTEGER USING (vessel_transport_means_id::INTEGER);

ALTER TABLE activity_flap_document ALTER COLUMN  vessel_transport_means_id DROP NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-255', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 877, '8:3ae69640907a4916b95f6885a252a6e7', 'modifyDataType columnName=vessel_transport_means_id, tableName=activity_flap_document; dropNotNullConstraint columnName=vessel_transport_means_id, tableName=activity_flap_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-256::anwall (generated)
ALTER TABLE activity_vessel_position_event ALTER COLUMN vessel_transport_means_id TYPE INTEGER USING (vessel_transport_means_id::INTEGER);

ALTER TABLE activity_vessel_position_event ALTER COLUMN  vessel_transport_means_id DROP NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-256', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 879, '8:9a38d17e3b3c577128e084d57be34a69', 'modifyDataType columnName=vessel_transport_means_id, tableName=activity_vessel_position_event; dropNotNullConstraint columnName=vessel_transport_means_id, tableName=activity_vessel_position_event', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.13/db-liquibase-diff.xml::1566992597989-257::anwall (generated)
CREATE UNIQUE INDEX uk_58x2dbmh036mhw664sfc1b63e ON activity_flux_report_document(flux_party_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1566992597989-257', 'anwall (generated)', 'changelog/1.1.13/db-liquibase-diff.xml', NOW(), 881, '8:0071ef75113887ac1e0a848ad9532dfa', 'createIndex indexName=uk_58x2dbmh036mhw664sfc1b63e, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.17/db-changelog-UNIONVMS.xml::move_trip_to_fa::anwall
ALTER TABLE activity_fishing_trip DROP COLUMN fishing_activity_id;

ALTER TABLE activity_fishing_trip_identifier DROP COLUMN fishing_trip_id;

ALTER TABLE activity_fishing_activity ADD fishing_trip_id INTEGER;

ALTER TABLE activity_fishing_trip ADD fishing_trip_identifier_id INTEGER;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('move_trip_to_fa', 'anwall', 'changelog/1.1.17/db-changelog-UNIONVMS.xml', NOW(), 883, '8:bf86617afe729c6b133117607d9b8024', 'dropColumn columnName=fishing_activity_id, tableName=activity_fishing_trip; dropColumn columnName=fishing_trip_id, tableName=activity_fishing_trip_identifier; addColumn tableName=activity_fishing_activity; addColumn tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.17/db-changelog-UNIONVMS.xml::move_trip_to_catch::anwall
ALTER TABLE activity_fishing_trip DROP COLUMN fa_catch_id;

ALTER TABLE activity_fa_catch ADD fishing_trip_id INTEGER;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('move_trip_to_catch', 'anwall', 'changelog/1.1.17/db-changelog-UNIONVMS.xml', NOW(), 885, '8:31712a61b81982796ea75601a3145028', 'dropColumn columnName=fa_catch_id, tableName=activity_fishing_trip; addColumn tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.18/db-changelog-UNIONVMS.xml::move_trip_identifiers_to_trip_table::robkra
ALTER TABLE activity_fishing_trip ADD trip_id VARCHAR(255) NOT NULL;

ALTER TABLE activity_fishing_trip ADD trip_scheme_id VARCHAR(255) NOT NULL;

ALTER TABLE activity_fishing_trip ADD calculated_trip_start_date TIMESTAMP WITHOUT TIME ZONE;

ALTER TABLE activity_fishing_trip ADD calculated_trip_end_date TIMESTAMP WITHOUT TIME ZONE;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('move_trip_identifiers_to_trip_table', 'robkra', 'changelog/1.1.18/db-changelog-UNIONVMS.xml', NOW(), 887, '8:6c25f2e9d83f203a9af53fe6d3102a0e', 'addColumn tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.18/db-changelog-UNIONVMS.xml::drop_fishing_trip_identifier_table::robkra
DROP TABLE activity_fishing_trip_identifier;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_fishing_trip_identifier_table', 'robkra', 'changelog/1.1.18/db-changelog-UNIONVMS.xml', NOW(), 889, '8:6c489adc328a9adb4bdcbefa73dc86c7', 'dropTable tableName=activity_fishing_trip_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.18/db-changelog-UNIONVMS.xml::drop_fishing_trip_identifier_id_column::robkra
ALTER TABLE activity_fishing_trip DROP COLUMN fishing_trip_identifier_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_fishing_trip_identifier_id_column', 'robkra', 'changelog/1.1.18/db-changelog-UNIONVMS.xml', NOW(), 891, '8:9506013b4ef4eb410224c663aeed4697', 'dropColumn columnName=fishing_trip_identifier_id, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.18/db-changelog-UNIONVMS.xml::update_delimited_period_table_with_new_trip_composite_fk::robkra
ALTER TABLE activity_delimited_period DROP COLUMN fishing_trip_id;

ALTER TABLE activity_delimited_period ADD trip_id VARCHAR(255);

ALTER TABLE activity_delimited_period ADD trip_scheme_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_delimited_period_table_with_new_trip_composite_fk', 'robkra', 'changelog/1.1.18/db-changelog-UNIONVMS.xml', NOW(), 893, '8:5ecc11069aed99440b68c96d6bcf16dc', 'dropColumn columnName=fishing_trip_id, tableName=activity_delimited_period; addColumn tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.18/db-changelog-UNIONVMS.xml::update_catch_table_with_new_trip_composite_fk::robkra
ALTER TABLE activity_fa_catch DROP COLUMN fishing_trip_id;

ALTER TABLE activity_fa_catch ADD trip_id VARCHAR(255);

ALTER TABLE activity_fa_catch ADD trip_scheme_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_catch_table_with_new_trip_composite_fk', 'robkra', 'changelog/1.1.18/db-changelog-UNIONVMS.xml', NOW(), 895, '8:492cfc7df8fc80b8a10b39b0bb726d59', 'dropColumn columnName=fishing_trip_id, tableName=activity_fa_catch; addColumn tableName=activity_fa_catch; addColumn tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.18/db-changelog-UNIONVMS.xml::update_fishing_activity_table_with_new_trip_composite_fk::robkra
ALTER TABLE activity_fishing_activity DROP COLUMN fishing_trip_id;

ALTER TABLE activity_fishing_activity ADD trip_id VARCHAR(255);

ALTER TABLE activity_fishing_activity ADD trip_scheme_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_fishing_activity_table_with_new_trip_composite_fk', 'robkra', 'changelog/1.1.18/db-changelog-UNIONVMS.xml', NOW(), 897, '8:5aa0e657fb8f846ce6b05f3bb21c5069', 'dropColumn columnName=fishing_trip_id, tableName=activity_fishing_activity; addColumn tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.18/db-changelog-UNIONVMS.xml::drop_id_column_on_fishing_trip_table::robkra
ALTER TABLE activity_fishing_trip DROP COLUMN id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_id_column_on_fishing_trip_table', 'robkra', 'changelog/1.1.18/db-changelog-UNIONVMS.xml', NOW(), 899, '8:adf81ed85d2d9d75db8072216c673fd3', 'dropColumn columnName=id, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.18/db-changelog-UNIONVMS.xml::add_new_primary_key_on_fishing_trip_table::robkra
ALTER TABLE activity_fishing_trip ADD CONSTRAINT fishing_trip_pk PRIMARY KEY (trip_id, trip_scheme_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_new_primary_key_on_fishing_trip_table', 'robkra', 'changelog/1.1.18/db-changelog-UNIONVMS.xml', NOW(), 901, '8:9dcd0f15e3e49d1ddfaac6c130d08dbd', 'addPrimaryKey constraintName=fishing_trip_pk, tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.18/db-changelog-UNIONVMS.xml::drop_fishing_activity_identifier_table::robkra
DROP TABLE activity_fishing_activity_identifier;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_fishing_activity_identifier_table', 'robkra', 'changelog/1.1.18/db-changelog-UNIONVMS.xml', NOW(), 903, '8:e774fe0ddad06f74a13556c27e0296fa', 'dropTable tableName=activity_fishing_activity_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-1::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_languageid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-1', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 905, '8:c1f6bdf2f7668bebeb79292e0454df75', 'dropColumn columnName=codetype_languageid, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-2::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_listagencyid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-2', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 907, '8:dea3893050e6ad1a39bada0bd76b507a', 'dropColumn columnName=codetype_listagencyid, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-3::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_listagencyname;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-3', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 909, '8:a344fb7e1059b9aa8bada2b81cb1a91e', 'dropColumn columnName=codetype_listagencyname, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-4::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_listid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-4', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 911, '8:8ac6d64133003096b22ef964695d7272', 'dropColumn columnName=codetype_listid, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-5::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_listname;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-5', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 913, '8:79d4d7fee681bcc72623768b3585a170', 'dropColumn columnName=codetype_listname, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-6::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_listschemeuri;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-6', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 915, '8:c5a135f6bbe6ff01a0c23efa83d813a7', 'dropColumn columnName=codetype_listschemeuri, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-7::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_listuri;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-7', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 917, '8:ff3e478e3ab48e4735a8409eaa78865e', 'dropColumn columnName=codetype_listuri, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-8::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_listversionid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-8', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 919, '8:7902c9f5af3838c9d80172dfd308eb7e', 'dropColumn columnName=codetype_listversionid, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-9::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_name;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-9', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 921, '8:4cffdea8d0dee818aaab78e69f079b42', 'dropColumn columnName=codetype_name, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-10::pesjob
ALTER TABLE activity_flux_report_document DROP COLUMN codetype_value;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-10', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 923, '8:487be77ba1d6388776642d4869cc1952', 'dropColumn columnName=codetype_value, tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-11::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_languageid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-11', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 925, '8:5510c1db21f2cfe974e1471eafb7d7f0', 'dropColumn columnName=codetype_languageid, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-12::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_listagencyid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-12', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 927, '8:e443fb953aa3004deaaf592984d7a073', 'dropColumn columnName=codetype_listagencyid, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-13::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_listagencyname;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-13', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 929, '8:7ac14cd25406730ba70539c8e40915aa', 'dropColumn columnName=codetype_listagencyname, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-14::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_listid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-14', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 931, '8:93bf41d2e0cf9e0c1e34d835cb5e3742', 'dropColumn columnName=codetype_listid, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-15::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_listname;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-15', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 933, '8:11bc2033a32c341eef7ca68d3aa643c9', 'dropColumn columnName=codetype_listname, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-16::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_listschemeuri;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-16', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 935, '8:984a9f8c4bf1bc2d94937dda78d0f1fa', 'dropColumn columnName=codetype_listschemeuri, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-17::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_listuri;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-17', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 937, '8:4b9b98ceb7cf31f94a36ad45d84ae3de', 'dropColumn columnName=codetype_listuri, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-18::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_listversionid;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-18', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 939, '8:debbbfad42f08f8e6cd31a9bd1c28b50', 'dropColumn columnName=codetype_listversionid, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-19::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_name;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-19', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 941, '8:a7ce3cd6801f5ada11ae1a4abd2c1578', 'dropColumn columnName=codetype_name, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-20::pesjob
ALTER TABLE activity_flux_location DROP COLUMN codetype_value;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-20', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 943, '8:273676f4a80fbf0c04ca0eb349533e33', 'dropColumn columnName=codetype_value, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-remove-embedded-codetype-21::pesjob
ALTER TABLE activity_flux_location ADD rfmo_code_list_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-remove-embedded-codetype-21', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 945, '8:5c872559887c143ec5051d776ebfc5b0', 'addColumn tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.19/db-changelog-UNIONVMS.xml::ERS-434-rename-flux-location-type::pesjob
ALTER TABLE activity_flux_location RENAME COLUMN flux_location_type TO flux_location_catch_type_mapper_info;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-rename-flux-location-type', 'pesjob', 'changelog/1.1.19/db-changelog-UNIONVMS.xml', NOW(), 947, '8:72370bb1cf662a436724e9bdae5d08be', 'renameColumn newColumnName=flux_location_catch_type_mapper_info, oldColumnName=flux_location_type, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::move_delimited_period_columns_to_fishing_trip_table::robkra
ALTER TABLE activity_fishing_trip ADD start_date TIMESTAMP WITHOUT TIME ZONE;

ALTER TABLE activity_fishing_trip ADD end_date TIMESTAMP WITHOUT TIME ZONE;

ALTER TABLE activity_fishing_trip ADD calculated_duration FLOAT8;

ALTER TABLE activity_fishing_trip ADD duration_value FLOAT8;

ALTER TABLE activity_fishing_trip ADD duration_unit_code VARCHAR(255);

ALTER TABLE activity_fishing_trip ADD duration_unit_code_list_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('move_delimited_period_columns_to_fishing_trip_table', 'robkra', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 949, '8:84e4c9850e3b10b36fecc72d9b657321', 'addColumn tableName=activity_fishing_trip', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::move_delimited_period_columns_to_fishing_activity_table::robkra
ALTER TABLE activity_fishing_activity ADD start_date TIMESTAMP WITHOUT TIME ZONE;

ALTER TABLE activity_fishing_activity ADD end_date TIMESTAMP WITHOUT TIME ZONE;

ALTER TABLE activity_fishing_activity ADD calculated_duration FLOAT8;

ALTER TABLE activity_fishing_activity ADD duration_value FLOAT8;

ALTER TABLE activity_fishing_activity ADD duration_unit_code VARCHAR(255);

ALTER TABLE activity_fishing_activity ADD duration_unit_code_list_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('move_delimited_period_columns_to_fishing_activity_table', 'robkra', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 951, '8:04d5ee59e1fd9177be84b86605506e54', 'addColumn tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::drop_unused_table_delimited_period::robkra
DROP TABLE activity_delimited_period;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_unused_table_delimited_period', 'robkra', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 953, '8:8fc27f8957915af10081784755be4cfc', 'dropTable tableName=activity_delimited_period', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::drop_delimited_period_from_fishing_trip::robkra
ALTER TABLE activity_fishing_trip DROP COLUMN start_date;

ALTER TABLE activity_fishing_trip DROP COLUMN end_date;

ALTER TABLE activity_fishing_trip DROP COLUMN calculated_duration;

ALTER TABLE activity_fishing_trip DROP COLUMN duration_value;

ALTER TABLE activity_fishing_trip DROP COLUMN duration_unit_code;

ALTER TABLE activity_fishing_trip DROP COLUMN duration_unit_code_list_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_delimited_period_from_fishing_trip', 'robkra', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 955, '8:33c3267ef12d6a77d477071e83afb893', 'dropColumn columnName=start_date, tableName=activity_fishing_trip; dropColumn columnName=end_date, tableName=activity_fishing_trip; dropColumn columnName=calculated_duration, tableName=activity_fishing_trip; dropColumn columnName=duration_value, t...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::add_calculated_end_time_column_to_fishing_activity::robkra
ALTER TABLE activity_fishing_activity ADD calculated_end_time TIMESTAMP WITHOUT TIME ZONE;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_calculated_end_time_column_to_fishing_activity', 'robkra', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 957, '8:d8f92a43c35f127e51d2521f9b712841', 'addColumn tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::drop_delimited_period_from_fishing_activity::robkra
ALTER TABLE activity_fishing_activity DROP COLUMN start_date;

ALTER TABLE activity_fishing_activity DROP COLUMN end_date;

ALTER TABLE activity_fishing_activity DROP COLUMN calculated_duration;

ALTER TABLE activity_fishing_activity DROP COLUMN duration_value;

ALTER TABLE activity_fishing_activity DROP COLUMN duration_unit_code;

ALTER TABLE activity_fishing_activity DROP COLUMN duration_unit_code_list_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_delimited_period_from_fishing_activity', 'robkra', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 959, '8:bf5b2d23ffe39a600eb35be4e8609ff2', 'dropColumn columnName=start_date, tableName=activity_fishing_activity; dropColumn columnName=end_date, tableName=activity_fishing_activity; dropColumn columnName=calculated_duration, tableName=activity_fishing_activity; dropColumn columnName=durat...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::add_size_distribution_columns_to_fa_catch::robmil
ALTER TABLE activity_fa_catch ADD size_distribution_class_code VARCHAR(255);

ALTER TABLE activity_fa_catch ADD size_distribution_class_code_list_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_size_distribution_columns_to_fa_catch', 'robmil', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 961, '8:45a246f077d05ef5a21ffe44b43c47be', 'addColumn tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::drop_size_distribution_classcode_table::robmil
DROP TABLE activity_size_distribution_classcode;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_size_distribution_classcode_table', 'robmil', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 963, '8:54cc55fd1fd2612e501cb0fb6e263ac5', 'dropTable tableName=activity_size_distribution_classcode', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::add_size_distribution_columns_to_fa_catch_part_2::robmil
ALTER TABLE activity_fa_catch ADD size_distribution_category_code VARCHAR(255);

ALTER TABLE activity_fa_catch ADD size_distribution_category_code_list_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_size_distribution_columns_to_fa_catch_part_2', 'robmil', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 965, '8:70d997725fd3d92ee0d111a8914dcf55', 'addColumn tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::drop_size_distribution_foreign_key::robmil
ALTER TABLE activity_fa_catch DROP CONSTRAINT size_distribution_fc_fk;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_size_distribution_foreign_key', 'robmil', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 967, '8:c057b26c04f7dc022d187a2e890677f5', 'dropForeignKeyConstraint baseTableName=activity_fa_catch, constraintName=size_distribution_fc_fk', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::drop_size_distribution_id_column::robmil
ALTER TABLE activity_fa_catch DROP COLUMN size_distribution_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_size_distribution_id_column', 'robmil', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 969, '8:8be7b747e2bc581f066993ce2588d370', 'dropColumn columnName=size_distribution_id, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::drop_size_distribution_table::robmil
DROP TABLE activity_size_distribution;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('drop_size_distribution_table', 'robmil', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 971, '8:0cfc36b9e5027abe37720027faffa1a0', 'dropTable tableName=activity_size_distribution', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.21/db-changelog-UNIONVMS.xml::ERS-458-remove-rfmo-column-in-fa-catch::robmil
ALTER TABLE activity_fa_catch DROP COLUMN rfmo;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-458-remove-rfmo-column-in-fa-catch', 'robmil', 'changelog/1.1.21/db-changelog-UNIONVMS.xml', NOW(), 973, '8:2b9e6138ad72c877f5f848ae4d67b0f6', 'dropColumn columnName=rfmo, tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.24/db-changelog-UNIONVMS.xml::ERS-434-merge-flux-report-document-into-flux-fa-report-message::pesjob
ALTER TABLE activity_flux_fa_report_message ADD flux_report_document_id VARCHAR(255);

ALTER TABLE activity_flux_fa_report_message ADD flux_report_document_id_scheme_id VARCHAR(255);

ALTER TABLE activity_flux_fa_report_message ADD flux_report_document_reference_id VARCHAR(255);

ALTER TABLE activity_flux_fa_report_message ADD flux_report_document_reference_scheme_id VARCHAR(255);

ALTER TABLE activity_flux_fa_report_message ADD flux_report_document_creation_datetime TIMESTAMP WITHOUT TIME ZONE NOT NULL;

ALTER TABLE activity_flux_fa_report_message ADD flux_report_document_purpose_code VARCHAR(255) NOT NULL;

ALTER TABLE activity_flux_fa_report_message ADD flux_report_document_purpose_code_list_id VARCHAR(255) NOT NULL;

ALTER TABLE activity_flux_fa_report_message ADD flux_report_document_purpose TEXT;

ALTER TABLE activity_flux_fa_report_message ADD flux_report_document_flux_party_id INTEGER NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-merge-flux-report-document-into-flux-fa-report-message', 'pesjob', 'changelog/1.1.24/db-changelog-UNIONVMS.xml', NOW(), 975, '8:0e02789675376477dab04c6483f23800', 'addColumn tableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.24/db-changelog-UNIONVMS.xml::ERS-434-drop-foreign-key-constraint-before-changing-column-data-type::robkra
ALTER TABLE activity_fa_report_document DROP CONSTRAINT flux_report_document_frd_fk;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-drop-foreign-key-constraint-before-changing-column-data-type', 'robkra', 'changelog/1.1.24/db-changelog-UNIONVMS.xml', NOW(), 977, '8:30226dfdbe43c211084830df51cad52d', 'dropForeignKeyConstraint baseTableName=activity_fa_report_document, constraintName=flux_report_document_frd_fk', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.24/db-changelog-UNIONVMS.xml::ERS-434-merge-flux-report-document-into-fa-report-document_1::pesjob
ALTER TABLE activity_fa_report_document ALTER COLUMN flux_report_document_id TYPE VARCHAR(255) USING (flux_report_document_id::VARCHAR(255));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-merge-flux-report-document-into-fa-report-document_1', 'pesjob', 'changelog/1.1.24/db-changelog-UNIONVMS.xml', NOW(), 979, '8:9eb75ee5da7b43a14831eca7ec410639', 'modifyDataType columnName=flux_report_document_id, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.24/db-changelog-UNIONVMS.xml::ERS-434-merge-flux-report-document-into-fa-report-document_2::pesjob
ALTER TABLE activity_fa_report_document ADD flux_report_document_id_scheme_id VARCHAR(255);

ALTER TABLE activity_fa_report_document ADD flux_report_document_reference_id VARCHAR(255);

ALTER TABLE activity_fa_report_document ADD flux_report_document_reference_scheme_id VARCHAR(255);

ALTER TABLE activity_fa_report_document ADD flux_report_document_creation_datetime TIMESTAMP WITHOUT TIME ZONE NOT NULL;

ALTER TABLE activity_fa_report_document ADD flux_report_document_purpose_code VARCHAR(255) NOT NULL;

ALTER TABLE activity_fa_report_document ADD flux_report_document_purpose_code_list_id VARCHAR(255) NOT NULL;

ALTER TABLE activity_fa_report_document ADD flux_report_document_purpose TEXT;

ALTER TABLE activity_fa_report_document ADD flux_report_document_flux_party_id INTEGER NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-merge-flux-report-document-into-fa-report-document_2', 'pesjob', 'changelog/1.1.24/db-changelog-UNIONVMS.xml', NOW(), 981, '8:d2c584016c1bff8a460b45926c71b990', 'addColumn tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.24/db-changelog-UNIONVMS.xml::ERS-434-drop-foreign-key-constraint-before-dropping-table::robkra
ALTER TABLE activity_flux_report_identifier DROP CONSTRAINT activity_activity_flux_report_identifier_fk;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-drop-foreign-key-constraint-before-dropping-table', 'robkra', 'changelog/1.1.24/db-changelog-UNIONVMS.xml', NOW(), 983, '8:957faa4e74bac0af46a0bdcaaeda046b', 'dropForeignKeyConstraint baseTableName=activity_flux_report_identifier, constraintName=activity_activity_flux_report_identifier_fk', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.24/db-changelog-UNIONVMS.xml::ERS-434-merge-flux-report-document-into-fa-report-document_3::pesjob
DROP TABLE activity_flux_report_document;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-merge-flux-report-document-into-fa-report-document_3', 'pesjob', 'changelog/1.1.24/db-changelog-UNIONVMS.xml', NOW(), 985, '8:a89a3139e474ddf69c40e673a13105e3', 'dropTable tableName=activity_flux_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.24/db-changelog-UNIONVMS.xml::ERS-434-merge-flux-report-document-into-fa-report-document_4::pesjob
DROP TABLE activity_flux_report_identifier;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-434-merge-flux-report-document-into-fa-report-document_4', 'pesjob', 'changelog/1.1.24/db-changelog-UNIONVMS.xml', NOW(), 987, '8:82b968a745ba6d91a3806554b33a1e0d', 'dropTable tableName=activity_flux_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.26/db-changelog-UNIONVMS.xml::ERS-459-add-flux-party-columns-to-fa-report-document::robmil
ALTER TABLE activity_fa_report_document ADD flux_party_identifier VARCHAR(255) NOT NULL;

ALTER TABLE activity_fa_report_document ADD flux_party_scheme_id VARCHAR(255) NOT NULL;

ALTER TABLE activity_fa_report_document ADD flux_party_name VARCHAR(255);

ALTER TABLE activity_fa_report_document ADD flux_party_name_language_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-459-add-flux-party-columns-to-fa-report-document', 'robmil', 'changelog/1.1.26/db-changelog-UNIONVMS.xml', NOW(), 989, '8:ae35ee1ecfcd0cfab9fc5a0e103cbfed', 'addColumn tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.26/db-changelog-UNIONVMS.xml::ERS-459-remove-flux-party-fk-from-fa-report-document::robmil
ALTER TABLE activity_fa_report_document DROP COLUMN flux_report_document_flux_party_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-459-remove-flux-party-fk-from-fa-report-document', 'robmil', 'changelog/1.1.26/db-changelog-UNIONVMS.xml', NOW(), 991, '8:e4758372b3926c97fcfcc607b3d804db', 'dropColumn columnName=flux_report_document_flux_party_id, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.26/db-changelog-UNIONVMS.xml::ERS-459-add-flux-party-columns-to-flux-fa-report-message::robmil
ALTER TABLE activity_flux_fa_report_message ADD flux_party_identifier VARCHAR(255) NOT NULL;

ALTER TABLE activity_flux_fa_report_message ADD flux_party_scheme_id VARCHAR(255) NOT NULL;

ALTER TABLE activity_flux_fa_report_message ADD flux_party_name VARCHAR(255);

ALTER TABLE activity_flux_fa_report_message ADD flux_party_name_language_id VARCHAR(255);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-459-add-flux-party-columns-to-flux-fa-report-message', 'robmil', 'changelog/1.1.26/db-changelog-UNIONVMS.xml', NOW(), 993, '8:2fa8a954d794084ab025bab6fc77f44a', 'addColumn tableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.26/db-changelog-UNIONVMS.xml::ERS-459-remove-flux-party-fk-from-flux-fa-report-message::robmil
ALTER TABLE activity_flux_fa_report_message DROP COLUMN flux_report_document_flux_party_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-459-remove-flux-party-fk-from-flux-fa-report-message', 'robmil', 'changelog/1.1.26/db-changelog-UNIONVMS.xml', NOW(), 995, '8:524c583332c2134bcfd7c0be33617db9', 'dropColumn columnName=flux_report_document_flux_party_id, tableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.26/db-changelog-UNIONVMS.xml::ERS-459-drop-activity-flux-party-identifier-table::robmil
DROP TABLE activity_flux_party_identifier;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-459-drop-activity-flux-party-identifier-table', 'robmil', 'changelog/1.1.26/db-changelog-UNIONVMS.xml', NOW(), 997, '8:1fa8bc78076efccd9aa29474972a987f', 'dropTable tableName=activity_flux_party_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.26/db-changelog-UNIONVMS.xml::ERS-459-drop-activity-flux-party-table::robmil
DROP TABLE activity_flux_party;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-459-drop-activity-flux-party-table', 'robmil', 'changelog/1.1.26/db-changelog-UNIONVMS.xml', NOW(), 999, '8:af8a6481453e5abe5bc74ff058cb566f', 'dropTable tableName=activity_flux_party', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.1.26/db-changelog-UNIONVMS.xml::ERS-291-add-flux-report-id-unique-constraint::robmil
ALTER TABLE activity_fa_report_document ADD CONSTRAINT flux_report_document_id_unique_constraint UNIQUE (flux_report_document_id, flux_report_document_id_scheme_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-291-add-flux-report-id-unique-constraint', 'robmil', 'changelog/1.1.26/db-changelog-UNIONVMS.xml', NOW(), 1001, '8:69baa21a39fc7bda18cc74a9df4c2e1f', 'addUniqueConstraint constraintName=flux_report_document_id_unique_constraint, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.3/db-changelog-UNIONVMS.xml::ers-460-add-flux-report-id-unique-constraint::robmil
ALTER TABLE activity_flux_fa_report_message ADD CONSTRAINT flux_fa_report_message_unique_constraint_report_document_id UNIQUE (flux_report_document_id, flux_report_document_id_scheme_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-460-add-flux-report-id-unique-constraint', 'robmil', 'changelog/1.2.3/db-changelog-UNIONVMS.xml', NOW(), 1003, '8:ee2c194a6e7047b608e6bde5b1da922b', 'addUniqueConstraint constraintName=flux_fa_report_message_unique_constraint_report_document_id, tableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.3/db-changelog-UNIONVMS.xml::ERS-461-rename-column-1::pesjob
ALTER TABLE activity_flux_fa_report_message RENAME COLUMN flux_report_document_reference_id TO flux_report_document_referenced_fa_query_message_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-461-rename-column-1', 'pesjob', 'changelog/1.2.3/db-changelog-UNIONVMS.xml', NOW(), 1005, '8:78289fe29f73e848439cd32c6dd82982', 'renameColumn newColumnName=flux_report_document_referenced_fa_query_message_id, oldColumnName=flux_report_document_reference_id, tableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.3/db-changelog-UNIONVMS.xml::ERS-461-rename-column-2::pesjob
ALTER TABLE activity_flux_fa_report_message RENAME COLUMN flux_report_document_reference_scheme_id TO flux_report_document_referenced_fa_query_message_scheme_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-461-rename-column-2', 'pesjob', 'changelog/1.2.3/db-changelog-UNIONVMS.xml', NOW(), 1007, '8:6f4fb88f01fd627c17a6186c28c84eb3', 'renameColumn newColumnName=flux_report_document_referenced_fa_query_message_scheme_id, oldColumnName=flux_report_document_reference_scheme_id, tableName=activity_flux_fa_report_message', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.3/db-changelog-UNIONVMS.xml::ERS-461-rename-column-3::pesjob
ALTER TABLE activity_fa_report_document RENAME COLUMN flux_report_document_reference_id TO flux_report_document_referenced_fa_report_document_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-461-rename-column-3', 'pesjob', 'changelog/1.2.3/db-changelog-UNIONVMS.xml', NOW(), 1009, '8:d968044c03e7dd602eb32e876d9fb066', 'renameColumn newColumnName=flux_report_document_referenced_fa_report_document_id, oldColumnName=flux_report_document_reference_id, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.3/db-changelog-UNIONVMS.xml::ERS-461-rename-column-4::pesjob
ALTER TABLE activity_fa_report_document RENAME COLUMN flux_report_document_reference_scheme_id TO flux_report_document_referenced_fa_report_document_scheme_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-461-rename-column-4', 'pesjob', 'changelog/1.2.3/db-changelog-UNIONVMS.xml', NOW(), 1011, '8:4ac7d244842b3be214d8099f1110f490', 'renameColumn newColumnName=flux_report_document_referenced_fa_report_document_scheme_id, oldColumnName=flux_report_document_reference_scheme_id, tableName=activity_fa_report_document', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.3/db-changelog-UNIONVMS.xml::ERS-461-rename-table::pesjob
ALTER TABLE activity_fa_report_identifier RENAME TO activity_fa_report_document_related_fa_reports;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ERS-461-rename-table', 'pesjob', 'changelog/1.2.3/db-changelog-UNIONVMS.xml', NOW(), 1013, '8:029844b8c043d33efe9ddd17e687f6a9', 'renameTable newTableName=activity_fa_report_document_related_fa_reports, oldTableName=activity_fa_report_identifier', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.4/db-changelog-UNIONVMS.xml::ers-473-drop-geopolitical_region_code-columns::robmil
ALTER TABLE activity_flux_location DROP COLUMN geopolitical_region_code;

ALTER TABLE activity_flux_location DROP COLUMN geopolitical_region_code_list_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-473-drop-geopolitical_region_code-columns', 'robmil', 'changelog/1.2.4/db-changelog-UNIONVMS.xml', NOW(), 1015, '8:09cfc04d7f66e75741733dbe68969019', 'dropColumn columnName=geopolitical_region_code, tableName=activity_flux_location; dropColumn columnName=geopolitical_region_code_list_id, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.4/db-changelog-UNIONVMS.xml::ers-473-drop-sovereign_rights_country_code-column::robmil
ALTER TABLE activity_flux_location DROP COLUMN sovereign_rights_country_code;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-473-drop-sovereign_rights_country_code-column', 'robmil', 'changelog/1.2.4/db-changelog-UNIONVMS.xml', NOW(), 1017, '8:02b4590c13b5624a22ae466a43875889', 'dropColumn columnName=sovereign_rights_country_code, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.4/db-changelog-UNIONVMS.xml::ers-473-drop-jurisdiction_contry_code-column::robmil
ALTER TABLE activity_flux_location DROP COLUMN jurisdiction_country_code;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-473-drop-jurisdiction_contry_code-column', 'robmil', 'changelog/1.2.4/db-changelog-UNIONVMS.xml', NOW(), 1019, '8:a569f6ba297494f7beb89434d9f286de', 'dropColumn columnName=jurisdiction_country_code, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.4/db-changelog-UNIONVMS.xml::ers-473-drop-system_id-column::robmil
ALTER TABLE activity_flux_location DROP COLUMN system_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-473-drop-system_id-column', 'robmil', 'changelog/1.2.4/db-changelog-UNIONVMS.xml', NOW(), 1021, '8:55a4f8797e4eb6dfd60547e1047546fb', 'dropColumn columnName=system_id, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::ers-462-drop-pos::anwall
ALTER TABLE activity_flux_location DROP COLUMN longitude;

ALTER TABLE activity_flux_location DROP COLUMN latitude;

ALTER TABLE activity_flux_location DROP COLUMN altitude;

ALTER TABLE activity_flux_location DROP COLUMN geom;

ALTER TABLE activity_fa_report_document DROP COLUMN geom;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-462-drop-pos', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1023, '8:4a42f493a28bfa2541c1afdec0025323', 'dropColumn columnName=longitude, tableName=activity_flux_location; dropColumn columnName=latitude, tableName=activity_flux_location; dropColumn columnName=altitude, tableName=activity_flux_location; dropColumn columnName=geom, tableName=activity_f...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::ers-462-drop-act_cat_fk::anwall
ALTER TABLE activity_flux_location DROP COLUMN fishing_activity_id;

ALTER TABLE activity_flux_location DROP COLUMN fa_catch_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-462-drop-act_cat_fk', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1025, '8:f5a71252e97a38c6f48334138e511567', 'dropColumn columnName=fishing_activity_id, tableName=activity_flux_location; dropColumn columnName=fa_catch_id, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::ers-462-location_m2m_activity::anwall
CREATE TABLE activity_fishing_activity_flux_location (fishing_activity_id INTEGER, flux_location_id INTEGER);

ALTER TABLE activity_fishing_activity_flux_location ADD CONSTRAINT fishing_activity_flux_location_pk UNIQUE (fishing_activity_id, flux_location_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-462-location_m2m_activity', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1027, '8:a92a8cb44ada4024e37d11bb63d9b0c1', 'createTable tableName=activity_fishing_activity_flux_location; addUniqueConstraint constraintName=fishing_activity_flux_location_pk, tableName=activity_fishing_activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::ers-462-add-pos-activity::anwall
ALTER TABLE activity_fishing_activity ADD longitude FLOAT8;

ALTER TABLE activity_fishing_activity ADD latitude FLOAT8;

ALTER TABLE activity_fishing_activity ADD altitude FLOAT8;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-462-add-pos-activity', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1029, '8:10cef7744c834aa447cf05bedb5d18d7', 'addColumn tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::ers-462-location_m2m_catch::anwall
CREATE TABLE activity_fa_catch_specified_location (fa_catch_id INTEGER, flux_location_id INTEGER);

ALTER TABLE activity_fa_catch_specified_location ADD CONSTRAINT fa_catch_id_spec_location_pk UNIQUE (fa_catch_id, flux_location_id);

CREATE TABLE activity_fa_catch_destination_location (fa_catch_id INTEGER, flux_location_id INTEGER);

ALTER TABLE activity_fa_catch_destination_location ADD CONSTRAINT fa_catch_id_dest_location_pk UNIQUE (fa_catch_id, flux_location_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-462-location_m2m_catch', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1031, '8:4da0f5974bb12e447900d3185847b1a2', 'createTable tableName=activity_fa_catch_specified_location; addUniqueConstraint constraintName=fa_catch_id_spec_location_pk, tableName=activity_fa_catch_specified_location; createTable tableName=activity_fa_catch_destination_location; addUniqueCon...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::fa_change_geom_to_point::anwall
ALTER TABLE activity_fishing_activity ALTER COLUMN geom TYPE GEOMETRY(Point, 4326) USING (geom::GEOMETRY(Point, 4326));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('fa_change_geom_to_point', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1033, '8:b22ad475ec29abd4c2502e1ff99e70f3', 'modifyDataType columnName=geom, tableName=activity_fishing_activity', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::ers-462-drop-unused_cols::anwall
ALTER TABLE activity_fa_catch DROP COLUMN territory;

ALTER TABLE activity_fa_catch DROP COLUMN fao_area;

ALTER TABLE activity_fa_catch DROP COLUMN ices_stat_rectangle;

ALTER TABLE activity_fa_catch DROP COLUMN effort_zone;

ALTER TABLE activity_fa_catch DROP COLUMN gfcm_gsa;

ALTER TABLE activity_fa_catch DROP COLUMN gfcm_stat_rectangle;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-462-drop-unused_cols', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1035, '8:edc244ac20b73333c2a8b9a636abcb7f', 'dropColumn columnName=territory, tableName=activity_fa_catch; dropColumn columnName=fao_area, tableName=activity_fa_catch; dropColumn columnName=ices_stat_rectangle, tableName=activity_fa_catch; dropColumn columnName=effort_zone, tableName=activit...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::gear_problem_add_geom::anwall
ALTER TABLE activity_flux_location DROP COLUMN gear_problem_id;

ALTER TABLE activity_gear_problem ADD geom GEOMETRY(Point, 4326);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('gear_problem_add_geom', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1037, '8:16d35330c83941895dfd321cde2f032a', 'dropColumn columnName=gear_problem_id, tableName=activity_flux_location; addColumn tableName=activity_gear_problem', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::flux_location_drop_mappers::anwall
ALTER TABLE activity_flux_location DROP COLUMN flux_location_catch_type_mapper_info;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('flux_location_drop_mappers', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1039, '8:6ceb0df6d0d584d33e2386e91cbc4d63', 'dropColumn columnName=flux_location_catch_type_mapper_info, tableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::activity_structured_address_drop_location::anwall
ALTER TABLE activity_structured_address DROP COLUMN flux_location_id;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('activity_structured_address_drop_location', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1041, '8:259cf4994e6002d614b09dcee7a814bb', 'dropColumn columnName=flux_location_id, tableName=activity_structured_address', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::ers-catch_add-pos::anwall
ALTER TABLE activity_fa_catch ADD longitude FLOAT8;

ALTER TABLE activity_fa_catch ADD latitude FLOAT8;

ALTER TABLE activity_fa_catch ADD altitude FLOAT8;

ALTER TABLE activity_fa_catch ADD geom GEOMETRY(Point, 4326);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('ers-catch_add-pos', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1043, '8:fcfbc52563597ff05b0fbf73b9cea508', 'addColumn tableName=activity_fa_catch', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.5/db-changelog-UNIONVMS.xml::::anwall
ALTER TABLE activity_flux_location RENAME TO activity_location;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('', 'anwall', 'changelog/1.2.5/db-changelog-UNIONVMS.xml', NOW(), 1045, '8:c8ba7022ca12cd84652dc6a6e5489b53', 'renameTable newTableName=activity_location, oldTableName=activity_flux_location', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

-- Changeset changelog/1.2.13/db-changelog-UNIONVMS.xml::create parameter table::peerik
CREATE TABLE parameter (param_id VARCHAR(500) NOT NULL, param_description VARCHAR(500) NOT NULL, param_value VARCHAR(4000), CONSTRAINT param_pk PRIMARY KEY (param_id));

COMMENT ON TABLE parameter IS 'Table as a placeholder of parameters and its values';

COMMENT ON COLUMN parameter.param_id IS 'Id and code for parameter.';

COMMENT ON COLUMN parameter.param_description IS 'Description of parameter or value.';

COMMENT ON COLUMN parameter.param_value IS 'Parameter value.';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('create parameter table', 'peerik', 'changelog/1.2.13/db-changelog-UNIONVMS.xml', NOW(), 1047, '8:b092ef33e5d314da2e782e5383c142cf', 'createTable tableName=parameter', '', 'EXECUTED', NULL, NULL, '4.8.0', '7524774242');

