-- *********************************************************************
-- Update Database Script
-- *********************************************************************
-- Change Log: changelog/db-changelog-master.xml
-- Ran at: 3/17/22, 12:17 PM
-- Against: usm@offline:postgresql?changeLogFile=target/databasechangelog.csv&outputLiquibaseSql=true
-- Liquibase version: 4.8.0
-- *********************************************************************

CREATE TABLE databasechangelog (ID VARCHAR(255) NOT NULL, AUTHOR VARCHAR(255) NOT NULL, FILENAME VARCHAR(255) NOT NULL, DATEEXECUTED TIMESTAMP WITHOUT TIME ZONE NOT NULL, ORDEREXECUTED INTEGER NOT NULL, EXECTYPE VARCHAR(10) NOT NULL, MD5SUM VARCHAR(35), DESCRIPTION VARCHAR(255), COMMENTS VARCHAR(255), TAG VARCHAR(255), LIQUIBASE VARCHAR(20), CONTEXTS VARCHAR(255), LABELS VARCHAR(255), DEPLOYMENT_ID VARCHAR(10));

-- Changeset changelog/db-changelog-master.xml::tag-0.0::emtudorsm
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-0.0', 'emtudorsm', 'changelog/db-changelog-master.xml', NOW(), 1, '8:51e038ca312011b88cf5e077886bf6b5', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_0.0');

-- Changeset schema/tables/application.xml::28::emtudorsm
CREATE TABLE application_t (application_id INTEGER NOT NULL, name VARCHAR(128) NOT NULL, description VARCHAR(512), created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE application_t IS 'Holds identification information about a business application (or technical component) that relies on the USM component for security purposes.';

COMMENT ON COLUMN application_t.application_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN application_t.name IS 'The (fully qualified) name of the application';

COMMENT ON COLUMN application_t.description IS 'A free-text description of the application';

COMMENT ON COLUMN application_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN application_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN application_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN application_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('28', 'emtudorsm', 'schema/tables/application.xml', NOW(), 3, '8:1fa63a4273edf65f265053cd09a41d24', 'createTable tableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/application.xml::29::emtudorsm
ALTER TABLE application_t ADD CONSTRAINT pk_application PRIMARY KEY (application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('29', 'emtudorsm', 'schema/tables/application.xml', NOW(), 5, '8:dc6e9ce9723f7f9210c1081e2ebc3811', 'addPrimaryKey constraintName=pk_application, tableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/application.xml::30::emtudorsm
CREATE UNIQUE INDEX uk_appli_name ON application_t(name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('30', 'emtudorsm', 'schema/tables/application.xml', NOW(), 7, '8:c3e822f7256dd8beae93a3565fc07948', 'createIndex indexName=uk_appli_name, tableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/application.xml::281::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_application START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('281', 'emtudorsm', 'schema/tables/application.xml', NOW(), 9, '8:670e2fb653c8a48d76d869200c870cfc', 'createSequence sequenceName=sq_application', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/person.xml::8::emtudorsm
CREATE TABLE person_t (person_id INTEGER NOT NULL, first_name VARCHAR(32), last_name VARCHAR(32), phone_number VARCHAR(32), mobile_number VARCHAR(32), fax_number VARCHAR(32), e_mail VARCHAR(64), created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE person_t IS 'Holds information about a (contact) person (for a end-point).';

COMMENT ON COLUMN person_t.first_name IS 'The first or given name of the person';

COMMENT ON COLUMN person_t.last_name IS 'The last or family name of the person';

COMMENT ON COLUMN person_t.phone_number IS 'The person phone number';

COMMENT ON COLUMN person_t.mobile_number IS 'The person mobile phone number';

COMMENT ON COLUMN person_t.fax_number IS 'The person fax number';

COMMENT ON COLUMN person_t.e_mail IS 'The person e-mail address';

COMMENT ON COLUMN person_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN person_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN person_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN person_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('8', 'emtudorsm', 'schema/tables/person.xml', NOW(), 11, '8:6f246f8fb9bcabb5aad13c4f6c614844', 'createTable tableName=person_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/person.xml::9::emtudorsm
ALTER TABLE person_t ADD CONSTRAINT pk_person PRIMARY KEY (person_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('9', 'emtudorsm', 'schema/tables/person.xml', NOW(), 13, '8:4265be0c73f2f456f228ce381356f0d6', 'addPrimaryKey constraintName=pk_person, tableName=person_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/person.xml::81::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_person START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('81', 'emtudorsm', 'schema/tables/person.xml', NOW(), 15, '8:54bd05c9351facf954b59c21b6290699', 'createSequence sequenceName=sq_person', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope.xml::31::emtudorsm
CREATE TABLE scope_t (scope_id INTEGER NOT NULL, name VARCHAR(128) NOT NULL, description VARCHAR(512), application_id INTEGER NOT NULL, status CHAR(1) NOT NULL, active_from TIMESTAMP WITHOUT TIME ZONE, active_to TIMESTAMP WITHOUT TIME ZONE, data_from TIMESTAMP WITHOUT TIME ZONE, data_to TIMESTAMP WITHOUT TIME ZONE, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE scope_t IS 'Holds a business application data scope';

COMMENT ON COLUMN scope_t.scope_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN scope_t.name IS 'The (application unique) name of the scope';

COMMENT ON COLUMN scope_t.description IS 'A free-text description of the scope';

COMMENT ON COLUMN scope_t.application_id IS 'The identifier of the application defining the scope';

COMMENT ON COLUMN scope_t.status IS 'The status (enabled/disabled) of the scope';

COMMENT ON COLUMN scope_t.active_from IS 'The date and time when the scope becomes applicable/usable';

COMMENT ON COLUMN scope_t.active_to IS 'The date and time when the scope stops being applicable/usable';

COMMENT ON COLUMN scope_t.data_from IS 'For temporal data, the start of the (data) time window';

COMMENT ON COLUMN scope_t.data_to IS 'For temporal data, the end of the (data) time window';

COMMENT ON COLUMN scope_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN scope_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN scope_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN scope_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('31', 'emtudorsm', 'schema/tables/scope.xml', NOW(), 17, '8:7558439b4ce9a62f5133dbdc855c5445', 'createTable tableName=scope_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope.xml::32::emtudorsm
ALTER TABLE scope_t ADD CONSTRAINT pk_scope PRIMARY KEY (scope_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('32', 'emtudorsm', 'schema/tables/scope.xml', NOW(), 19, '8:6f0dc908c71849726931e3e7f1e72d37', 'addPrimaryKey constraintName=pk_scope, tableName=scope_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope.xml::33::emtudorsm
CREATE UNIQUE INDEX uk_scope_app ON scope_t(application_id, name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('33', 'emtudorsm', 'schema/tables/scope.xml', NOW(), 21, '8:74872d72c66616a79ac6746d92546a55', 'createIndex indexName=uk_scope_app, tableName=scope_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope.xml::34::emtudorsm
CREATE INDEX fk_scope_app ON scope_t(application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('34', 'emtudorsm', 'schema/tables/scope.xml', NOW(), 23, '8:d4f2447ebae808c9bbc0cfc04e70e5d9', 'createIndex indexName=fk_scope_app, tableName=scope_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope.xml::82::emtudorsm
ALTER TABLE scope_t ADD CONSTRAINT scope_application_fk FOREIGN KEY (application_id) REFERENCES application_t (application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('82', 'emtudorsm', 'schema/tables/scope.xml', NOW(), 25, '8:f2c634fb97ddc4e075484cf454cafeb6', 'addForeignKeyConstraint baseTableName=scope_t, constraintName=scope_application_fk, referencedTableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope.xml::311::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_scope START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('311', 'emtudorsm', 'schema/tables/scope.xml', NOW(), 27, '8:826e4ae895d865bb76d0b4b071aad469', 'createSequence sequenceName=sq_scope', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/organisation.xml::11::emtudorsm
CREATE TABLE organisation_t (organisation_id INTEGER NOT NULL, name VARCHAR(128) NOT NULL, isoa3code VARCHAR(9) NOT NULL, description VARCHAR(512), branch VARCHAR(512), status CHAR(1) NOT NULL, parent_id INTEGER, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE organisation_t IS 'Holds identification information about an organisation.';

COMMENT ON COLUMN organisation_t.organisation_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN organisation_t.name IS 'The name of the organisation';

COMMENT ON COLUMN organisation_t.isoa3code IS 'The ISOA3CODE of the country/nation to which the organisation belong';

COMMENT ON COLUMN organisation_t.description IS 'A free-text description of the organisation';

COMMENT ON COLUMN organisation_t.branch IS 'The name of a specific branch of the organisation';

COMMENT ON COLUMN organisation_t.status IS 'The status (enabled/disabled) of the organisation';

COMMENT ON COLUMN organisation_t.parent_id IS 'The identifier of the parent organisation';

COMMENT ON COLUMN organisation_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN organisation_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN organisation_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN organisation_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('11', 'emtudorsm', 'schema/tables/organisation.xml', NOW(), 29, '8:c9650f495f5c6a4c5ae90906713a9721', 'createTable tableName=organisation_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/organisation.xml::12::emtudorsm
ALTER TABLE organisation_t ADD CONSTRAINT pk_organisation PRIMARY KEY (organisation_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12', 'emtudorsm', 'schema/tables/organisation.xml', NOW(), 31, '8:f4ccf866676ffe4afb175c99d83f7ad4', 'addPrimaryKey constraintName=pk_organisation, tableName=organisation_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/organisation.xml::13::emtudorsm
CREATE UNIQUE INDEX uk_org_name ON organisation_t(name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('13', 'emtudorsm', 'schema/tables/organisation.xml', NOW(), 33, '8:664e34efa42bbe8d6ae24b2bb41d1ca6', 'createIndex indexName=uk_org_name, tableName=organisation_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/organisation.xml::14::emtudorsm
CREATE INDEX fk_org_org ON organisation_t(parent_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('14', 'emtudorsm', 'schema/tables/organisation.xml', NOW(), 35, '8:0c3571e3edf6b6caef7ea1acba434a94', 'createIndex indexName=fk_org_org, tableName=organisation_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/organisation.xml::71::emtudorsm
ALTER TABLE organisation_t ADD CONSTRAINT parent_organisation_fk FOREIGN KEY (parent_id) REFERENCES organisation_t (organisation_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('71', 'emtudorsm', 'schema/tables/organisation.xml', NOW(), 37, '8:7921be9ff4f8670fb8abd61b06aae641', 'addForeignKeyConstraint baseTableName=organisation_t, constraintName=parent_organisation_fk, referencedTableName=organisation_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/organisation.xml::111::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_organisation START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('111', 'emtudorsm', 'schema/tables/organisation.xml', NOW(), 39, '8:f30f8100456bf74fb9f0dd77a8a7016c', 'createSequence sequenceName=sq_organisation', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/end-point.xml::15::emtudorsm
CREATE TABLE end_point_t (end_point_id INTEGER NOT NULL, name VARCHAR(128) NOT NULL, description VARCHAR(512), uri VARCHAR(256) NOT NULL, priority VARCHAR(32) NOT NULL, status CHAR(1) NOT NULL, organisation_id INTEGER NOT NULL, person_id INTEGER NOT NULL, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE end_point_t IS 'Holds interconnection information for an (external) information system operated by an organisation.';

COMMENT ON COLUMN end_point_t.end_point_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN end_point_t.name IS 'The name of the end-point';

COMMENT ON COLUMN end_point_t.description IS 'A free-text description of the end-point';

COMMENT ON COLUMN end_point_t.uri IS 'The URI of the end-point';

COMMENT ON COLUMN end_point_t.priority IS 'The priority (main/fall-back) of the end-point';

COMMENT ON COLUMN end_point_t.status IS 'The status (enabled/disabled) of the end-point';

COMMENT ON COLUMN end_point_t.organisation_id IS 'The identifier of the organisation owning the end-point';

COMMENT ON COLUMN end_point_t.person_id IS 'The identifier of the contact person for the end-point';

COMMENT ON COLUMN end_point_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN end_point_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN end_point_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN end_point_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('15', 'emtudorsm', 'schema/tables/end-point.xml', NOW(), 41, '8:3c5ff4a107521725d1ddb738c76583d5', 'createTable tableName=end_point_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/end-point.xml::16::emtudorsm
ALTER TABLE end_point_t ADD CONSTRAINT pk_end_point PRIMARY KEY (end_point_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('16', 'emtudorsm', 'schema/tables/end-point.xml', NOW(), 43, '8:e335d2a50bb393535293304df9314a23', 'addPrimaryKey constraintName=pk_end_point, tableName=end_point_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/end-point.xml::17::emtudorsm
CREATE INDEX fk_end_point_org ON end_point_t(organisation_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17', 'emtudorsm', 'schema/tables/end-point.xml', NOW(), 45, '8:d7318170147adf95ae976ad026dbaaf7', 'createIndex indexName=fk_end_point_org, tableName=end_point_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/end-point.xml::18::emtudorsm
CREATE INDEX fk_end_point_pers ON end_point_t(person_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('18', 'emtudorsm', 'schema/tables/end-point.xml', NOW(), 47, '8:54e5cd326604bab140df995eb3a75b04', 'createIndex indexName=fk_end_point_pers, tableName=end_point_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/end-point.xml::19::emtudorsm
CREATE INDEX ix_end_point_name ON end_point_t(name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('19', 'emtudorsm', 'schema/tables/end-point.xml', NOW(), 49, '8:c06dd2899ac944878567fde04bfa69ee', 'createIndex indexName=ix_end_point_name, tableName=end_point_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/end-point.xml::70::emtudorsm
ALTER TABLE end_point_t ADD CONSTRAINT end_point_person_fk FOREIGN KEY (person_id) REFERENCES person_t (person_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('70', 'emtudorsm', 'schema/tables/end-point.xml', NOW(), 51, '8:5f92d995e128389b6e3ea8de75ded9ce', 'addForeignKeyConstraint baseTableName=end_point_t, constraintName=end_point_person_fk, referencedTableName=person_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/end-point.xml::73::emtudorsm
ALTER TABLE end_point_t ADD CONSTRAINT end_point_organisation_fk FOREIGN KEY (organisation_id) REFERENCES organisation_t (organisation_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('73', 'emtudorsm', 'schema/tables/end-point.xml', NOW(), 53, '8:f40f67a37df3ce3096f525d16bfb8df3', 'addForeignKeyConstraint baseTableName=end_point_t, constraintName=end_point_organisation_fk, referencedTableName=organisation_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/end-point.xml::151::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_end_point START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('151', 'emtudorsm', 'schema/tables/end-point.xml', NOW(), 55, '8:c86b135c7cc54550f99f7b03cb255a70', 'createSequence sequenceName=sq_end_point', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/feature.xml::47::emtudorsm
CREATE TABLE feature_t (feature_id INTEGER NOT NULL, name VARCHAR(128) NOT NULL, description VARCHAR(512), application_id INTEGER NOT NULL, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE feature_t IS 'Holds identification for a business application feature.';

COMMENT ON COLUMN feature_t.feature_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN feature_t.name IS 'The (application unique) name of the feature';

COMMENT ON COLUMN feature_t.description IS 'A free-text description of the feature';

COMMENT ON COLUMN feature_t.application_id IS 'The identifier of the application implementing the feature';

COMMENT ON COLUMN feature_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN feature_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN feature_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN feature_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('47', 'emtudorsm', 'schema/tables/feature.xml', NOW(), 57, '8:41dbc9b92a8f33804f3f9b637ec19c4f', 'createTable tableName=feature_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/feature.xml::48::emtudorsm
ALTER TABLE feature_t ADD CONSTRAINT pk_feature PRIMARY KEY (feature_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('48', 'emtudorsm', 'schema/tables/feature.xml', NOW(), 59, '8:03c301e647c83c91dd8d49baf2d97958', 'addPrimaryKey constraintName=pk_feature, tableName=feature_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/feature.xml::49::emtudorsm
CREATE UNIQUE INDEX uk_feature_app ON feature_t(application_id, name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('49', 'emtudorsm', 'schema/tables/feature.xml', NOW(), 61, '8:00097973d64a3067bc2fe3ebe2d7dbf6', 'createIndex indexName=uk_feature_app, tableName=feature_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/feature.xml::50::emtudorsm
CREATE INDEX fk_feature_app ON feature_t(application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('50', 'emtudorsm', 'schema/tables/feature.xml', NOW(), 63, '8:a8654046ed15285d6b8d352465ad9c1f', 'createIndex indexName=fk_feature_app, tableName=feature_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/feature.xml::78::emtudorsm
ALTER TABLE feature_t ADD CONSTRAINT feature_application_fk FOREIGN KEY (application_id) REFERENCES application_t (application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('78', 'emtudorsm', 'schema/tables/feature.xml', NOW(), 65, '8:6c0172bb72da43f862920d9fde67f502', 'addForeignKeyConstraint baseTableName=feature_t, constraintName=feature_application_fk, referencedTableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/feature.xml::471::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_feature START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('471', 'emtudorsm', 'schema/tables/feature.xml', NOW(), 67, '8:a13ae7289cf3fb9a840772325113ebdf', 'createSequence sequenceName=sq_feature', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/option.xml::54::emtudorsm
CREATE TABLE option_t (option_id INTEGER NOT NULL, name VARCHAR(128) NOT NULL, description VARCHAR(512), data_type VARCHAR(32), default_value VARCHAR(512), application_id INTEGER NOT NULL, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE option_t IS 'Holds information about a user customisable option defined and supported by a business application';

COMMENT ON COLUMN option_t.option_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN option_t.name IS 'The (application unique) name of the user customisable option';

COMMENT ON COLUMN option_t.description IS 'A free-text description of the user customisable option';

COMMENT ON COLUMN option_t.data_type IS 'The type of values supported: String, Y/N, Number, Date, Time, JSON';

COMMENT ON COLUMN option_t.default_value IS 'The default value of this option';

COMMENT ON COLUMN option_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN option_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN option_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN option_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('54', 'emtudorsm', 'schema/tables/option.xml', NOW(), 69, '8:c079eaa241be1f9956df7b148846a32d', 'createTable tableName=option_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/option.xml::55::emtudorsm
ALTER TABLE option_t ADD CONSTRAINT pk_option PRIMARY KEY (option_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('55', 'emtudorsm', 'schema/tables/option.xml', NOW(), 71, '8:c0e10b9b4756e96bc06b68336d9dd980', 'addPrimaryKey constraintName=pk_option, tableName=option_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/option.xml::56::emtudorsm
CREATE UNIQUE INDEX uk_option_app ON option_t(application_id, name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('56', 'emtudorsm', 'schema/tables/option.xml', NOW(), 73, '8:5e0341aefede96422757496ba9e8ab98', 'createIndex indexName=uk_option_app, tableName=option_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/option.xml::57::emtudorsm
CREATE INDEX fk_option_app ON option_t(application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('57', 'emtudorsm', 'schema/tables/option.xml', NOW(), 75, '8:5a1f3e871725c53204919ef7a83be895', 'createIndex indexName=fk_option_app, tableName=option_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/option.xml::79::emtudorsm
ALTER TABLE option_t ADD CONSTRAINT option_application_fk FOREIGN KEY (application_id) REFERENCES application_t (application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('79', 'emtudorsm', 'schema/tables/option.xml', NOW(), 77, '8:ff0140eab701f97179df74755b73e7eb', 'addForeignKeyConstraint baseTableName=option_t, constraintName=option_application_fk, referencedTableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/option.xml::541::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_option START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('541', 'emtudorsm', 'schema/tables/option.xml', NOW(), 79, '8:90d7786696d45c312899ba22ef30d1fe', 'createSequence sequenceName=sq_option', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/dataset.xml::35::emtudorsm
CREATE TABLE dataset_t (dataset_id INTEGER NOT NULL, name VARCHAR(128) NOT NULL, description VARCHAR(512), category VARCHAR(128) NOT NULL, discriminator VARCHAR(512), application_id INTEGER NOT NULL, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE dataset_t IS 'Holds identification information for a specific data-set managed by a business application and to which access must be controlled.';

COMMENT ON COLUMN dataset_t.dataset_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN dataset_t.name IS 'The (application unique) name of the data-set';

COMMENT ON COLUMN dataset_t.description IS 'A free-text description of the data-set';

COMMENT ON COLUMN dataset_t.category IS 'The category (or type) of data items included in the data-set';

COMMENT ON COLUMN dataset_t.discriminator IS 'A discriminator value that identifies the specific data items included in the data-set';

COMMENT ON COLUMN dataset_t.application_id IS 'The identifier of the application defining the data-set';

COMMENT ON COLUMN dataset_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN dataset_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN dataset_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN dataset_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('35', 'emtudorsm', 'schema/tables/dataset.xml', NOW(), 81, '8:e5b7c31c19d467deee2999989b32e6e3', 'createTable tableName=dataset_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/dataset.xml::36::emtudorsm
ALTER TABLE dataset_t ADD CONSTRAINT pk_dataset PRIMARY KEY (dataset_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('36', 'emtudorsm', 'schema/tables/dataset.xml', NOW(), 83, '8:0e66b4dfde12fdd6e76501b3a592576a', 'addPrimaryKey constraintName=pk_dataset, tableName=dataset_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/dataset.xml::37::emtudorsm
CREATE UNIQUE INDEX uk_dataset_app ON dataset_t(application_id, name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('37', 'emtudorsm', 'schema/tables/dataset.xml', NOW(), 85, '8:985f444e15f8f20cc2542bfa1244afdb', 'createIndex indexName=uk_dataset_app, tableName=dataset_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/dataset.xml::38::emtudorsm
CREATE INDEX fk_dataset_app ON dataset_t(application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('38', 'emtudorsm', 'schema/tables/dataset.xml', NOW(), 87, '8:488f3af1f2a0964680f632e808be1616', 'createIndex indexName=fk_dataset_app, tableName=dataset_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/dataset.xml::81::emtudorsm
ALTER TABLE dataset_t ADD CONSTRAINT dataset_application_fk FOREIGN KEY (application_id) REFERENCES application_t (application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('81', 'emtudorsm', 'schema/tables/dataset.xml', NOW(), 89, '8:9d15b34b54e1693fd7765e3e4e3c4e02', 'addForeignKeyConstraint baseTableName=dataset_t, constraintName=dataset_application_fk, referencedTableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/dataset.xml::351::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_dataset START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('351', 'emtudorsm', 'schema/tables/dataset.xml', NOW(), 91, '8:a79e4859b93a9d02f277289b61742020', 'createSequence sequenceName=sq_dataset', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope_dataset.xml::39::emtudorsm
CREATE TABLE scope_dataset_t (scope_id INTEGER NOT NULL, dataset_id INTEGER NOT NULL);

COMMENT ON TABLE scope_dataset_t IS 'Holds an association between a scope and a data set.';

COMMENT ON COLUMN scope_dataset_t.scope_id IS 'The identifier of the scope';

COMMENT ON COLUMN scope_dataset_t.dataset_id IS 'The identifier of the data set';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('39', 'emtudorsm', 'schema/tables/scope_dataset.xml', NOW(), 93, '8:024b8dbe009218ad4cdefab33000a601', 'createTable tableName=scope_dataset_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope_dataset.xml::40::emtudorsm
CREATE INDEX fk_scope_dataset_dataset ON scope_dataset_t(dataset_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('40', 'emtudorsm', 'schema/tables/scope_dataset.xml', NOW(), 95, '8:ab02e7f38c8c405f777a95883023faf2', 'createIndex indexName=fk_scope_dataset_dataset, tableName=scope_dataset_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope_dataset.xml::41::emtudorsm
CREATE INDEX fk_scope_dataset_scope ON scope_dataset_t(scope_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('41', 'emtudorsm', 'schema/tables/scope_dataset.xml', NOW(), 97, '8:71240fe6ea4fb4c2b5a36054d6ea38bd', 'createIndex indexName=fk_scope_dataset_scope, tableName=scope_dataset_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope_dataset.xml::83::emtudorsm
ALTER TABLE scope_dataset_t ADD CONSTRAINT scope_ds_scope_fk FOREIGN KEY (scope_id) REFERENCES scope_t (scope_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('83', 'emtudorsm', 'schema/tables/scope_dataset.xml', NOW(), 99, '8:007a01b72af0e195f02e316dd7d49078', 'addForeignKeyConstraint baseTableName=scope_dataset_t, constraintName=scope_ds_scope_fk, referencedTableName=scope_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/scope_dataset.xml::85::emtudorsm
ALTER TABLE scope_dataset_t ADD CONSTRAINT scope_ds_dataset_fk FOREIGN KEY (dataset_id) REFERENCES dataset_t (dataset_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('85', 'emtudorsm', 'schema/tables/scope_dataset.xml', NOW(), 101, '8:5bc89c22fb9f7dc0a1593121368a8204', 'addForeignKeyConstraint baseTableName=scope_dataset_t, constraintName=scope_ds_dataset_fk, referencedTableName=dataset_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/policy.xml::3::emtudorsm
CREATE TABLE policy_t (policy_id INTEGER NOT NULL, name VARCHAR(128) NOT NULL, description VARCHAR(512), subject VARCHAR(128) NOT NULL, value VARCHAR(128) NOT NULL, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE policy_t IS 'Holds the account and password policies.';

COMMENT ON COLUMN policy_t.policy_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN policy_t.name IS 'The (globally unique) name of the policy';

COMMENT ON COLUMN policy_t.description IS 'A free-text description of the policy';

COMMENT ON COLUMN policy_t.subject IS 'The subject of the policy: account, password';

COMMENT ON COLUMN policy_t.value IS 'The configured value of the policy';

COMMENT ON COLUMN policy_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN policy_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN policy_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN policy_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('3', 'emtudorsm', 'schema/tables/policy.xml', NOW(), 103, '8:84c65cdb426f06956279966df024cb4c', 'createTable tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/policy.xml::4::emtudorsm
ALTER TABLE policy_t ADD CONSTRAINT pk_policy PRIMARY KEY (policy_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('4', 'emtudorsm', 'schema/tables/policy.xml', NOW(), 105, '8:cbca9e2c6a6a160dcdfac04eab5ee8cc', 'addPrimaryKey constraintName=pk_policy, tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/policy.xml::5::emtudorsm
CREATE UNIQUE INDEX uk_policy_name ON policy_t(name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('5', 'emtudorsm', 'schema/tables/policy.xml', NOW(), 107, '8:a5d15dbdd5c22a7be2f0e53b0698894b', 'createIndex indexName=uk_policy_name, tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/policy.xml::31::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_policy START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('31', 'emtudorsm', 'schema/tables/policy.xml', NOW(), 109, '8:b2ca0d0432aa9db76c33b0bdf4d624b8', 'createSequence sequenceName=sq_policy', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/role.xml::12_1::emtudorsm
CREATE TABLE role_t (role_id INTEGER NOT NULL, name VARCHAR(128) NOT NULL, description VARCHAR(512), application_id INTEGER NOT NULL, status CHAR(1) NOT NULL, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE role_t IS 'Holds identification information about a security role.';

COMMENT ON COLUMN role_t.role_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN role_t.name IS 'The (application unique) name of the role';

COMMENT ON COLUMN role_t.description IS 'A free-text description of the role';

COMMENT ON COLUMN role_t.application_id IS 'The identifier of the application using the role';

COMMENT ON COLUMN role_t.status IS 'The status (enabled/disabled) of the role';

COMMENT ON COLUMN role_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN role_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN role_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN role_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12_1', 'emtudorsm', 'schema/tables/role.xml', NOW(), 111, '8:8acc8a391115cb318c3c46372a08d99f', 'createTable tableName=role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/role.xml::12_2::emtudorsm
ALTER TABLE role_t ADD CONSTRAINT pk_role PRIMARY KEY (role_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12_2', 'emtudorsm', 'schema/tables/role.xml', NOW(), 113, '8:46a27213aeba476a971e91bc58b8c7cb', 'addPrimaryKey constraintName=pk_role, tableName=role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/role.xml::12_3::emtudorsm
CREATE UNIQUE INDEX uk_role_app ON role_t(application_id, name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12_3', 'emtudorsm', 'schema/tables/role.xml', NOW(), 115, '8:b7f706a0e14af526e4c9cab60320de24', 'createIndex indexName=uk_role_app, tableName=role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/role.xml::12_4::emtudorsm
CREATE INDEX fk_role_app ON role_t(application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12_4', 'emtudorsm', 'schema/tables/role.xml', NOW(), 117, '8:4b828edbe537782753aad191ec1f8535', 'createIndex indexName=fk_role_app, tableName=role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/role.xml::80::emtudorsm
ALTER TABLE role_t ADD CONSTRAINT role_application_fk FOREIGN KEY (application_id) REFERENCES application_t (application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('80', 'emtudorsm', 'schema/tables/role.xml', NOW(), 119, '8:b3c2a64203525dea0af397692c8b9cce', 'addForeignKeyConstraint baseTableName=role_t, constraintName=role_application_fk, referencedTableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/role.xml::12_5::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_role START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('12_5', 'emtudorsm', 'schema/tables/role.xml', NOW(), 121, '8:b1804314abdf84d0ac2af5465ceb3edf', 'createSequence sequenceName=sq_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/permission.xml::51::emtudorsm
CREATE TABLE permission_t (role_id INTEGER NOT NULL, feature_id INTEGER NOT NULL);

COMMENT ON TABLE permission_t IS 'Holds a permission granted to a role to use an application feature.';

COMMENT ON COLUMN permission_t.role_id IS 'The identifier of the role';

COMMENT ON COLUMN permission_t.feature_id IS 'The identifier of the feature';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('51', 'emtudorsm', 'schema/tables/permission.xml', NOW(), 123, '8:54bae7d322c08e1efb1833016332709d', 'createTable tableName=permission_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/permission.xml::52::emtudorsm
CREATE INDEX fk_permission_feature ON permission_t(feature_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('52', 'emtudorsm', 'schema/tables/permission.xml', NOW(), 125, '8:9cc9dd5554ba62121706a3f531b31975', 'createIndex indexName=fk_permission_feature, tableName=permission_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/permission.xml::53::emtudorsm
CREATE INDEX fk_permission_role ON permission_t(role_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('53', 'emtudorsm', 'schema/tables/permission.xml', NOW(), 127, '8:5d560a100ae7e3f1673b29963ee5aa38', 'createIndex indexName=fk_permission_role, tableName=permission_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/permission.xml::88::emtudorsm
ALTER TABLE permission_t ADD CONSTRAINT permission_feature_fk FOREIGN KEY (feature_id) REFERENCES feature_t (feature_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('88', 'emtudorsm', 'schema/tables/permission.xml', NOW(), 129, '8:68ae9d7c91f6902500f43f34ffcf193e', 'addForeignKeyConstraint baseTableName=permission_t, constraintName=permission_feature_fk, referencedTableName=feature_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/permission.xml::86::emtudorsm
ALTER TABLE permission_t ADD CONSTRAINT permission_role_fk FOREIGN KEY (role_id) REFERENCES role_t (role_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('86', 'emtudorsm', 'schema/tables/permission.xml', NOW(), 131, '8:868b10b54fd2a318b324910326c7ad98', 'addForeignKeyConstraint baseTableName=permission_t, constraintName=permission_role_fk, referencedTableName=role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user.xml::17::emtudorsm
CREATE TABLE user_t (user_id INTEGER NOT NULL, user_name VARCHAR(32) NOT NULL, status CHAR(1) NOT NULL, organisation_id INTEGER, person_id INTEGER, active_from TIMESTAMP WITHOUT TIME ZONE, active_to TIMESTAMP WITHOUT TIME ZONE, last_logon TIMESTAMP WITHOUT TIME ZONE, lockout_to TIMESTAMP WITHOUT TIME ZONE, password_expiry TIMESTAMP WITHOUT TIME ZONE, PASSWORD VARCHAR(32), lockout_reason VARCHAR(128), logon_failure INTEGER, notes VARCHAR(512), created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE user_t IS 'Holds identification and authentication information about a user.';

COMMENT ON COLUMN user_t.user_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN user_t.user_name IS 'The login name of the user';

COMMENT ON COLUMN user_t.status IS 'The status (enabled/disabled/locked) of the user (account)';

COMMENT ON COLUMN user_t.organisation_id IS 'The identifier of the organisation to which the user belong';

COMMENT ON COLUMN user_t.person_id IS 'The identifier of the (physical) person associated with this user (account)';

COMMENT ON COLUMN user_t.active_from IS 'The date and time when the user (account) becomes usable';

COMMENT ON COLUMN user_t.active_to IS 'The date and time when the user (account) stops being usable';

COMMENT ON COLUMN user_t.last_logon IS 'The date and time of the last successful logon';

COMMENT ON COLUMN user_t.lockout_to IS 'The date and time when the lockout ends';

COMMENT ON COLUMN user_t.password_expiry IS 'The date and time of the (current) password expiry';

COMMENT ON COLUMN user_t.PASSWORD IS 'The user hashed password';

COMMENT ON COLUMN user_t.lockout_reason IS 'The reason for the lockout of the user (account)';

COMMENT ON COLUMN user_t.logon_failure IS 'The number of consecutive logon failures';

COMMENT ON COLUMN user_t.notes IS 'A free-text note';

COMMENT ON COLUMN user_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN user_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN user_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN user_t.modified_on IS 'The date and time the entry was last updated';

ALTER TABLE user_t ADD CONSTRAINT pk_user PRIMARY KEY (user_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17', 'emtudorsm', 'schema/tables/user.xml', NOW(), 133, '8:d0a3a2e1b73db7c20eaaab67d668eed6', 'createTable tableName=user_t; addPrimaryKey constraintName=pk_user, tableName=user_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user.xml::17_2::emtudorsm
CREATE UNIQUE INDEX uk_user_name ON user_t(user_name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17_2', 'emtudorsm', 'schema/tables/user.xml', NOW(), 135, '8:e903964c3049945f32a53c4a498f375c', 'createIndex indexName=uk_user_name, tableName=user_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user.xml::17_3::emtudorsm
CREATE INDEX fk_user_org ON user_t(organisation_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17_3', 'emtudorsm', 'schema/tables/user.xml', NOW(), 137, '8:d15ca3614ef5483a72e7162fca78dfa3', 'createIndex indexName=fk_user_org, tableName=user_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user.xml::17_4::emtudorsm
CREATE INDEX fk_user_pers ON user_t(person_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17_4', 'emtudorsm', 'schema/tables/user.xml', NOW(), 139, '8:d0bf4e813024edf4b4db498cb66856a6', 'createIndex indexName=fk_user_pers, tableName=user_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user.xml::17_5::emtudorsm
ALTER TABLE user_t ADD CONSTRAINT user_person_fk FOREIGN KEY (person_id) REFERENCES person_t (person_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17_5', 'emtudorsm', 'schema/tables/user.xml', NOW(), 141, '8:bb73e2b51208112881eff75567355b18', 'addForeignKeyConstraint baseTableName=user_t, constraintName=user_person_fk, referencedTableName=person_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user.xml::17_6::emtudorsm
ALTER TABLE user_t ADD CONSTRAINT user_organisation_fk FOREIGN KEY (organisation_id) REFERENCES organisation_t (organisation_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17_6', 'emtudorsm', 'schema/tables/user.xml', NOW(), 143, '8:f070ad17be6ec8bfe1e9a610b6f94604', 'addForeignKeyConstraint baseTableName=user_t, constraintName=user_organisation_fk, referencedTableName=organisation_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user.xml::17_7::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_user START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('17_7', 'emtudorsm', 'schema/tables/user.xml', NOW(), 145, '8:658ced44ae39ad41f7efe06f377d3ebf', 'createSequence sequenceName=sq_user', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::63::emtudorsm
CREATE TABLE user_role_t (user_role_id INTEGER NOT NULL, user_id INTEGER NOT NULL, role_id INTEGER NOT NULL, scope_id INTEGER);

COMMENT ON TABLE user_role_t IS 'Holds the assignement of a role (and optional scope) to a user.';

COMMENT ON COLUMN user_role_t.user_role_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN user_role_t.user_id IS 'The identifier of the user';

COMMENT ON COLUMN user_role_t.role_id IS 'The identifier of the role';

COMMENT ON COLUMN user_role_t.scope_id IS 'The identifier of the scope';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('63', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 147, '8:1c6a61a6bd59ac2c1d4f12c0d879317a', 'createTable tableName=user_role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::64::emtudorsm
ALTER TABLE user_role_t ADD CONSTRAINT pk_user_role PRIMARY KEY (user_role_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('64', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 149, '8:97181809d6d01fcfe48872e60941fd14', 'addPrimaryKey constraintName=pk_user_role, tableName=user_role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::65::emtudorsm
CREATE UNIQUE INDEX uk_role_user ON user_role_t(user_id, role_id, scope_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('65', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 151, '8:c2d7369a633cd5cfd57f5c9cdf41e68b', 'createIndex indexName=uk_role_user, tableName=user_role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::66::emtudorsm
CREATE INDEX fk_user_role_role ON user_role_t(role_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('66', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 153, '8:04d58249b8de3dcb01fe9d49b1aa36d1', 'createIndex indexName=fk_user_role_role, tableName=user_role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::67::emtudorsm
CREATE INDEX fk_user_role_scope ON user_role_t(scope_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('67', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 155, '8:144b7103506d4490ed5f7b28085bbc1c', 'createIndex indexName=fk_user_role_scope, tableName=user_role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::68::emtudorsm
CREATE INDEX fk_user_role_user ON user_role_t(user_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('68', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 157, '8:cbb3d997f13653d5fded7fc3cbf83782', 'createIndex indexName=fk_user_role_user, tableName=user_role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::75::emtudorsm
ALTER TABLE user_role_t ADD CONSTRAINT user_role_user_fk FOREIGN KEY (user_id) REFERENCES user_t (user_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('75', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 159, '8:fa353c4987543ff24129cf8c8a9651bf', 'addForeignKeyConstraint baseTableName=user_role_t, constraintName=user_role_user_fk, referencedTableName=user_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::84::emtudorsm
ALTER TABLE user_role_t ADD CONSTRAINT user_role_scope_fk FOREIGN KEY (scope_id) REFERENCES scope_t (scope_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('84', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 161, '8:b8acbb5e7d9ae77998f0606021f1909d', 'addForeignKeyConstraint baseTableName=user_role_t, constraintName=user_role_scope_fk, referencedTableName=scope_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::87::emtudorsm
ALTER TABLE user_role_t ADD CONSTRAINT user_role_role_fk FOREIGN KEY (role_id) REFERENCES role_t (role_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('87', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 163, '8:f49321129404f70261d79c230361b41c', 'addForeignKeyConstraint baseTableName=user_role_t, constraintName=user_role_role_fk, referencedTableName=role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/user_role.xml::311::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_user_role START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('311', 'emtudorsm', 'schema/tables/user_role.xml', NOW(), 165, '8:b804b65c425f163d90b9cefba6e19721', 'createSequence sequenceName=sq_user_role', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/preference.xml::58::emtudorsm
CREATE TABLE preference_t (preference_id INTEGER NOT NULL, user_id INTEGER NOT NULL, option_id INTEGER NOT NULL, option_value VARCHAR(512) NOT NULL, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE preference_t IS 'Holds a user preference for an application specific customisable option.';

COMMENT ON COLUMN preference_t.preference_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN preference_t.user_id IS 'The identifier of the user';

COMMENT ON COLUMN preference_t.option_id IS 'The identifier of the option';

COMMENT ON COLUMN preference_t.option_value IS 'The option value';

COMMENT ON COLUMN preference_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN preference_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN preference_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN preference_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('58', 'emtudorsm', 'schema/tables/preference.xml', NOW(), 167, '8:6f6c46028486d328788c3013b9dc0871', 'createTable tableName=preference_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/preference.xml::59::emtudorsm
ALTER TABLE preference_t ADD CONSTRAINT pk_preference PRIMARY KEY (preference_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('59', 'emtudorsm', 'schema/tables/preference.xml', NOW(), 169, '8:9c8de27d7ae4da4f7a21968533304dd4', 'addPrimaryKey constraintName=pk_preference, tableName=preference_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/preference.xml::60::emtudorsm
CREATE UNIQUE INDEX uk_pref_user_option ON preference_t(user_id, option_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('60', 'emtudorsm', 'schema/tables/preference.xml', NOW(), 171, '8:d214fd001b7d9cb3dcbc87d89f96a77c', 'createIndex indexName=uk_pref_user_option, tableName=preference_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/preference.xml::76::emtudorsm
ALTER TABLE preference_t ADD CONSTRAINT preference_user_fk FOREIGN KEY (user_id) REFERENCES user_t (user_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('76', 'emtudorsm', 'schema/tables/preference.xml', NOW(), 173, '8:20a031c4456113dbe7e3047671d81eaa', 'addForeignKeyConstraint baseTableName=preference_t, constraintName=preference_user_fk, referencedTableName=user_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/preference.xml::89::emtudorsm
ALTER TABLE preference_t ADD CONSTRAINT preference_option_fk FOREIGN KEY (option_id) REFERENCES option_t (option_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('89', 'emtudorsm', 'schema/tables/preference.xml', NOW(), 175, '8:c15b7555ed4e157dec26816d096f16b2', 'addForeignKeyConstraint baseTableName=preference_t, constraintName=preference_option_fk, referencedTableName=option_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/preference.xml::581::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_preference START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('581', 'emtudorsm', 'schema/tables/preference.xml', NOW(), 177, '8:f9f9b7e6d3426ee0bf175522f53df47f', 'createSequence sequenceName=sq_preference', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/challenge.xml::25::emtudorsm
CREATE TABLE challenge_t (challenge_id INTEGER NOT NULL, user_id INTEGER NOT NULL, challenge VARCHAR(128) NOT NULL, response VARCHAR(128) NOT NULL, hint VARCHAR(128), created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE challenge_t IS 'Holds challenge/response pairs used to confirm the identity of an authenticated user.';

COMMENT ON COLUMN challenge_t.challenge_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN challenge_t.user_id IS 'The identifier of the user';

COMMENT ON COLUMN challenge_t.challenge IS 'The challenge';

COMMENT ON COLUMN challenge_t.response IS 'The (expected) response to the challenge';

COMMENT ON COLUMN challenge_t.hint IS 'An optional hint for the user';

COMMENT ON COLUMN challenge_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN challenge_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN challenge_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN challenge_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('25', 'emtudorsm', 'schema/tables/challenge.xml', NOW(), 179, '8:b4c6ee8d191eb896bcf9a713cfc8ff4f', 'createTable tableName=challenge_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/challenge.xml::26::emtudorsm
ALTER TABLE challenge_t ADD CONSTRAINT pk_challenge PRIMARY KEY (challenge_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('26', 'emtudorsm', 'schema/tables/challenge.xml', NOW(), 181, '8:db9b42adc62ce22e087aaf02a7d1a1a4', 'addPrimaryKey constraintName=pk_challenge, tableName=challenge_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/challenge.xml::27::emtudorsm
CREATE INDEX fk_challenge_user ON challenge_t(user_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('27', 'emtudorsm', 'schema/tables/challenge.xml', NOW(), 183, '8:b80bd8aa26b40f2fa4a398726c7e0f48', 'createIndex indexName=fk_challenge_user, tableName=challenge_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/challenge.xml::77::emtudorsm
ALTER TABLE challenge_t ADD CONSTRAINT challenge_user_fk FOREIGN KEY (user_id) REFERENCES user_t (user_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('77', 'emtudorsm', 'schema/tables/challenge.xml', NOW(), 185, '8:ad62baec77414080df95edeaa02a30f9', 'addForeignKeyConstraint baseTableName=challenge_t, constraintName=challenge_user_fk, referencedTableName=user_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/challenge.xml::251::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_challenge START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('251', 'emtudorsm', 'schema/tables/challenge.xml', NOW(), 187, '8:73651ddc8835504f13809ac60deb3927', 'createSequence sequenceName=sq_challenge', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/password_hist.xml::61::emtudorsm
CREATE TABLE password_hist_t (password_hist_id INTEGER NOT NULL, user_id INTEGER NOT NULL, PASSWORD VARCHAR(32) NOT NULL, changed_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE password_hist_t IS 'Holds the history of user passwords (stored as MD5 hashes).';

COMMENT ON COLUMN password_hist_t.password_hist_id IS 'Unique record id (primary key)';

COMMENT ON COLUMN password_hist_t.user_id IS 'The identifier of the user';

COMMENT ON COLUMN password_hist_t.PASSWORD IS 'The changed (old) password';

COMMENT ON COLUMN password_hist_t.changed_on IS 'The date and time the password was changed';

COMMENT ON COLUMN password_hist_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN password_hist_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN password_hist_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN password_hist_t.modified_on IS 'The date and time the entry was last updated';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('61', 'emtudorsm', 'schema/tables/password_hist.xml', NOW(), 189, '8:f905407bbe011756a27b13f9fdf53477', 'createTable tableName=password_hist_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/password_hist.xml::62::emtudorsm
ALTER TABLE password_hist_t ADD CONSTRAINT pk_password_hist PRIMARY KEY (password_hist_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('62', 'emtudorsm', 'schema/tables/password_hist.xml', NOW(), 191, '8:ccb7b5551c0aa6f56f3ce46d9b59460c', 'addPrimaryKey constraintName=pk_password_hist, tableName=password_hist_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/password_hist.xml::74::emtudorsm
ALTER TABLE password_hist_t ADD CONSTRAINT password_hist_user_fk FOREIGN KEY (user_id) REFERENCES user_t (user_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('74', 'emtudorsm', 'schema/tables/password_hist.xml', NOW(), 193, '8:c1c404327cd253192c28bec23931b078', 'addForeignKeyConstraint baseTableName=password_hist_t, constraintName=password_hist_user_fk, referencedTableName=user_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/tables/password_hist.xml::611::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_password_hist START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('611', 'emtudorsm', 'schema/tables/password_hist.xml', NOW(), 195, '8:5ed5ae1cf956426afe60a2750bf94eb1', 'createSequence sequenceName=sq_password_hist', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/application_triggers.xml::postgresApplicationTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION APPLICATION_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.application_id IS NULL 
				then
					begin
						NEW.application_id :=nextval('SQ_APPLICATION');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'APPLICATION_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER APPLICATION_BI BEFORE INSERT ON APPLICATION_T
			    FOR EACH ROW EXECUTE PROCEDURE APPLICATION_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresApplicationTrigger1', 'emtudorsm', 'schema/triggers/application_triggers.xml', NOW(), 197, '8:4cb4f8e116a79bbbdb6a6511ee00a218', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/application_triggers.xml::postgresApplicationTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION APPLICATION_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'APPLICATION_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER APPLICATION_BU BEFORE UPDATE ON APPLICATION_T
			    FOR EACH ROW EXECUTE PROCEDURE APPLICATION_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresApplicationTrigger2', 'emtudorsm', 'schema/triggers/application_triggers.xml', NOW(), 199, '8:32bce303780d87f6e390b0c1ecdc05d8', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/person_triggers.xml::postgresPersonTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION person_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.person_id IS NULL 
				then
					begin
						NEW.person_id :=nextval('SQ_person');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'person_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER person_BI BEFORE INSERT ON person_T
			    FOR EACH ROW EXECUTE PROCEDURE person_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresPersonTrigger1', 'emtudorsm', 'schema/triggers/person_triggers.xml', NOW(), 201, '8:7a0fd1dc5faec714469944a84268aa91', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/person_triggers.xml::postgresPersonTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION person_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'person_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER person_BU BEFORE UPDATE ON person_T
			    FOR EACH ROW EXECUTE PROCEDURE person_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresPersonTrigger2', 'emtudorsm', 'schema/triggers/person_triggers.xml', NOW(), 203, '8:4cce1ea94f491e332f50da6cafd579aa', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/scope_triggers.xml::postgresScopeTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION scope_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.scope_id IS NULL 
				then
					begin
						NEW.scope_id :=nextval('SQ_scope');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'scope_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER scope_BI BEFORE INSERT ON scope_T
			    FOR EACH ROW EXECUTE PROCEDURE scope_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresScopeTrigger1', 'emtudorsm', 'schema/triggers/scope_triggers.xml', NOW(), 205, '8:5b6039ed468a8981ead937150b936eb9', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/scope_triggers.xml::postgresScopeTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION scope_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'scope_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER scope_BU BEFORE UPDATE ON scope_T
			    FOR EACH ROW EXECUTE PROCEDURE scope_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresScopeTrigger2', 'emtudorsm', 'schema/triggers/scope_triggers.xml', NOW(), 207, '8:f3f61f01bdecc6ed8556e8ba8a1b7308', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/organisation_triggers.xml::postgresOrganisationTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION organisation_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.organisation_id IS NULL 
				then
					begin
						NEW.organisation_id :=nextval('SQ_organisation');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'organisation_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER organisation_BI BEFORE INSERT ON organisation_T
			    FOR EACH ROW EXECUTE PROCEDURE organisation_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresOrganisationTrigger1', 'emtudorsm', 'schema/triggers/organisation_triggers.xml', NOW(), 209, '8:b9f240ca6e97de60d8d98436f11a0668', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/organisation_triggers.xml::postgresOrganisationTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION organisation_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'organisation_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER organisation_BU BEFORE UPDATE ON organisation_T
			    FOR EACH ROW EXECUTE PROCEDURE organisation_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresOrganisationTrigger2', 'emtudorsm', 'schema/triggers/organisation_triggers.xml', NOW(), 211, '8:2891ac7bb040e3e885b7edb6024338e8', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/end_point_triggers.xml::postgresEndPointTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION end_point_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.end_point_id IS NULL 
				then
					begin
						NEW.end_point_id :=nextval('SQ_end_point');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'end_point_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER end_point_BI BEFORE INSERT ON end_point_T
			    FOR EACH ROW EXECUTE PROCEDURE end_point_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresEndPointTrigger1', 'emtudorsm', 'schema/triggers/end_point_triggers.xml', NOW(), 213, '8:1f38b4d2883a674ea1349ee414d6ebf6', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/end_point_triggers.xml::postgresEndPointTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION end_point_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'end_point_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER end_point_BU BEFORE UPDATE ON end_point_T
			    FOR EACH ROW EXECUTE PROCEDURE end_point_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresEndPointTrigger2', 'emtudorsm', 'schema/triggers/end_point_triggers.xml', NOW(), 215, '8:3707585e015e51c986665d184576e8b4', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/feature_triggers.xml::postgresFeatureTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION feature_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.feature_id IS NULL 
				then
					begin
						NEW.feature_id :=nextval('SQ_feature');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'feature_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER feature_BI BEFORE INSERT ON feature_T
			    FOR EACH ROW EXECUTE PROCEDURE feature_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresFeatureTrigger1', 'emtudorsm', 'schema/triggers/feature_triggers.xml', NOW(), 217, '8:1316820a43ba669cedfc9fc86d71ba73', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/feature_triggers.xml::postgresFeatureTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION feature_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'feature_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER feature_BU BEFORE UPDATE ON feature_T
			    FOR EACH ROW EXECUTE PROCEDURE feature_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresFeatureTrigger2', 'emtudorsm', 'schema/triggers/feature_triggers.xml', NOW(), 219, '8:6e3c02fe928f0ab627fb7fbb19978bba', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/option_triggers.xml::postgresOptionTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION option_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.option_id IS NULL 
				then
					begin
						NEW.option_id :=nextval('SQ_option');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'option_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER option_BI BEFORE INSERT ON option_T
			    FOR EACH ROW EXECUTE PROCEDURE option_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresOptionTrigger1', 'emtudorsm', 'schema/triggers/option_triggers.xml', NOW(), 221, '8:36ae87526163b2d865639c347f6feb25', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/option_triggers.xml::postgresOptionTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION option_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'option_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER option_BU BEFORE UPDATE ON option_T
			    FOR EACH ROW EXECUTE PROCEDURE option_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresOptionTrigger2', 'emtudorsm', 'schema/triggers/option_triggers.xml', NOW(), 223, '8:1571fea39c8ed64334104a169cb18142', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/dataset_triggers.xml::postgresDatasetTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION dataset_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.dataset_id IS NULL 
				then
					begin
						NEW.dataset_id :=nextval('SQ_dataset');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'dataset_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER dataset_BI BEFORE INSERT ON dataset_T
			    FOR EACH ROW EXECUTE PROCEDURE dataset_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresDatasetTrigger1', 'emtudorsm', 'schema/triggers/dataset_triggers.xml', NOW(), 225, '8:1d987b92f708abfe174badff36a9f6c0', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/dataset_triggers.xml::postgresDatasetTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION dataset_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'dataset_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER dataset_BU BEFORE UPDATE ON dataset_T
			    FOR EACH ROW EXECUTE PROCEDURE dataset_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresDatasetTrigger2', 'emtudorsm', 'schema/triggers/dataset_triggers.xml', NOW(), 227, '8:536b2f55bf83e1bf670e5d81b4850961', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/policy_triggers.xml::postgresPolicyTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION policy_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.policy_id IS NULL 
				then
					begin
						NEW.policy_id :=nextval('SQ_policy');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'policy_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER policy_BI BEFORE INSERT ON policy_T
			    FOR EACH ROW EXECUTE PROCEDURE policy_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresPolicyTrigger1', 'emtudorsm', 'schema/triggers/policy_triggers.xml', NOW(), 229, '8:ef1e839a462c6e71e4ee08cddb43dd70', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/policy_triggers.xml::postgresPolicyTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION policy_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'policy_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER policy_BU BEFORE UPDATE ON policy_T
			    FOR EACH ROW EXECUTE PROCEDURE policy_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresPolicyTrigger2', 'emtudorsm', 'schema/triggers/policy_triggers.xml', NOW(), 231, '8:3d972d7f9bea5c070bb84489e7d57889', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/role_triggers.xml::postgresRoleTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION role_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.role_id IS NULL 
				then
					begin
						NEW.role_id :=nextval('SQ_role');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'role_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER role_BI BEFORE INSERT ON role_T
			    FOR EACH ROW EXECUTE PROCEDURE role_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresRoleTrigger1', 'emtudorsm', 'schema/triggers/role_triggers.xml', NOW(), 233, '8:64bd7c91eaafb5d45e4caf817bb6c525', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/role_triggers.xml::postgresRoleTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION role_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'role_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER role_BU BEFORE UPDATE ON role_T
			    FOR EACH ROW EXECUTE PROCEDURE role_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresRoleTrigger2', 'emtudorsm', 'schema/triggers/role_triggers.xml', NOW(), 235, '8:0f74357be849deba99c385e87651d161', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/user_triggers.xml::postgresUserTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION user_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.user_id IS NULL 
				then
					begin
						NEW.user_id :=nextval('SQ_user');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'user_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER user_BI BEFORE INSERT ON user_T
			    FOR EACH ROW EXECUTE PROCEDURE user_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresUserTrigger1', 'emtudorsm', 'schema/triggers/user_triggers.xml', NOW(), 237, '8:a264cd2a06e096eda695b69560984721', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/user_triggers.xml::postgresUserTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION user_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'user_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER user_BU BEFORE UPDATE ON user_T
			    FOR EACH ROW EXECUTE PROCEDURE user_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresUserTrigger2', 'emtudorsm', 'schema/triggers/user_triggers.xml', NOW(), 239, '8:73d4b542f52109b53658b0c1e0af02ed', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/user_role_triggers.xml::postgresUserRoleTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION user_role_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.user_role_id IS NULL 
				then
					begin
						NEW.user_role_id :=nextval('SQ_USER_ROLE');
					end;  
				end if;
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'user_role_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER user_role_BI BEFORE INSERT ON user_role_T
			    FOR EACH ROW EXECUTE PROCEDURE user_role_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresUserRoleTrigger1', 'emtudorsm', 'schema/triggers/user_role_triggers.xml', NOW(), 241, '8:6829ae6c2435f9bbe76c89625ab49943', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/preference_triggers.xml::postgresPreferenceTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION preference_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.preference_id IS NULL 
				then
					begin
						NEW.preference_id :=nextval('SQ_preference');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'preference_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER preference_BI BEFORE INSERT ON preference_T
			    FOR EACH ROW EXECUTE PROCEDURE preference_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresPreferenceTrigger1', 'emtudorsm', 'schema/triggers/preference_triggers.xml', NOW(), 243, '8:bcc11d1bb64e538a4d965942275dff5a', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/preference_triggers.xml::postgresPreferenceTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION preference_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'preference_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER preference_BU BEFORE UPDATE ON preference_T
			    FOR EACH ROW EXECUTE PROCEDURE preference_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresPreferenceTrigger2', 'emtudorsm', 'schema/triggers/preference_triggers.xml', NOW(), 245, '8:b70aa31f817e0d6346b5ea976207bbda', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/challenge_triggers.xml::postgresChallengeTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION challenge_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.challenge_id IS NULL 
				then
					begin
						NEW.challenge_id :=nextval('SQ_challenge');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'challenge_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER challenge_BI BEFORE INSERT ON challenge_T
			    FOR EACH ROW EXECUTE PROCEDURE challenge_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresChallengeTrigger1', 'emtudorsm', 'schema/triggers/challenge_triggers.xml', NOW(), 247, '8:158fdac56e9fdad6725bc52d4e7c10ad', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/challenge_triggers.xml::postgresChallengeTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION challenge_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'challenge_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER challenge_BU BEFORE UPDATE ON challenge_T
			    FOR EACH ROW EXECUTE PROCEDURE challenge_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresChallengeTrigger2', 'emtudorsm', 'schema/triggers/challenge_triggers.xml', NOW(), 249, '8:a1e2d08ed3baea5b4cde86dd131f0434', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/password_hist_triggers.xml::postgresPassHistTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION password_hist_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.password_hist_id IS NULL 
				then
					begin
						NEW.password_hist_id :=nextval('SQ_password_hist');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'password_hist_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER password_hist_BI BEFORE INSERT ON password_hist_T
			    FOR EACH ROW EXECUTE PROCEDURE password_hist_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresPassHistTrigger1', 'emtudorsm', 'schema/triggers/password_hist_triggers.xml', NOW(), 251, '8:e84fadb3fe615fb9ec958d6d28290acb', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/triggers/password_hist_triggers.xml::postgresPassHistTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION password_hist_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'password_hist_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER password_hist_BU BEFORE UPDATE ON password_hist_T
			    FOR EACH ROW EXECUTE PROCEDURE password_hist_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresPassHistTrigger2', 'emtudorsm', 'schema/triggers/password_hist_triggers.xml', NOW(), 253, '8:b66d3e03a973e24dff0b5aef177be182', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/views/active_user_role_v.xml::postgresqlAurView::emtudorsm
CREATE VIEW ACTIVE_USER_ROLE_V AS select distinct USER_NAME, APPLICATION_NAME, ROLE_NAME, ROLE_ID, SCOPE_ID from (
		  select u.USER_NAME, a.NAME as APPLICATION_NAME, r.NAME as ROLE_NAME, r.ROLE_ID, ur.SCOPE_ID
		  from USER_T u,
		       USER_ROLE_T ur,
		       ROLE_T r,
		       APPLICATION_T a
		  where r.APPLICATION_ID=a.APPLICATION_ID
		    and ur.ROLE_ID=r.ROLE_ID
		    and ur.USER_ID=u.USER_ID
		    and ur.SCOPE_ID is null
		    and r.STATUS='E'
		    and (u.STATUS='E' or (u.STATUS='L' and u.LOCKOUT_TO<=NOW()))
		    and coalesce(u.ACTIVE_FROM, NOW())<= NOW()
		    and coalesce(u.ACTIVE_TO, NOW())>= NOW()
		  union
		  select u.USER_NAME, a.NAME as APPLICATION_NAME, r.NAME as ROLE_NAME, r.ROLE_ID, ur.SCOPE_ID
		  from USER_T u,
		       USER_ROLE_T ur,
		       ROLE_T r,
		       SCOPE_T s,
		       APPLICATION_T a
		  where r.APPLICATION_ID=a.APPLICATION_ID
		    and ur.ROLE_ID=r.ROLE_ID
		    and ur.USER_ID=u.USER_ID
		    and ur.SCOPE_ID=s.SCOPE_ID
		    and r.STATUS='E'
		    and (u.STATUS='E' or (u.STATUS='L' and u.LOCKOUT_TO<=NOW()))
		    and s.STATUS='E'
		    and coalesce(u.ACTIVE_FROM, NOW())<= NOW()
		    and coalesce(u.ACTIVE_TO, NOW())>= NOW()
		    and coalesce(s.ACTIVE_FROM, NOW())<= NOW()
		    and coalesce(s.ACTIVE_TO, NOW())>= NOW()
		) foo;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresqlAurView', 'emtudorsm', 'schema/views/active_user_role_v.xml', NOW(), 255, '8:498f9089f63a1f176da5890c4bb6bd88', 'createView viewName=ACTIVE_USER_ROLE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/views/active_user_scope_v.xml::postgresqlAusView::emtudorsm
CREATE VIEW ACTIVE_USER_SCOPE_V AS select distinct USER_NAME,APPLICATION_NAME,SCOPE_NAME,SCOPE_ID,DATA_FROM,DATA_TO from (
      select u.USER_NAME,a.NAME as APPLICATION_NAME,s.NAME as SCOPE_NAME,s.SCOPE_ID,s.DATA_FROM,s.DATA_TO
      from USER_T u,
           USER_ROLE_T ur,
           SCOPE_T s,
           APPLICATION_T a
      where s.APPLICATION_ID=a.APPLICATION_ID
        and ur.USER_ID=u.USER_ID
        and ur.SCOPE_ID=s.SCOPE_ID
        and (u.STATUS='E' or (u.STATUS='L' and u.LOCKOUT_TO<=NOW()))
        and s.STATUS='E'
        and coalesce(u.ACTIVE_FROM, NOW())<= NOW()
        and coalesce(u.ACTIVE_TO, NOW())>= NOW()
        and coalesce(s.ACTIVE_FROM, NOW())<= NOW()
        and coalesce(s.ACTIVE_TO, NOW())>= NOW()
    ) foo;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresqlAusView', 'emtudorsm', 'schema/views/active_user_scope_v.xml', NOW(), 257, '8:c56fe1892dac56d26c496fa6aff8c695', 'createView viewName=ACTIVE_USER_SCOPE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/views/active_user_feature_v.xml::AufView::emtudorsm
CREATE VIEW ACTIVE_USER_FEATURE_V AS select ur.USER_NAME, ur.APPLICATION_NAME, ur.ROLE_NAME, 
			       ur.ROLE_ID, ur.SCOPE_ID, f.NAME as FEATURE_NAME 
			from ACTIVE_USER_ROLE_V ur,
			      PERMISSION_T p,
			      FEATURE_T f
			where p.ROLE_ID=ur.ROLE_ID
			  and f.FEATURE_ID=p.FEATURE_ID;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('AufView', 'emtudorsm', 'schema/views/active_user_feature_v.xml', NOW(), 259, '8:45ecf21e2160bb1571645314c1747b1f', 'createView viewName=ACTIVE_USER_FEATURE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/views/active_user_feature_resource_v.xml::postgresqlAufrView::emtudorsm
CREATE VIEW ACTIVE_USER_FEATURE_RESOURCE_V AS select distinct USER_NAME, APPLICATION_NAME, ROLE_NAME,
       ROLE_ID, SCOPE_ID, FEATURE_NAME, CATEGORY, DISCRIMINATOR
			from (
			  select uf.USER_NAME, uf.APPLICATION_NAME, uf.ROLE_NAME,
			         uf.ROLE_ID, uf.SCOPE_ID, uf.FEATURE_NAME, d.CATEGORY, d.DISCRIMINATOR
			  from ACTIVE_USER_FEATURE_V  uf,
			       SCOPE_DATASET_T sd,
			       DATASET_T d
			  where sd.SCOPE_ID=uf.SCOPE_ID
			    and d.DATASET_ID=sd.DATASET_ID
			  union
			  select uf.USER_NAME, uf.APPLICATION_NAME, uf.ROLE_NAME,
			         uf.ROLE_ID, uf.SCOPE_ID, uf.FEATURE_NAME, NULL as CATEGORY, NULL as DISCRIMINATOR
			  from ACTIVE_USER_FEATURE_V  uf
			  where uf.SCOPE_ID is null
			) foo;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresqlAufrView', 'emtudorsm', 'schema/views/active_user_feature_resource_v.xml', NOW(), 261, '8:06b8a63c2e08013fcf854d2ec09f3dd0', 'createView viewName=ACTIVE_USER_FEATURE_RESOURCE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/views/active_user_v.xml::postgresqlAuView::emtudorsm
CREATE VIEW ACTIVE_USER_V AS select u.USER_ID, u.USER_NAME, u.PASSWORD
			from USER_T u
			where (u.STATUS='E' or (u.STATUS='L' and u.LOCKOUT_TO<=NOW()))
			  and coalesce(u.ACTIVE_FROM, NOW())<= NOW()
			  and coalesce(u.ACTIVE_TO, NOW())>= NOW();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresqlAuView', 'emtudorsm', 'schema/views/active_user_v.xml', NOW(), 263, '8:e701978d4ac85e7960bc5ae2ca7d5f7a', 'createView viewName=ACTIVE_USER_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset schema/views/user_profile_v.xml::postgresqlUpView::emtudorsm
CREATE VIEW USER_PROFILE_V AS select a.NAME as APPLICATION_NAME, u.USER_NAME, o.NAME as OPTION_NAME, p.OPTION_VALUE, 'N' as IS_DEFAULT 
			from PREFERENCE_T p,USER_T u,OPTION_T o,APPLICATION_T a
			where o.APPLICATION_ID=a.APPLICATION_ID
			  and p.OPTION_ID=o.OPTION_ID
			  and u.USER_ID=p.USER_ID
			union
			select a.NAME as APPLICATION_NAME, u.USER_NAME, o.NAME as OPTION_NAME, o.DEFAULT_VALUE as OPTION_VALUE, 'Y' as IS_DEFAULT 
			from USER_T u,OPTION_T o,APPLICATION_T a
			where o.APPLICATION_ID=a.APPLICATION_ID
			  and o.DEFAULT_VALUE is not null
			  and not exists(select 1 from PREFERENCE_T p where p.OPTION_ID=o.OPTION_ID and p.USER_ID=u.USER_ID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresqlUpView', 'emtudorsm', 'schema/views/user_profile_v.xml', NOW(), 265, '8:d5c14dfc9920cda844a484b9c0265f56', 'createView viewName=USER_PROFILE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml::data-application::krogean
INSERT INTO APPLICATION_T (NAME, DESCRIPTION) 
VALUES ('USM', 'User Security Management Component');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('data-application', 'krogean', 'changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml', NOW(), 267, '8:dc262e7e3f75b0933a9d1cde10a413f3', 'sqlFile', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml::data-feature::krogean
INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'viewUsers', 'View the system users', 
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'manageUsers', 'Manage (create, update) the system users', 
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'activateUsers', 'Enable or disable the system users', 
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'viewOrganisations', 'View the system organisations and their end-points', 
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'manageOrganisations', 'Manage (create, update, delete) the system organisations and their end-points', 
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'viewApplications', 'View the system applications', 
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'manageApplications', 'Manage (create, update, delete) the system applications',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'viewUserPreferences', 'View the system user preferences (or settings)', 
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'manageUserPreferences', 'Manage (create, update, delete) the system  user preferences (or settings)',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'copyUserProfile', 'Copy roles, scopes and preferences from one user to another',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'viewRoles', 'View the application roles',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'manageRoles', 'Manage (create, update, delete) the application roles',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'assignRoles', 'Assign or unassign application roles to/from users',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'activateRoles', 'Enable or disable application roles',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'viewScopes', 'View the application scopes',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'manageScopes', 'Manage (create, update, delete) the application scopes',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'assignScopes', 'Assign or unassign application scopes to/from users',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'activateScopes', 'Enable or disable application scopes',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
select 'configurePolicies', 'Configure password, account, etc. policies',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('data-feature', 'krogean', 'changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml', NOW(), 269, '8:d3a05049fc73336e2fec970381b9b899', 'sqlFile', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml::data-role::krogean
INSERT INTO ROLE_T (NAME, DESCRIPTION, STATUS, APPLICATION_ID) 
select 'USM-UserManager', 'Manage user information', 'E',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO ROLE_T (NAME, DESCRIPTION, STATUS, APPLICATION_ID) 
select 'USM-UserBrowser', 'View user information', 'E',
APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('data-role', 'krogean', 'changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml', NOW(), 271, '8:7f1ff71826b6c90891a3ad16410b7e42', 'sqlFile', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml::data-permission::krogean
INSERT INTO PERMISSION_T (ROLE_ID, FEATURE_ID) 
select r.ROLE_ID, f.FEATURE_ID
from APPLICATION_T a, FEATURE_T f, ROLE_T r 
where a.NAME='USM'
  and f.NAME in ('manageUsers', 'activateUsers', 'manageOrganisations', 
                 'manageApplications', 'manageUserPreferences', 'copyUserProfile', 
                 'manageRoles', 'assignRoles', 'activateRoles', 'manageScopes', 
                 'assignScopes', 'activateScopes', 'configurePolicies','manageContacts')
  and r.NAME='USM-UserManager'
  and f.APPLICATION_ID=a.APPLICATION_ID
  and r.APPLICATION_ID=a.APPLICATION_ID;

INSERT INTO PERMISSION_T (ROLE_ID, FEATURE_ID) 
select r.ROLE_ID, f.FEATURE_ID
from APPLICATION_T a, FEATURE_T f, ROLE_T r 
where a.NAME='USM'
  and f.NAME in ('viewUsers', 'viewOrganisations', 'viewApplications', 
                 'viewUserPreferences', 'viewRoles', 'viewScopes', 'viewContacts')
  and r.NAME='USM-UserBrowser'
  and f.APPLICATION_ID=a.APPLICATION_ID
  and r.APPLICATION_ID=a.APPLICATION_ID;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('data-permission', 'krogean', 'changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml', NOW(), 273, '8:26c2c273e4b8f45b5ccfa50be57b5141', 'sqlFile', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml::data-user::krogean
INSERT INTO USER_T (USER_NAME, PASSWORD, STATUS) 
VALUES ('usm_bootstrap', '5f4dcc3b5aa765d61d8327deb882cf99', 'E');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('data-user', 'krogean', 'changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml', NOW(), 275, '8:bb87c6f8dc987b0662466380368f3829', 'sqlFile', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml::data-user-role::krogean
INSERT INTO USER_ROLE_T (ROLE_ID, USER_ID) 
select r.ROLE_ID, u.USER_ID
from APPLICATION_T a, USER_T u, ROLE_T r 
where a.NAME='USM'
  and u.USER_NAME='usm_bootstrap'
  and r.NAME='USM-UserManager'
  and r.APPLICATION_ID=a.APPLICATION_ID;

INSERT INTO USER_ROLE_T (ROLE_ID, USER_ID) 
select r.ROLE_ID, u.USER_ID
from APPLICATION_T a, USER_T u, ROLE_T r 
where a.NAME='USM'
  and u.USER_NAME='usm_bootstrap'
  and r.NAME='USM-UserBrowser'
  and r.APPLICATION_ID=a.APPLICATION_ID;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('data-user-role', 'krogean', 'changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml', NOW(), 277, '8:25bbca1d1a8893c13a1f98092f6001c0', 'sqlFile', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml::data-policy::krogean
INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Authentication', 'ldap.enabled', 'false', 
'Flag that controls whether LDAP based authentication is enabled (value "true") or disabled (value "false"');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Authentication', 'ldap.server.url', 'ChangeMe', 
'URL for the LDAP server (e.g. ldaps://ldap.domain.org:636/)');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Authentication', 'ldap.context.root', 'ChangeMe', 
'Distinguished Name of the directory node under which users are searched for');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Authentication', 'ldap.bind.dn', 'ChangeMe', 
        'Distinguished Name of the LDAP user account used to query the directory');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Authentication', 'ldap.bind.password', 'ChangeMe', 
        'Password of the LDAP user account used to query the directory');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Authentication', 'ldap.query.filter', 'ChangeMe', 
        'LDAP query used to retrieve the distinguished name of a user, given the USM user name');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Authentication', 'ldap.query.attributes', 'ChangeMe', 
        'Comma separated list of LDAP attributes to be retrieved from a user account');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('data-policy', 'krogean', 'changelog/v0.1/boot/db-changelog-bootstrapData_0.1.xml', NOW(), 279, '8:6a6b912699dbf3abb846ca87fccefaba', 'sqlFile', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::organisation_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO ORGANISATION_T (organisation_id, name, isoa3code, description, branch, status, parent_id) VALUES (0, 'EC', 'EEC', 'European Commission', NULL, 'E', NULL),(1, 'DG-MARE', 'EEC', 'European Commission DG-MARE', NULL, 'E', 0),(2, 'Unit-D4', 'EEC', 'DG-MARE Unit D4', NULL, 'D', 1),(3, 'FRA', 'FRA', 'French ministry of agriculture', NULL, 'E', NULL),(4, 'GRC', 'GRC', 'Greek ministry of agriculture', NULL, 'E', NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('organisation_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 281, '8:e1b88091dd656274bed60ae5229384c0', 'loadData tableName=ORGANISATION_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::person_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PERSON_T (person_id, first_name, last_name, phone_number, mobile_number, fax_number, e_mail) VALUES (0, 'Mary', 'Flux', '+32212345678', NULL, NULL, 'mary.flux@mail.eu'),(1, 'Jean', 'Flux', '+33212345678', NULL, NULL, 'jean.flux@mail.fr'),(2, 'Kostas', 'Flux', '+30212345678', NULL, NULL, 'kostas.flux@mail.gr'),(3, 'orphan', NULL, NULL, NULL, NULL, 'orphan@mail.org'),(4, 'guest', NULL, NULL, NULL, NULL, 'guest@mail.ec'),(5, 'lockout', NULL, NULL, NULL, NULL, 'lockout@mail.ec'),(6, 'expired', NULL, NULL, NULL, NULL, 'expired@mail.ec'),(7, 'obsolete', NULL, NULL, NULL, NULL, 'obsolete@mail.ec'),(8, 'current', NULL, NULL, NULL, NULL, 'current@mail.ec'),(9, 'vms_admin_com', NULL, NULL, NULL, NULL, 'vms_admin_com@mail.ec'),(10, 'vms_user_com', NULL, NULL, NULL, NULL, 'vms_user_com@mail.ec'),(11, 'vms_admin_fra', NULL, NULL, NULL, NULL, 'vms_admin_fra@gouv.fr'),(12, 'vms_user_fra', NULL, NULL, NULL, NULL, 'vms_user_fra@gouv.fr'),(13, 'vms_super_com', NULL, NULL, NULL, NULL, 'vms_super_com@mail.ec'),(14, 'vms_super_fra', NULL, NULL, NULL, NULL, 'vms_super_fra@gouv.fr'),(15, 'quota_man_com', NULL, NULL, NULL, NULL, 'quota_man_com@mail.ec'),(16, 'quota_usr_com', NULL, NULL, NULL, NULL, 'quota_usr_com@mail.ec'),(17, 'quota_usr_fra', NULL, NULL, NULL, NULL, 'quota_usr_fra@gouv.fr'),(18, 'quota_usr_grc', NULL, NULL, NULL, NULL, 'quota_usr_grc@gov.gr');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('person_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 283, '8:4d118c9005d535544532a324aef9c3e1', 'loadData tableName=PERSON_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::endpoint_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO END_POINT_T (end_point_id, name, description, uri, priority, status, organisation_id, person_id) VALUES (0, 'FLUX.EEC', 'European Commission main FLUX node', 'http://main.flux.eu/', 'main', 'E', 0, 0),(1, 'FLUX.EEC', 'European Commission backup FLUX node', 'http://backup.flux.eu/', 'backup', 'D', 0, 0),(2, 'FLUX.FRA', 'Main FLUX node for France', 'http://main.flux.fr/', 'main', 'E', 3, 1),(3, 'FLUX.FRA', 'Backup FLUX node for France', 'http://backup.flux.fr/', 'backup', 'D', 3, 1),(4, 'FLUX.GRC', 'Main FLUX node for Greece', 'http://main.flux.gr/', 'main', 'E', 4, 2),(5, 'FLUX.GRC', 'Backup FLUX node for Greece', 'http://backup.flux.gr/', 'backup', 'D', 4, 2);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('endpoint_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 285, '8:c64731799b562385fc5757f99e7ffb11', 'loadData tableName=END_POINT_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::application_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO APPLICATION_T (application_id, name, description) VALUES (1, 'Quota', 'Quota Management application'),(2, 'Union-VMS', 'Union VMS application'),(3, 'Vessel', 'Union VMS Vessel Module'),(4, 'Reporting', 'Union VMS Reporting Module');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('application_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 287, '8:ff3613969accae3edd25bdb03307a320', 'loadData tableName=APPLICATION_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::feature_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO FEATURE_T (feature_id, name, description, application_id) VALUES (15, 'getVesselList', ' "A feature from the Vessel module"', 3),(16, 'getVesselById', ' "A feature from the Vessel module"', 3),(17, 'createVessel', ' "A feature from the Vessel module"', 3),(18, 'updateVessel', ' "A feature from the Vessel module"', 3),(19, 'accessApplication', 'Access to the application', 2),(20, 'monitorVessels', 'Monitor Vessels', 4),(21, 'requestVesselPosition', 'Request the position of a vessel', 4),(22, 'accessApplication', 'Access to the application', 1),(23, 'createAllowedTransfer', 'Create Allowed Transfer', 1),(24, 'createFishingSeason', 'Create Fishing Season', 1),(25, 'createFishingStop', 'Create Fishing Stop', 1),(26, 'createMultiSpecies', 'Create Multi Species', 1),(27, 'createQuota', 'Create Quota', 1),(28, 'createQuotaIndicator', 'Create Quota Indicator', 1),(29, 'createQuotaShared', 'Create Quota Shared', 1),(30, 'createRegulation', 'Create Regulation', 1),(31, 'createStock', 'Create Stock', 1),(32, 'createStockDefContact', 'Create Stock Definition Contact', 1),(33, 'createStockDefIndicator', 'Create Stock Definition Indicator', 1),(34, 'createStockDefinitions', 'Create Stock Definitions', 1),(35, 'createStockSeasonAssociation', 'Create Stock Season Association', 1),(36, 'createYearlyStockParent', 'Create Yearly Stock Parent', 1),(37, 'deleteAllowedTransfer', 'Delete Allowed Transfer', 1),(38, 'deleteFishingSeason', 'Delete Fishing Season', 1),(39, 'deleteFishingStop', 'Delete Fishing Stop', 1),(40, 'deleteMultiSpecies', 'Delete Multi Species', 1),(41, 'deleteQuota', 'Delete Quota', 1),(42, 'deleteQuotaIndicator', 'Delete Quota Indicator', 1),(43, 'deleteQuotasShared', 'Delete Quota Shared', 1),(44, 'deleteRegulation', 'Delete Regulation', 1),(45, 'deleteStock', 'Delete Stock', 1),(46, 'deleteStockDefContact', 'Delete Stock Definition Contact', 1),(47, 'deleteStockDefIndicator', 'Delete Stock Definition Indicator', 1),(48, 'deleteStockDefinitions', 'Delete Stock Definitions', 1),(49, 'deleteStockSeasonAssociation', 'Delete Stock Season Association', 1),(50, 'deleteYearlyStockParent', 'Delete Yearly Stock Parent', 1),(51, 'processQuotaExchange', 'Process Quota Exchange', 1),(52, 'processQuotaTransfer', 'Process Quota Transfer', 1),(53, 'reviseQuota', 'Revise Quota', 1),(54, 'updateAllowedTransfer', 'Update Allowed Transfer', 1),(55, 'updateFishingSeason', 'Update Fishing Season', 1),(56, 'updateFishingStop', 'Update Fishing Stop', 1),(57, 'updateQuota', 'Update Quota', 1),(58, 'updateQuotaExchangeEvent', 'Update Quota Exchange Event', 1),(59, 'updateQuotaIndicator', 'Update Quota Indicator', 1),(60, 'updateQuotaRevision', 'Update Quota Revision', 1),(61, 'updateQuotaShared', 'Update Quota Shared', 1),(62, 'updateQuotaTransferEvent', 'Update Quota Transfer Event', 1),(63, 'updateRegulation', 'Update Regulation', 1),(64, 'updateStock', 'Update Stock', 1),(65, 'updateStockDefContact', 'Update Stock Definition Contact', 1);

INSERT INTO FEATURE_T (feature_id, name, description, application_id) VALUES (66, 'updateStockDefIndicator', 'Update Stock Definition Indicator', 1),(67, 'updateStockDefinitions', 'Update Stock Definitions', 1),(68, 'updateYearlyStockParent', 'Update Yearly Stock Parent', 1);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('feature_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 289, '8:468fde64b465bdb200d8241f5b6ab65f', 'loadData tableName=FEATURE_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::option_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO OPTION_T (option_id, name, description, data_type, default_value, application_id) VALUES (0, 'userLocale', 'User locale', 'Text', 'fr_BE', 2),(1, 'rowsPerPage', 'Number of query results per page', 'Integer', '16', 2),(2, 'userLocale', 'User locale', 'Text', 'en_GB', 1),(3, 'rowsPerPage', 'Number of query results per page', 'Integer', '10', 1),(4, 'levelCode', 'Quota Level Code', 'String', NULL, 1);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('option_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 291, '8:06ce9831947740a1a2e494857beda7e3', 'loadData tableName=OPTION_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::dataset_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO DATASET_T (dataset_id, name, description, category, discriminator, application_id) VALUES (0, 'Vessels', 'Fishing Vessels related information', 'Vessel', NULL, 2),(1, 'Vessel Groups', 'Fishing Vessel Groups related information', 'Vessel Group', NULL, 2),(2, 'Reports', 'Consolidated Reports', 'Report', NULL, 2),(3, 'AUT Quotas', 'Fishing Quotas from AUT', 'Quota', 'LevelCode=AUT', 1),(4, 'BEL Quotas', 'Fishing Quotas from BEL', 'Quota', 'LevelCode=BEL', 1),(5, 'CYP Quotas', 'Fishing Quotas from CYP', 'Quota', 'LevelCode=CYP', 1),(6, 'CZE Quotas', 'Fishing Quotas from CZE', 'Quota', 'LevelCode=CZE', 1),(7, 'DEU Quotas', 'Fishing Quotas from DEU', 'Quota', 'LevelCode=DEU', 1),(8, 'DNK Quotas', 'Fishing Quotas from DNK', 'Quota', 'LevelCode=DNK', 1),(9, 'ESP Quotas', 'Fishing Quotas from ESP', 'Quota', 'LevelCode=ESP', 1),(10, 'EST Quotas', 'Fishing Quotas from EST', 'Quota', 'LevelCode=EST', 1),(11, 'FIN Quotas', 'Fishing Quotas from FIN', 'Quota', 'LevelCode=FIN', 1),(12, 'FRA Quotas', 'Fishing Quotas from FRA', 'Quota', 'LevelCode=FRA', 1),(13, 'GBR Quotas', 'Fishing Quotas from GBR', 'Quota', 'LevelCode=GBR', 1),(14, 'GRC Quotas', 'Fishing Quotas from GRC', 'Quota', 'LevelCode=GRC', 1),(15, 'HUN Quotas', 'Fishing Quotas from HUN', 'Quota', 'LevelCode=HUN', 1),(16, 'IRL Quotas', 'Fishing Quotas from IRL', 'Quota', 'LevelCode=IRL', 1),(17, 'ITA Quotas', 'Fishing Quotas from ITA', 'Quota', 'LevelCode=ITA', 1),(18, 'LTU Quotas', 'Fishing Quotas from LTU', 'Quota', 'LevelCode=LTU', 1),(19, 'LUX Quotas', 'Fishing Quotas from LUX', 'Quota', 'LevelCode=LUX', 1),(20, 'LVA Quotas', 'Fishing Quotas from LVA', 'Quota', 'LevelCode=LVA', 1),(21, 'MLT Quotas', 'Fishing Quotas from MLT', 'Quota', 'LevelCode=MLT', 1),(22, 'NLD Quotas', 'Fishing Quotas from NLD', 'Quota', 'LevelCode=NLD', 1),(23, 'POL Quotas', 'Fishing Quotas from POL', 'Quota', 'LevelCode=POL', 1),(24, 'PRT Quotas', 'Fishing Quotas from PRT', 'Quota', 'LevelCode=PRT', 1),(25, 'SVK Quotas', 'Fishing Quotas from SVK', 'Quota', 'LevelCode=SVK', 1),(26, 'SVN Quotas', 'Fishing Quotas from SVN', 'Quota', 'LevelCode=SVN', 1),(27, 'SWE Quotas', 'Fishing Quotas from SWE', 'Quota', 'LevelCode=SWE', 1),(28, 'Fishing Stop on AUT Quotas', 'Fishing Stop on Quotas from AUT', 'Fishing Stop', 'LevelCode=AUT:EventSubCode=NFS:EventActorCode=MS', 1),(29, 'Fishing Stop on BEL Quotas', 'Fishing Stop on Quotas from BEL', 'Fishing Stop', 'LevelCode=BEL:EventSubCode=NFS:EventActorCode=MS', 1),(30, 'Fishing Stop on CYP Quotas', 'Fishing Stop on Quotas from CYP', 'Fishing Stop', 'LevelCode=CYP:EventSubCode=NFS:EventActorCode=MS', 1),(31, 'Fishing Stop on CZE Quotas', 'Fishing Stop on Quotas from CZE', 'Fishing Stop', 'LevelCode=CZE:EventSubCode=NFS:EventActorCode=MS', 1),(32, 'Fishing Stop on DEU Quotas', 'Fishing Stop on Quotas from DEU', 'Fishing Stop', 'LevelCode=DEU:EventSubCode=NFS:EventActorCode=MS', 1),(33, 'Fishing Stop on DNK Quotas', 'Fishing Stop on Quotas from DNK', 'Fishing Stop', 'LevelCode=DNK:EventSubCode=NFS:EventActorCode=MS', 1),(34, 'Fishing Stop on ESP Quotas', 'Fishing Stop on Quotas from ESP', 'Fishing Stop', 'LevelCode=ESP:EventSubCode=NFS:EventActorCode=MS', 1),(35, 'Fishing Stop on EST Quotas', 'Fishing Stop on Quotas from EST', 'Fishing Stop', 'LevelCode=EST:EventSubCode=NFS:EventActorCode=MS', 1),(36, 'Fishing Stop on FIN Quotas', 'Fishing Stop on Quotas from FIN', 'Fishing Stop', 'LevelCode=FIN:EventSubCode=NFS:EventActorCode=MS', 1),(37, 'Fishing Stop on FRA Quotas', 'Fishing Stop on Quotas from FRA', 'Fishing Stop', 'LevelCode=FRA:EventSubCode=NFS:EventActorCode=MS', 1),(38, 'Fishing Stop on GBR Quotas', 'Fishing Stop on Quotas from GBR', 'Fishing Stop', 'LevelCode=GBR:EventSubCode=NFS:EventActorCode=MS', 1),(39, 'Fishing Stop on GRC Quotas', 'Fishing Stop on Quotas from GRC', 'Fishing Stop', 'LevelCode=GRC:EventSubCode=NFS:EventActorCode=MS', 1),(40, 'Fishing Stop on HUN Quotas', 'Fishing Stop on Quotas from HUN', 'Fishing Stop', 'LevelCode=HUN:EventSubCode=NFS:EventActorCode=MS', 1),(41, 'Fishing Stop on IRL Quotas', 'Fishing Stop on Quotas from IRL', 'Fishing Stop', 'LevelCode=IRL:EventSubCode=NFS:EventActorCode=MS', 1),(42, 'Fishing Stop on ITA Quotas', 'Fishing Stop on Quotas from ITA', 'Fishing Stop', 'LevelCode=ITA:EventSubCode=NFS:EventActorCode=MS', 1),(43, 'Fishing Stop on LTU Quotas', 'Fishing Stop on Quotas from LTU', 'Fishing Stop', 'LevelCode=LTU:EventSubCode=NFS:EventActorCode=MS', 1),(44, 'Fishing Stop on LUX Quotas', 'Fishing Stop on Quotas from LUX', 'Fishing Stop', 'LevelCode=LUX:EventSubCode=NFS:EventActorCode=MS', 1),(45, 'Fishing Stop on LVA Quotas', 'Fishing Stop on Quotas from LVA', 'Fishing Stop', 'LevelCode=LVA:EventSubCode=NFS:EventActorCode=MS', 1),(46, 'Fishing Stop on MLT Quotas', 'Fishing Stop on Quotas from MLT', 'Fishing Stop', 'LevelCode=MLT:EventSubCode=NFS:EventActorCode=MS', 1),(47, 'Fishing Stop on NLD Quotas', 'Fishing Stop on Quotas from NLD', 'Fishing Stop', 'LevelCode=NLD:EventSubCode=NFS:EventActorCode=MS', 1),(48, 'Fishing Stop on POL Quotas', 'Fishing Stop on Quotas from POL', 'Fishing Stop', 'LevelCode=POL:EventSubCode=NFS:EventActorCode=MS', 1),(49, 'Fishing Stop on PRT Quotas', 'Fishing Stop on Quotas from PRT', 'Fishing Stop', 'LevelCode=PRT:EventSubCode=NFS:EventActorCode=MS', 1),(50, 'Fishing Stop on SVK Quotas', 'Fishing Stop on Quotas from SVK', 'Fishing Stop', 'LevelCode=SVK:EventSubCode=NFS:EventActorCode=MS', 1);

INSERT INTO DATASET_T (dataset_id, name, description, category, discriminator, application_id) VALUES (51, 'Fishing Stop on SVN Quotas', 'Fishing Stop on Quotas from SVN', 'Fishing Stop', 'LevelCode=SVN:EventSubCode=NFS:EventActorCode=MS', 1),(52, 'Fishing Stop on SWE Quotas', 'Fishing Stop on Quotas from SWE', 'Fishing Stop', 'LevelCode=SWE:EventSubCode=NFS:EventActorCode=MS', 1);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('dataset_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 293, '8:6eae667a885212944f2862171e2683b1', 'loadData tableName=DATASET_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::policy_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 295, '8:a7b228fcf4027cc46dc85a1d47246142', 'loadData tableName=POLICY_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::policy_data_update::krogean
-- Data
update POLICY_T set VALUE='ldaps://svm-midway.private:10636/'
where SUBJECT='Authentication' and NAME='ldap.server.url';

update POLICY_T set VALUE='ou=users;ou=system'
where SUBJECT='Authentication' and NAME='ldap.context.root';

update POLICY_T set VALUE='uid=admin;ou=system'
where SUBJECT='Authentication' and NAME='ldap.bind.dn';

update POLICY_T set VALUE='secret'
where SUBJECT='Authentication' and NAME='ldap.bind.password';

update POLICY_T set VALUE='(&(objectClass=person)(uid={0}))'
where SUBJECT='Authentication' and NAME='ldap.query.filter';

update POLICY_T set VALUE='sn,givenName,mail'
where SUBJECT='Authentication' and NAME='ldap.query.attributes';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_data_update', 'krogean', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 297, '8:74a480ea58d14b2ea25c3d90bdbd8d97', 'sql', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::role_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO ROLE_T (role_id, name, description, application_id, status) VALUES (2, 'Administrator', 'Administrator user', 2, 'E'),(3, 'Super User', 'Super user', 2, 'E'),(4, 'User', 'Regular user', 2, 'E'),(5, 'MARE Quota Manager', 'Quota Manager from DG MARE', 1, 'E'),(6, 'MARE Quota User', 'Read-only access for any DG MARE member of the staff', 1, 'E'),(7, 'MS Quota User', 'Quota user from a Member State', 1, 'E'),(8, 'MS Quota System', 'National system from a MS', 1, 'D'),(9, 'Vessel Super User', 'Vessel Super user', 3, 'E'),(30, 'AdminAll', 'AdminAll', 2, 'E');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('role_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 299, '8:76895e6c1a01d1436e821a70c6835d28', 'loadData tableName=ROLE_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::permission_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PERMISSION_T (role_id, feature_id) VALUES (2, 15),(2, 16),(2, 17),(2, 18),(2, 19),(2, 20),(2, 21),(3, 15),(3, 16),(3, 19),(3, 20),(3, 21),(4, 15),(4, 19),(5, 22),(5, 23),(5, 24),(5, 25),(5, 26),(5, 27),(5, 28),(5, 29),(5, 30),(5, 31),(5, 32),(5, 33),(5, 34),(5, 35),(5, 36),(5, 37),(5, 38),(5, 39),(5, 40),(5, 41),(5, 42),(5, 43),(5, 44),(5, 45),(5, 46),(5, 47),(5, 48),(5, 49),(5, 50),(5, 51),(5, 52),(5, 53),(5, 54),(5, 55),(5, 56),(5, 57),(5, 58);

INSERT INTO PERMISSION_T (role_id, feature_id) VALUES (5, 59),(5, 60),(5, 61),(5, 62),(5, 63),(5, 64),(5, 65),(5, 66),(5, 67),(5, 68),(6, 22),(7, 22),(7, 25),(7, 39),(7, 51),(7, 52),(7, 56),(8, 22),(8, 25),(8, 39),(8, 51),(8, 52),(8, 56),(9, 15),(9, 16),(9, 19),(9, 20),(9, 21),(30, 19),(30, 43),(30, 35),(30, 48),(30, 29),(30, 57),(30, 39),(30, 15),(30, 34),(30, 56),(30, 65),(30, 52),(30, 32),(30, 54),(30, 21),(30, 22),(30, 44),(30, 16),(30, 28),(30, 41),(30, 42),(30, 51),(30, 40);

INSERT INTO PERMISSION_T (role_id, feature_id) VALUES (30, 68),(30, 59),(30, 67),(30, 55),(30, 64),(30, 45),(30, 25),(30, 18),(30, 23),(30, 58),(30, 60),(30, 37),(30, 49),(30, 66),(30, 61),(30, 30),(30, 46),(30, 26),(30, 47),(30, 62),(30, 17),(30, 33),(30, 53),(30, 24),(30, 63),(30, 50),(30, 27),(30, 38),(30, 36),(30, 31);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('permission_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 301, '8:f9260f692bc1190a1780bf8953c37438', 'loadData tableName=PERMISSION_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::scope_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO SCOPE_T (scope_id, name, description, application_id, status, active_from, active_to, data_from, data_to) VALUES (0, 'All Vessels', 'All Fishing Vessels related information', 2, 'E', NULL, NULL, NULL, NULL),(1, 'All Reports', 'All Consolidated Reports', 2, 'E', NULL, NULL, NULL, NULL),(2, 'Some Vessels', 'Some Fishing Vessels related information', 2, 'E', '2015-05-15 11:36:00', '2014-05-16 11:36:00', '2015-05-15 11:36:00', '2014-05-16 11:36:00'),(3, 'Some Reports', 'Some Consolidated Reports', 2, 'E', '2015-05-15 11:36:00', '2014-05-16 11:36:00', '2015-05-15 11:36:00', '2014-05-16 11:36:00'),(4, 'FRA Quotas', 'The quotas of FRA', 1, 'E', NULL, NULL, NULL, NULL),(5, 'GRC Quotas', 'The quotas of GRC', 1, 'E', NULL, NULL, NULL, NULL);

UPDATE SCOPE_T set (ACTIVE_FROM, ACTIVE_TO, DATA_FROM, DATA_TO) =  (NOW(), (NOW() + interval '1 year'), NOW(), (NOW() + interval '1 year')) where SCOPE_ID = 2;

UPDATE SCOPE_T set (ACTIVE_FROM, ACTIVE_TO, DATA_FROM, DATA_TO) =  (NOW(), (NOW() + interval '1 year'), NOW(), (NOW() + interval '1 year')) where SCOPE_ID = 3;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('scope_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 303, '8:4da8aea1c9be91e50193d1ad44d44450', 'loadData tableName=SCOPE_T; sql', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::scope_dataset_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO SCOPE_DATASET_T (scope_id, dataset_id) VALUES (4, 12),(4, 37),(5, 14),(5, 39);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('scope_dataset_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 305, '8:a0fdc08cd499c5f880594698375214d5', 'loadData tableName=SCOPE_DATASET_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::user_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO USER_T (USER_ID, USER_NAME, STATUS, ORGANISATION_ID, PERSON_ID, ACTIVE_FROM, ACTIVE_TO, LAST_LOGON, LOCKOUT_TO, PASSWORD_EXPIRY, PASSWORD, LOCKOUT_REASON, LOGON_FAILURE, NOTES) VALUES (1, 'usm_admin', 'E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(2, 'usm_user', 'E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(3, 'ldap_enabled', 'E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),(4, 'ldap_disabled', 'D', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),(5, 'ldap_locked', 'L', NULL, NULL, NULL, NULL, NULL, '2014-05-16 11:36:01', NULL, NULL, NULL, NULL, NULL),(6, 'anonymous', 'E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(7, 'orphan', 'D', NULL, 3, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(8, 'guest', 'D', 0, 4, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(9, 'lockout', 'L', 0, 5, NULL, NULL, NULL, '2014-05-16 11:36:01', NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(10, 'expired', 'E', 0, 6, NULL, NULL, NULL, NULL, '2014-05-15 11:36:01', '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(11, 'obsolete', 'E', 0, 7, '2015-05-14 11:36:01', '2014-05-15 11:36:01', NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(12, 'current', 'E', 0, 8, '2014-05-15 11:36:02', '2014-05-16 11:36:02', NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(13, 'vms_admin_com', 'E', 2, 9, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(14, 'vms_user_com', 'E', 1, 10, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(15, 'vms_admin_fra', 'E', 3, 11, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(16, 'vms_user_fra', 'E', 3, 12, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(17, 'vms_super_com', 'E', 0, 13, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(18, 'vms_super_fra', 'E', 3, 14, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(19, 'quota_man_com', 'E', 2, 15, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(20, 'quota_usr_com', 'E', 1, 16, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(21, 'quota_usr_fra', 'E', 3, 17, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(22, 'quota_usr_grc', 'E', 4, 18, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(23, 'lock_me_out', 'E', 2, 15, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(24, 'change_me', 'E', 2, 15, NULL, NULL, NULL, NULL, '2014-05-15 11:36:01', '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL),(25, 'remind_me', 'E', 2, 15, NULL, NULL, NULL, NULL, '2014-05-15 11:36:01', '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL);

UPDATE USER_T set LOCKOUT_TO = (NOW() + interval '1 year') where USER_NAME in ('ldap_locked','lockout');

UPDATE USER_T set PASSWORD_EXPIRY = (NOW() - interval '1 day') where USER_NAME = 'expired';

UPDATE USER_T set (ACTIVE_FROM, ACTIVE_TO) =  ((NOW() - interval '1 year'), (NOW() - interval '1 day')) where USER_NAME = 'obsolete';

UPDATE USER_T set (ACTIVE_FROM, ACTIVE_TO) =  ((NOW() - interval '1 day'), (NOW() + interval '1 year')) where USER_NAME = 'current';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('user_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 307, '8:bd372e552efa56d5ed7c0f29514863d7', 'loadData tableName=USER_T; sql', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::user_role_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO USER_ROLE_T (user_role_id, user_id, role_id, scope_id) VALUES (6, 14, 4, NULL),(7, 16, 4, NULL),(8, 17, 3, NULL),(9, 18, 3, NULL),(10, 13, 2, NULL),(11, 20, 6, NULL),(12, 19, 5, NULL),(13, 21, 7, 4),(14, 22, 7, 5),(15, 16, 4, 2),(16, 16, 4, 3),(17, 18, 4, 0),(18, 18, 4, 1);

INSERT INTO USER_ROLE_T (USER_ROLE_ID, USER_ID, ROLE_ID) VALUES ('4', '1', (select r.ROLE_ID from APPLICATION_T a, ROLE_T r where a.NAME='USM' and r.NAME='USM-UserManager' and r.APPLICATION_ID=a.APPLICATION_ID));

INSERT INTO USER_ROLE_T (USER_ROLE_ID, USER_ID, ROLE_ID) VALUES ('3', '1', (select r.ROLE_ID from APPLICATION_T a, ROLE_T r where a.NAME='USM' and r.NAME='USM-UserBrowser' and r.APPLICATION_ID=a.APPLICATION_ID));

INSERT INTO USER_ROLE_T (USER_ROLE_ID, USER_ID, ROLE_ID) VALUES ('2', '2', (select r.ROLE_ID from APPLICATION_T a, ROLE_T r where a.NAME='USM' and r.NAME='USM-UserBrowser' and r.APPLICATION_ID=a.APPLICATION_ID));

INSERT INTO USER_ROLE_T (USER_ROLE_ID, USER_ID, ROLE_ID) VALUES ('5', '13', (select r.ROLE_ID from APPLICATION_T a, ROLE_T r where a.NAME='USM' and r.NAME='USM-UserBrowser' and r.APPLICATION_ID=a.APPLICATION_ID));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('user_role_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 309, '8:d2d06d0002004d61f6f18ffad930f29c', 'loadData tableName=USER_ROLE_T; insert tableName=USER_ROLE_T; insert tableName=USER_ROLE_T; insert tableName=USER_ROLE_T; insert tableName=USER_ROLE_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::preference_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PREFERENCE_T (preference_id, user_id, option_id, option_value) VALUES (0, 13, 0, 'en_GB'),(1, 13, 1, '50'),(2, 18, 0, 'fr_FR'),(3, 18, 1, '5'),(4, 21, 4, 'FRA'),(5, 22, 4, 'GRC');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('preference_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 311, '8:97540b838b92941637a83d754342bd8f', 'loadData tableName=PREFERENCE_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::challenge_data::emtudorsm
-- Data
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO CHALLENGE_T (challenge_id, user_id, challenge, response) VALUES (0, 13, 'Name of street where you grew up', 'Broadway'),(1, 8, 'Social security number', '987456123654'),(2, 19, 'Name of first pet', 'Woof'),(3, 20, 'Name of street where you grew up', 'Grand rue'),(4, 21, 'Mother''s maiden name', 'Elsa'),(5, 13, 'Name of first pet', 'Tartampion'),(6, 15, 'Name of first pet', 'Scooby-Doo'),(7, 17, 'Mother''s maiden name', 'Louise'),(8, 18, 'Social security number', '123456789-123'),(9, 14, 'Name of first pet', 'Tintin'),(10, 16, 'Name of first pet', 'Milou');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('challenge_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 313, '8:c2919e379d342430d8a88b5513b4543e', 'loadData tableName=CHALLENGE_T', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v0.1/db-changelog-testdata-1.0.xml::password_hist_data::emtudorsm
INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('0', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '30 days'), (select u.USER_ID from USER_T u where u.USER_NAME='vms_admin_com'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('1', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '22 days'), (select u.USER_ID from USER_T u where u.USER_NAME='guest'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('2', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '15 days'), (select u.USER_ID from USER_T u where u.USER_NAME='quota_man_com'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('4', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '30 days'), (select u.USER_ID from USER_T u where u.USER_NAME='quota_usr_com'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('5', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '18 days'), (select u.USER_ID from USER_T u where u.USER_NAME='quota_usr_fra'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('6', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '30 days'), (select u.USER_ID from USER_T u where u.USER_NAME='vms_admin_com'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('7', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '15 days'), (select u.USER_ID from USER_T u where u.USER_NAME='vms_admin_fra'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('8', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '60 days'), (select u.USER_ID from USER_T u where u.USER_NAME='vms_super_com'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('9', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '15 days'), (select u.USER_ID from USER_T u where u.USER_NAME='vms_super_fra'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('10', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '30 days'), (select u.USER_ID from USER_T u where u.USER_NAME='vms_user_com'));

INSERT INTO password_hist_t (PASSWORD_HIST_ID, PASSWORD, CHANGED_ON, USER_ID) VALUES ('11', 'CBBA6D57536106F93CDEB6E426C2750E', (NOW() - interval '90 days'), (select u.USER_ID from USER_T u where u.USER_NAME='vms_user_fra'));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('password_hist_data', 'emtudorsm', 'changelog/v0.1/db-changelog-testdata-1.0.xml', NOW(), 315, '8:c6a814fbfc3b8ce7ead4bdaf4f9a64dc', 'insert tableName=password_hist_t; insert tableName=password_hist_t; insert tableName=password_hist_t; insert tableName=password_hist_t; insert tableName=password_hist_t; insert tableName=password_hist_t; insert tableName=password_hist_t; insert ta...', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-0.1::emtudorsm
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-0.1', 'emtudorsm', 'changelog/db-changelog-master.xml', NOW(), 317, '8:f15ffa0f28312785361e2a0c6271992d', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_0.1');

-- Changeset changelog/v1.2/db-changelog.xml::app_parent::emkrogean
ALTER TABLE application_t ADD parent_id INTEGER;

COMMENT ON COLUMN application_t.parent_id IS 'The identifier of the application parent if any';

ALTER TABLE application_t ADD CONSTRAINT application_parent_fk FOREIGN KEY (parent_id) REFERENCES application_t (application_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('app_parent', 'emkrogean', 'changelog/v1.2/db-changelog.xml', NOW(), 319, '8:0da90f57699a40a394bd887c400c366a', 'addColumn tableName=application_t; addForeignKeyConstraint baseTableName=application_t, constraintName=application_parent_fk, referencedTableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog.xml::policy_remove_constraint::emkrogean
DROP INDEX uk_policy_name;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_remove_constraint', 'emkrogean', 'changelog/v1.2/db-changelog.xml', NOW(), 321, '8:94eebae1efe6e8c57962b8deff9825fb', 'dropIndex indexName=uk_policy_name, tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog.xml::policy_constraint::emkrogean
CREATE UNIQUE INDEX uk_policy_name ON policy_t(name, subject);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_constraint', 'emkrogean', 'changelog/v1.2/db-changelog.xml', NOW(), 323, '8:2ba51a42f48713b000e37c5da2728758', 'createIndex indexName=uk_policy_name, tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog.xml::renameTable-user::emkrogean
ALTER TABLE user_role_t RENAME TO user_context_t;

ALTER TABLE USER_CONTEXT_T RENAME COLUMN USER_ROLE_ID TO USER_CONTEXT_ID;

ALTER TABLE user_context_t DROP CONSTRAINT user_role_user_fk;

ALTER TABLE user_context_t DROP CONSTRAINT user_role_scope_fk;

ALTER TABLE user_context_t DROP CONSTRAINT user_role_role_fk;

ALTER TABLE user_context_t ADD CONSTRAINT user_context_user_fk FOREIGN KEY (user_id) REFERENCES user_t (user_id);

ALTER TABLE user_context_t ADD CONSTRAINT user_context_scope_fk FOREIGN KEY (scope_id) REFERENCES scope_t (scope_id);

ALTER TABLE user_context_t ADD CONSTRAINT user_context_role_fk FOREIGN KEY (role_id) REFERENCES role_t (role_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('renameTable-user', 'emkrogean', 'changelog/v1.2/db-changelog.xml', NOW(), 325, '8:9b8f42bd559c7f857ec86e82b309a694', 'renameTable newTableName=user_context_t, oldTableName=user_role_t; renameColumn newColumnName=USER_CONTEXT_ID, oldColumnName=USER_ROLE_ID, tableName=USER_CONTEXT_T; dropForeignKeyConstraint baseTableName=user_context_t, constraintName=user_role_us...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog.xml::postgresqlAurView_change1::emtudorsm
DROP VIEW active_user_feature_resource_v;

DROP VIEW active_user_feature_v;

DROP VIEW ACTIVE_USER_ROLE_V;

CREATE VIEW ACTIVE_USER_ROLE_V AS select distinct USER_NAME, APPLICATION_NAME, ROLE_NAME, ROLE_ID, SCOPE_ID, USER_CONTEXT_ID from (
		  select u.USER_NAME,a.NAME as APPLICATION_NAME, r.NAME as ROLE_NAME, r.ROLE_ID, ur.SCOPE_ID, ur.USER_CONTEXT_ID
		  from USER_T u,
		       USER_CONTEXT_T ur,
		       ROLE_T r
		  INNER JOIN permission_t p on p.role_id=r.role_id
          INNER JOIN FEATURE_T f on f.FEATURE_ID=p.FEATURE_ID
          INNER JOIN application_t a on a.APPLICATION_ID=f.APPLICATION_ID  
		  where ur.ROLE_ID=r.ROLE_ID
		    and ur.USER_ID=u.USER_ID
		    and ur.SCOPE_ID is null
		    and r.STATUS='E'
		    and (u.STATUS='E' or (u.STATUS='L' and u.LOCKOUT_TO<=NOW()))
		    and coalesce(u.ACTIVE_FROM, NOW())<= NOW()
		    and coalesce(u.ACTIVE_TO, NOW())>= NOW()
		  union
		  select u.USER_NAME,a.NAME as APPLICATION_NAME, r.NAME as ROLE_NAME, r.ROLE_ID, ur.SCOPE_ID, ur.USER_CONTEXT_ID
		  from USER_T u,
		       USER_CONTEXT_T ur,
		       SCOPE_T s,
		    	ROLE_T r
		  INNER JOIN permission_t p on p.role_id=r.role_id
          INNER JOIN FEATURE_T f on f.FEATURE_ID=p.FEATURE_ID
          INNER JOIN application_t a on a.APPLICATION_ID=f.APPLICATION_ID    	
		  where ur.ROLE_ID=r.ROLE_ID
		    and ur.USER_ID=u.USER_ID
		    and ur.SCOPE_ID=s.SCOPE_ID
		    and r.STATUS='E'
		    and (u.STATUS='E' or (u.STATUS='L' and u.LOCKOUT_TO<=NOW()))
		    and s.STATUS='E'
		    and coalesce(u.ACTIVE_FROM, NOW())<= NOW()
		    and coalesce(u.ACTIVE_TO, NOW())>= NOW()
		    and coalesce(s.ACTIVE_FROM, NOW())<= NOW()
		    and coalesce(s.ACTIVE_TO, NOW())>= NOW()
		) foo;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresqlAurView_change1', 'emtudorsm', 'changelog/v1.2/db-changelog.xml', NOW(), 327, '8:71a1c750a4f53e04cab467e52d2ab8cc', 'dropView viewName=active_user_feature_resource_v; dropView viewName=active_user_feature_v; dropView viewName=ACTIVE_USER_ROLE_V; createView viewName=ACTIVE_USER_ROLE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog.xml::roleTable_update1::emtudorsm
ALTER TABLE ROLE_T DROP CONSTRAINT ROLE_APPLICATION_FK;

ALTER TABLE ROLE_T DROP COLUMN APPLICATION_ID;

CREATE UNIQUE INDEX uk_role_app ON role_t(name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('roleTable_update1', 'emtudorsm', 'changelog/v1.2/db-changelog.xml', NOW(), 329, '8:84f770d73b420704fc5e5569a87af325', 'dropForeignKeyConstraint baseTableName=ROLE_T, constraintName=ROLE_APPLICATION_FK; dropColumn columnName=APPLICATION_ID, tableName=ROLE_T; createIndex indexName=uk_role_app, tableName=role_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog.xml::postgresqlAusView_update1::emtudorsm
DROP VIEW ACTIVE_USER_SCOPE_V;

CREATE VIEW ACTIVE_USER_SCOPE_V AS select distinct USER_NAME,APPLICATION_NAME,SCOPE_NAME,SCOPE_ID,DATA_FROM,DATA_TO from (
      select u.USER_NAME,a.NAME as APPLICATION_NAME,s.NAME as SCOPE_NAME,s.SCOPE_ID,s.DATA_FROM,s.DATA_TO
      from USER_T u,
           USER_CONTEXT_T ur,
           SCOPE_T s
      INNER JOIN SCOPE_DATASET_T sd on sd.scope_id=s.scope_id
      INNER JOIN DATASET_T ds on ds.DATASET_ID=sd.DATASET_ID
      INNER JOIN APPLICATION_T a on a.APPLICATION_ID=ds.APPLICATION_ID      	
      where ur.USER_ID=u.USER_ID
        and ur.SCOPE_ID=s.SCOPE_ID
        and (u.STATUS='E' or (u.STATUS='L' and u.LOCKOUT_TO<=NOW()))
        and s.STATUS='E'
        and coalesce(u.ACTIVE_FROM, NOW())<= NOW()
        and coalesce(u.ACTIVE_TO, NOW())>= NOW()
        and coalesce(s.ACTIVE_FROM, NOW())<= NOW()
        and coalesce(s.ACTIVE_TO, NOW())>= NOW()
    ) foo;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresqlAusView_update1', 'emtudorsm', 'changelog/v1.2/db-changelog.xml', NOW(), 331, '8:41fcf398db6ceb66da2b46baa098d1dc', 'dropView viewName=ACTIVE_USER_SCOPE_V; createView viewName=ACTIVE_USER_SCOPE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog.xml::scopeTable_update1::emtudorsm
ALTER TABLE SCOPE_T DROP CONSTRAINT SCOPE_APPLICATION_FK;

ALTER TABLE SCOPE_T DROP COLUMN APPLICATION_ID;

CREATE UNIQUE INDEX uk_scope_app ON scope_t(name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('scopeTable_update1', 'emtudorsm', 'changelog/v1.2/db-changelog.xml', NOW(), 333, '8:73864acc703e64fefbb5b1460225d6f8', 'dropForeignKeyConstraint baseTableName=SCOPE_T, constraintName=SCOPE_APPLICATION_FK; dropColumn columnName=APPLICATION_ID, tableName=SCOPE_T; createIndex indexName=uk_scope_app, tableName=scope_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog.xml::option_features_update1::emtudorsm
ALTER TABLE OPTION_T ADD group_name VARCHAR(128);

COMMENT ON COLUMN OPTION_T.group_name IS 'It helps grouping the options for a faster search';

ALTER TABLE FEATURE_T ADD group_name VARCHAR(128);

COMMENT ON COLUMN FEATURE_T.group_name IS 'It helps grouping the features for a faster search';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('option_features_update1', 'emtudorsm', 'changelog/v1.2/db-changelog.xml', NOW(), 335, '8:bc841f046be78937daf67da5801243f5', 'addColumn tableName=OPTION_T; addColumn tableName=FEATURE_T', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog.xml::preferenceTable_update1::emtudorsm
ALTER TABLE PREFERENCE_T ADD USER_CONTEXT_ID INTEGER;

CREATE INDEX fk_preference_user_cont ON preference_t(user_context_id);

ALTER TABLE preference_t ADD CONSTRAINT preference_user_cont_fk FOREIGN KEY (user_context_id) REFERENCES user_context_t (user_context_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('preferenceTable_update1', 'emtudorsm', 'changelog/v1.2/db-changelog.xml', NOW(), 337, '8:727bd0951674b9858d1f2d5e4518b8d0', 'addColumn tableName=PREFERENCE_T; createIndex indexName=fk_preference_user_cont, tableName=preference_t; addForeignKeyConstraint baseTableName=preference_t, constraintName=preference_user_cont_fk, referencedTableName=user_context_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-bootstrapData.xml::data-policy::krogean
INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.enabled', 'false', 
'Flag that controls whether LDAP based authentication is enabled for user administration (value "true") or disabled (value "false"');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.server.url', 'ChangeMe', 
'URL for the LDAP server for user administration (e.g. ldaps://ldap.domain.org:636/)');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.context.root', 'ChangeMe', 
'Distinguished Name of the directory node under which users are searched for when using LDAP in user administration');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.bind.dn', 'ChangeMe', 
        'Distinguished Name of the LDAP user account used to query the directory when using LDAP in user administration');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.bind.password', 'ChangeMe', 
        'Password of the LDAP user account used to query the directory');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.query.filter', 'ChangeMe', 
        'LDAP query used to retrieve the distinguished name of a user, given the USM user name when using LDAP in user administration');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.query.attributes', 'ChangeMe', 
        'Comma separated list of LDAP attributes to be retrieved from a user account when using LDAP in user administration');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.label.firstName', 'cn', 
        'The user attribute mapping to the firstName label on the UI when using LDAP in user administration');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.label.lastName', 'givenName', 
        'The user attribute mapping to the lastName label on the UI when using LDAP in user administration');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.label.telephoneNumber', 'telephoneNumber', 
        'The user attribute mapping to the telephoneNumber label on the UI when using LDAP in user administration');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.label.mobileNumber', 'mobile', 
        'The user attribute mapping to the mobileNumber label on the UI when using LDAP in user administration');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.label.faxNumber', 'facsimileTelephoneNumber', 
        'The user attribute mapping to the faxNumber label on the UI when using LDAP in user administration');

INSERT INTO POLICY_T (SUBJECT, NAME, VALUE, DESCRIPTION) 
VALUES ('Administration', 'ldap.label.mail', 'mail', 
        'The user attribute mapping to the mail label on the UI when using LDAP in user administration');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('data-policy', 'krogean', 'changelog/v1.2/db-bootstrapData.xml', NOW(), 339, '8:d88f4b292eb2d4f5aab960f8a73629a0', 'sqlFile', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog-createViews.xml::AufView_recreated1::emtudorsm
CREATE VIEW ACTIVE_USER_FEATURE_V AS select ur.USER_NAME, ur.APPLICATION_NAME, ur.ROLE_NAME, 
			       ur.ROLE_ID, ur.SCOPE_ID, f.NAME as FEATURE_NAME 
			from ACTIVE_USER_ROLE_V ur,
			      PERMISSION_T p,
			      FEATURE_T f
			where p.ROLE_ID=ur.ROLE_ID
			  and f.FEATURE_ID=p.FEATURE_ID;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('AufView_recreated1', 'emtudorsm', 'changelog/v1.2/db-changelog-createViews.xml', NOW(), 341, '8:45ecf21e2160bb1571645314c1747b1f', 'createView viewName=ACTIVE_USER_FEATURE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog-createViews.xml::postgresqlAufrView_recreated1::emtudorsm
CREATE VIEW ACTIVE_USER_FEATURE_RESOURCE_V AS select distinct USER_NAME, APPLICATION_NAME, ROLE_NAME,
       ROLE_ID, SCOPE_ID, FEATURE_NAME, CATEGORY, DISCRIMINATOR
			from (
			  select uf.USER_NAME, uf.APPLICATION_NAME, uf.ROLE_NAME,
			         uf.ROLE_ID, uf.SCOPE_ID, uf.FEATURE_NAME, d.CATEGORY, d.DISCRIMINATOR
			  from ACTIVE_USER_FEATURE_V  uf,
			       SCOPE_DATASET_T sd,
			       DATASET_T d
			  where sd.SCOPE_ID=uf.SCOPE_ID
			    and d.DATASET_ID=sd.DATASET_ID
			  union
			  select uf.USER_NAME, uf.APPLICATION_NAME, uf.ROLE_NAME,
			         uf.ROLE_ID, uf.SCOPE_ID, uf.FEATURE_NAME, NULL as CATEGORY, NULL as DISCRIMINATOR
			  from ACTIVE_USER_FEATURE_V  uf
			  where uf.SCOPE_ID is null
			) foo;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresqlAufrView_recreated1', 'emtudorsm', 'changelog/v1.2/db-changelog-createViews.xml', NOW(), 343, '8:06b8a63c2e08013fcf854d2ec09f3dd0', 'createView viewName=ACTIVE_USER_FEATURE_RESOURCE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog-testdata-1.2.xml::feature_data_update12::emtudorsm
-- Data
update FEATURE_T f
  		set group_name=(select NAME from APPLICATION_T a where a.APPLICATION_ID=f.APPLICATION_ID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('feature_data_update12', 'emtudorsm', 'changelog/v1.2/db-changelog-testdata-1.2.xml', NOW(), 345, '8:8071210ec31d79982cc400e8224e4a30', 'sql', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog-testdata-1.2.xml::option_data_update12::emtudorsm
-- Data
update OPTION_T o
	  		set group_name=(select NAME from APPLICATION_T a where a.APPLICATION_ID=o.APPLICATION_ID);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('option_data_update12', 'emtudorsm', 'changelog/v1.2/db-changelog-testdata-1.2.xml', NOW(), 347, '8:976444edf9556a6913c7ae5cac91699f', 'sql', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog-testdata-1.2.xml::scope_data_update12::emdouniat
-- Data
update SCOPE_T s
        set ACTIVE_FROM=now() where s.NAME='GRC Quotas';

update SCOPE_T s
        set ACTIVE_TO=now()+interval '1 year' where s.NAME='GRC Quotas';

update SCOPE_T s
        set DATA_FROM=now() where s.NAME='GRC Quotas';

update SCOPE_T s
        set DATA_TO=now()+interval '1 year' where s.NAME='GRC Quotas';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('scope_data_update12', 'emdouniat', 'changelog/v1.2/db-changelog-testdata-1.2.xml', NOW(), 349, '8:d0868759b3e9528238a5f87937a57ed2', 'sql; sql; sql; sql', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog-testdata-1.2.xml::scopedataset_update12::emkrogean
-- scope-dataset
INSERT INTO scope_dataset_t (scope_id, dataset_id) VALUES ('3', '2');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('scopedataset_update12', 'emkrogean', 'changelog/v1.2/db-changelog-testdata-1.2.xml', NOW(), 351, '8:1d6b65821bd0eb1e780ea152368e254a', 'insert tableName=scope_dataset_t', 'scope-dataset', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.2/db-changelog-testdata-1.2.xml::policy_admin_ldap::krogean
-- Data
update POLICY_T set VALUE='ldaps://svm-midway.private:10636/'
where SUBJECT='Administration' and NAME='ldap.server.url';

update POLICY_T set VALUE='ou=users;ou=system'
where SUBJECT='Administration' and NAME='ldap.context.root';

update POLICY_T set VALUE='uid=admin;ou=system'
where SUBJECT='Administration' and NAME='ldap.bind.dn';

update POLICY_T set VALUE='secret'
where SUBJECT='Administration' and NAME='ldap.bind.password';

update POLICY_T set VALUE='(&(objectClass=person)(uid={0}))'
where SUBJECT='Administration' and NAME='ldap.query.filter';

update POLICY_T set VALUE='sn,givenName,mail'
where SUBJECT='Administration' and NAME='ldap.query.attributes';

update POLICY_T set VALUE='true'
where SUBJECT='Administration' and NAME='ldap.enabled';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_admin_ldap', 'krogean', 'changelog/v1.2/db-changelog-testdata-1.2.xml', NOW(), 353, '8:6f7b4581d13c9caecf2e06c1e5d1d86f', 'sql', 'Data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-1.2::emkrogean
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-1.2', 'emkrogean', 'changelog/db-changelog-master.xml', NOW(), 355, '8:c9ae0c567a795591600aa67ef911f942', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_1.2');

-- Changeset changelog/v1.3/db-changelog.xml::scopeTable_update2::emtudorsm
update SCOPE_T set ACTIVE_FROM=now() where ACTIVE_FROM is null;

update SCOPE_T set ACTIVE_TO=now()+interval '1 year' where ACTIVE_TO is null;

ALTER TABLE SCOPE_T ALTER COLUMN  ACTIVE_FROM SET NOT NULL;

ALTER TABLE SCOPE_T ALTER COLUMN  ACTIVE_TO SET NOT NULL;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('scopeTable_update2', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 357, '8:a69c54c50ac52821c43a2c5aaf280915', 'sql; sql; addNotNullConstraint columnName=ACTIVE_FROM, tableName=SCOPE_T; addNotNullConstraint columnName=ACTIVE_TO, tableName=SCOPE_T', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::organisationTable_update1::emtudorsm
ALTER TABLE organisation_t ADD e_mail VARCHAR(64);

COMMENT ON COLUMN organisation_t.e_mail IS 'The e-mail of the organisation';

ALTER TABLE organisation_t DROP COLUMN branch;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('organisationTable_update1', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 359, '8:77cd5aa4ff040a0d9e1eee1398244986', 'addColumn tableName=organisation_t; dropColumn columnName=branch, tableName=organisation_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::endPointContact_table::emtudorsm
CREATE TABLE end_point_contact_t (end_point_contact_id INTEGER NOT NULL, end_point_id INTEGER NOT NULL, person_id INTEGER NOT NULL);

COMMENT ON TABLE end_point_contact_t IS 'Holds information about the relation between endpoint and person.';

COMMENT ON COLUMN end_point_contact_t.end_point_id IS 'The link towards the end point';

COMMENT ON COLUMN end_point_contact_t.person_id IS 'The link towards the end person';

ALTER TABLE end_point_contact_t ADD CONSTRAINT pk_end_point_contact PRIMARY KEY (end_point_contact_id);

CREATE INDEX fk_end_point_contact ON end_point_contact_t(end_point_id);

CREATE INDEX fk_end_point_person ON end_point_contact_t(person_id);

CREATE UNIQUE INDEX uk_end_point_contact ON end_point_contact_t(end_point_id, person_id);

ALTER TABLE end_point_contact_t ADD CONSTRAINT end_point_contact_fk FOREIGN KEY (end_point_id) REFERENCES end_point_t (end_point_id);

ALTER TABLE end_point_contact_t ADD CONSTRAINT end_point_contact_person_fk FOREIGN KEY (person_id) REFERENCES person_t (person_id);

CREATE SEQUENCE  IF NOT EXISTS sq_end_point_contact START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('endPointContact_table', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 361, '8:dfdf5fff5e1a72848eb1542a7152ea4f', 'createTable tableName=end_point_contact_t; addPrimaryKey constraintName=pk_end_point_contact, tableName=end_point_contact_t; createIndex indexName=fk_end_point_contact, tableName=end_point_contact_t; createIndex indexName=fk_end_point_person, tabl...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::channelTable::emtudorsm
CREATE TABLE channel_t (channel_id INTEGER NOT NULL, dataflow VARCHAR(255) NOT NULL, service VARCHAR(64) NOT NULL, priority INTEGER NOT NULL, end_point_id INTEGER NOT NULL, created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE channel_t IS 'Holds the information about channels';

COMMENT ON COLUMN channel_t.channel_id IS 'The primary key of this table';

COMMENT ON COLUMN channel_t.dataflow IS 'The dataflow value';

COMMENT ON COLUMN channel_t.service IS 'The name of the provided service';

COMMENT ON COLUMN channel_t.priority IS 'The priority for selecting this channel when many are available';

COMMENT ON COLUMN channel_t.end_point_id IS 'The link towards the end point';

COMMENT ON COLUMN channel_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN channel_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN channel_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN channel_t.modified_on IS 'The date and time the entry was last updated';

ALTER TABLE channel_t ADD CONSTRAINT pk_channel PRIMARY KEY (channel_id);

CREATE UNIQUE INDEX uk_channel ON channel_t(dataflow, service, end_point_id);

ALTER TABLE channel_t ADD CONSTRAINT end_point_channel_fk FOREIGN KEY (end_point_id) REFERENCES end_point_t (end_point_id);

CREATE SEQUENCE  IF NOT EXISTS sq_channel START WITH 100000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('channelTable', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 363, '8:2bc90686d605659a3e25b033dcc8120b', 'createTable tableName=channel_t; addPrimaryKey constraintName=pk_channel, tableName=channel_t; createIndex indexName=uk_channel, tableName=channel_t; addForeignKeyConstraint baseTableName=channel_t, constraintName=end_point_channel_fk, referencedT...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::postgresEndPointContactTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION end_point_contact_bi()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.end_point_contact_id IS NULL 
				then
					begin
						NEW.end_point_contact_id :=nextval('sq_end_point_contact');
					end;  
				end if;
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'end_point_contact_bi: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER end_point_contact_bi BEFORE INSERT ON end_point_contact_t
			    FOR EACH ROW EXECUTE PROCEDURE end_point_contact_bi();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresEndPointContactTrigger1', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 365, '8:3d3b3f890a6dd3e8d84e5047b0173b73', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::postgresChannelTrigger1::emtudorsm
CREATE OR REPLACE FUNCTION channel_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.channel_id IS NULL 
				then
					begin
						NEW.channel_id :=nextval('SQ_CHANNEL');
					end;  
				end if;
			
			
			  IF NEW.created_on IS NULL
			  THEN
			      NEW.created_on := current_timestamp;
			  END IF;	
			
			  if NEW.created_by is NULL
			  THEN 
			    NEW.created_by :=UPPER(current_user);
			  ELSE
			  	NEW.created_by :=UPPER(NEW.created_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'channel_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER channel_BI BEFORE INSERT ON channel_T
			    FOR EACH ROW EXECUTE PROCEDURE channel_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresChannelTrigger1', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 367, '8:e43035f71674559ca7db545612a427d6', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::postgreschannelTrigger2::emtudorsm
CREATE OR REPLACE FUNCTION channel_BU()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
			  THEN
			      NEW.modified_on := current_timestamp;
			  END IF;	
			
			  if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
			  THEN 
			    NEW.modified_by :=UPPER(current_user);
			  ELSE
			  	NEW.modified_by :=UPPER(NEW.modified_by);  
			  END IF;  
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'channel_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER channel_BU BEFORE UPDATE ON channel_T
			    FOR EACH ROW EXECUTE PROCEDURE channel_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgreschannelTrigger2', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 369, '8:3f54750fe4a246caaa57f23be4587dac', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::moveEndpointData::emtudorsm
insert into END_POINT_CONTACT_T(end_point_id, person_id)
		select end_point_id, person_id from end_point_t;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('moveEndpointData', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 371, '8:a2a1722721653f3c60037c63f9b2b6d3', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::updateEndpointTable1::emtudorsm
ALTER TABLE end_point_t DROP CONSTRAINT end_point_person_fk;

ALTER TABLE end_point_t DROP COLUMN person_id;

ALTER TABLE end_point_t DROP COLUMN priority;

ALTER TABLE end_point_t ADD e_mail VARCHAR(64);

COMMENT ON COLUMN end_point_t.e_mail IS 'The e-mail of the endpoint';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('updateEndpointTable1', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 373, '8:531c61d979f5c0756c89af8656130d45', 'dropForeignKeyConstraint baseTableName=end_point_t, constraintName=end_point_person_fk; dropColumn columnName=person_id, tableName=end_point_t; dropColumn columnName=priority, tableName=end_point_t; addColumn tableName=end_point_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::postgresUserContextTrigger1::emtudorsm
drop trigger user_role_bi on user_context_t;

drop function user_role_bi();

CREATE OR REPLACE FUNCTION user_context_BI()
			  RETURNS trigger AS
			 $BODY$
			begin
			
			  if NEW.user_context_id IS NULL 
				then
					begin
						NEW.user_context_id :=nextval('SQ_USER_ROLE');
					end;  
				end if;
			  RETURN NEW;	
			  EXCEPTION
			     WHEN OTHERS THEN 
			     RAISE WARNING 'user_context_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
			     RETURN NULL;  	
			end;$BODY$
			  LANGUAGE plpgsql VOLATILE
			  COST 100;
			
			CREATE TRIGGER user_context_BI BEFORE INSERT ON user_context_T
			    FOR EACH ROW EXECUTE PROCEDURE user_context_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresUserContextTrigger1', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 375, '8:62033205f364600c80cc9061aa5e286c', 'sql; createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::postgresqlUpView_update2::emtudorsm
DROP VIEW USER_PROFILE_V;

CREATE VIEW USER_PROFILE_V AS SELECT a.name AS application_name,
		    u.user_name,
		    o.name AS option_name,
		    p.option_value,
		    'N'::text AS is_default, 
		    uc.user_context_id
		   FROM option_t o,
		    application_t a,
		    preference_t p
		    INNER JOIN USER_CONTEXT_T UC on uc.USER_CONTEXT_ID=p.user_context_id
		    INNER JOIN USER_T u on u.user_id=uc.USER_ID
		  WHERE o.application_id = a.application_id AND p.option_id = o.option_id
	UNION
		 SELECT a.name AS application_name,
		    u.user_name,
		    o.name AS option_name,
		    o.default_value AS option_value,
		    'Y'::text AS is_default,
		    null as user_context_id
		   FROM option_t o,
		    application_t a,
		    user_t u
		  WHERE o.application_id = a.application_id AND o.default_value IS NOT NULL AND NOT (EXISTS ( SELECT 1
				FROM preference_t p 
				INNER JOIN USER_CONTEXT_T UC on uc.USER_CONTEXT_ID=p.user_context_id
			  WHERE p.option_id = o.option_id and uc.user_id=u.user_id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('postgresqlUpView_update2', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 377, '8:9ff32b159cb040d1c6c6efd4e5d0fceb', 'dropView viewName=USER_PROFILE_V; createView viewName=USER_PROFILE_V', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::preferenceTable_update2::emtudorsm
ALTER TABLE PREFERENCE_T DROP CONSTRAINT preference_user_fk;

ALTER TABLE PREFERENCE_T DROP COLUMN USER_ID;

DELETE FROM PREFERENCE_T;

ALTER TABLE PREFERENCE_T ALTER COLUMN  USER_CONTEXT_ID SET NOT NULL;

CREATE UNIQUE INDEX uk_pref_user_option ON preference_t(user_context_id, option_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('preferenceTable_update2', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 379, '8:d879a6ed5524c8450aa0a30f17299eea', 'dropForeignKeyConstraint baseTableName=PREFERENCE_T, constraintName=preference_user_fk; dropColumn columnName=USER_ID, tableName=PREFERENCE_T; sql; addNotNullConstraint columnName=USER_CONTEXT_ID, tableName=PREFERENCE_T; createIndex indexName=uk_p...', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog.xml::updateEndpointsTable2::emtudorsm
update end_point_t set name=name||'_backup' where uri like '%backup%';

CREATE UNIQUE INDEX uk_end_point_org ON end_point_t(name, organisation_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('updateEndpointsTable2', 'emtudorsm', 'changelog/v1.3/db-changelog.xml', NOW(), 381, '8:d2e90cb3f956f06c74ad997f4a20f9a8', 'sql; createIndex indexName=uk_end_point_org, tableName=end_point_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog-bootstrapData.xml::featureBootUpdate1::emtudorsm
INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
		select 'viewPersonDetails', 'View the person details ', 
		APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
		select 'managePersons', 'Manage a person details', 
		APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
		select 'viewUserContexts', 'View the contexts of a user', 
		APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
		select 'manageUserContexts', 'Manage the contexts of a user', 
		APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('featureBootUpdate1', 'emtudorsm', 'changelog/v1.3/db-changelog-bootstrapData.xml', NOW(), 383, '8:139104b5b2dc6de320e6e46fd442899e', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog-bootstrapData.xml::permissionBootUpdate1::emtudorsm
INSERT INTO PERMISSION_T (ROLE_ID, FEATURE_ID) 
		select r.ROLE_ID, f.FEATURE_ID
		from APPLICATION_T a, FEATURE_T f, ROLE_T r 
		where a.NAME='USM'
  		and f.NAME in ('managePersons','manageUserContexts')
  		and r.NAME='USM-UserManager'
 		and f.APPLICATION_ID=a.APPLICATION_ID;

INSERT INTO PERMISSION_T (ROLE_ID, FEATURE_ID) 
		select r.ROLE_ID, f.FEATURE_ID
		from APPLICATION_T a, FEATURE_T f, ROLE_T r 
		where a.NAME='USM'
  		and f.NAME in ('viewPersonDetails','viewUserContexts')
  		and r.NAME='USM-UserBrowser'
 		and f.APPLICATION_ID=a.APPLICATION_ID;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('permissionBootUpdate1', 'emtudorsm', 'changelog/v1.3/db-changelog-bootstrapData.xml', NOW(), 385, '8:bbb7de5e51e1e6bcd8633cadec98cee6', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog-bootstrapData.xml::featureBootUpdate2::emtudorsm
INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
		select 'manageEndpoints', 'Manage end points, channels, assign/remove contacts', 
		APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
		select 'viewOrganisationDetails', 'View details of a selected organisation', 
		APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO FEATURE_T (NAME, DESCRIPTION, APPLICATION_ID) 
		select 'viewEndpointsDetails', 'View specific endpoint, channels and contacts details', 
		APPLICATION_ID from APPLICATION_T where NAME='USM';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('featureBootUpdate2', 'emtudorsm', 'changelog/v1.3/db-changelog-bootstrapData.xml', NOW(), 387, '8:7e0214dc377a3ed33fc9000cf96be467', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog-bootstrapData.xml::permissionBootUpdate2::emtudorsm
INSERT INTO PERMISSION_T (ROLE_ID, FEATURE_ID) 
		select r.ROLE_ID, f.FEATURE_ID
		from APPLICATION_T a, FEATURE_T f, ROLE_T r 
		where a.NAME='USM'
  		and f.NAME in ('manageEndpoints')
  		and r.NAME='USM-UserManager'
 		and f.APPLICATION_ID=a.APPLICATION_ID;

INSERT INTO PERMISSION_T (ROLE_ID, FEATURE_ID) 
		select r.ROLE_ID, f.FEATURE_ID
		from APPLICATION_T a, FEATURE_T f, ROLE_T r 
		where a.NAME='USM'
  		and f.NAME in ('viewOrganisationDetails','viewEndpointsDetails')
  		and r.NAME='USM-UserBrowser'
 		and f.APPLICATION_ID=a.APPLICATION_ID;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('permissionBootUpdate2', 'emtudorsm', 'changelog/v1.3/db-changelog-bootstrapData.xml', NOW(), 389, '8:b6e93a64114e19348d221ffc7beb127d', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog-bootstrapData.xml::featureBootUpdate3::emtudorsm
UPDATE FEATURE_T f SET GROUP_NAME = 'User' where f.NAME like'%User%' and 
  		 f.APPLICATION_ID in (select a.APPLICATION_ID from APPLICATION_T a where a.NAME='USM');

UPDATE FEATURE_T f SET GROUP_NAME = 'Organisation' where f.NAME like'%Organisation%' and 
  		 f.APPLICATION_ID  in (select a.APPLICATION_ID from APPLICATION_T a where a.NAME='USM');

UPDATE FEATURE_T f SET GROUP_NAME = 'Endpoint' where f.NAME like '%Endpoint%' and 
  		 f.APPLICATION_ID in (select a.APPLICATION_ID from APPLICATION_T a where a.NAME='USM');

UPDATE FEATURE_T f SET GROUP_NAME = 'Role' where f.NAME like '%Role%' and 
  		 f.APPLICATION_ID in (select a.APPLICATION_ID from APPLICATION_T a where a.NAME='USM');

UPDATE FEATURE_T f SET GROUP_NAME = 'Scope' where f.NAME like '%Scope%' and 
  		 f.APPLICATION_ID in (select a.APPLICATION_ID from APPLICATION_T a where a.NAME='USM');

UPDATE FEATURE_T f SET GROUP_NAME = 'Application' where f.NAME like '%Application%' and 
  		 f.APPLICATION_ID in (select a.APPLICATION_ID from APPLICATION_T a where a.NAME='USM');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('featureBootUpdate3', 'emtudorsm', 'changelog/v1.3/db-changelog-bootstrapData.xml', NOW(), 391, '8:8166b6e1aa22ef15f08c0de0a20323c8', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog-testdata-1.3.xml::channel_data::emhurjust
-- channel data
INSERT INTO channel_t (channel_id, dataflow, service, priority, end_point_id) VALUES ('1', 'dataflow', 'service', '1', '5');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('channel_data', 'emhurjust', 'changelog/v1.3/db-changelog-testdata-1.3.xml', NOW(), 393, '8:b3bc137a81b5ad33e4cea9706e6f4325', 'insert tableName=channel_t', 'channel data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog-testdata-1.3.xml::preferenceTableData::emtudorsm
INSERT INTO PREFERENCE_T (PREFERENCE_ID, USER_CONTEXT_ID, OPTION_ID, OPTION_VALUE) 
  		VALUES(1,10,0,'en_GB');

INSERT INTO PREFERENCE_T (PREFERENCE_ID, USER_CONTEXT_ID, OPTION_ID, OPTION_VALUE) 
  		VALUES(2,10,1,'50');

INSERT INTO PREFERENCE_T (PREFERENCE_ID, USER_CONTEXT_ID, OPTION_ID, OPTION_VALUE) 
  		VALUES(3,17,0,'fr_FR');

INSERT INTO PREFERENCE_T (PREFERENCE_ID, USER_CONTEXT_ID, OPTION_ID, OPTION_VALUE) 
  		VALUES(4,17,1,'5');

INSERT INTO PREFERENCE_T (PREFERENCE_ID, USER_CONTEXT_ID, OPTION_ID, OPTION_VALUE) 
  		VALUES(5,13,4,'FRA');

INSERT INTO PREFERENCE_T (PREFERENCE_ID, USER_CONTEXT_ID, OPTION_ID, OPTION_VALUE) 
  		VALUES(6,14,4,'GRC');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('preferenceTableData', 'emtudorsm', 'changelog/v1.3/db-changelog-testdata-1.3.xml', NOW(), 395, '8:8bce4c5f5c64d2929262661b2a53bd09', 'sql', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.3/db-changelog-testdata-1.3.xml::updateUserTable_add1::emtudorsm
INSERT INTO USER_T(USER_NAME,STATUS, PASSWORD)
			VALUES('testUser','E','8bab6dadfaaaab97779e9281657bb45a');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('updateUserTable_add1', 'emtudorsm', 'changelog/v1.3/db-changelog-testdata-1.3.xml', NOW(), 397, '8:0941239ce1a5763989128338ad57231c', 'sql', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-1.3::emtudorsm
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-1.3', 'emtudorsm', 'changelog/db-changelog-master.xml', NOW(), 399, '8:86f5a9eea8b136534fca84e0e5e8220e', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_1.3');

-- Changeset changelog/v1.4/db-changelog.xml::challenge_1::emtudorsm
alter table challenge_t drop column hint;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('challenge_1', 'emtudorsm', 'changelog/v1.4/db-changelog.xml', NOW(), 401, '8:aa0e46501215a98b99b2bdae8ab23a14', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog.xml::pending_details_1::emtudorsm
CREATE SEQUENCE  IF NOT EXISTS sq_pending_details START WITH 100000 INCREMENT BY 1 MINVALUE 1;

CREATE TABLE pending_details_t (pending_details_id INTEGER NOT NULL, user_name VARCHAR(32) NOT NULL, first_name VARCHAR(32), last_name VARCHAR(32), phone_number VARCHAR(32), mobile_number VARCHAR(32), fax_number VARCHAR(32), e_mail VARCHAR(64), created_by VARCHAR(32) NOT NULL, created_on TIMESTAMP WITHOUT TIME ZONE NOT NULL, modified_by VARCHAR(32), modified_on TIMESTAMP WITHOUT TIME ZONE);

COMMENT ON TABLE pending_details_t IS 'Holds contact information about a person, pending review.';

COMMENT ON COLUMN pending_details_t.user_name IS 'The login name of the user';

COMMENT ON COLUMN pending_details_t.first_name IS 'The first or given name of the person';

COMMENT ON COLUMN pending_details_t.last_name IS 'The last or family name of the person';

COMMENT ON COLUMN pending_details_t.phone_number IS 'The person phone number';

COMMENT ON COLUMN pending_details_t.mobile_number IS 'The person mobile phone number';

COMMENT ON COLUMN pending_details_t.fax_number IS 'The person fax number';

COMMENT ON COLUMN pending_details_t.e_mail IS 'The person e-mail address';

COMMENT ON COLUMN pending_details_t.created_by IS 'The name of the user who created the entry';

COMMENT ON COLUMN pending_details_t.created_on IS 'The date and time the entry was created';

COMMENT ON COLUMN pending_details_t.modified_by IS 'The name of the user who performed the last update on the entry';

COMMENT ON COLUMN pending_details_t.modified_on IS 'The date and time the entry was last updated';

ALTER TABLE pending_details_t ADD CONSTRAINT pk_pending_details PRIMARY KEY (pending_details_id);

CREATE UNIQUE INDEX uk_pending_details ON pending_details_t(user_name);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('pending_details_1', 'emtudorsm', 'changelog/v1.4/db-changelog.xml', NOW(), 403, '8:48c40a1e29d1e1196243699fd6ca9176', 'createSequence sequenceName=sq_pending_details; createTable tableName=pending_details_t; addPrimaryKey constraintName=pk_pending_details, tableName=pending_details_t; createIndex indexName=uk_pending_details, tableName=pending_details_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog.xml::pending_details_4::emtudorsm
CREATE OR REPLACE FUNCTION pending_details_BI()
      RETURNS trigger AS
      $BODY$
      begin
			
      if NEW.pending_details_id IS NULL 
      then
      begin
      NEW.pending_details_id :=nextval('SQ_pending_details');
      end;  
      end if;
			
			
      IF NEW.created_on IS NULL
      THEN
      NEW.created_on := current_timestamp;
      END IF;	
			
      if NEW.created_by is NULL
      THEN 
      NEW.created_by :=UPPER(current_user);
      ELSE
      NEW.created_by :=UPPER(NEW.created_by);  
      END IF;  
      RETURN NEW;	
      EXCEPTION
      WHEN OTHERS THEN 
      RAISE WARNING 'pending_details_BI: SQLSTATE %: %', SQLSTATE, SQLERRM;
      RETURN NULL;  	
      end;$BODY$
      LANGUAGE plpgsql VOLATILE
      COST 100;
			
      CREATE TRIGGER pending_details_BI BEFORE INSERT ON pending_details_T
      FOR EACH ROW EXECUTE PROCEDURE pending_details_BI();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('pending_details_4', 'emtudorsm', 'changelog/v1.4/db-changelog.xml', NOW(), 405, '8:f7dc71f243f53ec1a324f848fae8e0bc', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog.xml::pending_details_5::emtudorsm
CREATE OR REPLACE FUNCTION pending_details_BU()
      RETURNS trigger AS
      $BODY$
      begin
			
      IF NEW.modified_on IS NULL or (OLD.modified_on = OLD.modified_on)
      THEN
      NEW.modified_on := current_timestamp;
      END IF;	
			
      if NEW.modified_by is NULL or (NEW.modified_by = OLD.modified_by)
      THEN 
      NEW.modified_by :=UPPER(current_user);
      ELSE
      NEW.modified_by :=UPPER(NEW.modified_by);  
      END IF;  
      RETURN NEW;	
      EXCEPTION
      WHEN OTHERS THEN 
      RAISE WARNING 'pending_details_BU: SQLSTATE %: %', SQLSTATE, SQLERRM;
      RETURN NULL;  	
      end;$BODY$
      LANGUAGE plpgsql VOLATILE
      COST 100;
			
      CREATE TRIGGER pending_details_BU BEFORE UPDATE ON pending_details_T
      FOR EACH ROW EXECUTE PROCEDURE pending_details_BU();

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('pending_details_5', 'emtudorsm', 'changelog/v1.4/db-changelog.xml', NOW(), 407, '8:5e997d219c32bead9e8d3b98b4d1f0e7', 'createProcedure', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::policy_subject_boot_1::emtudorsm
update policy_t set subject='Feature' where subject='feature';

update policy_t set subject='Account' where subject='account';

update policy_t set subject='Password' where subject='password';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_subject_boot_1', 'emtudorsm', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 409, '8:a941a45f06044e791e9753ddda007e63', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::pending_details_boot_1::emtudorsm
insert into policy_t(subject, name, value, description)
              values('Feature', 'update.contact.details.enabled', 'true', 'Enable (true) or disable (false) the <<Update Contact Details>> feature');

insert into policy_t(subject, name, value, description)
              values('Feature', 'review.contact.details.enabled', 'false', 'Enable (true) or disable (false) the <<Review Contact Details Updates before they become effective>> feature');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('pending_details_boot_1', 'emtudorsm', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 411, '8:d9742ae5be78235cd86fbe17d3d2d0bf', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::session_policy_boot_1::emtudorsm
insert into policy_t(subject, name, value, description)
                             values('Account', 'account.maxSessionOneSite', '0', 
                                    'Maximum number of concurrent sessions with the same user from a single site');

insert into policy_t(subject, name, value, description)
                             values('Account', 'account.maxSessionAnySite', '0', 
                                    'Maximum number of concurrent sessions with the same user from any site');

insert into policy_t(subject, name, value, description)
                             values('Account', 'account.maxSessionDuration', '28800', 
                                    'Maximum duration of a user session in number of seconds');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('session_policy_boot_1', 'emtudorsm', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 413, '8:ee552ddb77e5bf9e9cdae9fbc6a1ce41', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::feature_boot_1::emtudorsm
delete from permission_t 
               where feature_id in (select feature_id from feature_t 
               where application_id=(select application_id from application_t where name='USM')
               and name in ('activateUsers','viewUserPreferences','manageUserPreferences','assignRoles','activateRoles',
                             'assignScopes','activateScopes','viewPersonDetails','managePersons','viewUserContexts',
                             'manageUserContexts','manageEndpoints','viewOrganisationDetails','viewEndpointsDetails'));

delete from feature_t 
              where application_id=(select application_id from application_t where name='USM')
              and name in ('activateUsers','viewUserPreferences','manageUserPreferences','assignRoles','activateRoles',
                           'assignScopes','activateScopes','viewPersonDetails','managePersons','viewUserContexts',
                           'manageUserContexts','manageEndpoints','viewOrganisationDetails','viewEndpointsDetails');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('feature_boot_1', 'emtudorsm', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 415, '8:9e1725c300a7d5c939c7b735c976c385', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::feature_boot_2::emtudorsm
update feature_t
                set description='Manage (create, update, enable, disable) the system users'	
               where application_id=(select application_id from application_t where name='USM')
               and name='manageUsers';

update feature_t
                set description='Manage (create, update, delete, enable, disable) the application roles'	
               where application_id=(select application_id from application_t where name='USM')
               and name='manageRoles';

update feature_t
                set description='Manage (create, update, delete, enable, disable) the application scopes'	
               where application_id=(select application_id from application_t where name='USM')
               and name='manageScopes';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('feature_boot_2', 'emtudorsm', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 417, '8:20f5a3a8c0414bc42f804b7a606b3de1', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::bootsrap_boot_1::emtudorsm
insert into role_t (name, status) values ('USM Administrator', 'E');

insert into permission_t(role_id, feature_id)
               (select r.role_id, f.feature_id from role_t r, feature_t f 
                where r.name='USM Administrator' 
                and f.application_id=(select application_id from application_t a where a.name='USM'));

delete from user_context_t where user_id in (select user_id from user_t where user_name='usm_bootstrap');

insert into user_context_t(user_id, role_id)
               (select u.user_id, r.role_id from role_t r, user_t u 
                where r.name='USM Administrator' 
                and u.user_name='usm_bootstrap');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('bootsrap_boot_1', 'emtudorsm', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 419, '8:892c5f166bc47d9b90d468c0a2371457', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::policies_administration_ldap_query_attributes_obsolete::emdouniat
DELETE FROM policy_t WHERE subject='Administration' and name='ldap.query.attributes';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policies_administration_ldap_query_attributes_obsolete', 'emdouniat', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 421, '8:856285661ed634c033df608e37999d6f', 'delete tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::policies_ldap_enabled_authentication_description::emdouniat
UPDATE policy_t SET description = 'Flag that controls whether LDAP based authentication is enabled (value "true") or disabled (value "false")' WHERE name='ldap.enabled' and subject='Authentication';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policies_ldap_enabled_authentication_description', 'emdouniat', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 423, '8:e7dc090ca9c019f45e582526635efc35', 'update tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::policies_ldap_enabled_administration_description::emdouniat
UPDATE policy_t SET description = 'Flag that controls whether LDAP based authentication is enabled for user administration (value "true") or disabled (value "false")' WHERE name='ldap.enabled' and subject='Administration';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policies_ldap_enabled_administration_description', 'emdouniat', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 425, '8:2c227c25852c28c59a92ed054e5c4dea', 'update tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::policies_ldap_label_firstName_administration_value_given_name::emdouniat
UPDATE policy_t SET value = 'givenName' WHERE name='ldap.label.firstName' and subject='Administration';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policies_ldap_label_firstName_administration_value_given_name', 'emdouniat', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 427, '8:e3788b6438a2634da21cb76192bb1c6d', 'update tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-bootstrapData.xml::policies_ldap_label_lastName_administration_value_sn::emdouniat
UPDATE policy_t SET value = 'sn' WHERE name='ldap.label.lastName' and subject='Administration';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policies_ldap_label_lastName_administration_value_sn', 'emdouniat', 'changelog/v1.4/db-changelog-bootstrapData.xml', NOW(), 429, '8:9b2d75cb6e20d3997d3678dd15fe30fd', 'update tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-testdata-1.4.xml::pending_details_test_1::emtudorsm
insert into pending_details_t (pending_details_id, user_name, phone_number, e_mail)
               values(5, 'quota_man_com', '+32212345678', 'quota_man_com@mail.europa.ec');

insert into pending_details_t (pending_details_id, user_name, phone_number, e_mail)
               values(6, 'quota_usr_com', '+32287654321', 'quota_usr_com@mail.europa.ec');

insert into pending_details_t (pending_details_id, user_name, phone_number, e_mail)
               values(7, 'quota_usr_fra', '+33187654321', 'quota_usr_fra@mail.gouv.fr');

insert into pending_details_t (pending_details_id, user_name, phone_number, e_mail)
               values(8, 'quota_usr_grc', '+30210123456', 'quota_usr_grc@mail.gov.gr');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('pending_details_test_1', 'emtudorsm', 'changelog/v1.4/db-changelog-testdata-1.4.xml', NOW(), 431, '8:b27e9d177b2a30122a475589951fb6aa', 'sql', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.4/db-changelog-testdata-1.4.xml::policy_data::emhurjust
-- channel data
INSERT INTO policy_t (policy_id, name, description, subject, value) VALUES ('13', 'password.numberOfChallenges', 'Number of challenges used to amend user information', 'Password', '3');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_data', 'emhurjust', 'changelog/v1.4/db-changelog-testdata-1.4.xml', NOW(), 433, '8:b307fd08117fc8592d914952c697551c', 'insert tableName=policy_t', 'channel data', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-1.4::emtudorsm
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-1.4', 'emtudorsm', 'changelog/db-changelog-master.xml', NOW(), 435, '8:90077b3a769414b3ebb99da118f50590', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_1.4');

-- Changeset changelog/v1.5/db-changelog.xml::password_expiry_notification_1::emtudorsm
alter table user_t add expiry_notification timestamp;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('password_expiry_notification_1', 'emtudorsm', 'changelog/v1.5/db-changelog.xml', NOW(), 437, '8:6434b3d5bc36704a7e57b724b61298be', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/db-changelog.xml::changeOptionTable::emtudorsm
DROP VIEW user_profile_v;

ALTER TABLE OPTION_T ALTER COLUMN DEFAULT_VALUE TYPE BYTEA USING (DEFAULT_VALUE::BYTEA);

ALTER TABLE PREFERENCE_T ALTER COLUMN OPTION_VALUE TYPE BYTEA USING (OPTION_VALUE::BYTEA);

CREATE VIEW user_profile_v AS SELECT a.name AS application_name,
		    u.user_name,
		    o.name AS option_name,
		    p.option_value,
		    'N'::text AS is_default, 
		    uc.user_context_id
		   FROM option_t o,
		    application_t a,
		    preference_t p
		    INNER JOIN USER_CONTEXT_T UC on uc.USER_CONTEXT_ID=p.user_context_id
		    INNER JOIN USER_T u on u.user_id=uc.USER_ID
		  WHERE o.application_id = a.application_id AND p.option_id = o.option_id
	UNION
		 SELECT a.name AS application_name,
		    u.user_name,
		    o.name AS option_name,
		    o.default_value AS option_value,
		    'Y'::text AS is_default,
		    null as user_context_id
		   FROM option_t o,
		    application_t a,
		    user_t u
		  WHERE o.application_id = a.application_id AND o.default_value IS NOT NULL AND NOT (EXISTS ( SELECT 1
				FROM preference_t p 
				INNER JOIN USER_CONTEXT_T UC on uc.USER_CONTEXT_ID=p.user_context_id
			  WHERE p.option_id = o.option_id and uc.user_id=u.user_id));

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('changeOptionTable', 'emtudorsm', 'changelog/v1.5/db-changelog.xml', NOW(), 439, '8:42e289cf0b30ae2ce28111be8d6e0b7c', 'dropView viewName=user_profile_v; modifyDataType columnName=DEFAULT_VALUE, tableName=OPTION_T; modifyDataType columnName=OPTION_VALUE, tableName=PREFERENCE_T; createView viewName=user_profile_v', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/db-changelog-bootstrapData.xml::policy_lockout_boot_1::emtudorsm
insert into policy_t (subject, name, value, description)
               values('Authentication', 'account.lockoutFreshold', '3',
                      'Number of consecutive failed logins that trigger an account lockout. A value of 0 (zero) disables account lockout for consecutive failed logins');

insert into policy_t (subject, name, value, description)
               values('Authentication', 'account.lockoutDuration', '30',
                      'Account lockout duration in minutes. A value of 0 (zero) disables account lockout for consecutive failed logins');

insert into policy_t (subject, name, value, description)
               values('Authentication', 'password.renewalReminder', '7',
                      'Password renewal reminder at user login in number of days before expiration. A value of 0 (zero) disables reminder at login');

insert into policy_t (subject, name, value, description)
               values('Password', 'password.renewalReminder', '0',
                      'Password renewal reminder via e-mail in number of days before expiration. A value of 0 (zero) disables reminder via e-mail');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_lockout_boot_1', 'emtudorsm', 'changelog/v1.5/db-changelog-bootstrapData.xml', NOW(), 441, '8:916fe6d8359da5c6312d957ab702de79', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/db-changelog-bootstrapData.xml::policy_option_size::emtudorsm
insert into policy_t (subject, name, value, description)
               values('Information', 'option.valueSize', '100', 'The size of maximum allowed data for value of an option');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_option_size', 'emtudorsm', 'changelog/v1.5/db-changelog-bootstrapData.xml', NOW(), 443, '8:9a1e6f45ab877ec49b1356ca0eb15933', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/db-changelog-bootstrapData.xml::policy_password_boot_1::emtudorsm
insert into policy_t (subject, name, value, description)
               values('Password', 'password.minLength', '8',
                      'Password minimum length');

insert into policy_t (subject, name, value, description)
               values('Password', 'password.minSpecial', '0', 
                      'Password minimum number of special characters');

insert into policy_t (subject, name, value, description)
               values('Password', 'password.minDigits', '0', 
                      'Password minimum number of digits');

insert into policy_t (subject, name, value, description)
               values('Password', 'password.minHistory', '1', 
                      'Minimum number of different passwords before reusing a (previous) password');

insert into policy_t (subject, name, value, description)
               values('Password', 'password.maxValidity', '0', 
                      'Password validity in days of a freshly changed password. A value of 0 (zero) disables password expiration');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_password_boot_1', 'emtudorsm', 'changelog/v1.5/db-changelog-bootstrapData.xml', NOW(), 445, '8:8b9125fe6226735e9c461a482a0fb80c', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/db-changelog-testdata-1.5.xml::forgotten_pass_person_add::emkrogean
INSERT INTO person_t (person_id, first_name, last_name, phone_number, mobile_number, fax_number, e_mail, created_by, created_on, modified_by, modified_on) VALUES (26, 'test1', 'test1', NULL, NULL, NULL, 'test1@test.es', 'USM2', '2015-10-05 15:28:38.303663', NULL, NULL);

INSERT INTO person_t (person_id, first_name, last_name, phone_number, mobile_number, fax_number, e_mail, created_by, created_on, modified_by, modified_on) VALUES (27, 'test2', 'test2', NULL, NULL, NULL, 'test2@test.es', 'USM2', '2015-10-05 15:28:38.303663', NULL, NULL);

INSERT INTO person_t (person_id, first_name, last_name, phone_number, mobile_number, fax_number, e_mail, created_by, created_on, modified_by, modified_on) VALUES (28, 'test3', 'test3', NULL, NULL, NULL, 'test3@test.es', 'USM2', '2015-10-05 15:28:38.303663', NULL, NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('forgotten_pass_person_add', 'emkrogean', 'changelog/v1.5/db-changelog-testdata-1.5.xml', NOW(), 447, '8:7f8086a4ff580ca2782427f64b10762d', 'insert tableName=person_t; insert tableName=person_t; insert tableName=person_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/db-changelog-testdata-1.5.xml::forgotten_pass_user_add::emkrogean
INSERT INTO user_t (user_id, user_name, status, organisation_id, person_id, active_from, active_to, last_logon, lockout_to, password_expiry, PASSWORD, lockout_reason, logon_failure, notes, created_by, created_on, modified_by, modified_on, expiry_notification) VALUES (26, 'USM_TEST_1', 'E', 3, 26, '2015-10-05 02:00:00', '2999-01-01 01:00:00', NULL, NULL, '2020-01-03 15:30:27.334', '37f214acb261b57185a6cf2885b634dd', NULL, NULL, NULL, 'USM_ADMIN', '2015-10-05 15:29:53.919', 'USM_ADMIN', '2015-10-05 15:30:27.334', NULL);

INSERT INTO user_t (user_id, user_name, status, organisation_id, person_id, active_from, active_to, last_logon, lockout_to, password_expiry, PASSWORD, lockout_reason, logon_failure, notes, created_by, created_on, modified_by, modified_on, expiry_notification) VALUES (27, 'USM_TEST_2', 'E', 3, 27, '2015-10-05 02:00:00', '2999-01-01 01:00:00', NULL, NULL, '2020-01-03 15:30:27.334', '37f214acb261b57185a6cf2885b634dd', NULL, NULL, NULL, 'USM_ADMIN', '2015-10-05 15:29:53.919', 'USM_ADMIN', '2015-10-05 15:30:27.334', NULL);

INSERT INTO user_t (user_id, user_name, status, organisation_id, person_id, active_from, active_to, last_logon, lockout_to, password_expiry, PASSWORD, lockout_reason, logon_failure, notes, created_by, created_on, modified_by, modified_on, expiry_notification) VALUES (28, 'USM_TEST_3', 'D', 3, 28, '2015-10-05 02:00:00', '2999-01-01 01:00:00', NULL, NULL, '2020-01-03 15:30:27.334', '37f214acb261b57185a6cf2885b634dd', NULL, NULL, NULL, 'USM_ADMIN', '2015-10-05 15:29:53.919', 'USM_ADMIN', '2015-10-05 15:30:27.334', NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('forgotten_pass_user_add', 'emkrogean', 'changelog/v1.5/db-changelog-testdata-1.5.xml', NOW(), 449, '8:1e7cf7c67d38027335949ea0498177c6', 'insert tableName=user_t; insert tableName=user_t; insert tableName=user_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1443537166505-1::georgige (generated)
INSERT INTO application_t (application_id, name, description, parent_id) VALUES (10, 'TEST_APP', 'Deployment descriptor of module TEST_APP.', NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-1', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 451, '8:d4195738411e34db8f258fbdabb683bf', 'insert tableName=application_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1443537166505-2::georgige (generated)
INSERT INTO feature_t (feature_id, name, description, application_id, group_name) VALUES (101, 'APP1_TEST_FEATURE', 'some test feature', 10, 'modified_group_name');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-2', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 453, '8:76d8517cd8d7e85cc9432fd72f9de61a', 'insert tableName=feature_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1443537166505-3::georgige (generated)
INSERT INTO option_t (option_id, name, description, data_type, application_id, group_name) VALUES (5, 'TEST_USER_PREFERENCE', 'TEST_USER_PREFERENCE', 'String', 10, 'TEST_APP');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-3', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 455, '8:19b427b714d857228aa288569cbd8b21', 'insert tableName=option_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1443537166505-6::georgige (generated)
INSERT INTO role_t (role_id, name, description, status) VALUES (11, 'TEST_ROLE', 'some test role', 'E');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-6', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 457, '8:c18bc53bc09c6ed9c7cd501835a86aef', 'insert tableName=role_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1443537166505-4::georgige (generated)
INSERT INTO permission_t (role_id, feature_id) VALUES (11, 101);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-4', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 459, '8:bbadaf4f1e4cf396d4536ed712b8d231', 'insert tableName=permission_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1443537166505-5::georgige (generated)
INSERT INTO person_t (person_id, first_name, last_name, phone_number, mobile_number, fax_number, e_mail) VALUES (20, 'TEST', 'USER', NULL, NULL, NULL, 'test@test.sd');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-5', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 461, '8:bbfcdbe614db3f2c385f2451c5c5640e', 'insert tableName=person_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1443537166505-9::georgige (generated)
INSERT INTO user_t (user_id, user_name, status, organisation_id, person_id, active_from, active_to, last_logon, lockout_to, password_expiry, PASSWORD, lockout_reason, logon_failure, notes, created_by, created_on, modified_by, modified_on, expiry_notification) VALUES (30, 'TEST_USER', 'E', 0, 20, '2015-09-28 02:00:00', '2998-12-31 01:00:00', NULL, NULL, '2015-12-27 13:53:25.059', '5a656b10d2dec100254fc5892f3e972a', NULL, NULL, NULL, 'USM_ADMIN', '2015-09-28 13:34:44.907', 'USM_ADMIN', '2015-09-28 13:53:25.059', NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-9', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 463, '8:5442af720c2fb1c051ee071726bdce7b', 'insert tableName=user_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1443537166505-7::georgige (generated)
INSERT INTO scope_t (scope_id, name, description, status, active_from, active_to, data_from, data_to) VALUES (10, 'TEST_SCOPE', 'TEST_SCOPE', 'E', '2015-09-28 02:00:00', '2017-01-31 01:00:00', NULL, NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-7', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 465, '8:1a0c5f52828c0e399b7e8b6eab8b0b00', 'insert tableName=scope_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1443537166505-8::georgige (generated)
INSERT INTO user_context_t (user_context_id, user_id, role_id, scope_id) VALUES (20, 30, 11, 10);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-8', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 467, '8:89f2de2d01c5b1abfbf37e52f46f272f', 'insert tableName=user_context_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1444062061136-2::georgige (generated)
UPDATE feature_t SET description = 'allows user to list available reports', group_name = 'Reporting', name = 'LIST_REPORTS' WHERE feature_id=21;

UPDATE feature_t SET description = 'allows user to modify scope shared reports within the current user context/scope', group_name = 'Reporting', name = 'MODIFY_SCOPE_REPORT' WHERE feature_id=20;

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (131, 'MODIFY_PUBLIC_REPORT', 'allows user to modify global shared reports within the current user context/scope', 4, 'USM2', '2015-10-05 12:19:10.294566', NULL, NULL, 'Reporting');

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (133, 'SHARE_REPORT_SCOPE', 'allows user to share reports within current user context/scope', 4, 'USM2', '2015-10-05 12:19:10.294566', NULL, NULL, 'Reporting');

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (135, 'SHARE_REPORT_PUBLIC', 'allows user to share reports globally', 4, 'USM2', '2015-10-05 12:19:10.294566', NULL, NULL, 'Reporting');

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (137, 'CREATE_REPORT', 'allows user to create report', 4, 'USM2', '2015-10-05 12:19:10.294566', NULL, NULL, 'Reporting');

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (139, 'DELETE_SCOPE_REPORT', 'allows user to delete scope shared reports, of which he is not the owner', 4, 'USM2', '2015-10-05 12:19:10.294566', NULL, NULL, 'Reporting');

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (141, 'DELETE_PUBLIC_REPORT', 'allows user to delete PUBLIC shared reports, of which he is not the owner', 4, 'USM2', '2015-10-05 12:19:10.294566', NULL, NULL, 'Reporting');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1444062061136-2', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 469, '8:6f10883a3c26425ce8c14894dd921b89', 'update tableName=feature_t; update tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1444062061136-3::georgige (generated)
INSERT INTO role_t (role_id, name, description, status, created_by, created_on, modified_by, modified_on) VALUES (23, 'rep_power_role', 'rep_power_role', 'E', 'USM_ADMIN', '2015-10-05 15:31:51.505', 'USM_ADMIN', '2015-10-05 15:32:57.085');

INSERT INTO role_t (role_id, name, description, status, created_by, created_on, modified_by, modified_on) VALUES (24, 'rep_share_role', 'rep_share_role', 'E', 'USM_ADMIN', '2015-10-05 15:32:10.992', 'USM_ADMIN', '2015-10-05 15:34:44.49');

INSERT INTO role_t (role_id, name, description, status, created_by, created_on, modified_by, modified_on) VALUES (25, 'rep_private_role', 'rep_private_role', 'E', 'USM_ADMIN', '2015-10-05 15:32:21.286', 'USM_ADMIN', '2015-10-05 15:35:39.05');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1444062061136-3', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 471, '8:571ad5239c241b217c9689ad59b7a2d5', 'insert tableName=role_t; insert tableName=role_t; insert tableName=role_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1444062061136-4::georgige (generated)
INSERT INTO person_t (person_id, first_name, last_name, phone_number, mobile_number, fax_number, e_mail, created_by, created_on, modified_by, modified_on) VALUES (23, 'Report', 'PowerUser', NULL, NULL, NULL, 'rep@power', 'USM2', '2015-10-05 15:28:38.303663', NULL, NULL);

INSERT INTO person_t (person_id, first_name, last_name, phone_number, mobile_number, fax_number, e_mail, created_by, created_on, modified_by, modified_on) VALUES (21, 'Reporting', 'Private', NULL, NULL, NULL, 'rep@private', 'USM2', '2015-10-05 15:29:17.431705', NULL, NULL);

INSERT INTO person_t (person_id, first_name, last_name, phone_number, mobile_number, fax_number, e_mail, created_by, created_on, modified_by, modified_on) VALUES (22, 'Reporting', 'ShareUser', NULL, NULL, NULL, 'rep@share', 'USM2', '2015-10-05 15:29:53.870576', NULL, NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1444062061136-4', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 473, '8:a0b00308bc306d38c2835819cbd92c48', 'insert tableName=person_t; insert tableName=person_t; insert tableName=person_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1444062061136-5::georgige (generated)
INSERT INTO permission_t (role_id, feature_id) VALUES (23, 133);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 139);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 20);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 137);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 141);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 21);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 131);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 135);

INSERT INTO permission_t (role_id, feature_id) VALUES (24, 137);

INSERT INTO permission_t (role_id, feature_id) VALUES (24, 139);

INSERT INTO permission_t (role_id, feature_id) VALUES (24, 21);

INSERT INTO permission_t (role_id, feature_id) VALUES (24, 20);

INSERT INTO permission_t (role_id, feature_id) VALUES (24, 133);

INSERT INTO permission_t (role_id, feature_id) VALUES (25, 137);

INSERT INTO permission_t (role_id, feature_id) VALUES (25, 21);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1444062061136-5', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 475, '8:ad7fd5678148741f75206f627df0d463', 'insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t;...', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1444062061136-6::georgige (generated)
INSERT INTO user_t (user_id, user_name, status, organisation_id, person_id, active_from, active_to, last_logon, lockout_to, password_expiry, PASSWORD, lockout_reason, logon_failure, notes, created_by, created_on, modified_by, modified_on, expiry_notification) VALUES (31, 'rep_share', 'E', 0, 22, '2015-10-05 02:00:00', '2999-01-01 01:00:00', NULL, NULL, '2018-01-03 15:30:27.334', '21717d85bd1b1526b7e463279763cdb0', NULL, NULL, NULL, 'USM_ADMIN', '2015-10-05 15:29:53.919', 'USM_ADMIN', '2015-10-05 15:30:27.334', NULL);

INSERT INTO user_t (user_id, user_name, status, organisation_id, person_id, active_from, active_to, last_logon, lockout_to, password_expiry, PASSWORD, lockout_reason, logon_failure, notes, created_by, created_on, modified_by, modified_on, expiry_notification) VALUES (32, 'rep_private', 'E', 0, 21, '2015-10-05 02:00:00', '2999-01-01 01:00:00', NULL, NULL, '2018-01-03 15:30:52.656', '21717d85bd1b1526b7e463279763cdb0', NULL, NULL, NULL, 'USM_ADMIN', '2015-10-05 15:29:17.469', 'USM_ADMIN', '2015-10-05 15:30:52.657', NULL);

INSERT INTO user_t (user_id, user_name, status, organisation_id, person_id, active_from, active_to, last_logon, lockout_to, password_expiry, PASSWORD, lockout_reason, logon_failure, notes, created_by, created_on, modified_by, modified_on, expiry_notification) VALUES (33, 'rep_power', 'E', 0, 23, '2015-10-05 02:00:00', '2999-01-01 01:00:00', NULL, NULL, '2018-01-03 15:31:16.609', '21717d85bd1b1526b7e463279763cdb0', NULL, NULL, NULL, 'USM_ADMIN', '2015-10-05 15:28:38.335', 'USM_ADMIN', '2015-10-05 15:31:16.61', NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1444062061136-6', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 477, '8:815c42bbcb8f743a3ecafe09eae15e08', 'insert tableName=user_t; insert tableName=user_t; insert tableName=user_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1444062061136-7::georgige (generated)
INSERT INTO scope_t (scope_id, name, description, status, active_from, active_to, data_from, data_to, created_by, created_on, modified_by, modified_on) VALUES (11, 'EC', 'All Consolidated Reports', 'E', '2015-10-05 02:00:00', '2016-10-05 02:00:00', NULL, NULL, 'USM2', '2015-10-05 12:00:20.952303', 'USM_ADMIN', '2015-10-05 18:14:10.648921');

INSERT INTO scope_t (scope_id, name, description, status, active_from, active_to, data_from, data_to, created_by, created_on, modified_by, modified_on) VALUES (12, 'DG_MARE', 'DG MARE Reports', 'E', '2015-10-05 02:00:00', '2017-01-31 01:00:00', NULL, NULL, 'USM_ADMIN', '2015-10-05 15:36:49.277', 'USM_ADMIN', '2015-10-05 18:16:41.937889');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1444062061136-7', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 479, '8:60b35b5c6e5737c45a7e6e9daeccf0dc', 'insert tableName=scope_t; insert tableName=scope_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.5/usm4uvms_test_data.xml::1444062061136-8::georgige (generated)
INSERT INTO user_context_t (user_context_id, user_id, role_id, scope_id) VALUES (21, 31, 24, 11);

INSERT INTO user_context_t (user_context_id, user_id, role_id, scope_id) VALUES (22, 31, 24, 12);

INSERT INTO user_context_t (user_context_id, user_id, role_id, scope_id) VALUES (23, 32, 25, 12);

INSERT INTO user_context_t (user_context_id, user_id, role_id, scope_id) VALUES (24, 32, 25, 11);

INSERT INTO user_context_t (user_context_id, user_id, role_id, scope_id) VALUES (25, 33, 23, 11);

INSERT INTO user_context_t (user_context_id, user_id, role_id, scope_id) VALUES (26, 33, 23, 12);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1444062061136-8', 'georgige (generated)', 'changelog/v1.5/usm4uvms_test_data.xml', NOW(), 481, '8:aef1b91f465415fc6bbec13d46a02ba3', 'insert tableName=user_context_t; insert tableName=user_context_t; insert tableName=user_context_t; insert tableName=user_context_t; insert tableName=user_context_t; insert tableName=user_context_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-1.5::emkrogean
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-1.5', 'emkrogean', 'changelog/db-changelog-master.xml', NOW(), 483, '8:cc374f11fee803dc1bc1dbef36bafc5d', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_1.5');

-- Changeset changelog/v1.6/applications_gbg.xml::1446040663888-1::marche (generated)
UPDATE application_t SET parent_id = 2 WHERE application_id=3;

INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (5, 'MobileTerminal', 'Union VMS Mobile Terminal Module', 'USM', '2015-09-07 11:10:48.577932', 'USM', '2015-09-07 11:10:55.944844', 2);

INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (6, 'Exchange', 'Union VMS Exchange Module', 'USM', '2015-09-09 13:21:07.923386', 'USM', '2015-09-09 13:21:17.121761', 2);

INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (7, 'Movement', 'Union VMS Movement Module', 'USM', '2015-09-09 14:47:41.372529', NULL, NULL, 2);

INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (8, 'Rules', 'Union VMS Rules Module', 'USM', '2015-09-23 09:47:09.664793', NULL, NULL, 2);

INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (9, 'Audit', 'Union VMS Audit Module', 'USM', '2015-09-10 15:31:26.889781', NULL, NULL, 2);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1446040663888-1', 'marche (generated)', 'changelog/v1.6/applications_gbg.xml', NOW(), 485, '8:9c8118e9be0ee7c6f8187aa113b23607', 'update tableName=application_t; insert tableName=application_t; insert tableName=application_t; insert tableName=application_t; insert tableName=application_t; insert tableName=application_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.6/features_gbg.xml::1446040663888-6::marche (generated)
INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (226, 'vesselConfig', 'Vessel configuration', 3, 'USM', '2015-09-08 15:19:04.912708', 'USM', '2015-09-09 14:43:10.365324', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (228, 'vesselHistory', 'Vessel history', 3, 'USM', '2015-09-08 15:49:58.962395', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (231, 'viewVesselGroups', 'View vessel groups', 3, 'USM', '2015-09-08 15:50:19.489986', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (234, 'manageVesselGroups', 'Managing vessel groups', 3, 'USM', '2015-09-08 15:50:34.2752', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (235, 'viewMobileTerminals', 'Viewing mobile terminals', 5, 'USM', '2015-09-09 12:45:13.209489', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (239, 'manageMobileTerminals', 'Managing mobile terminals', 5, 'USM', '2015-09-09 12:45:30.100201', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (242, 'mobileTerminalPlugins', 'Accessing mobile terminal plugins', 5, 'USM', '2015-09-09 12:45:49.183853', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (244, 'mobileTerminalConfig', 'Accessing mobile terminal configuration', 5, '{NULL}', '2015-09-09 12:46:06.380414', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (249, 'viewExchange', 'Viewing exchange logs', 6, 'USM', '2015-09-09 13:22:24.087903', 'USM', '2015-09-23 16:49:11.082043', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (255, 'viewPollingLogs', 'Viewing polling logs', 5, 'USM', '2015-09-09 14:44:15.917544', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (258, 'manageProgramPolls', 'Managing program polls', 5, 'USM', '2015-09-09 14:44:37.329536', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (261, 'managePolls', 'Managing polls', 5, '{NULL}', '2015-09-09 14:44:51.929988', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (264, 'viewPollableChannels', 'Viewing pollable channels', 5, '{NULL}', '2015-09-09 14:45:13.010816', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (267, 'viewMovements', 'Viewing movements', 7, 'USM', '2015-09-09 14:48:17.548171', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (279, 'manageManualMovements', 'Managing manual movements', 7, 'USM', '2015-09-09 14:49:19.846111', 'USM', '2015-09-23 09:45:27.472807', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (276, 'viewManualMovements', 'Viewing manual movements', 7, 'USM', '2015-09-09 14:48:57.326399', 'USM', '2015-09-23 09:45:53.560976', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (286, 'viewAudit', 'Viewing audit', 9, 'USM', '2015-09-10 15:32:00.848936', 'USM', '2015-09-23 09:48:41.161433', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (292, 'viewVesselsAndMobileTerminals', 'Viewing both vessels and mobile terminals', 2, 'USM', '2015-09-21 13:37:34.361884', 'USM', '2015-09-21 13:51:27.015026', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (294, 'manageMobileTerminals', 'Managing mobile terminals', 2, 'USM', '2015-09-21 13:37:52.106362', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (295, 'manageVessels', 'Managing vessels', 2, 'USM', '2015-09-21 13:38:03.012068', 'USM', '2015-09-21 13:51:29.172499', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (297, 'viewMobileTerminalPolls', 'Viewing mobile terminal poll', 2, 'USM', '2015-09-21 13:38:19.317939', 'USM', '2015-09-21 13:51:30.730369', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (201, 'managePolls', 'Managing polls', 2, 'USM', '2015-09-21 13:38:29.6094', 'USM', '2015-09-21 13:51:32.255557', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (203, 'mobileTerminalPlugins', 'Plugging in mobile terminal', 2, 'USM', '2015-09-21 13:38:41.149342', 'USM', '2015-09-21 13:38:50.77657', NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (204, 'manageExchangeSendingQueue', 'Managing the sending queues', 6, 'USM', '2015-09-23 09:38:37.377262', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (205, 'manageExchangeTransmissionStatuses', 'Managing the transmission statuses', 6, 'USM', '2015-09-23 09:40:31.064247', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (206, 'viewAlarmRules', 'Viewing alarm rules', 8, 'USM', '2015-09-23 09:49:43.089309', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (207, 'manageAlarmRules', 'Manage alarm rules', 8, 'USM', '2015-09-23 09:51:01.698755', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (208, 'viewAlarmsHoldingTable', 'Viewing alarms holding table', 8, 'USM', '2015-09-23 09:51:01.698755', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (209, 'manageAlarmsHoldingTable', 'Manage alarms holding talbe', 8, 'USM', '2015-09-23 09:51:01.698755', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (210, 'viewAlarmsOpenTickets', 'Viewing alarm open tickets', 8, 'USM', '2015-09-23 09:51:01.698755', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (211, 'manageAlarmsOpenTickets', 'Manage alarm open tickets', 8, 'USM', '2015-09-23 09:51:01.698755', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (214, 'viewConfiguration', 'View Configuration tab in admin', 9, 'USM', '2015-10-07 16:30:57.510571', NULL, NULL, NULL);

INSERT INTO feature_t (feature_id, name, description, application_id, created_by, created_on, modified_by, modified_on, group_name) VALUES (215, 'manageGlobalAlarmsRules', 'Manage GLOBAL alarm rules', 8, 'USM', '2015-12-16 04:20:00', NULL, NULL, NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1446040663888-6', 'marche (generated)', 'changelog/v1.6/features_gbg.xml', NOW(), 487, '8:667535ad8b411d4dcafceb848b14389b', 'insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=featur...', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.6/permissions_gbg.xml::1446040663888-10::marche (generated)
INSERT INTO permission_t (role_id, feature_id) VALUES (2, 226);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 228);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 231);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 234);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 294);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 203);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 292);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 295);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 297);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 19);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 201);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 203);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 204);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 205);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 206);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 207);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 208);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 209);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 210);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 211);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 214);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 226);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 228);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 231);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 234);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 235);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 239);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 242);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 244);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 249);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 255);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 258);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 261);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 264);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 267);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 276);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 279);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 286);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 292);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 294);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 295);

INSERT INTO permission_t (role_id, feature_id) VALUES ((select r.ROLE_ID from ROLE_T r where r.NAME='USM Administrator'), 297);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 201);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 255);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 258);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 261);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 264);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 235);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 239);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 242);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 244);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 204);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 205);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 249);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 267);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 279);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 276);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 286);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 214);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 206);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 207);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 208);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 209);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 210);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 211);

INSERT INTO permission_t (role_id, feature_id) VALUES (2, 215);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1446040663888-10', 'marche (generated)', 'changelog/v1.6/permissions_gbg.xml', NOW(), 489, '8:18e2f598e0e8ac44f6c4f755303efb54', 'insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t;...', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.6/uvms_permissions.xml::delete duplicate features::marche
DELETE FROM permission_t WHERE feature_id = 239 or feature_id = 261;

DELETE FROM feature_t WHERE feature_id = 239 or feature_id = 261;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('delete duplicate features', 'marche', 'changelog/v1.6/uvms_permissions.xml', NOW(), 491, '8:4583439cde87b21643f982d2bb442b0d', 'delete tableName=permission_t; delete tableName=feature_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.6/uvms_permissions.xml::add UVMS features to rep_power_role::marche
INSERT INTO permission_t (role_id, feature_id) VALUES (23, 201);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 204);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 205);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 249);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 267);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 276);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 279);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 286);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 292);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 295);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 294);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 297);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add UVMS features to rep_power_role', 'marche', 'changelog/v1.6/uvms_permissions.xml', NOW(), 493, '8:b41b322085f18d5ac1780e64f2644b28', 'insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t;...', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.6/spatial_test_data.xml::1443537166505-1::georgige (generated)
INSERT INTO application_t (application_id, name, description, parent_id) VALUES (12, 'Spatial', 'Deployment descriptor of module Spatial.', NULL);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-1', 'georgige (generated)', 'changelog/v1.6/spatial_test_data.xml', NOW(), 495, '8:b52e9e8dc6b22878ff47d1351fa9235c', 'insert tableName=application_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.6/spatial_test_data.xml::1443537166505-2::georgige (generated)
INSERT INTO feature_t (feature_id, name, description, application_id, group_name) VALUES (298, 'MANAGE_SYSTEM_SPATIAL_CONFIGURATIONS', 'Allows you to view/update spatial configurations located under the Admin tab', 12, 'spatial');

INSERT INTO feature_t (feature_id, name, description, application_id, group_name) VALUES (299, 'USE_SPATIAL_CONFIGURATIONS', 'Allows you to read spatial configurations while creating/running reports', 12, 'spatial');

INSERT INTO feature_t (feature_id, name, description, application_id, group_name) VALUES (300, 'MANAGE_USER_DEFINED_AREAS', 'Allows you to create, view, update and delete user defined areas.', 12, 'spatial');

INSERT INTO feature_t (feature_id, name, description, application_id, group_name) VALUES (301, 'MANAGE_BOOKMARKS', 'Allows you to create, view, update and delete bookmarks.', 12, 'spatial');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-2', 'georgige (generated)', 'changelog/v1.6/spatial_test_data.xml', NOW(), 497, '8:e42293a1fcfc02625c32f4413f6d06cf', 'insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t; insert tableName=feature_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.6/spatial_test_data.xml::1443537166505-4::georgige (generated)
INSERT INTO permission_t (role_id, feature_id) VALUES (23, 298);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 299);

INSERT INTO permission_t (role_id, feature_id) VALUES (24, 299);

INSERT INTO permission_t (role_id, feature_id) VALUES (25, 299);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 214);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 300);

INSERT INTO permission_t (role_id, feature_id) VALUES (24, 300);

INSERT INTO permission_t (role_id, feature_id) VALUES (24, 301);

INSERT INTO permission_t (role_id, feature_id) VALUES (23, 301);

INSERT INTO permission_t (role_id, feature_id) VALUES (25, 301);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('1443537166505-4', 'georgige (generated)', 'changelog/v1.6/spatial_test_data.xml', NOW(), 499, '8:2c8c70cd63b55c9e3d76bd7645ea2214', 'insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t; insert tableName=permission_t;...', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-1.6::emkrogean
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-1.6', 'emkrogean', 'changelog/db-changelog-master.xml', NOW(), 501, '8:f05df4fdf3d619905fa39590e49c6353', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_1.6');

-- Changeset changelog/v1.8/db-changelog-testdata.xml::why_do_users_need_viewConfig_to_read_globalSettings::emkrogean
INSERT INTO role_t (role_id, name, description, status) VALUES (10, 'ConfigViewer', 'Needed because otherwise we can''t load globalSettings', 'E');

INSERT INTO permission_t (role_id, feature_id) VALUES (10, 214);

delete from user_context_t c where c.role_id=10 and c.user_id < 30;

insert into user_context_t(user_id, role_id)
                       (select u.user_id, r.role_id from role_t r, user_t u 
                        where r.role_id=10 
                        and u.user_id < 30);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('why_do_users_need_viewConfig_to_read_globalSettings', 'emkrogean', 'changelog/v1.8/db-changelog-testdata.xml', NOW(), 503, '8:b65b4a06a069cb24044351ec852ddfc0', 'insert tableName=role_t; insert tableName=permission_t; sql', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-1.8::emkrogean
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-1.8', 'emkrogean', 'changelog/db-changelog-master.xml', NOW(), 505, '8:ef8efce971d82291675f27ba302a325d', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_1.8');

-- Changeset changelog/v1.9/db-changelog-testdata.xml::policies_authentication_ldap_query_attributes_description::emdouniat
UPDATE policy_t SET description = 'Comma separated list of LDAP attributes to be retrieved from a user account. The attributed should be listed in the order of first name, last name, phone, mobile, fax and email. If you want to omit some of them then leave the corresponding position empty by ,,.' WHERE name='ldap.query.attributes' and subject='Authentication';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policies_authentication_ldap_query_attributes_description', 'emdouniat', 'changelog/v1.9/db-changelog-testdata.xml', NOW(), 507, '8:abab7aec0bb6ffbba4307b731816820a', 'update tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.9/db-changelog-testdata.xml::policies_authentication_ldap_query_attributes_default_value::emdouniat
UPDATE policy_t SET value = 'givenName,sn,telephoneNumber,mobile,facsimileTelephoneNumber,mail' WHERE name='ldap.query.attributes' and subject='Authentication';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policies_authentication_ldap_query_attributes_default_value', 'emdouniat', 'changelog/v1.9/db-changelog-testdata.xml', NOW(), 509, '8:7754ec03e6cb4e61307d1e23e0c5d963', 'update tableName=policy_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.9/db-changelog-testdata.xml::policy_password_case::emoikonla
insert into policy_t (subject, name, value, description)
               values('Password', 'password.mixUpperLowerCase', 'false', 
                      'Force mixing upper and lower case characters');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('policy_password_case', 'emoikonla', 'changelog/v1.9/db-changelog-testdata.xml', NOW(), 511, '8:02afcd83d9f441fd38e5298bb13216c4', 'sql', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-1.9::emdouniat
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-1.9', 'emdouniat', 'changelog/db-changelog-master.xml', NOW(), 513, '8:188fe6e0b9366feb23b1f4c8103884c6', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_1.9');

-- Changeset changelog/v1.10/db-changelog-testdata.xml::admin_all_context_for_vms_admin_com_user::james
INSERT INTO user_context_t (user_context_id, user_id, role_id, scope_id) VALUES (27, 13, 30, 1);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PERMISSION_T (role_id, feature_id) VALUES (30, 137),(30, 201),(30, 203),(30, 204),(30, 205),(30, 206),(30, 207),(30, 208),(30, 209),(30, 210),(30, 211),(30, 214),(30, 215),(30, 226),(30, 228),(30, 231),(30, 234),(30, 235),(30, 242),(30, 244),(30, 249),(30, 255),(30, 258),(30, 264),(30, 267),(30, 276),(30, 279),(30, 286),(30, 292),(30, 294),(30, 295),(30, 297),(30, 298),(30, 300),(30, 100000),(30, 100001),(30, 100003),(30, 100004),(30, 100005),(30, 100006),(30, 100009),(30, 100010),(30, 100011),(30, 100014),(30, 100015),(30, 100018);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('admin_all_context_for_vms_admin_com_user', 'james', 'changelog/v1.10/db-changelog-testdata.xml', NOW(), 515, '8:283c7d3aa95c40da756b6e21f3c84446', 'insert tableName=user_context_t; loadData tableName=PERMISSION_T', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.10/db-changelog-testdata.xml::set_scopes_active_to_in_the_future::james
UPDATE scope_t SET active_to = '2027-01-31 01:00:00';

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('set_scopes_active_to_in_the_future', 'james', 'changelog/v1.10/db-changelog-testdata.xml', NOW(), 517, '8:30ae95e43ccb87697836bb756e44fa10', 'update tableName=scope_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.10/db-changelog-testdata.xml::update_vms_admin_com_all_features::james
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO APPLICATION_T (application_id, name, description) VALUES (100001, 'Activity', 'VMS Activity Module'),(100002, 'MDR Cache', 'VMS MdrCache Module');

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO FEATURE_T (feature_id, name, description, application_id) VALUES (100049, 'MDR_LUCENE_REINDEX', 'Allows the user to reindex Lucene Indexes', 100002),(100048, 'MDR_SEARCH_CODE_LIST_ITEMS', 'Allows the user to use the Lucene based MDR search API', 100002),(100047, 'MANAGE_ADMIN_CONFIGURATIONS', 'Allows you to view/update activity configurations located under the Admin tab', 100002),(100046, 'CODE_LISTS_ENABLE_DISABLE_SCHEDULED_UPDATE', 'allows the user to enable/disable the code lists scheduled update', 100002),(100045, 'UPDATE_MDR_CODE_LISTS', 'allows the user to update all or selected list of MDR code lists', 100002),(100044, 'LIST_MDR_CODE_LISTS', 'allows the user to view all MDR code lists', 100002),(100043, 'CONFIGURE_MDR_SCHEDULER', 'allows the user to view and modify the scheduler configuration', 100002),(100042, 'EXPORT_VMS_REPORT_DATA', 'Allows user to export VMS data of a report', 4),(100041, 'PRINT_REPORT', 'Allows user to print reports', 4),(100040, 'MANAGE_ALL_REPORTS', 'allows user to delete/edit and share/unshare (private/scope/globally) reports', 4),(100039, 'MANAGE_REFERENCE_DATA', 'Allows you to manage reference data/system areas', 12),(100038, 'CREATE_USER_AREA_DATASET', 'Allows you to set create a USM dataset', 12),(100037, 'SHARE_USER_DEFINED_AREAS', 'Allows you to share your user defined areas within the available to your profile scopes', 12),(100036, 'VIEW_AREA_MANAGEMENT_UI', 'Allows you to have access to the user interface of area management', 12),(100035, 'ALLOW_USER_SPATIAL_REPORT_CONFIGURATIONS', 'Allows you to set custom spatial configurations at the report level', 12),(100034, 'ALLOW_USER_SPATIAL_CONFIGURATIONS', 'Allows you to override default admin spatial configurations', 12),(100033, 'MANAGE_ANY_USER_AREA', 'Allows you to to list/update/delete any user area no matter who has created it', 12),(100032, 'EXPORT_ACTIVITY_DATA', 'Allows you to export activity data in several formats', 100001),(100031, 'SHOW_DELETED_FA_REPORTS', 'Allows the user to make requests that show the deletes reports', 100001),(100030, 'MANAGE_ADMIN_CONFIGURATIONS', 'Allows you to view/update activity configurations located under the Admin tab', 100001),(100029, 'VIEW_FA_REPORT_DETAILS', 'allows user to see fishing activity reports details', 100001),(100028, 'FISHING_TRIP_SUMMARY', 'allows user to see Fishing Trip Summary', 100001),(100027, 'LIST_ACTIVITY_REPORTS', 'allows user to see Activity Reports', 100001),(100026, 'ACTIVITY_ALLOWED', 'Enables Activity module to become USM aware', 100001);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PERMISSION_T (role_id, feature_id) VALUES (30, 100026),(30, 100027),(30, 100028),(30, 100029),(30, 100030),(30, 100031),(30, 100032),(30, 100033),(30, 100034),(30, 100035),(30, 100036),(30, 100037),(30, 100038),(30, 100039),(30, 100040),(30, 100041),(30, 100042),(30, 100043),(30, 100044),(30, 100045),(30, 100046),(30, 100047),(30, 100048),(30, 100049),(30, 133),(30, 135),(23, 100026),(23, 100027),(23, 100028),(23, 100029),(23, 100030),(23, 100031),(23, 100032),(23, 100033),(23, 100034),(23, 100035),(23, 100036),(23, 100037),(23, 100038),(23, 100039),(23, 100040),(23, 100041),(23, 100042),(23, 100043),(23, 100044),(23, 100045),(23, 100046),(23, 100047),(23, 100048),(23, 100049),(23, 133);

INSERT INTO PERMISSION_T (role_id, feature_id) VALUES (23, 135),(24, 133),(24, 135),(24, 100033),(24, 100034),(24, 100035),(24, 100036),(24, 100037),(24, 100038),(24, 100039);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_vms_admin_com_all_features', 'james', 'changelog/v1.10/db-changelog-testdata.xml', NOW(), 519, '8:691afb610df34d599358f861693bdf6d', 'loadData tableName=APPLICATION_T; loadData tableName=FEATURE_T; loadData tableName=PERMISSION_T', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.10/db-changelog-testdata.xml::add_dataset_to_all_reports_scope::james
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO DATASET_T (dataset_id, name, description, category, discriminator, application_id) VALUES (100014, 'FMZ', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100013, 'FAO', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100012, 'GFCM', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100011, 'STATRECT', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100010, 'PORTAREA', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100009, 'BINGAREALLABELS', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100008, 'BINGAREAL', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100007, 'BINGROAD', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100006, 'OSEA', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100005, 'OSM', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100004, 'USERAREA', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100003, 'PORT', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100002, 'COUNTRY', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100001, 'RFMO', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12),(100000, 'EEZ', 'Dataset used to enable/disable the usage of the specified map service layer', 'service layer', 'SPATIAL_SERVICE_LAYER', 12);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO SCOPE_DATASET_T (scope_id, dataset_id) VALUES (1, 0),(1, 1),(1, 2),(1, 100000),(1, 100001),(1, 100002),(1, 100003),(1, 100004),(1, 100005),(1, 100006),(1, 100007),(1, 100008),(1, 100009),(1, 100010),(1, 100011),(1, 100012),(1, 100013),(1, 100014),(12, 0),(12, 1),(12, 2),(12, 100000),(12, 100001),(12, 100002),(12, 100003),(12, 100004),(12, 100005),(12, 100006),(12, 100007),(12, 100008),(12, 100009),(12, 100010),(12, 100011),(12, 100012),(12, 100013),(12, 100014),(11, 0),(11, 1),(11, 2),(11, 100000),(11, 100001),(11, 100002),(11, 100003),(11, 100004),(11, 100005),(11, 100006),(11, 100007),(11, 100008),(11, 100009),(11, 100010),(11, 100011);

INSERT INTO SCOPE_DATASET_T (scope_id, dataset_id) VALUES (11, 100012),(11, 100013),(11, 100014),(10, 0),(10, 1),(10, 2),(10, 100000),(10, 100001),(10, 100002),(10, 100003),(10, 100004),(10, 100005),(10, 100006),(10, 100007),(10, 100008),(10, 100009),(10, 100010),(10, 100011),(10, 100012),(10, 100013),(10, 100014),(5, 0),(5, 1),(5, 2),(5, 100000),(5, 100001),(5, 100002),(5, 100003),(5, 100004),(5, 100005),(5, 100006),(5, 100007),(5, 100008),(5, 100009),(5, 100010),(5, 100011),(5, 100012),(5, 100013),(5, 100014),(4, 0),(4, 1),(4, 2),(4, 100000),(4, 100001),(4, 100002),(4, 100003),(4, 100004),(4, 100005),(4, 100006),(4, 100007),(4, 100008);

INSERT INTO SCOPE_DATASET_T (scope_id, dataset_id) VALUES (4, 100009),(4, 100010),(4, 100011),(4, 100012),(4, 100013),(4, 100014),(3, 0),(3, 1),(3, 2),(3, 100000),(3, 100001),(3, 100002),(3, 100003),(3, 100004),(3, 100005),(3, 100006),(3, 100007),(3, 100008),(3, 100009),(3, 100010),(3, 100011),(3, 100012),(3, 100013),(3, 100014),(2, 0),(2, 1),(2, 2),(2, 100000),(2, 100001),(2, 100002),(2, 100003),(2, 100004),(2, 100005),(2, 100006),(2, 100007),(2, 100008),(2, 100009),(2, 100010),(2, 100011),(2, 100012),(2, 100013),(2, 100014),(0, 0),(0, 1),(0, 2),(0, 100000),(0, 100001),(0, 100002),(0, 100003),(0, 100004),(0, 100005);

INSERT INTO SCOPE_DATASET_T (scope_id, dataset_id) VALUES (0, 100006),(0, 100007),(0, 100008),(0, 100009),(0, 100010),(0, 100011),(0, 100012),(0, 100013),(0, 100014);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_dataset_to_all_reports_scope', 'james', 'changelog/v1.10/db-changelog-testdata.xml', NOW(), 521, '8:b1d4e0deed0729ed37fb9742872c68ca', 'loadData tableName=DATASET_T; loadData tableName=SCOPE_DATASET_T', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/v1.10/db-changelog-testdata.xml::update_sq_for_imported_dataset::james
DROP SEQUENCE sq_application CASCADE;

DROP SEQUENCE sq_feature CASCADE;

DROP SEQUENCE sq_dataset CASCADE;

CREATE SEQUENCE  IF NOT EXISTS sq_application START WITH 300000 INCREMENT BY 1 MINVALUE 1;

CREATE SEQUENCE  IF NOT EXISTS sq_feature START WITH 300000 INCREMENT BY 1 MINVALUE 1;

CREATE SEQUENCE  IF NOT EXISTS sq_dataset START WITH 300000 INCREMENT BY 1 MINVALUE 1;

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('update_sq_for_imported_dataset', 'james', 'changelog/v1.10/db-changelog-testdata.xml', NOW(), 523, '8:4b736e9a38f6dcbaf83a51e95843c45c', 'dropSequence sequenceName=sq_application; dropSequence sequenceName=sq_feature; dropSequence sequenceName=sq_dataset; createSequence sequenceName=sq_application; createSequence sequenceName=sq_feature; createSequence sequenceName=sq_dataset', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-1.10::james
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-1.10', 'james', 'changelog/db-changelog-master.xml', NOW(), 525, '8:178b2018146fd44ddfd02f2925077837', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_1.10');

-- Changeset changelog/v2.0.11/add-indexes-for-foreign-keys.xml::addIndexOnTableApplication_tAndColumnParent_id::stihft
CREATE INDEX application_t_i_1 ON application_t(parent_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTableApplication_tAndColumnParent_id', 'stihft', 'changelog/v2.0.11/add-indexes-for-foreign-keys.xml', NOW(), 527, '8:f69426b6ceaf2897f2890dacddf1eb40', 'createIndex indexName=application_t_i_1, tableName=application_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/v2.0.11/add-indexes-for-foreign-keys.xml::addIndexOnTablePassword_hist_tAndColumnUser_id::stihft
CREATE INDEX password_hist_t_i_1 ON password_hist_t(user_id);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('addIndexOnTablePassword_hist_tAndColumnUser_id', 'stihft', 'changelog/v2.0.11/add-indexes-for-foreign-keys.xml', NOW(), 529, '8:2658c88006f36376cf8f63c0a522f82a', 'createIndex indexName=password_hist_t_i_1, tableName=password_hist_t', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-2.0.11::stihft
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-2.0.11', 'stihft', 'changelog/db-changelog-master.xml', NOW(), 531, '8:4ddbaaeb1191a443a54b1bdc1d253b8e', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_2.0.11');

-- Changeset changelog/v2.0.12/db-changelog-testdata.xml::create_vms_admin_uvms_all_features::andreas
-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PERSON_T (person_id, first_name, last_name, phone_number, mobile_number, fax_number, e_mail) VALUES (19, 'vms_admin_se', NULL, NULL, NULL, NULL, 'vms_admin_se@mail.se');

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO USER_T (USER_ID, USER_NAME, STATUS, ORGANISATION_ID, PERSON_ID, ACTIVE_FROM, ACTIVE_TO, LAST_LOGON, LOCKOUT_TO, PASSWORD_EXPIRY, PASSWORD, LOCKOUT_REASON, LOGON_FAILURE, NOTES) VALUES (34, 'vms_admin_se', 'E', 2, 19, NULL, NULL, NULL, NULL, NULL, '5f4dcc3b5aa765d61d8327deb882cf99', NULL, NULL, NULL);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO ROLE_T (role_id, name, description, status) VALUES (31, 'AdminAllUVMS', 'AdminAllUVMS', 'E');

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO USER_CONTEXT_T (user_context_id, user_id, role_id, scope_id) VALUES (30, 34, 31, 0);

-- WARNING The following SQL may change each run and therefore is possibly incorrect and/or invalid:
INSERT INTO PERMISSION_T (role_id, feature_id) VALUES (31, 19),(31, 43),(31, 35),(31, 48),(31, 29),(31, 57),(31, 39),(31, 15),(31, 34),(31, 56),(31, 65),(31, 52),(31, 32),(31, 54),(31, 21),(31, 22),(31, 44),(31, 16),(31, 28),(31, 41),(31, 42),(31, 51),(31, 40),(31, 68),(31, 59),(31, 67),(31, 55),(31, 64),(31, 45),(31, 25),(31, 18),(31, 23),(31, 58),(31, 60),(31, 37),(31, 49),(31, 66),(31, 61),(31, 30),(31, 46),(31, 26),(31, 47),(31, 62),(31, 17),(31, 33),(31, 53),(31, 24),(31, 63),(31, 50),(31, 27),(31, 38);

INSERT INTO PERMISSION_T (role_id, feature_id) VALUES (31, 36),(31, 31),(31, 100033),(31, 100034),(31, 100035),(31, 100036),(31, 100037),(31, 100038),(31, 100039),(31, 100040),(31, 100041),(31, 100042),(31, 100043),(31, 100044),(31, 100045),(31, 100046),(31, 100047),(31, 100048),(31, 100049),(31, 133),(31, 135),(31, 137),(31, 201),(31, 203),(31, 204),(31, 205),(31, 206),(31, 207),(31, 208),(31, 209),(31, 210),(31, 211),(31, 214),(31, 215),(31, 226),(31, 228),(31, 231),(31, 234),(31, 235),(31, 242),(31, 244),(31, 249),(31, 255),(31, 258),(31, 264),(31, 267),(31, 276),(31, 279),(31, 286),(31, 292),(31, 294);

INSERT INTO PERMISSION_T (role_id, feature_id) VALUES (31, 295),(31, 297),(31, 298),(31, 300),(31, 100000),(31, 100001),(31, 100003),(31, 100004),(31, 100005),(31, 100006),(31, 100009),(31, 100010),(31, 100011),(31, 100014),(31, 100015),(31, 100018);

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('create_vms_admin_uvms_all_features', 'andreas', 'changelog/v2.0.12/db-changelog-testdata.xml', NOW(), 533, '8:b8ff2953584cb76e86fc4bc81459f4a9', 'loadData tableName=PERSON_T; loadData tableName=USER_T; loadData tableName=ROLE_T; loadData tableName=USER_CONTEXT_T; loadData tableName=PERMISSION_T', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-2.0.12::andreas
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-2.0.12', 'andreas', 'changelog/db-changelog-master.xml', NOW(), 535, '8:87fed5677afea6db37a9b4eddf788f6e', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_2.0.12');

-- Changeset changelog/v2.0.20/db-changelog-application_2.0.20.xml::add_frontend_application::peerik
INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (13, 'VMSFrontend', 'Union VMS Frontend', 'USM', NOW(), 'USM', NOW(), 2);

INSERT INTO option_t (option_id, name, description, data_type, application_id, group_name) VALUES (6, 'settings', 'VMS Frontend settings', 'String', 13, 'VMSFrontend');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_frontend_application', 'peerik', 'changelog/v2.0.20/db-changelog-application_2.0.20.xml', NOW(), 537, '8:accd0d53a5ff4b67ba5c53eac87f812a', 'insert tableName=application_t; insert tableName=option_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-2.0.20::peerik
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-2.0.20', 'peerik', 'changelog/db-changelog-master.xml', NOW(), 539, '8:a491ee8594845cfc308f7f0b8e29a25e', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_2.0.20');

-- Changeset changelog/v2.0.21/db-changelog-application_2.0.21.xml::add_more_frontend_applications::joemat
INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (14, 'VMSMapSettings', 'VMS Map Settings', 'USM', NOW(), 'USM', NOW(), 2);

INSERT INTO option_t (option_id, name, description, data_type, application_id, group_name) VALUES (7, 'settings', 'VMS Map Settings', 'String', 14, 'VMS Map Settings');

INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (15, 'VMSUserSettings', 'VMS User Settings', 'USM', NOW(), 'USM', NOW(), 2);

INSERT INTO option_t (option_id, name, description, data_type, application_id, group_name) VALUES (8, 'settings', 'VMS User Settings', 'String', 15, 'VMSUserSettings');

INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (16, 'VMSSearchBookmarks', 'VMS Search Bookmarks', 'USM', NOW(), 'USM', NOW(), 2);

INSERT INTO option_t (option_id, name, description, data_type, application_id, group_name) VALUES (9, 'settings', 'VMS Search Bookmarks', 'String', 16, 'VMSSearchBookmarks');

INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (17, 'VMSMapFilters', 'VMS Map Filters', 'USM', NOW(), 'USM', NOW(), 2);

INSERT INTO option_t (option_id, name, description, data_type, application_id, group_name) VALUES (10, 'settings', 'VMSMapFilters', 'String', 17, 'VMS Map Filters');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_more_frontend_applications', 'joemat', 'changelog/v2.0.21/db-changelog-application_2.0.21.xml', NOW(), 541, '8:d4d0cf3ffd63461c17d8f9b7f195b763', 'insert tableName=application_t; insert tableName=option_t; insert tableName=application_t; insert tableName=option_t; insert tableName=application_t; insert tableName=option_t; insert tableName=application_t; insert tableName=option_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-2.0.21::joemat
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-2.0.21', 'joemat', 'changelog/db-changelog-master.xml', NOW(), 543, '8:5f686df707f2e85582e4148b3cea4a21', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_2.0.21');

-- Changeset changelog/v2.2.1/db-changelog-application_2.2.1.xml::add_more_frontend_applications::peerik
INSERT INTO application_t (application_id, name, description, created_by, created_on, modified_by, modified_on, parent_id) VALUES (18, 'VMSMapLocations', 'VMS Map Locations', 'USM', NOW(), 'USM', NOW(), 2);

INSERT INTO option_t (option_id, name, description, data_type, application_id, group_name) VALUES (11, 'settings', 'VMSMapLocations', 'String', 18, 'VMS Map Locations');

INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID) VALUES ('add_more_frontend_applications', 'peerik', 'changelog/v2.2.1/db-changelog-application_2.2.1.xml', NOW(), 545, '8:fc22f8e471e8157e59b349b320b56011', 'insert tableName=application_t; insert tableName=option_t', '', 'EXECUTED', 'test', NULL, '4.8.0', '7515876326');

-- Changeset changelog/db-changelog-master.xml::tag-2.2.1::peerik
INSERT INTO databasechangelog (ID, AUTHOR, FILENAME, DATEEXECUTED, ORDEREXECUTED, MD5SUM, DESCRIPTION, COMMENTS, EXECTYPE, CONTEXTS, LABELS, LIQUIBASE, DEPLOYMENT_ID, TAG) VALUES ('tag-2.2.1', 'peerik', 'changelog/db-changelog-master.xml', NOW(), 547, '8:6a0664d4a2be8ff81419165f940ba399', 'tagDatabase', '', 'EXECUTED', NULL, NULL, '4.8.0', '7515876326', 'version_2.2.1');

